"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
const chai_1 = require("chai");
const sinon = require("sinon");
const util_1 = require("./util");
describe('client', () => {
    let client;
    beforeEach(async () => (client = await util_1.createTestClientAndKeys()));
    afterEach(async () => await util_1.tearDownTestClient(client));
    it('allows mocking', async () => {
        const mock = client.mock({
            exec: sinon.stub(),
        });
        mock.exec.resolves({ kvs: [] });
        chai_1.expect(await client.get('foo1').string()).to.be.null;
        chai_1.expect(mock.exec.calledWith('KV', 'range')).to.be.true;
        client.unmock();
        chai_1.expect(await client.get('foo1').string()).to.equal('bar1');
    });
});
//# sourceMappingURL=client.test.js.map