"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exports.authpb = exports.mvccpb = exports.etcdserverpb = void 0;
/*eslint-disable block-scoped-var, id-length, no-control-regex, no-magic-numbers, no-prototype-builtins, no-redeclare, no-shadow, no-var, sort-vars*/
const $protobuf = require("protobufjs/minimal");
// Common aliases
const $Reader = $protobuf.Reader, $Writer = $protobuf.Writer, $util = $protobuf.util;
// Exported root namespace
const $root = $protobuf.roots["default"] || ($protobuf.roots["default"] = {});
exports.default = $root;
exports.etcdserverpb = $root.etcdserverpb = (() => {
    /**
     * Namespace etcdserverpb.
     * @exports etcdserverpb
     * @namespace
     */
    const etcdserverpb = {};
    etcdserverpb.KV = (function () {
        /**
         * Constructs a new KV service.
         * @memberof etcdserverpb
         * @classdesc Represents a KV
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function KV(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (KV.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = KV;
        /**
         * Creates new KV service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.KV
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {KV} RPC service. Useful where requests and/or responses are streamed.
         */
        KV.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.KV#range}.
         * @memberof etcdserverpb.KV
         * @typedef RangeCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.RangeResponse} [response] RangeResponse
         */
        /**
         * Calls Range.
         * @function range
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IRangeRequest} request RangeRequest message or plain object
         * @param {etcdserverpb.KV.RangeCallback} callback Node-style callback called with the error, if any, and RangeResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(KV.prototype.range = function range(request, callback) {
            return this.rpcCall(range, $root.etcdserverpb.RangeRequest, $root.etcdserverpb.RangeResponse, request, callback);
        }, "name", { value: "Range" });
        /**
         * Calls Range.
         * @function range
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IRangeRequest} request RangeRequest message or plain object
         * @returns {Promise<etcdserverpb.RangeResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.KV#put}.
         * @memberof etcdserverpb.KV
         * @typedef PutCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.PutResponse} [response] PutResponse
         */
        /**
         * Calls Put.
         * @function put
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IPutRequest} request PutRequest message or plain object
         * @param {etcdserverpb.KV.PutCallback} callback Node-style callback called with the error, if any, and PutResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(KV.prototype.put = function put(request, callback) {
            return this.rpcCall(put, $root.etcdserverpb.PutRequest, $root.etcdserverpb.PutResponse, request, callback);
        }, "name", { value: "Put" });
        /**
         * Calls Put.
         * @function put
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IPutRequest} request PutRequest message or plain object
         * @returns {Promise<etcdserverpb.PutResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.KV#deleteRange}.
         * @memberof etcdserverpb.KV
         * @typedef DeleteRangeCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.DeleteRangeResponse} [response] DeleteRangeResponse
         */
        /**
         * Calls DeleteRange.
         * @function deleteRange
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IDeleteRangeRequest} request DeleteRangeRequest message or plain object
         * @param {etcdserverpb.KV.DeleteRangeCallback} callback Node-style callback called with the error, if any, and DeleteRangeResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(KV.prototype.deleteRange = function deleteRange(request, callback) {
            return this.rpcCall(deleteRange, $root.etcdserverpb.DeleteRangeRequest, $root.etcdserverpb.DeleteRangeResponse, request, callback);
        }, "name", { value: "DeleteRange" });
        /**
         * Calls DeleteRange.
         * @function deleteRange
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.IDeleteRangeRequest} request DeleteRangeRequest message or plain object
         * @returns {Promise<etcdserverpb.DeleteRangeResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.KV#txn}.
         * @memberof etcdserverpb.KV
         * @typedef TxnCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.TxnResponse} [response] TxnResponse
         */
        /**
         * Calls Txn.
         * @function txn
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.ITxnRequest} request TxnRequest message or plain object
         * @param {etcdserverpb.KV.TxnCallback} callback Node-style callback called with the error, if any, and TxnResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(KV.prototype.txn = function txn(request, callback) {
            return this.rpcCall(txn, $root.etcdserverpb.TxnRequest, $root.etcdserverpb.TxnResponse, request, callback);
        }, "name", { value: "Txn" });
        /**
         * Calls Txn.
         * @function txn
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.ITxnRequest} request TxnRequest message or plain object
         * @returns {Promise<etcdserverpb.TxnResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.KV#compact}.
         * @memberof etcdserverpb.KV
         * @typedef CompactCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.CompactionResponse} [response] CompactionResponse
         */
        /**
         * Calls Compact.
         * @function compact
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.ICompactionRequest} request CompactionRequest message or plain object
         * @param {etcdserverpb.KV.CompactCallback} callback Node-style callback called with the error, if any, and CompactionResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(KV.prototype.compact = function compact(request, callback) {
            return this.rpcCall(compact, $root.etcdserverpb.CompactionRequest, $root.etcdserverpb.CompactionResponse, request, callback);
        }, "name", { value: "Compact" });
        /**
         * Calls Compact.
         * @function compact
         * @memberof etcdserverpb.KV
         * @instance
         * @param {etcdserverpb.ICompactionRequest} request CompactionRequest message or plain object
         * @returns {Promise<etcdserverpb.CompactionResponse>} Promise
         * @variation 2
         */
        return KV;
    })();
    etcdserverpb.Watch = (function () {
        /**
         * Constructs a new Watch service.
         * @memberof etcdserverpb
         * @classdesc Represents a Watch
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function Watch(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (Watch.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = Watch;
        /**
         * Creates new Watch service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.Watch
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {Watch} RPC service. Useful where requests and/or responses are streamed.
         */
        Watch.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.Watch#watch}.
         * @memberof etcdserverpb.Watch
         * @typedef WatchCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.WatchResponse} [response] WatchResponse
         */
        /**
         * Calls Watch.
         * @function watch
         * @memberof etcdserverpb.Watch
         * @instance
         * @param {etcdserverpb.IWatchRequest} request WatchRequest message or plain object
         * @param {etcdserverpb.Watch.WatchCallback} callback Node-style callback called with the error, if any, and WatchResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Watch.prototype.watch = function watch(request, callback) {
            return this.rpcCall(watch, $root.etcdserverpb.WatchRequest, $root.etcdserverpb.WatchResponse, request, callback);
        }, "name", { value: "Watch" });
        /**
         * Calls Watch.
         * @function watch
         * @memberof etcdserverpb.Watch
         * @instance
         * @param {etcdserverpb.IWatchRequest} request WatchRequest message or plain object
         * @returns {Promise<etcdserverpb.WatchResponse>} Promise
         * @variation 2
         */
        return Watch;
    })();
    etcdserverpb.Lease = (function () {
        /**
         * Constructs a new Lease service.
         * @memberof etcdserverpb
         * @classdesc Represents a Lease
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function Lease(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (Lease.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = Lease;
        /**
         * Creates new Lease service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.Lease
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {Lease} RPC service. Useful where requests and/or responses are streamed.
         */
        Lease.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.Lease#leaseGrant}.
         * @memberof etcdserverpb.Lease
         * @typedef LeaseGrantCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.LeaseGrantResponse} [response] LeaseGrantResponse
         */
        /**
         * Calls LeaseGrant.
         * @function leaseGrant
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseGrantRequest} request LeaseGrantRequest message or plain object
         * @param {etcdserverpb.Lease.LeaseGrantCallback} callback Node-style callback called with the error, if any, and LeaseGrantResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Lease.prototype.leaseGrant = function leaseGrant(request, callback) {
            return this.rpcCall(leaseGrant, $root.etcdserverpb.LeaseGrantRequest, $root.etcdserverpb.LeaseGrantResponse, request, callback);
        }, "name", { value: "LeaseGrant" });
        /**
         * Calls LeaseGrant.
         * @function leaseGrant
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseGrantRequest} request LeaseGrantRequest message or plain object
         * @returns {Promise<etcdserverpb.LeaseGrantResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Lease#leaseRevoke}.
         * @memberof etcdserverpb.Lease
         * @typedef LeaseRevokeCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.LeaseRevokeResponse} [response] LeaseRevokeResponse
         */
        /**
         * Calls LeaseRevoke.
         * @function leaseRevoke
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseRevokeRequest} request LeaseRevokeRequest message or plain object
         * @param {etcdserverpb.Lease.LeaseRevokeCallback} callback Node-style callback called with the error, if any, and LeaseRevokeResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Lease.prototype.leaseRevoke = function leaseRevoke(request, callback) {
            return this.rpcCall(leaseRevoke, $root.etcdserverpb.LeaseRevokeRequest, $root.etcdserverpb.LeaseRevokeResponse, request, callback);
        }, "name", { value: "LeaseRevoke" });
        /**
         * Calls LeaseRevoke.
         * @function leaseRevoke
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseRevokeRequest} request LeaseRevokeRequest message or plain object
         * @returns {Promise<etcdserverpb.LeaseRevokeResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Lease#leaseKeepAlive}.
         * @memberof etcdserverpb.Lease
         * @typedef LeaseKeepAliveCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.LeaseKeepAliveResponse} [response] LeaseKeepAliveResponse
         */
        /**
         * Calls LeaseKeepAlive.
         * @function leaseKeepAlive
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseKeepAliveRequest} request LeaseKeepAliveRequest message or plain object
         * @param {etcdserverpb.Lease.LeaseKeepAliveCallback} callback Node-style callback called with the error, if any, and LeaseKeepAliveResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Lease.prototype.leaseKeepAlive = function leaseKeepAlive(request, callback) {
            return this.rpcCall(leaseKeepAlive, $root.etcdserverpb.LeaseKeepAliveRequest, $root.etcdserverpb.LeaseKeepAliveResponse, request, callback);
        }, "name", { value: "LeaseKeepAlive" });
        /**
         * Calls LeaseKeepAlive.
         * @function leaseKeepAlive
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseKeepAliveRequest} request LeaseKeepAliveRequest message or plain object
         * @returns {Promise<etcdserverpb.LeaseKeepAliveResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Lease#leaseTimeToLive}.
         * @memberof etcdserverpb.Lease
         * @typedef LeaseTimeToLiveCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.LeaseTimeToLiveResponse} [response] LeaseTimeToLiveResponse
         */
        /**
         * Calls LeaseTimeToLive.
         * @function leaseTimeToLive
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseTimeToLiveRequest} request LeaseTimeToLiveRequest message or plain object
         * @param {etcdserverpb.Lease.LeaseTimeToLiveCallback} callback Node-style callback called with the error, if any, and LeaseTimeToLiveResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Lease.prototype.leaseTimeToLive = function leaseTimeToLive(request, callback) {
            return this.rpcCall(leaseTimeToLive, $root.etcdserverpb.LeaseTimeToLiveRequest, $root.etcdserverpb.LeaseTimeToLiveResponse, request, callback);
        }, "name", { value: "LeaseTimeToLive" });
        /**
         * Calls LeaseTimeToLive.
         * @function leaseTimeToLive
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseTimeToLiveRequest} request LeaseTimeToLiveRequest message or plain object
         * @returns {Promise<etcdserverpb.LeaseTimeToLiveResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Lease#leaseLeases}.
         * @memberof etcdserverpb.Lease
         * @typedef LeaseLeasesCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.LeaseLeasesResponse} [response] LeaseLeasesResponse
         */
        /**
         * Calls LeaseLeases.
         * @function leaseLeases
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseLeasesRequest} request LeaseLeasesRequest message or plain object
         * @param {etcdserverpb.Lease.LeaseLeasesCallback} callback Node-style callback called with the error, if any, and LeaseLeasesResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Lease.prototype.leaseLeases = function leaseLeases(request, callback) {
            return this.rpcCall(leaseLeases, $root.etcdserverpb.LeaseLeasesRequest, $root.etcdserverpb.LeaseLeasesResponse, request, callback);
        }, "name", { value: "LeaseLeases" });
        /**
         * Calls LeaseLeases.
         * @function leaseLeases
         * @memberof etcdserverpb.Lease
         * @instance
         * @param {etcdserverpb.ILeaseLeasesRequest} request LeaseLeasesRequest message or plain object
         * @returns {Promise<etcdserverpb.LeaseLeasesResponse>} Promise
         * @variation 2
         */
        return Lease;
    })();
    etcdserverpb.Cluster = (function () {
        /**
         * Constructs a new Cluster service.
         * @memberof etcdserverpb
         * @classdesc Represents a Cluster
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function Cluster(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (Cluster.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = Cluster;
        /**
         * Creates new Cluster service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.Cluster
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {Cluster} RPC service. Useful where requests and/or responses are streamed.
         */
        Cluster.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.Cluster#memberAdd}.
         * @memberof etcdserverpb.Cluster
         * @typedef MemberAddCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MemberAddResponse} [response] MemberAddResponse
         */
        /**
         * Calls MemberAdd.
         * @function memberAdd
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberAddRequest} request MemberAddRequest message or plain object
         * @param {etcdserverpb.Cluster.MemberAddCallback} callback Node-style callback called with the error, if any, and MemberAddResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Cluster.prototype.memberAdd = function memberAdd(request, callback) {
            return this.rpcCall(memberAdd, $root.etcdserverpb.MemberAddRequest, $root.etcdserverpb.MemberAddResponse, request, callback);
        }, "name", { value: "MemberAdd" });
        /**
         * Calls MemberAdd.
         * @function memberAdd
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberAddRequest} request MemberAddRequest message or plain object
         * @returns {Promise<etcdserverpb.MemberAddResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Cluster#memberRemove}.
         * @memberof etcdserverpb.Cluster
         * @typedef MemberRemoveCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MemberRemoveResponse} [response] MemberRemoveResponse
         */
        /**
         * Calls MemberRemove.
         * @function memberRemove
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberRemoveRequest} request MemberRemoveRequest message or plain object
         * @param {etcdserverpb.Cluster.MemberRemoveCallback} callback Node-style callback called with the error, if any, and MemberRemoveResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Cluster.prototype.memberRemove = function memberRemove(request, callback) {
            return this.rpcCall(memberRemove, $root.etcdserverpb.MemberRemoveRequest, $root.etcdserverpb.MemberRemoveResponse, request, callback);
        }, "name", { value: "MemberRemove" });
        /**
         * Calls MemberRemove.
         * @function memberRemove
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberRemoveRequest} request MemberRemoveRequest message or plain object
         * @returns {Promise<etcdserverpb.MemberRemoveResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Cluster#memberUpdate}.
         * @memberof etcdserverpb.Cluster
         * @typedef MemberUpdateCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MemberUpdateResponse} [response] MemberUpdateResponse
         */
        /**
         * Calls MemberUpdate.
         * @function memberUpdate
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberUpdateRequest} request MemberUpdateRequest message or plain object
         * @param {etcdserverpb.Cluster.MemberUpdateCallback} callback Node-style callback called with the error, if any, and MemberUpdateResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Cluster.prototype.memberUpdate = function memberUpdate(request, callback) {
            return this.rpcCall(memberUpdate, $root.etcdserverpb.MemberUpdateRequest, $root.etcdserverpb.MemberUpdateResponse, request, callback);
        }, "name", { value: "MemberUpdate" });
        /**
         * Calls MemberUpdate.
         * @function memberUpdate
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberUpdateRequest} request MemberUpdateRequest message or plain object
         * @returns {Promise<etcdserverpb.MemberUpdateResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Cluster#memberList}.
         * @memberof etcdserverpb.Cluster
         * @typedef MemberListCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MemberListResponse} [response] MemberListResponse
         */
        /**
         * Calls MemberList.
         * @function memberList
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberListRequest} request MemberListRequest message or plain object
         * @param {etcdserverpb.Cluster.MemberListCallback} callback Node-style callback called with the error, if any, and MemberListResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Cluster.prototype.memberList = function memberList(request, callback) {
            return this.rpcCall(memberList, $root.etcdserverpb.MemberListRequest, $root.etcdserverpb.MemberListResponse, request, callback);
        }, "name", { value: "MemberList" });
        /**
         * Calls MemberList.
         * @function memberList
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberListRequest} request MemberListRequest message or plain object
         * @returns {Promise<etcdserverpb.MemberListResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Cluster#memberPromote}.
         * @memberof etcdserverpb.Cluster
         * @typedef MemberPromoteCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MemberPromoteResponse} [response] MemberPromoteResponse
         */
        /**
         * Calls MemberPromote.
         * @function memberPromote
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberPromoteRequest} request MemberPromoteRequest message or plain object
         * @param {etcdserverpb.Cluster.MemberPromoteCallback} callback Node-style callback called with the error, if any, and MemberPromoteResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Cluster.prototype.memberPromote = function memberPromote(request, callback) {
            return this.rpcCall(memberPromote, $root.etcdserverpb.MemberPromoteRequest, $root.etcdserverpb.MemberPromoteResponse, request, callback);
        }, "name", { value: "MemberPromote" });
        /**
         * Calls MemberPromote.
         * @function memberPromote
         * @memberof etcdserverpb.Cluster
         * @instance
         * @param {etcdserverpb.IMemberPromoteRequest} request MemberPromoteRequest message or plain object
         * @returns {Promise<etcdserverpb.MemberPromoteResponse>} Promise
         * @variation 2
         */
        return Cluster;
    })();
    etcdserverpb.Maintenance = (function () {
        /**
         * Constructs a new Maintenance service.
         * @memberof etcdserverpb
         * @classdesc Represents a Maintenance
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function Maintenance(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (Maintenance.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = Maintenance;
        /**
         * Creates new Maintenance service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.Maintenance
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {Maintenance} RPC service. Useful where requests and/or responses are streamed.
         */
        Maintenance.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#alarm}.
         * @memberof etcdserverpb.Maintenance
         * @typedef AlarmCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AlarmResponse} [response] AlarmResponse
         */
        /**
         * Calls Alarm.
         * @function alarm
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IAlarmRequest} request AlarmRequest message or plain object
         * @param {etcdserverpb.Maintenance.AlarmCallback} callback Node-style callback called with the error, if any, and AlarmResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.alarm = function alarm(request, callback) {
            return this.rpcCall(alarm, $root.etcdserverpb.AlarmRequest, $root.etcdserverpb.AlarmResponse, request, callback);
        }, "name", { value: "Alarm" });
        /**
         * Calls Alarm.
         * @function alarm
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IAlarmRequest} request AlarmRequest message or plain object
         * @returns {Promise<etcdserverpb.AlarmResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#status}.
         * @memberof etcdserverpb.Maintenance
         * @typedef StatusCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.StatusResponse} [response] StatusResponse
         */
        /**
         * Calls Status.
         * @function status
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IStatusRequest} request StatusRequest message or plain object
         * @param {etcdserverpb.Maintenance.StatusCallback} callback Node-style callback called with the error, if any, and StatusResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.status = function status(request, callback) {
            return this.rpcCall(status, $root.etcdserverpb.StatusRequest, $root.etcdserverpb.StatusResponse, request, callback);
        }, "name", { value: "Status" });
        /**
         * Calls Status.
         * @function status
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IStatusRequest} request StatusRequest message or plain object
         * @returns {Promise<etcdserverpb.StatusResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#defragment}.
         * @memberof etcdserverpb.Maintenance
         * @typedef DefragmentCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.DefragmentResponse} [response] DefragmentResponse
         */
        /**
         * Calls Defragment.
         * @function defragment
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IDefragmentRequest} request DefragmentRequest message or plain object
         * @param {etcdserverpb.Maintenance.DefragmentCallback} callback Node-style callback called with the error, if any, and DefragmentResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.defragment = function defragment(request, callback) {
            return this.rpcCall(defragment, $root.etcdserverpb.DefragmentRequest, $root.etcdserverpb.DefragmentResponse, request, callback);
        }, "name", { value: "Defragment" });
        /**
         * Calls Defragment.
         * @function defragment
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IDefragmentRequest} request DefragmentRequest message or plain object
         * @returns {Promise<etcdserverpb.DefragmentResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#hash}.
         * @memberof etcdserverpb.Maintenance
         * @typedef HashCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.HashResponse} [response] HashResponse
         */
        /**
         * Calls Hash.
         * @function hash
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IHashRequest} request HashRequest message or plain object
         * @param {etcdserverpb.Maintenance.HashCallback} callback Node-style callback called with the error, if any, and HashResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.hash = function hash(request, callback) {
            return this.rpcCall(hash, $root.etcdserverpb.HashRequest, $root.etcdserverpb.HashResponse, request, callback);
        }, "name", { value: "Hash" });
        /**
         * Calls Hash.
         * @function hash
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IHashRequest} request HashRequest message or plain object
         * @returns {Promise<etcdserverpb.HashResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#hashKV}.
         * @memberof etcdserverpb.Maintenance
         * @typedef HashKVCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.HashKVResponse} [response] HashKVResponse
         */
        /**
         * Calls HashKV.
         * @function hashKV
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IHashKVRequest} request HashKVRequest message or plain object
         * @param {etcdserverpb.Maintenance.HashKVCallback} callback Node-style callback called with the error, if any, and HashKVResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.hashKV = function hashKV(request, callback) {
            return this.rpcCall(hashKV, $root.etcdserverpb.HashKVRequest, $root.etcdserverpb.HashKVResponse, request, callback);
        }, "name", { value: "HashKV" });
        /**
         * Calls HashKV.
         * @function hashKV
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IHashKVRequest} request HashKVRequest message or plain object
         * @returns {Promise<etcdserverpb.HashKVResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#snapshot}.
         * @memberof etcdserverpb.Maintenance
         * @typedef SnapshotCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.SnapshotResponse} [response] SnapshotResponse
         */
        /**
         * Calls Snapshot.
         * @function snapshot
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.ISnapshotRequest} request SnapshotRequest message or plain object
         * @param {etcdserverpb.Maintenance.SnapshotCallback} callback Node-style callback called with the error, if any, and SnapshotResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.snapshot = function snapshot(request, callback) {
            return this.rpcCall(snapshot, $root.etcdserverpb.SnapshotRequest, $root.etcdserverpb.SnapshotResponse, request, callback);
        }, "name", { value: "Snapshot" });
        /**
         * Calls Snapshot.
         * @function snapshot
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.ISnapshotRequest} request SnapshotRequest message or plain object
         * @returns {Promise<etcdserverpb.SnapshotResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#moveLeader}.
         * @memberof etcdserverpb.Maintenance
         * @typedef MoveLeaderCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.MoveLeaderResponse} [response] MoveLeaderResponse
         */
        /**
         * Calls MoveLeader.
         * @function moveLeader
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IMoveLeaderRequest} request MoveLeaderRequest message or plain object
         * @param {etcdserverpb.Maintenance.MoveLeaderCallback} callback Node-style callback called with the error, if any, and MoveLeaderResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.moveLeader = function moveLeader(request, callback) {
            return this.rpcCall(moveLeader, $root.etcdserverpb.MoveLeaderRequest, $root.etcdserverpb.MoveLeaderResponse, request, callback);
        }, "name", { value: "MoveLeader" });
        /**
         * Calls MoveLeader.
         * @function moveLeader
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IMoveLeaderRequest} request MoveLeaderRequest message or plain object
         * @returns {Promise<etcdserverpb.MoveLeaderResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Maintenance#downgrade}.
         * @memberof etcdserverpb.Maintenance
         * @typedef DowngradeCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.DowngradeResponse} [response] DowngradeResponse
         */
        /**
         * Calls Downgrade.
         * @function downgrade
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IDowngradeRequest} request DowngradeRequest message or plain object
         * @param {etcdserverpb.Maintenance.DowngradeCallback} callback Node-style callback called with the error, if any, and DowngradeResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Maintenance.prototype.downgrade = function downgrade(request, callback) {
            return this.rpcCall(downgrade, $root.etcdserverpb.DowngradeRequest, $root.etcdserverpb.DowngradeResponse, request, callback);
        }, "name", { value: "Downgrade" });
        /**
         * Calls Downgrade.
         * @function downgrade
         * @memberof etcdserverpb.Maintenance
         * @instance
         * @param {etcdserverpb.IDowngradeRequest} request DowngradeRequest message or plain object
         * @returns {Promise<etcdserverpb.DowngradeResponse>} Promise
         * @variation 2
         */
        return Maintenance;
    })();
    etcdserverpb.Auth = (function () {
        /**
         * Constructs a new Auth service.
         * @memberof etcdserverpb
         * @classdesc Represents an Auth
         * @extends $protobuf.rpc.Service
         * @constructor
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         */
        function Auth(rpcImpl, requestDelimited, responseDelimited) {
            $protobuf.rpc.Service.call(this, rpcImpl, requestDelimited, responseDelimited);
        }
        (Auth.prototype = Object.create($protobuf.rpc.Service.prototype)).constructor = Auth;
        /**
         * Creates new Auth service using the specified rpc implementation.
         * @function create
         * @memberof etcdserverpb.Auth
         * @static
         * @param {$protobuf.RPCImpl} rpcImpl RPC implementation
         * @param {boolean} [requestDelimited=false] Whether requests are length-delimited
         * @param {boolean} [responseDelimited=false] Whether responses are length-delimited
         * @returns {Auth} RPC service. Useful where requests and/or responses are streamed.
         */
        Auth.create = function create(rpcImpl, requestDelimited, responseDelimited) {
            return new this(rpcImpl, requestDelimited, responseDelimited);
        };
        /**
         * Callback as used by {@link etcdserverpb.Auth#authEnable}.
         * @memberof etcdserverpb.Auth
         * @typedef AuthEnableCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthEnableResponse} [response] AuthEnableResponse
         */
        /**
         * Calls AuthEnable.
         * @function authEnable
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthEnableRequest} request AuthEnableRequest message or plain object
         * @param {etcdserverpb.Auth.AuthEnableCallback} callback Node-style callback called with the error, if any, and AuthEnableResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.authEnable = function authEnable(request, callback) {
            return this.rpcCall(authEnable, $root.etcdserverpb.AuthEnableRequest, $root.etcdserverpb.AuthEnableResponse, request, callback);
        }, "name", { value: "AuthEnable" });
        /**
         * Calls AuthEnable.
         * @function authEnable
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthEnableRequest} request AuthEnableRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthEnableResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#authDisable}.
         * @memberof etcdserverpb.Auth
         * @typedef AuthDisableCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthDisableResponse} [response] AuthDisableResponse
         */
        /**
         * Calls AuthDisable.
         * @function authDisable
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthDisableRequest} request AuthDisableRequest message or plain object
         * @param {etcdserverpb.Auth.AuthDisableCallback} callback Node-style callback called with the error, if any, and AuthDisableResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.authDisable = function authDisable(request, callback) {
            return this.rpcCall(authDisable, $root.etcdserverpb.AuthDisableRequest, $root.etcdserverpb.AuthDisableResponse, request, callback);
        }, "name", { value: "AuthDisable" });
        /**
         * Calls AuthDisable.
         * @function authDisable
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthDisableRequest} request AuthDisableRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthDisableResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#authStatus}.
         * @memberof etcdserverpb.Auth
         * @typedef AuthStatusCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthStatusResponse} [response] AuthStatusResponse
         */
        /**
         * Calls AuthStatus.
         * @function authStatus
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthStatusRequest} request AuthStatusRequest message or plain object
         * @param {etcdserverpb.Auth.AuthStatusCallback} callback Node-style callback called with the error, if any, and AuthStatusResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.authStatus = function authStatus(request, callback) {
            return this.rpcCall(authStatus, $root.etcdserverpb.AuthStatusRequest, $root.etcdserverpb.AuthStatusResponse, request, callback);
        }, "name", { value: "AuthStatus" });
        /**
         * Calls AuthStatus.
         * @function authStatus
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthStatusRequest} request AuthStatusRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthStatusResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#authenticate}.
         * @memberof etcdserverpb.Auth
         * @typedef AuthenticateCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthenticateResponse} [response] AuthenticateResponse
         */
        /**
         * Calls Authenticate.
         * @function authenticate
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthenticateRequest} request AuthenticateRequest message or plain object
         * @param {etcdserverpb.Auth.AuthenticateCallback} callback Node-style callback called with the error, if any, and AuthenticateResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.authenticate = function authenticate(request, callback) {
            return this.rpcCall(authenticate, $root.etcdserverpb.AuthenticateRequest, $root.etcdserverpb.AuthenticateResponse, request, callback);
        }, "name", { value: "Authenticate" });
        /**
         * Calls Authenticate.
         * @function authenticate
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthenticateRequest} request AuthenticateRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthenticateResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userAdd}.
         * @memberof etcdserverpb.Auth
         * @typedef UserAddCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserAddResponse} [response] AuthUserAddResponse
         */
        /**
         * Calls UserAdd.
         * @function userAdd
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserAddRequest} request AuthUserAddRequest message or plain object
         * @param {etcdserverpb.Auth.UserAddCallback} callback Node-style callback called with the error, if any, and AuthUserAddResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userAdd = function userAdd(request, callback) {
            return this.rpcCall(userAdd, $root.etcdserverpb.AuthUserAddRequest, $root.etcdserverpb.AuthUserAddResponse, request, callback);
        }, "name", { value: "UserAdd" });
        /**
         * Calls UserAdd.
         * @function userAdd
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserAddRequest} request AuthUserAddRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserAddResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userGet}.
         * @memberof etcdserverpb.Auth
         * @typedef UserGetCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserGetResponse} [response] AuthUserGetResponse
         */
        /**
         * Calls UserGet.
         * @function userGet
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserGetRequest} request AuthUserGetRequest message or plain object
         * @param {etcdserverpb.Auth.UserGetCallback} callback Node-style callback called with the error, if any, and AuthUserGetResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userGet = function userGet(request, callback) {
            return this.rpcCall(userGet, $root.etcdserverpb.AuthUserGetRequest, $root.etcdserverpb.AuthUserGetResponse, request, callback);
        }, "name", { value: "UserGet" });
        /**
         * Calls UserGet.
         * @function userGet
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserGetRequest} request AuthUserGetRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserGetResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userList}.
         * @memberof etcdserverpb.Auth
         * @typedef UserListCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserListResponse} [response] AuthUserListResponse
         */
        /**
         * Calls UserList.
         * @function userList
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserListRequest} request AuthUserListRequest message or plain object
         * @param {etcdserverpb.Auth.UserListCallback} callback Node-style callback called with the error, if any, and AuthUserListResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userList = function userList(request, callback) {
            return this.rpcCall(userList, $root.etcdserverpb.AuthUserListRequest, $root.etcdserverpb.AuthUserListResponse, request, callback);
        }, "name", { value: "UserList" });
        /**
         * Calls UserList.
         * @function userList
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserListRequest} request AuthUserListRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserListResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userDelete}.
         * @memberof etcdserverpb.Auth
         * @typedef UserDeleteCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserDeleteResponse} [response] AuthUserDeleteResponse
         */
        /**
         * Calls UserDelete.
         * @function userDelete
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserDeleteRequest} request AuthUserDeleteRequest message or plain object
         * @param {etcdserverpb.Auth.UserDeleteCallback} callback Node-style callback called with the error, if any, and AuthUserDeleteResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userDelete = function userDelete(request, callback) {
            return this.rpcCall(userDelete, $root.etcdserverpb.AuthUserDeleteRequest, $root.etcdserverpb.AuthUserDeleteResponse, request, callback);
        }, "name", { value: "UserDelete" });
        /**
         * Calls UserDelete.
         * @function userDelete
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserDeleteRequest} request AuthUserDeleteRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserDeleteResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userChangePassword}.
         * @memberof etcdserverpb.Auth
         * @typedef UserChangePasswordCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserChangePasswordResponse} [response] AuthUserChangePasswordResponse
         */
        /**
         * Calls UserChangePassword.
         * @function userChangePassword
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserChangePasswordRequest} request AuthUserChangePasswordRequest message or plain object
         * @param {etcdserverpb.Auth.UserChangePasswordCallback} callback Node-style callback called with the error, if any, and AuthUserChangePasswordResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userChangePassword = function userChangePassword(request, callback) {
            return this.rpcCall(userChangePassword, $root.etcdserverpb.AuthUserChangePasswordRequest, $root.etcdserverpb.AuthUserChangePasswordResponse, request, callback);
        }, "name", { value: "UserChangePassword" });
        /**
         * Calls UserChangePassword.
         * @function userChangePassword
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserChangePasswordRequest} request AuthUserChangePasswordRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserChangePasswordResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userGrantRole}.
         * @memberof etcdserverpb.Auth
         * @typedef UserGrantRoleCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserGrantRoleResponse} [response] AuthUserGrantRoleResponse
         */
        /**
         * Calls UserGrantRole.
         * @function userGrantRole
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserGrantRoleRequest} request AuthUserGrantRoleRequest message or plain object
         * @param {etcdserverpb.Auth.UserGrantRoleCallback} callback Node-style callback called with the error, if any, and AuthUserGrantRoleResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userGrantRole = function userGrantRole(request, callback) {
            return this.rpcCall(userGrantRole, $root.etcdserverpb.AuthUserGrantRoleRequest, $root.etcdserverpb.AuthUserGrantRoleResponse, request, callback);
        }, "name", { value: "UserGrantRole" });
        /**
         * Calls UserGrantRole.
         * @function userGrantRole
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserGrantRoleRequest} request AuthUserGrantRoleRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserGrantRoleResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#userRevokeRole}.
         * @memberof etcdserverpb.Auth
         * @typedef UserRevokeRoleCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthUserRevokeRoleResponse} [response] AuthUserRevokeRoleResponse
         */
        /**
         * Calls UserRevokeRole.
         * @function userRevokeRole
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest} request AuthUserRevokeRoleRequest message or plain object
         * @param {etcdserverpb.Auth.UserRevokeRoleCallback} callback Node-style callback called with the error, if any, and AuthUserRevokeRoleResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.userRevokeRole = function userRevokeRole(request, callback) {
            return this.rpcCall(userRevokeRole, $root.etcdserverpb.AuthUserRevokeRoleRequest, $root.etcdserverpb.AuthUserRevokeRoleResponse, request, callback);
        }, "name", { value: "UserRevokeRole" });
        /**
         * Calls UserRevokeRole.
         * @function userRevokeRole
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest} request AuthUserRevokeRoleRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthUserRevokeRoleResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleAdd}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleAddCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleAddResponse} [response] AuthRoleAddResponse
         */
        /**
         * Calls RoleAdd.
         * @function roleAdd
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleAddRequest} request AuthRoleAddRequest message or plain object
         * @param {etcdserverpb.Auth.RoleAddCallback} callback Node-style callback called with the error, if any, and AuthRoleAddResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleAdd = function roleAdd(request, callback) {
            return this.rpcCall(roleAdd, $root.etcdserverpb.AuthRoleAddRequest, $root.etcdserverpb.AuthRoleAddResponse, request, callback);
        }, "name", { value: "RoleAdd" });
        /**
         * Calls RoleAdd.
         * @function roleAdd
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleAddRequest} request AuthRoleAddRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleAddResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleGet}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleGetCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleGetResponse} [response] AuthRoleGetResponse
         */
        /**
         * Calls RoleGet.
         * @function roleGet
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleGetRequest} request AuthRoleGetRequest message or plain object
         * @param {etcdserverpb.Auth.RoleGetCallback} callback Node-style callback called with the error, if any, and AuthRoleGetResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleGet = function roleGet(request, callback) {
            return this.rpcCall(roleGet, $root.etcdserverpb.AuthRoleGetRequest, $root.etcdserverpb.AuthRoleGetResponse, request, callback);
        }, "name", { value: "RoleGet" });
        /**
         * Calls RoleGet.
         * @function roleGet
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleGetRequest} request AuthRoleGetRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleGetResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleList}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleListCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleListResponse} [response] AuthRoleListResponse
         */
        /**
         * Calls RoleList.
         * @function roleList
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleListRequest} request AuthRoleListRequest message or plain object
         * @param {etcdserverpb.Auth.RoleListCallback} callback Node-style callback called with the error, if any, and AuthRoleListResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleList = function roleList(request, callback) {
            return this.rpcCall(roleList, $root.etcdserverpb.AuthRoleListRequest, $root.etcdserverpb.AuthRoleListResponse, request, callback);
        }, "name", { value: "RoleList" });
        /**
         * Calls RoleList.
         * @function roleList
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleListRequest} request AuthRoleListRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleListResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleDelete}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleDeleteCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleDeleteResponse} [response] AuthRoleDeleteResponse
         */
        /**
         * Calls RoleDelete.
         * @function roleDelete
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleDeleteRequest} request AuthRoleDeleteRequest message or plain object
         * @param {etcdserverpb.Auth.RoleDeleteCallback} callback Node-style callback called with the error, if any, and AuthRoleDeleteResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleDelete = function roleDelete(request, callback) {
            return this.rpcCall(roleDelete, $root.etcdserverpb.AuthRoleDeleteRequest, $root.etcdserverpb.AuthRoleDeleteResponse, request, callback);
        }, "name", { value: "RoleDelete" });
        /**
         * Calls RoleDelete.
         * @function roleDelete
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleDeleteRequest} request AuthRoleDeleteRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleDeleteResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleGrantPermission}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleGrantPermissionCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleGrantPermissionResponse} [response] AuthRoleGrantPermissionResponse
         */
        /**
         * Calls RoleGrantPermission.
         * @function roleGrantPermission
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest} request AuthRoleGrantPermissionRequest message or plain object
         * @param {etcdserverpb.Auth.RoleGrantPermissionCallback} callback Node-style callback called with the error, if any, and AuthRoleGrantPermissionResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleGrantPermission = function roleGrantPermission(request, callback) {
            return this.rpcCall(roleGrantPermission, $root.etcdserverpb.AuthRoleGrantPermissionRequest, $root.etcdserverpb.AuthRoleGrantPermissionResponse, request, callback);
        }, "name", { value: "RoleGrantPermission" });
        /**
         * Calls RoleGrantPermission.
         * @function roleGrantPermission
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest} request AuthRoleGrantPermissionRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleGrantPermissionResponse>} Promise
         * @variation 2
         */
        /**
         * Callback as used by {@link etcdserverpb.Auth#roleRevokePermission}.
         * @memberof etcdserverpb.Auth
         * @typedef RoleRevokePermissionCallback
         * @type {function}
         * @param {Error|null} error Error, if any
         * @param {etcdserverpb.AuthRoleRevokePermissionResponse} [response] AuthRoleRevokePermissionResponse
         */
        /**
         * Calls RoleRevokePermission.
         * @function roleRevokePermission
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest} request AuthRoleRevokePermissionRequest message or plain object
         * @param {etcdserverpb.Auth.RoleRevokePermissionCallback} callback Node-style callback called with the error, if any, and AuthRoleRevokePermissionResponse
         * @returns {undefined}
         * @variation 1
         */
        Object.defineProperty(Auth.prototype.roleRevokePermission = function roleRevokePermission(request, callback) {
            return this.rpcCall(roleRevokePermission, $root.etcdserverpb.AuthRoleRevokePermissionRequest, $root.etcdserverpb.AuthRoleRevokePermissionResponse, request, callback);
        }, "name", { value: "RoleRevokePermission" });
        /**
         * Calls RoleRevokePermission.
         * @function roleRevokePermission
         * @memberof etcdserverpb.Auth
         * @instance
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest} request AuthRoleRevokePermissionRequest message or plain object
         * @returns {Promise<etcdserverpb.AuthRoleRevokePermissionResponse>} Promise
         * @variation 2
         */
        return Auth;
    })();
    etcdserverpb.ResponseHeader = (function () {
        /**
         * Properties of a ResponseHeader.
         * @memberof etcdserverpb
         * @interface IResponseHeader
         * @property {number|Long|null} [clusterId] ResponseHeader clusterId
         * @property {number|Long|null} [memberId] ResponseHeader memberId
         * @property {number|Long|null} [revision] ResponseHeader revision
         * @property {number|Long|null} [raftTerm] ResponseHeader raftTerm
         */
        /**
         * Constructs a new ResponseHeader.
         * @memberof etcdserverpb
         * @classdesc Represents a ResponseHeader.
         * @implements IResponseHeader
         * @constructor
         * @param {etcdserverpb.IResponseHeader=} [properties] Properties to set
         */
        function ResponseHeader(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * ResponseHeader clusterId.
         * @member {number|Long} clusterId
         * @memberof etcdserverpb.ResponseHeader
         * @instance
         */
        ResponseHeader.prototype.clusterId = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * ResponseHeader memberId.
         * @member {number|Long} memberId
         * @memberof etcdserverpb.ResponseHeader
         * @instance
         */
        ResponseHeader.prototype.memberId = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * ResponseHeader revision.
         * @member {number|Long} revision
         * @memberof etcdserverpb.ResponseHeader
         * @instance
         */
        ResponseHeader.prototype.revision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * ResponseHeader raftTerm.
         * @member {number|Long} raftTerm
         * @memberof etcdserverpb.ResponseHeader
         * @instance
         */
        ResponseHeader.prototype.raftTerm = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Creates a new ResponseHeader instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {etcdserverpb.IResponseHeader=} [properties] Properties to set
         * @returns {etcdserverpb.ResponseHeader} ResponseHeader instance
         */
        ResponseHeader.create = function create(properties) {
            return new ResponseHeader(properties);
        };
        /**
         * Encodes the specified ResponseHeader message. Does not implicitly {@link etcdserverpb.ResponseHeader.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {etcdserverpb.IResponseHeader} message ResponseHeader message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        ResponseHeader.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.clusterId != null && Object.hasOwnProperty.call(message, "clusterId"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.clusterId);
            if (message.memberId != null && Object.hasOwnProperty.call(message, "memberId"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).uint64(message.memberId);
            if (message.revision != null && Object.hasOwnProperty.call(message, "revision"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.revision);
            if (message.raftTerm != null && Object.hasOwnProperty.call(message, "raftTerm"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).uint64(message.raftTerm);
            return writer;
        };
        /**
         * Encodes the specified ResponseHeader message, length delimited. Does not implicitly {@link etcdserverpb.ResponseHeader.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {etcdserverpb.IResponseHeader} message ResponseHeader message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        ResponseHeader.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a ResponseHeader message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.ResponseHeader} ResponseHeader
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        ResponseHeader.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.ResponseHeader();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.clusterId = reader.uint64();
                        break;
                    case 2:
                        message.memberId = reader.uint64();
                        break;
                    case 3:
                        message.revision = reader.int64();
                        break;
                    case 4:
                        message.raftTerm = reader.uint64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a ResponseHeader message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.ResponseHeader} ResponseHeader
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        ResponseHeader.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a ResponseHeader message.
         * @function verify
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        ResponseHeader.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.clusterId != null && message.hasOwnProperty("clusterId"))
                if (!$util.isInteger(message.clusterId) && !(message.clusterId && $util.isInteger(message.clusterId.low) && $util.isInteger(message.clusterId.high)))
                    return "clusterId: integer|Long expected";
            if (message.memberId != null && message.hasOwnProperty("memberId"))
                if (!$util.isInteger(message.memberId) && !(message.memberId && $util.isInteger(message.memberId.low) && $util.isInteger(message.memberId.high)))
                    return "memberId: integer|Long expected";
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (!$util.isInteger(message.revision) && !(message.revision && $util.isInteger(message.revision.low) && $util.isInteger(message.revision.high)))
                    return "revision: integer|Long expected";
            if (message.raftTerm != null && message.hasOwnProperty("raftTerm"))
                if (!$util.isInteger(message.raftTerm) && !(message.raftTerm && $util.isInteger(message.raftTerm.low) && $util.isInteger(message.raftTerm.high)))
                    return "raftTerm: integer|Long expected";
            return null;
        };
        /**
         * Creates a ResponseHeader message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.ResponseHeader} ResponseHeader
         */
        ResponseHeader.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.ResponseHeader)
                return object;
            let message = new $root.etcdserverpb.ResponseHeader();
            if (object.clusterId != null)
                if ($util.Long)
                    (message.clusterId = $util.Long.fromValue(object.clusterId)).unsigned = true;
                else if (typeof object.clusterId === "string")
                    message.clusterId = parseInt(object.clusterId, 10);
                else if (typeof object.clusterId === "number")
                    message.clusterId = object.clusterId;
                else if (typeof object.clusterId === "object")
                    message.clusterId = new $util.LongBits(object.clusterId.low >>> 0, object.clusterId.high >>> 0).toNumber(true);
            if (object.memberId != null)
                if ($util.Long)
                    (message.memberId = $util.Long.fromValue(object.memberId)).unsigned = true;
                else if (typeof object.memberId === "string")
                    message.memberId = parseInt(object.memberId, 10);
                else if (typeof object.memberId === "number")
                    message.memberId = object.memberId;
                else if (typeof object.memberId === "object")
                    message.memberId = new $util.LongBits(object.memberId.low >>> 0, object.memberId.high >>> 0).toNumber(true);
            if (object.revision != null)
                if ($util.Long)
                    (message.revision = $util.Long.fromValue(object.revision)).unsigned = false;
                else if (typeof object.revision === "string")
                    message.revision = parseInt(object.revision, 10);
                else if (typeof object.revision === "number")
                    message.revision = object.revision;
                else if (typeof object.revision === "object")
                    message.revision = new $util.LongBits(object.revision.low >>> 0, object.revision.high >>> 0).toNumber();
            if (object.raftTerm != null)
                if ($util.Long)
                    (message.raftTerm = $util.Long.fromValue(object.raftTerm)).unsigned = true;
                else if (typeof object.raftTerm === "string")
                    message.raftTerm = parseInt(object.raftTerm, 10);
                else if (typeof object.raftTerm === "number")
                    message.raftTerm = object.raftTerm;
                else if (typeof object.raftTerm === "object")
                    message.raftTerm = new $util.LongBits(object.raftTerm.low >>> 0, object.raftTerm.high >>> 0).toNumber(true);
            return message;
        };
        /**
         * Creates a plain object from a ResponseHeader message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.ResponseHeader
         * @static
         * @param {etcdserverpb.ResponseHeader} message ResponseHeader
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        ResponseHeader.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.clusterId = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.clusterId = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.memberId = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.memberId = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.revision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.revision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.raftTerm = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.raftTerm = options.longs === String ? "0" : 0;
            }
            if (message.clusterId != null && message.hasOwnProperty("clusterId"))
                if (typeof message.clusterId === "number")
                    object.clusterId = options.longs === String ? String(message.clusterId) : message.clusterId;
                else
                    object.clusterId = options.longs === String ? $util.Long.prototype.toString.call(message.clusterId) : options.longs === Number ? new $util.LongBits(message.clusterId.low >>> 0, message.clusterId.high >>> 0).toNumber(true) : message.clusterId;
            if (message.memberId != null && message.hasOwnProperty("memberId"))
                if (typeof message.memberId === "number")
                    object.memberId = options.longs === String ? String(message.memberId) : message.memberId;
                else
                    object.memberId = options.longs === String ? $util.Long.prototype.toString.call(message.memberId) : options.longs === Number ? new $util.LongBits(message.memberId.low >>> 0, message.memberId.high >>> 0).toNumber(true) : message.memberId;
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (typeof message.revision === "number")
                    object.revision = options.longs === String ? String(message.revision) : message.revision;
                else
                    object.revision = options.longs === String ? $util.Long.prototype.toString.call(message.revision) : options.longs === Number ? new $util.LongBits(message.revision.low >>> 0, message.revision.high >>> 0).toNumber() : message.revision;
            if (message.raftTerm != null && message.hasOwnProperty("raftTerm"))
                if (typeof message.raftTerm === "number")
                    object.raftTerm = options.longs === String ? String(message.raftTerm) : message.raftTerm;
                else
                    object.raftTerm = options.longs === String ? $util.Long.prototype.toString.call(message.raftTerm) : options.longs === Number ? new $util.LongBits(message.raftTerm.low >>> 0, message.raftTerm.high >>> 0).toNumber(true) : message.raftTerm;
            return object;
        };
        /**
         * Converts this ResponseHeader to JSON.
         * @function toJSON
         * @memberof etcdserverpb.ResponseHeader
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        ResponseHeader.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return ResponseHeader;
    })();
    etcdserverpb.RangeRequest = (function () {
        /**
         * Properties of a RangeRequest.
         * @memberof etcdserverpb
         * @interface IRangeRequest
         * @property {Uint8Array|null} [key] RangeRequest key
         * @property {Uint8Array|null} [rangeEnd] RangeRequest rangeEnd
         * @property {number|Long|null} [limit] RangeRequest limit
         * @property {number|Long|null} [revision] RangeRequest revision
         * @property {etcdserverpb.RangeRequest.SortOrder|null} [sortOrder] RangeRequest sortOrder
         * @property {etcdserverpb.RangeRequest.SortTarget|null} [sortTarget] RangeRequest sortTarget
         * @property {boolean|null} [serializable] RangeRequest serializable
         * @property {boolean|null} [keysOnly] RangeRequest keysOnly
         * @property {boolean|null} [countOnly] RangeRequest countOnly
         * @property {number|Long|null} [minModRevision] RangeRequest minModRevision
         * @property {number|Long|null} [maxModRevision] RangeRequest maxModRevision
         * @property {number|Long|null} [minCreateRevision] RangeRequest minCreateRevision
         * @property {number|Long|null} [maxCreateRevision] RangeRequest maxCreateRevision
         */
        /**
         * Constructs a new RangeRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a RangeRequest.
         * @implements IRangeRequest
         * @constructor
         * @param {etcdserverpb.IRangeRequest=} [properties] Properties to set
         */
        function RangeRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * RangeRequest key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.key = $util.newBuffer([]);
        /**
         * RangeRequest rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.rangeEnd = $util.newBuffer([]);
        /**
         * RangeRequest limit.
         * @member {number|Long} limit
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.limit = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * RangeRequest revision.
         * @member {number|Long} revision
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.revision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * RangeRequest sortOrder.
         * @member {etcdserverpb.RangeRequest.SortOrder} sortOrder
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.sortOrder = 0;
        /**
         * RangeRequest sortTarget.
         * @member {etcdserverpb.RangeRequest.SortTarget} sortTarget
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.sortTarget = 0;
        /**
         * RangeRequest serializable.
         * @member {boolean} serializable
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.serializable = false;
        /**
         * RangeRequest keysOnly.
         * @member {boolean} keysOnly
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.keysOnly = false;
        /**
         * RangeRequest countOnly.
         * @member {boolean} countOnly
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.countOnly = false;
        /**
         * RangeRequest minModRevision.
         * @member {number|Long} minModRevision
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.minModRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * RangeRequest maxModRevision.
         * @member {number|Long} maxModRevision
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.maxModRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * RangeRequest minCreateRevision.
         * @member {number|Long} minCreateRevision
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.minCreateRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * RangeRequest maxCreateRevision.
         * @member {number|Long} maxCreateRevision
         * @memberof etcdserverpb.RangeRequest
         * @instance
         */
        RangeRequest.prototype.maxCreateRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new RangeRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {etcdserverpb.IRangeRequest=} [properties] Properties to set
         * @returns {etcdserverpb.RangeRequest} RangeRequest instance
         */
        RangeRequest.create = function create(properties) {
            return new RangeRequest(properties);
        };
        /**
         * Encodes the specified RangeRequest message. Does not implicitly {@link etcdserverpb.RangeRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {etcdserverpb.IRangeRequest} message RangeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RangeRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.key);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.rangeEnd);
            if (message.limit != null && Object.hasOwnProperty.call(message, "limit"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.limit);
            if (message.revision != null && Object.hasOwnProperty.call(message, "revision"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).int64(message.revision);
            if (message.sortOrder != null && Object.hasOwnProperty.call(message, "sortOrder"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).int32(message.sortOrder);
            if (message.sortTarget != null && Object.hasOwnProperty.call(message, "sortTarget"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).int32(message.sortTarget);
            if (message.serializable != null && Object.hasOwnProperty.call(message, "serializable"))
                writer.uint32(/* id 7, wireType 0 =*/ 56).bool(message.serializable);
            if (message.keysOnly != null && Object.hasOwnProperty.call(message, "keysOnly"))
                writer.uint32(/* id 8, wireType 0 =*/ 64).bool(message.keysOnly);
            if (message.countOnly != null && Object.hasOwnProperty.call(message, "countOnly"))
                writer.uint32(/* id 9, wireType 0 =*/ 72).bool(message.countOnly);
            if (message.minModRevision != null && Object.hasOwnProperty.call(message, "minModRevision"))
                writer.uint32(/* id 10, wireType 0 =*/ 80).int64(message.minModRevision);
            if (message.maxModRevision != null && Object.hasOwnProperty.call(message, "maxModRevision"))
                writer.uint32(/* id 11, wireType 0 =*/ 88).int64(message.maxModRevision);
            if (message.minCreateRevision != null && Object.hasOwnProperty.call(message, "minCreateRevision"))
                writer.uint32(/* id 12, wireType 0 =*/ 96).int64(message.minCreateRevision);
            if (message.maxCreateRevision != null && Object.hasOwnProperty.call(message, "maxCreateRevision"))
                writer.uint32(/* id 13, wireType 0 =*/ 104).int64(message.maxCreateRevision);
            return writer;
        };
        /**
         * Encodes the specified RangeRequest message, length delimited. Does not implicitly {@link etcdserverpb.RangeRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {etcdserverpb.IRangeRequest} message RangeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RangeRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a RangeRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.RangeRequest} RangeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RangeRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.RangeRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.key = reader.bytes();
                        break;
                    case 2:
                        message.rangeEnd = reader.bytes();
                        break;
                    case 3:
                        message.limit = reader.int64();
                        break;
                    case 4:
                        message.revision = reader.int64();
                        break;
                    case 5:
                        message.sortOrder = reader.int32();
                        break;
                    case 6:
                        message.sortTarget = reader.int32();
                        break;
                    case 7:
                        message.serializable = reader.bool();
                        break;
                    case 8:
                        message.keysOnly = reader.bool();
                        break;
                    case 9:
                        message.countOnly = reader.bool();
                        break;
                    case 10:
                        message.minModRevision = reader.int64();
                        break;
                    case 11:
                        message.maxModRevision = reader.int64();
                        break;
                    case 12:
                        message.minCreateRevision = reader.int64();
                        break;
                    case 13:
                        message.maxCreateRevision = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a RangeRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.RangeRequest} RangeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RangeRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a RangeRequest message.
         * @function verify
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        RangeRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            if (message.limit != null && message.hasOwnProperty("limit"))
                if (!$util.isInteger(message.limit) && !(message.limit && $util.isInteger(message.limit.low) && $util.isInteger(message.limit.high)))
                    return "limit: integer|Long expected";
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (!$util.isInteger(message.revision) && !(message.revision && $util.isInteger(message.revision.low) && $util.isInteger(message.revision.high)))
                    return "revision: integer|Long expected";
            if (message.sortOrder != null && message.hasOwnProperty("sortOrder"))
                switch (message.sortOrder) {
                    default:
                        return "sortOrder: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            if (message.sortTarget != null && message.hasOwnProperty("sortTarget"))
                switch (message.sortTarget) {
                    default:
                        return "sortTarget: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                    case 3:
                    case 4:
                        break;
                }
            if (message.serializable != null && message.hasOwnProperty("serializable"))
                if (typeof message.serializable !== "boolean")
                    return "serializable: boolean expected";
            if (message.keysOnly != null && message.hasOwnProperty("keysOnly"))
                if (typeof message.keysOnly !== "boolean")
                    return "keysOnly: boolean expected";
            if (message.countOnly != null && message.hasOwnProperty("countOnly"))
                if (typeof message.countOnly !== "boolean")
                    return "countOnly: boolean expected";
            if (message.minModRevision != null && message.hasOwnProperty("minModRevision"))
                if (!$util.isInteger(message.minModRevision) && !(message.minModRevision && $util.isInteger(message.minModRevision.low) && $util.isInteger(message.minModRevision.high)))
                    return "minModRevision: integer|Long expected";
            if (message.maxModRevision != null && message.hasOwnProperty("maxModRevision"))
                if (!$util.isInteger(message.maxModRevision) && !(message.maxModRevision && $util.isInteger(message.maxModRevision.low) && $util.isInteger(message.maxModRevision.high)))
                    return "maxModRevision: integer|Long expected";
            if (message.minCreateRevision != null && message.hasOwnProperty("minCreateRevision"))
                if (!$util.isInteger(message.minCreateRevision) && !(message.minCreateRevision && $util.isInteger(message.minCreateRevision.low) && $util.isInteger(message.minCreateRevision.high)))
                    return "minCreateRevision: integer|Long expected";
            if (message.maxCreateRevision != null && message.hasOwnProperty("maxCreateRevision"))
                if (!$util.isInteger(message.maxCreateRevision) && !(message.maxCreateRevision && $util.isInteger(message.maxCreateRevision.low) && $util.isInteger(message.maxCreateRevision.high)))
                    return "maxCreateRevision: integer|Long expected";
            return null;
        };
        /**
         * Creates a RangeRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.RangeRequest} RangeRequest
         */
        RangeRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.RangeRequest)
                return object;
            let message = new $root.etcdserverpb.RangeRequest();
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            if (object.limit != null)
                if ($util.Long)
                    (message.limit = $util.Long.fromValue(object.limit)).unsigned = false;
                else if (typeof object.limit === "string")
                    message.limit = parseInt(object.limit, 10);
                else if (typeof object.limit === "number")
                    message.limit = object.limit;
                else if (typeof object.limit === "object")
                    message.limit = new $util.LongBits(object.limit.low >>> 0, object.limit.high >>> 0).toNumber();
            if (object.revision != null)
                if ($util.Long)
                    (message.revision = $util.Long.fromValue(object.revision)).unsigned = false;
                else if (typeof object.revision === "string")
                    message.revision = parseInt(object.revision, 10);
                else if (typeof object.revision === "number")
                    message.revision = object.revision;
                else if (typeof object.revision === "object")
                    message.revision = new $util.LongBits(object.revision.low >>> 0, object.revision.high >>> 0).toNumber();
            switch (object.sortOrder) {
                case "None":
                case 0:
                    message.sortOrder = 0;
                    break;
                case "Ascend":
                case 1:
                    message.sortOrder = 1;
                    break;
                case "Descend":
                case 2:
                    message.sortOrder = 2;
                    break;
            }
            switch (object.sortTarget) {
                case "Key":
                case 0:
                    message.sortTarget = 0;
                    break;
                case "Version":
                case 1:
                    message.sortTarget = 1;
                    break;
                case "Create":
                case 2:
                    message.sortTarget = 2;
                    break;
                case "Mod":
                case 3:
                    message.sortTarget = 3;
                    break;
                case "Value":
                case 4:
                    message.sortTarget = 4;
                    break;
            }
            if (object.serializable != null)
                message.serializable = Boolean(object.serializable);
            if (object.keysOnly != null)
                message.keysOnly = Boolean(object.keysOnly);
            if (object.countOnly != null)
                message.countOnly = Boolean(object.countOnly);
            if (object.minModRevision != null)
                if ($util.Long)
                    (message.minModRevision = $util.Long.fromValue(object.minModRevision)).unsigned = false;
                else if (typeof object.minModRevision === "string")
                    message.minModRevision = parseInt(object.minModRevision, 10);
                else if (typeof object.minModRevision === "number")
                    message.minModRevision = object.minModRevision;
                else if (typeof object.minModRevision === "object")
                    message.minModRevision = new $util.LongBits(object.minModRevision.low >>> 0, object.minModRevision.high >>> 0).toNumber();
            if (object.maxModRevision != null)
                if ($util.Long)
                    (message.maxModRevision = $util.Long.fromValue(object.maxModRevision)).unsigned = false;
                else if (typeof object.maxModRevision === "string")
                    message.maxModRevision = parseInt(object.maxModRevision, 10);
                else if (typeof object.maxModRevision === "number")
                    message.maxModRevision = object.maxModRevision;
                else if (typeof object.maxModRevision === "object")
                    message.maxModRevision = new $util.LongBits(object.maxModRevision.low >>> 0, object.maxModRevision.high >>> 0).toNumber();
            if (object.minCreateRevision != null)
                if ($util.Long)
                    (message.minCreateRevision = $util.Long.fromValue(object.minCreateRevision)).unsigned = false;
                else if (typeof object.minCreateRevision === "string")
                    message.minCreateRevision = parseInt(object.minCreateRevision, 10);
                else if (typeof object.minCreateRevision === "number")
                    message.minCreateRevision = object.minCreateRevision;
                else if (typeof object.minCreateRevision === "object")
                    message.minCreateRevision = new $util.LongBits(object.minCreateRevision.low >>> 0, object.minCreateRevision.high >>> 0).toNumber();
            if (object.maxCreateRevision != null)
                if ($util.Long)
                    (message.maxCreateRevision = $util.Long.fromValue(object.maxCreateRevision)).unsigned = false;
                else if (typeof object.maxCreateRevision === "string")
                    message.maxCreateRevision = parseInt(object.maxCreateRevision, 10);
                else if (typeof object.maxCreateRevision === "number")
                    message.maxCreateRevision = object.maxCreateRevision;
                else if (typeof object.maxCreateRevision === "object")
                    message.maxCreateRevision = new $util.LongBits(object.maxCreateRevision.low >>> 0, object.maxCreateRevision.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a RangeRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.RangeRequest
         * @static
         * @param {etcdserverpb.RangeRequest} message RangeRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        RangeRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.limit = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.limit = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.revision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.revision = options.longs === String ? "0" : 0;
                object.sortOrder = options.enums === String ? "None" : 0;
                object.sortTarget = options.enums === String ? "Key" : 0;
                object.serializable = false;
                object.keysOnly = false;
                object.countOnly = false;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.minModRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.minModRevision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.maxModRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.maxModRevision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.minCreateRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.minCreateRevision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.maxCreateRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.maxCreateRevision = options.longs === String ? "0" : 0;
            }
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            if (message.limit != null && message.hasOwnProperty("limit"))
                if (typeof message.limit === "number")
                    object.limit = options.longs === String ? String(message.limit) : message.limit;
                else
                    object.limit = options.longs === String ? $util.Long.prototype.toString.call(message.limit) : options.longs === Number ? new $util.LongBits(message.limit.low >>> 0, message.limit.high >>> 0).toNumber() : message.limit;
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (typeof message.revision === "number")
                    object.revision = options.longs === String ? String(message.revision) : message.revision;
                else
                    object.revision = options.longs === String ? $util.Long.prototype.toString.call(message.revision) : options.longs === Number ? new $util.LongBits(message.revision.low >>> 0, message.revision.high >>> 0).toNumber() : message.revision;
            if (message.sortOrder != null && message.hasOwnProperty("sortOrder"))
                object.sortOrder = options.enums === String ? $root.etcdserverpb.RangeRequest.SortOrder[message.sortOrder] : message.sortOrder;
            if (message.sortTarget != null && message.hasOwnProperty("sortTarget"))
                object.sortTarget = options.enums === String ? $root.etcdserverpb.RangeRequest.SortTarget[message.sortTarget] : message.sortTarget;
            if (message.serializable != null && message.hasOwnProperty("serializable"))
                object.serializable = message.serializable;
            if (message.keysOnly != null && message.hasOwnProperty("keysOnly"))
                object.keysOnly = message.keysOnly;
            if (message.countOnly != null && message.hasOwnProperty("countOnly"))
                object.countOnly = message.countOnly;
            if (message.minModRevision != null && message.hasOwnProperty("minModRevision"))
                if (typeof message.minModRevision === "number")
                    object.minModRevision = options.longs === String ? String(message.minModRevision) : message.minModRevision;
                else
                    object.minModRevision = options.longs === String ? $util.Long.prototype.toString.call(message.minModRevision) : options.longs === Number ? new $util.LongBits(message.minModRevision.low >>> 0, message.minModRevision.high >>> 0).toNumber() : message.minModRevision;
            if (message.maxModRevision != null && message.hasOwnProperty("maxModRevision"))
                if (typeof message.maxModRevision === "number")
                    object.maxModRevision = options.longs === String ? String(message.maxModRevision) : message.maxModRevision;
                else
                    object.maxModRevision = options.longs === String ? $util.Long.prototype.toString.call(message.maxModRevision) : options.longs === Number ? new $util.LongBits(message.maxModRevision.low >>> 0, message.maxModRevision.high >>> 0).toNumber() : message.maxModRevision;
            if (message.minCreateRevision != null && message.hasOwnProperty("minCreateRevision"))
                if (typeof message.minCreateRevision === "number")
                    object.minCreateRevision = options.longs === String ? String(message.minCreateRevision) : message.minCreateRevision;
                else
                    object.minCreateRevision = options.longs === String ? $util.Long.prototype.toString.call(message.minCreateRevision) : options.longs === Number ? new $util.LongBits(message.minCreateRevision.low >>> 0, message.minCreateRevision.high >>> 0).toNumber() : message.minCreateRevision;
            if (message.maxCreateRevision != null && message.hasOwnProperty("maxCreateRevision"))
                if (typeof message.maxCreateRevision === "number")
                    object.maxCreateRevision = options.longs === String ? String(message.maxCreateRevision) : message.maxCreateRevision;
                else
                    object.maxCreateRevision = options.longs === String ? $util.Long.prototype.toString.call(message.maxCreateRevision) : options.longs === Number ? new $util.LongBits(message.maxCreateRevision.low >>> 0, message.maxCreateRevision.high >>> 0).toNumber() : message.maxCreateRevision;
            return object;
        };
        /**
         * Converts this RangeRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.RangeRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        RangeRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * SortOrder enum.
         * @name etcdserverpb.RangeRequest.SortOrder
         * @enum {number}
         * @property {number} None=0 None value
         * @property {number} Ascend=1 Ascend value
         * @property {number} Descend=2 Descend value
         */
        RangeRequest.SortOrder = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "None"] = 0;
            values[valuesById[1] = "Ascend"] = 1;
            values[valuesById[2] = "Descend"] = 2;
            return values;
        })();
        /**
         * SortTarget enum.
         * @name etcdserverpb.RangeRequest.SortTarget
         * @enum {number}
         * @property {number} Key=0 Key value
         * @property {number} Version=1 Version value
         * @property {number} Create=2 Create value
         * @property {number} Mod=3 Mod value
         * @property {number} Value=4 Value value
         */
        RangeRequest.SortTarget = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Key"] = 0;
            values[valuesById[1] = "Version"] = 1;
            values[valuesById[2] = "Create"] = 2;
            values[valuesById[3] = "Mod"] = 3;
            values[valuesById[4] = "Value"] = 4;
            return values;
        })();
        return RangeRequest;
    })();
    etcdserverpb.RangeResponse = (function () {
        /**
         * Properties of a RangeResponse.
         * @memberof etcdserverpb
         * @interface IRangeResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] RangeResponse header
         * @property {Array.<mvccpb.IKeyValue>|null} [kvs] RangeResponse kvs
         * @property {boolean|null} [more] RangeResponse more
         * @property {number|Long|null} [count] RangeResponse count
         */
        /**
         * Constructs a new RangeResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a RangeResponse.
         * @implements IRangeResponse
         * @constructor
         * @param {etcdserverpb.IRangeResponse=} [properties] Properties to set
         */
        function RangeResponse(properties) {
            this.kvs = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * RangeResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.RangeResponse
         * @instance
         */
        RangeResponse.prototype.header = null;
        /**
         * RangeResponse kvs.
         * @member {Array.<mvccpb.IKeyValue>} kvs
         * @memberof etcdserverpb.RangeResponse
         * @instance
         */
        RangeResponse.prototype.kvs = $util.emptyArray;
        /**
         * RangeResponse more.
         * @member {boolean} more
         * @memberof etcdserverpb.RangeResponse
         * @instance
         */
        RangeResponse.prototype.more = false;
        /**
         * RangeResponse count.
         * @member {number|Long} count
         * @memberof etcdserverpb.RangeResponse
         * @instance
         */
        RangeResponse.prototype.count = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new RangeResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {etcdserverpb.IRangeResponse=} [properties] Properties to set
         * @returns {etcdserverpb.RangeResponse} RangeResponse instance
         */
        RangeResponse.create = function create(properties) {
            return new RangeResponse(properties);
        };
        /**
         * Encodes the specified RangeResponse message. Does not implicitly {@link etcdserverpb.RangeResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {etcdserverpb.IRangeResponse} message RangeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RangeResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.kvs != null && message.kvs.length)
                for (let i = 0; i < message.kvs.length; ++i)
                    $root.mvccpb.KeyValue.encode(message.kvs[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.more != null && Object.hasOwnProperty.call(message, "more"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).bool(message.more);
            if (message.count != null && Object.hasOwnProperty.call(message, "count"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).int64(message.count);
            return writer;
        };
        /**
         * Encodes the specified RangeResponse message, length delimited. Does not implicitly {@link etcdserverpb.RangeResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {etcdserverpb.IRangeResponse} message RangeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RangeResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a RangeResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.RangeResponse} RangeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RangeResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.RangeResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.kvs && message.kvs.length))
                            message.kvs = [];
                        message.kvs.push($root.mvccpb.KeyValue.decode(reader, reader.uint32()));
                        break;
                    case 3:
                        message.more = reader.bool();
                        break;
                    case 4:
                        message.count = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a RangeResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.RangeResponse} RangeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RangeResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a RangeResponse message.
         * @function verify
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        RangeResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.kvs != null && message.hasOwnProperty("kvs")) {
                if (!Array.isArray(message.kvs))
                    return "kvs: array expected";
                for (let i = 0; i < message.kvs.length; ++i) {
                    let error = $root.mvccpb.KeyValue.verify(message.kvs[i]);
                    if (error)
                        return "kvs." + error;
                }
            }
            if (message.more != null && message.hasOwnProperty("more"))
                if (typeof message.more !== "boolean")
                    return "more: boolean expected";
            if (message.count != null && message.hasOwnProperty("count"))
                if (!$util.isInteger(message.count) && !(message.count && $util.isInteger(message.count.low) && $util.isInteger(message.count.high)))
                    return "count: integer|Long expected";
            return null;
        };
        /**
         * Creates a RangeResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.RangeResponse} RangeResponse
         */
        RangeResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.RangeResponse)
                return object;
            let message = new $root.etcdserverpb.RangeResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.RangeResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.kvs) {
                if (!Array.isArray(object.kvs))
                    throw TypeError(".etcdserverpb.RangeResponse.kvs: array expected");
                message.kvs = [];
                for (let i = 0; i < object.kvs.length; ++i) {
                    if (typeof object.kvs[i] !== "object")
                        throw TypeError(".etcdserverpb.RangeResponse.kvs: object expected");
                    message.kvs[i] = $root.mvccpb.KeyValue.fromObject(object.kvs[i]);
                }
            }
            if (object.more != null)
                message.more = Boolean(object.more);
            if (object.count != null)
                if ($util.Long)
                    (message.count = $util.Long.fromValue(object.count)).unsigned = false;
                else if (typeof object.count === "string")
                    message.count = parseInt(object.count, 10);
                else if (typeof object.count === "number")
                    message.count = object.count;
                else if (typeof object.count === "object")
                    message.count = new $util.LongBits(object.count.low >>> 0, object.count.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a RangeResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.RangeResponse
         * @static
         * @param {etcdserverpb.RangeResponse} message RangeResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        RangeResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.kvs = [];
            if (options.defaults) {
                object.header = null;
                object.more = false;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.count = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.count = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.kvs && message.kvs.length) {
                object.kvs = [];
                for (let j = 0; j < message.kvs.length; ++j)
                    object.kvs[j] = $root.mvccpb.KeyValue.toObject(message.kvs[j], options);
            }
            if (message.more != null && message.hasOwnProperty("more"))
                object.more = message.more;
            if (message.count != null && message.hasOwnProperty("count"))
                if (typeof message.count === "number")
                    object.count = options.longs === String ? String(message.count) : message.count;
                else
                    object.count = options.longs === String ? $util.Long.prototype.toString.call(message.count) : options.longs === Number ? new $util.LongBits(message.count.low >>> 0, message.count.high >>> 0).toNumber() : message.count;
            return object;
        };
        /**
         * Converts this RangeResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.RangeResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        RangeResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return RangeResponse;
    })();
    etcdserverpb.PutRequest = (function () {
        /**
         * Properties of a PutRequest.
         * @memberof etcdserverpb
         * @interface IPutRequest
         * @property {Uint8Array|null} [key] PutRequest key
         * @property {Uint8Array|null} [value] PutRequest value
         * @property {number|Long|null} [lease] PutRequest lease
         * @property {boolean|null} [prevKv] PutRequest prevKv
         * @property {boolean|null} [ignoreValue] PutRequest ignoreValue
         * @property {boolean|null} [ignoreLease] PutRequest ignoreLease
         */
        /**
         * Constructs a new PutRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a PutRequest.
         * @implements IPutRequest
         * @constructor
         * @param {etcdserverpb.IPutRequest=} [properties] Properties to set
         */
        function PutRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * PutRequest key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.key = $util.newBuffer([]);
        /**
         * PutRequest value.
         * @member {Uint8Array} value
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.value = $util.newBuffer([]);
        /**
         * PutRequest lease.
         * @member {number|Long} lease
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.lease = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * PutRequest prevKv.
         * @member {boolean} prevKv
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.prevKv = false;
        /**
         * PutRequest ignoreValue.
         * @member {boolean} ignoreValue
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.ignoreValue = false;
        /**
         * PutRequest ignoreLease.
         * @member {boolean} ignoreLease
         * @memberof etcdserverpb.PutRequest
         * @instance
         */
        PutRequest.prototype.ignoreLease = false;
        /**
         * Creates a new PutRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {etcdserverpb.IPutRequest=} [properties] Properties to set
         * @returns {etcdserverpb.PutRequest} PutRequest instance
         */
        PutRequest.create = function create(properties) {
            return new PutRequest(properties);
        };
        /**
         * Encodes the specified PutRequest message. Does not implicitly {@link etcdserverpb.PutRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {etcdserverpb.IPutRequest} message PutRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        PutRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.key);
            if (message.value != null && Object.hasOwnProperty.call(message, "value"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.value);
            if (message.lease != null && Object.hasOwnProperty.call(message, "lease"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.lease);
            if (message.prevKv != null && Object.hasOwnProperty.call(message, "prevKv"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).bool(message.prevKv);
            if (message.ignoreValue != null && Object.hasOwnProperty.call(message, "ignoreValue"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).bool(message.ignoreValue);
            if (message.ignoreLease != null && Object.hasOwnProperty.call(message, "ignoreLease"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).bool(message.ignoreLease);
            return writer;
        };
        /**
         * Encodes the specified PutRequest message, length delimited. Does not implicitly {@link etcdserverpb.PutRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {etcdserverpb.IPutRequest} message PutRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        PutRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a PutRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.PutRequest} PutRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        PutRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.PutRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.key = reader.bytes();
                        break;
                    case 2:
                        message.value = reader.bytes();
                        break;
                    case 3:
                        message.lease = reader.int64();
                        break;
                    case 4:
                        message.prevKv = reader.bool();
                        break;
                    case 5:
                        message.ignoreValue = reader.bool();
                        break;
                    case 6:
                        message.ignoreLease = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a PutRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.PutRequest} PutRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        PutRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a PutRequest message.
         * @function verify
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        PutRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.value != null && message.hasOwnProperty("value"))
                if (!(message.value && typeof message.value.length === "number" || $util.isString(message.value)))
                    return "value: buffer expected";
            if (message.lease != null && message.hasOwnProperty("lease"))
                if (!$util.isInteger(message.lease) && !(message.lease && $util.isInteger(message.lease.low) && $util.isInteger(message.lease.high)))
                    return "lease: integer|Long expected";
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                if (typeof message.prevKv !== "boolean")
                    return "prevKv: boolean expected";
            if (message.ignoreValue != null && message.hasOwnProperty("ignoreValue"))
                if (typeof message.ignoreValue !== "boolean")
                    return "ignoreValue: boolean expected";
            if (message.ignoreLease != null && message.hasOwnProperty("ignoreLease"))
                if (typeof message.ignoreLease !== "boolean")
                    return "ignoreLease: boolean expected";
            return null;
        };
        /**
         * Creates a PutRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.PutRequest} PutRequest
         */
        PutRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.PutRequest)
                return object;
            let message = new $root.etcdserverpb.PutRequest();
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.value != null)
                if (typeof object.value === "string")
                    $util.base64.decode(object.value, message.value = $util.newBuffer($util.base64.length(object.value)), 0);
                else if (object.value.length)
                    message.value = object.value;
            if (object.lease != null)
                if ($util.Long)
                    (message.lease = $util.Long.fromValue(object.lease)).unsigned = false;
                else if (typeof object.lease === "string")
                    message.lease = parseInt(object.lease, 10);
                else if (typeof object.lease === "number")
                    message.lease = object.lease;
                else if (typeof object.lease === "object")
                    message.lease = new $util.LongBits(object.lease.low >>> 0, object.lease.high >>> 0).toNumber();
            if (object.prevKv != null)
                message.prevKv = Boolean(object.prevKv);
            if (object.ignoreValue != null)
                message.ignoreValue = Boolean(object.ignoreValue);
            if (object.ignoreLease != null)
                message.ignoreLease = Boolean(object.ignoreLease);
            return message;
        };
        /**
         * Creates a plain object from a PutRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.PutRequest
         * @static
         * @param {etcdserverpb.PutRequest} message PutRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        PutRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.value = "";
                else {
                    object.value = [];
                    if (options.bytes !== Array)
                        object.value = $util.newBuffer(object.value);
                }
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.lease = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.lease = options.longs === String ? "0" : 0;
                object.prevKv = false;
                object.ignoreValue = false;
                object.ignoreLease = false;
            }
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.value != null && message.hasOwnProperty("value"))
                object.value = options.bytes === String ? $util.base64.encode(message.value, 0, message.value.length) : options.bytes === Array ? Array.prototype.slice.call(message.value) : message.value;
            if (message.lease != null && message.hasOwnProperty("lease"))
                if (typeof message.lease === "number")
                    object.lease = options.longs === String ? String(message.lease) : message.lease;
                else
                    object.lease = options.longs === String ? $util.Long.prototype.toString.call(message.lease) : options.longs === Number ? new $util.LongBits(message.lease.low >>> 0, message.lease.high >>> 0).toNumber() : message.lease;
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                object.prevKv = message.prevKv;
            if (message.ignoreValue != null && message.hasOwnProperty("ignoreValue"))
                object.ignoreValue = message.ignoreValue;
            if (message.ignoreLease != null && message.hasOwnProperty("ignoreLease"))
                object.ignoreLease = message.ignoreLease;
            return object;
        };
        /**
         * Converts this PutRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.PutRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        PutRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return PutRequest;
    })();
    etcdserverpb.PutResponse = (function () {
        /**
         * Properties of a PutResponse.
         * @memberof etcdserverpb
         * @interface IPutResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] PutResponse header
         * @property {mvccpb.IKeyValue|null} [prevKv] PutResponse prevKv
         */
        /**
         * Constructs a new PutResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a PutResponse.
         * @implements IPutResponse
         * @constructor
         * @param {etcdserverpb.IPutResponse=} [properties] Properties to set
         */
        function PutResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * PutResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.PutResponse
         * @instance
         */
        PutResponse.prototype.header = null;
        /**
         * PutResponse prevKv.
         * @member {mvccpb.IKeyValue|null|undefined} prevKv
         * @memberof etcdserverpb.PutResponse
         * @instance
         */
        PutResponse.prototype.prevKv = null;
        /**
         * Creates a new PutResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {etcdserverpb.IPutResponse=} [properties] Properties to set
         * @returns {etcdserverpb.PutResponse} PutResponse instance
         */
        PutResponse.create = function create(properties) {
            return new PutResponse(properties);
        };
        /**
         * Encodes the specified PutResponse message. Does not implicitly {@link etcdserverpb.PutResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {etcdserverpb.IPutResponse} message PutResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        PutResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.prevKv != null && Object.hasOwnProperty.call(message, "prevKv"))
                $root.mvccpb.KeyValue.encode(message.prevKv, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified PutResponse message, length delimited. Does not implicitly {@link etcdserverpb.PutResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {etcdserverpb.IPutResponse} message PutResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        PutResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a PutResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.PutResponse} PutResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        PutResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.PutResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.prevKv = $root.mvccpb.KeyValue.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a PutResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.PutResponse} PutResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        PutResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a PutResponse message.
         * @function verify
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        PutResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.prevKv != null && message.hasOwnProperty("prevKv")) {
                let error = $root.mvccpb.KeyValue.verify(message.prevKv);
                if (error)
                    return "prevKv." + error;
            }
            return null;
        };
        /**
         * Creates a PutResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.PutResponse} PutResponse
         */
        PutResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.PutResponse)
                return object;
            let message = new $root.etcdserverpb.PutResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.PutResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.prevKv != null) {
                if (typeof object.prevKv !== "object")
                    throw TypeError(".etcdserverpb.PutResponse.prevKv: object expected");
                message.prevKv = $root.mvccpb.KeyValue.fromObject(object.prevKv);
            }
            return message;
        };
        /**
         * Creates a plain object from a PutResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.PutResponse
         * @static
         * @param {etcdserverpb.PutResponse} message PutResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        PutResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.prevKv = null;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                object.prevKv = $root.mvccpb.KeyValue.toObject(message.prevKv, options);
            return object;
        };
        /**
         * Converts this PutResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.PutResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        PutResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return PutResponse;
    })();
    etcdserverpb.DeleteRangeRequest = (function () {
        /**
         * Properties of a DeleteRangeRequest.
         * @memberof etcdserverpb
         * @interface IDeleteRangeRequest
         * @property {Uint8Array|null} [key] DeleteRangeRequest key
         * @property {Uint8Array|null} [rangeEnd] DeleteRangeRequest rangeEnd
         * @property {boolean|null} [prevKv] DeleteRangeRequest prevKv
         */
        /**
         * Constructs a new DeleteRangeRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a DeleteRangeRequest.
         * @implements IDeleteRangeRequest
         * @constructor
         * @param {etcdserverpb.IDeleteRangeRequest=} [properties] Properties to set
         */
        function DeleteRangeRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * DeleteRangeRequest key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.DeleteRangeRequest
         * @instance
         */
        DeleteRangeRequest.prototype.key = $util.newBuffer([]);
        /**
         * DeleteRangeRequest rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof etcdserverpb.DeleteRangeRequest
         * @instance
         */
        DeleteRangeRequest.prototype.rangeEnd = $util.newBuffer([]);
        /**
         * DeleteRangeRequest prevKv.
         * @member {boolean} prevKv
         * @memberof etcdserverpb.DeleteRangeRequest
         * @instance
         */
        DeleteRangeRequest.prototype.prevKv = false;
        /**
         * Creates a new DeleteRangeRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {etcdserverpb.IDeleteRangeRequest=} [properties] Properties to set
         * @returns {etcdserverpb.DeleteRangeRequest} DeleteRangeRequest instance
         */
        DeleteRangeRequest.create = function create(properties) {
            return new DeleteRangeRequest(properties);
        };
        /**
         * Encodes the specified DeleteRangeRequest message. Does not implicitly {@link etcdserverpb.DeleteRangeRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {etcdserverpb.IDeleteRangeRequest} message DeleteRangeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DeleteRangeRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.key);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.rangeEnd);
            if (message.prevKv != null && Object.hasOwnProperty.call(message, "prevKv"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).bool(message.prevKv);
            return writer;
        };
        /**
         * Encodes the specified DeleteRangeRequest message, length delimited. Does not implicitly {@link etcdserverpb.DeleteRangeRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {etcdserverpb.IDeleteRangeRequest} message DeleteRangeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DeleteRangeRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DeleteRangeRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DeleteRangeRequest} DeleteRangeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DeleteRangeRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DeleteRangeRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.key = reader.bytes();
                        break;
                    case 2:
                        message.rangeEnd = reader.bytes();
                        break;
                    case 3:
                        message.prevKv = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DeleteRangeRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DeleteRangeRequest} DeleteRangeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DeleteRangeRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DeleteRangeRequest message.
         * @function verify
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DeleteRangeRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                if (typeof message.prevKv !== "boolean")
                    return "prevKv: boolean expected";
            return null;
        };
        /**
         * Creates a DeleteRangeRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DeleteRangeRequest} DeleteRangeRequest
         */
        DeleteRangeRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DeleteRangeRequest)
                return object;
            let message = new $root.etcdserverpb.DeleteRangeRequest();
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            if (object.prevKv != null)
                message.prevKv = Boolean(object.prevKv);
            return message;
        };
        /**
         * Creates a plain object from a DeleteRangeRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DeleteRangeRequest
         * @static
         * @param {etcdserverpb.DeleteRangeRequest} message DeleteRangeRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DeleteRangeRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
                object.prevKv = false;
            }
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                object.prevKv = message.prevKv;
            return object;
        };
        /**
         * Converts this DeleteRangeRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DeleteRangeRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DeleteRangeRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return DeleteRangeRequest;
    })();
    etcdserverpb.DeleteRangeResponse = (function () {
        /**
         * Properties of a DeleteRangeResponse.
         * @memberof etcdserverpb
         * @interface IDeleteRangeResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] DeleteRangeResponse header
         * @property {number|Long|null} [deleted] DeleteRangeResponse deleted
         * @property {Array.<mvccpb.IKeyValue>|null} [prevKvs] DeleteRangeResponse prevKvs
         */
        /**
         * Constructs a new DeleteRangeResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a DeleteRangeResponse.
         * @implements IDeleteRangeResponse
         * @constructor
         * @param {etcdserverpb.IDeleteRangeResponse=} [properties] Properties to set
         */
        function DeleteRangeResponse(properties) {
            this.prevKvs = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * DeleteRangeResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.DeleteRangeResponse
         * @instance
         */
        DeleteRangeResponse.prototype.header = null;
        /**
         * DeleteRangeResponse deleted.
         * @member {number|Long} deleted
         * @memberof etcdserverpb.DeleteRangeResponse
         * @instance
         */
        DeleteRangeResponse.prototype.deleted = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * DeleteRangeResponse prevKvs.
         * @member {Array.<mvccpb.IKeyValue>} prevKvs
         * @memberof etcdserverpb.DeleteRangeResponse
         * @instance
         */
        DeleteRangeResponse.prototype.prevKvs = $util.emptyArray;
        /**
         * Creates a new DeleteRangeResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {etcdserverpb.IDeleteRangeResponse=} [properties] Properties to set
         * @returns {etcdserverpb.DeleteRangeResponse} DeleteRangeResponse instance
         */
        DeleteRangeResponse.create = function create(properties) {
            return new DeleteRangeResponse(properties);
        };
        /**
         * Encodes the specified DeleteRangeResponse message. Does not implicitly {@link etcdserverpb.DeleteRangeResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {etcdserverpb.IDeleteRangeResponse} message DeleteRangeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DeleteRangeResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.deleted != null && Object.hasOwnProperty.call(message, "deleted"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.deleted);
            if (message.prevKvs != null && message.prevKvs.length)
                for (let i = 0; i < message.prevKvs.length; ++i)
                    $root.mvccpb.KeyValue.encode(message.prevKvs[i], writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified DeleteRangeResponse message, length delimited. Does not implicitly {@link etcdserverpb.DeleteRangeResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {etcdserverpb.IDeleteRangeResponse} message DeleteRangeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DeleteRangeResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DeleteRangeResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DeleteRangeResponse} DeleteRangeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DeleteRangeResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DeleteRangeResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.deleted = reader.int64();
                        break;
                    case 3:
                        if (!(message.prevKvs && message.prevKvs.length))
                            message.prevKvs = [];
                        message.prevKvs.push($root.mvccpb.KeyValue.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DeleteRangeResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DeleteRangeResponse} DeleteRangeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DeleteRangeResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DeleteRangeResponse message.
         * @function verify
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DeleteRangeResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.deleted != null && message.hasOwnProperty("deleted"))
                if (!$util.isInteger(message.deleted) && !(message.deleted && $util.isInteger(message.deleted.low) && $util.isInteger(message.deleted.high)))
                    return "deleted: integer|Long expected";
            if (message.prevKvs != null && message.hasOwnProperty("prevKvs")) {
                if (!Array.isArray(message.prevKvs))
                    return "prevKvs: array expected";
                for (let i = 0; i < message.prevKvs.length; ++i) {
                    let error = $root.mvccpb.KeyValue.verify(message.prevKvs[i]);
                    if (error)
                        return "prevKvs." + error;
                }
            }
            return null;
        };
        /**
         * Creates a DeleteRangeResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DeleteRangeResponse} DeleteRangeResponse
         */
        DeleteRangeResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DeleteRangeResponse)
                return object;
            let message = new $root.etcdserverpb.DeleteRangeResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.DeleteRangeResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.deleted != null)
                if ($util.Long)
                    (message.deleted = $util.Long.fromValue(object.deleted)).unsigned = false;
                else if (typeof object.deleted === "string")
                    message.deleted = parseInt(object.deleted, 10);
                else if (typeof object.deleted === "number")
                    message.deleted = object.deleted;
                else if (typeof object.deleted === "object")
                    message.deleted = new $util.LongBits(object.deleted.low >>> 0, object.deleted.high >>> 0).toNumber();
            if (object.prevKvs) {
                if (!Array.isArray(object.prevKvs))
                    throw TypeError(".etcdserverpb.DeleteRangeResponse.prevKvs: array expected");
                message.prevKvs = [];
                for (let i = 0; i < object.prevKvs.length; ++i) {
                    if (typeof object.prevKvs[i] !== "object")
                        throw TypeError(".etcdserverpb.DeleteRangeResponse.prevKvs: object expected");
                    message.prevKvs[i] = $root.mvccpb.KeyValue.fromObject(object.prevKvs[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a DeleteRangeResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DeleteRangeResponse
         * @static
         * @param {etcdserverpb.DeleteRangeResponse} message DeleteRangeResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DeleteRangeResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.prevKvs = [];
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.deleted = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.deleted = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.deleted != null && message.hasOwnProperty("deleted"))
                if (typeof message.deleted === "number")
                    object.deleted = options.longs === String ? String(message.deleted) : message.deleted;
                else
                    object.deleted = options.longs === String ? $util.Long.prototype.toString.call(message.deleted) : options.longs === Number ? new $util.LongBits(message.deleted.low >>> 0, message.deleted.high >>> 0).toNumber() : message.deleted;
            if (message.prevKvs && message.prevKvs.length) {
                object.prevKvs = [];
                for (let j = 0; j < message.prevKvs.length; ++j)
                    object.prevKvs[j] = $root.mvccpb.KeyValue.toObject(message.prevKvs[j], options);
            }
            return object;
        };
        /**
         * Converts this DeleteRangeResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DeleteRangeResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DeleteRangeResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return DeleteRangeResponse;
    })();
    etcdserverpb.RequestOp = (function () {
        /**
         * Properties of a RequestOp.
         * @memberof etcdserverpb
         * @interface IRequestOp
         * @property {etcdserverpb.IRangeRequest|null} [requestRange] RequestOp requestRange
         * @property {etcdserverpb.IPutRequest|null} [requestPut] RequestOp requestPut
         * @property {etcdserverpb.IDeleteRangeRequest|null} [requestDeleteRange] RequestOp requestDeleteRange
         * @property {etcdserverpb.ITxnRequest|null} [requestTxn] RequestOp requestTxn
         */
        /**
         * Constructs a new RequestOp.
         * @memberof etcdserverpb
         * @classdesc Represents a RequestOp.
         * @implements IRequestOp
         * @constructor
         * @param {etcdserverpb.IRequestOp=} [properties] Properties to set
         */
        function RequestOp(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * RequestOp requestRange.
         * @member {etcdserverpb.IRangeRequest|null|undefined} requestRange
         * @memberof etcdserverpb.RequestOp
         * @instance
         */
        RequestOp.prototype.requestRange = null;
        /**
         * RequestOp requestPut.
         * @member {etcdserverpb.IPutRequest|null|undefined} requestPut
         * @memberof etcdserverpb.RequestOp
         * @instance
         */
        RequestOp.prototype.requestPut = null;
        /**
         * RequestOp requestDeleteRange.
         * @member {etcdserverpb.IDeleteRangeRequest|null|undefined} requestDeleteRange
         * @memberof etcdserverpb.RequestOp
         * @instance
         */
        RequestOp.prototype.requestDeleteRange = null;
        /**
         * RequestOp requestTxn.
         * @member {etcdserverpb.ITxnRequest|null|undefined} requestTxn
         * @memberof etcdserverpb.RequestOp
         * @instance
         */
        RequestOp.prototype.requestTxn = null;
        // OneOf field names bound to virtual getters and setters
        let $oneOfFields;
        /**
         * RequestOp request.
         * @member {"requestRange"|"requestPut"|"requestDeleteRange"|"requestTxn"|undefined} request
         * @memberof etcdserverpb.RequestOp
         * @instance
         */
        Object.defineProperty(RequestOp.prototype, "request", {
            get: $util.oneOfGetter($oneOfFields = ["requestRange", "requestPut", "requestDeleteRange", "requestTxn"]),
            set: $util.oneOfSetter($oneOfFields)
        });
        /**
         * Creates a new RequestOp instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {etcdserverpb.IRequestOp=} [properties] Properties to set
         * @returns {etcdserverpb.RequestOp} RequestOp instance
         */
        RequestOp.create = function create(properties) {
            return new RequestOp(properties);
        };
        /**
         * Encodes the specified RequestOp message. Does not implicitly {@link etcdserverpb.RequestOp.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {etcdserverpb.IRequestOp} message RequestOp message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RequestOp.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.requestRange != null && Object.hasOwnProperty.call(message, "requestRange"))
                $root.etcdserverpb.RangeRequest.encode(message.requestRange, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.requestPut != null && Object.hasOwnProperty.call(message, "requestPut"))
                $root.etcdserverpb.PutRequest.encode(message.requestPut, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.requestDeleteRange != null && Object.hasOwnProperty.call(message, "requestDeleteRange"))
                $root.etcdserverpb.DeleteRangeRequest.encode(message.requestDeleteRange, writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            if (message.requestTxn != null && Object.hasOwnProperty.call(message, "requestTxn"))
                $root.etcdserverpb.TxnRequest.encode(message.requestTxn, writer.uint32(/* id 4, wireType 2 =*/ 34).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified RequestOp message, length delimited. Does not implicitly {@link etcdserverpb.RequestOp.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {etcdserverpb.IRequestOp} message RequestOp message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        RequestOp.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a RequestOp message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.RequestOp} RequestOp
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RequestOp.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.RequestOp();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.requestRange = $root.etcdserverpb.RangeRequest.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.requestPut = $root.etcdserverpb.PutRequest.decode(reader, reader.uint32());
                        break;
                    case 3:
                        message.requestDeleteRange = $root.etcdserverpb.DeleteRangeRequest.decode(reader, reader.uint32());
                        break;
                    case 4:
                        message.requestTxn = $root.etcdserverpb.TxnRequest.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a RequestOp message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.RequestOp} RequestOp
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        RequestOp.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a RequestOp message.
         * @function verify
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        RequestOp.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            let properties = {};
            if (message.requestRange != null && message.hasOwnProperty("requestRange")) {
                properties.request = 1;
                {
                    let error = $root.etcdserverpb.RangeRequest.verify(message.requestRange);
                    if (error)
                        return "requestRange." + error;
                }
            }
            if (message.requestPut != null && message.hasOwnProperty("requestPut")) {
                if (properties.request === 1)
                    return "request: multiple values";
                properties.request = 1;
                {
                    let error = $root.etcdserverpb.PutRequest.verify(message.requestPut);
                    if (error)
                        return "requestPut." + error;
                }
            }
            if (message.requestDeleteRange != null && message.hasOwnProperty("requestDeleteRange")) {
                if (properties.request === 1)
                    return "request: multiple values";
                properties.request = 1;
                {
                    let error = $root.etcdserverpb.DeleteRangeRequest.verify(message.requestDeleteRange);
                    if (error)
                        return "requestDeleteRange." + error;
                }
            }
            if (message.requestTxn != null && message.hasOwnProperty("requestTxn")) {
                if (properties.request === 1)
                    return "request: multiple values";
                properties.request = 1;
                {
                    let error = $root.etcdserverpb.TxnRequest.verify(message.requestTxn);
                    if (error)
                        return "requestTxn." + error;
                }
            }
            return null;
        };
        /**
         * Creates a RequestOp message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.RequestOp} RequestOp
         */
        RequestOp.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.RequestOp)
                return object;
            let message = new $root.etcdserverpb.RequestOp();
            if (object.requestRange != null) {
                if (typeof object.requestRange !== "object")
                    throw TypeError(".etcdserverpb.RequestOp.requestRange: object expected");
                message.requestRange = $root.etcdserverpb.RangeRequest.fromObject(object.requestRange);
            }
            if (object.requestPut != null) {
                if (typeof object.requestPut !== "object")
                    throw TypeError(".etcdserverpb.RequestOp.requestPut: object expected");
                message.requestPut = $root.etcdserverpb.PutRequest.fromObject(object.requestPut);
            }
            if (object.requestDeleteRange != null) {
                if (typeof object.requestDeleteRange !== "object")
                    throw TypeError(".etcdserverpb.RequestOp.requestDeleteRange: object expected");
                message.requestDeleteRange = $root.etcdserverpb.DeleteRangeRequest.fromObject(object.requestDeleteRange);
            }
            if (object.requestTxn != null) {
                if (typeof object.requestTxn !== "object")
                    throw TypeError(".etcdserverpb.RequestOp.requestTxn: object expected");
                message.requestTxn = $root.etcdserverpb.TxnRequest.fromObject(object.requestTxn);
            }
            return message;
        };
        /**
         * Creates a plain object from a RequestOp message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.RequestOp
         * @static
         * @param {etcdserverpb.RequestOp} message RequestOp
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        RequestOp.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (message.requestRange != null && message.hasOwnProperty("requestRange")) {
                object.requestRange = $root.etcdserverpb.RangeRequest.toObject(message.requestRange, options);
                if (options.oneofs)
                    object.request = "requestRange";
            }
            if (message.requestPut != null && message.hasOwnProperty("requestPut")) {
                object.requestPut = $root.etcdserverpb.PutRequest.toObject(message.requestPut, options);
                if (options.oneofs)
                    object.request = "requestPut";
            }
            if (message.requestDeleteRange != null && message.hasOwnProperty("requestDeleteRange")) {
                object.requestDeleteRange = $root.etcdserverpb.DeleteRangeRequest.toObject(message.requestDeleteRange, options);
                if (options.oneofs)
                    object.request = "requestDeleteRange";
            }
            if (message.requestTxn != null && message.hasOwnProperty("requestTxn")) {
                object.requestTxn = $root.etcdserverpb.TxnRequest.toObject(message.requestTxn, options);
                if (options.oneofs)
                    object.request = "requestTxn";
            }
            return object;
        };
        /**
         * Converts this RequestOp to JSON.
         * @function toJSON
         * @memberof etcdserverpb.RequestOp
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        RequestOp.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return RequestOp;
    })();
    etcdserverpb.ResponseOp = (function () {
        /**
         * Properties of a ResponseOp.
         * @memberof etcdserverpb
         * @interface IResponseOp
         * @property {etcdserverpb.IRangeResponse|null} [responseRange] ResponseOp responseRange
         * @property {etcdserverpb.IPutResponse|null} [responsePut] ResponseOp responsePut
         * @property {etcdserverpb.IDeleteRangeResponse|null} [responseDeleteRange] ResponseOp responseDeleteRange
         * @property {etcdserverpb.ITxnResponse|null} [responseTxn] ResponseOp responseTxn
         */
        /**
         * Constructs a new ResponseOp.
         * @memberof etcdserverpb
         * @classdesc Represents a ResponseOp.
         * @implements IResponseOp
         * @constructor
         * @param {etcdserverpb.IResponseOp=} [properties] Properties to set
         */
        function ResponseOp(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * ResponseOp responseRange.
         * @member {etcdserverpb.IRangeResponse|null|undefined} responseRange
         * @memberof etcdserverpb.ResponseOp
         * @instance
         */
        ResponseOp.prototype.responseRange = null;
        /**
         * ResponseOp responsePut.
         * @member {etcdserverpb.IPutResponse|null|undefined} responsePut
         * @memberof etcdserverpb.ResponseOp
         * @instance
         */
        ResponseOp.prototype.responsePut = null;
        /**
         * ResponseOp responseDeleteRange.
         * @member {etcdserverpb.IDeleteRangeResponse|null|undefined} responseDeleteRange
         * @memberof etcdserverpb.ResponseOp
         * @instance
         */
        ResponseOp.prototype.responseDeleteRange = null;
        /**
         * ResponseOp responseTxn.
         * @member {etcdserverpb.ITxnResponse|null|undefined} responseTxn
         * @memberof etcdserverpb.ResponseOp
         * @instance
         */
        ResponseOp.prototype.responseTxn = null;
        // OneOf field names bound to virtual getters and setters
        let $oneOfFields;
        /**
         * ResponseOp response.
         * @member {"responseRange"|"responsePut"|"responseDeleteRange"|"responseTxn"|undefined} response
         * @memberof etcdserverpb.ResponseOp
         * @instance
         */
        Object.defineProperty(ResponseOp.prototype, "response", {
            get: $util.oneOfGetter($oneOfFields = ["responseRange", "responsePut", "responseDeleteRange", "responseTxn"]),
            set: $util.oneOfSetter($oneOfFields)
        });
        /**
         * Creates a new ResponseOp instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {etcdserverpb.IResponseOp=} [properties] Properties to set
         * @returns {etcdserverpb.ResponseOp} ResponseOp instance
         */
        ResponseOp.create = function create(properties) {
            return new ResponseOp(properties);
        };
        /**
         * Encodes the specified ResponseOp message. Does not implicitly {@link etcdserverpb.ResponseOp.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {etcdserverpb.IResponseOp} message ResponseOp message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        ResponseOp.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.responseRange != null && Object.hasOwnProperty.call(message, "responseRange"))
                $root.etcdserverpb.RangeResponse.encode(message.responseRange, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.responsePut != null && Object.hasOwnProperty.call(message, "responsePut"))
                $root.etcdserverpb.PutResponse.encode(message.responsePut, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.responseDeleteRange != null && Object.hasOwnProperty.call(message, "responseDeleteRange"))
                $root.etcdserverpb.DeleteRangeResponse.encode(message.responseDeleteRange, writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            if (message.responseTxn != null && Object.hasOwnProperty.call(message, "responseTxn"))
                $root.etcdserverpb.TxnResponse.encode(message.responseTxn, writer.uint32(/* id 4, wireType 2 =*/ 34).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified ResponseOp message, length delimited. Does not implicitly {@link etcdserverpb.ResponseOp.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {etcdserverpb.IResponseOp} message ResponseOp message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        ResponseOp.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a ResponseOp message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.ResponseOp} ResponseOp
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        ResponseOp.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.ResponseOp();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.responseRange = $root.etcdserverpb.RangeResponse.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.responsePut = $root.etcdserverpb.PutResponse.decode(reader, reader.uint32());
                        break;
                    case 3:
                        message.responseDeleteRange = $root.etcdserverpb.DeleteRangeResponse.decode(reader, reader.uint32());
                        break;
                    case 4:
                        message.responseTxn = $root.etcdserverpb.TxnResponse.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a ResponseOp message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.ResponseOp} ResponseOp
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        ResponseOp.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a ResponseOp message.
         * @function verify
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        ResponseOp.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            let properties = {};
            if (message.responseRange != null && message.hasOwnProperty("responseRange")) {
                properties.response = 1;
                {
                    let error = $root.etcdserverpb.RangeResponse.verify(message.responseRange);
                    if (error)
                        return "responseRange." + error;
                }
            }
            if (message.responsePut != null && message.hasOwnProperty("responsePut")) {
                if (properties.response === 1)
                    return "response: multiple values";
                properties.response = 1;
                {
                    let error = $root.etcdserverpb.PutResponse.verify(message.responsePut);
                    if (error)
                        return "responsePut." + error;
                }
            }
            if (message.responseDeleteRange != null && message.hasOwnProperty("responseDeleteRange")) {
                if (properties.response === 1)
                    return "response: multiple values";
                properties.response = 1;
                {
                    let error = $root.etcdserverpb.DeleteRangeResponse.verify(message.responseDeleteRange);
                    if (error)
                        return "responseDeleteRange." + error;
                }
            }
            if (message.responseTxn != null && message.hasOwnProperty("responseTxn")) {
                if (properties.response === 1)
                    return "response: multiple values";
                properties.response = 1;
                {
                    let error = $root.etcdserverpb.TxnResponse.verify(message.responseTxn);
                    if (error)
                        return "responseTxn." + error;
                }
            }
            return null;
        };
        /**
         * Creates a ResponseOp message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.ResponseOp} ResponseOp
         */
        ResponseOp.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.ResponseOp)
                return object;
            let message = new $root.etcdserverpb.ResponseOp();
            if (object.responseRange != null) {
                if (typeof object.responseRange !== "object")
                    throw TypeError(".etcdserverpb.ResponseOp.responseRange: object expected");
                message.responseRange = $root.etcdserverpb.RangeResponse.fromObject(object.responseRange);
            }
            if (object.responsePut != null) {
                if (typeof object.responsePut !== "object")
                    throw TypeError(".etcdserverpb.ResponseOp.responsePut: object expected");
                message.responsePut = $root.etcdserverpb.PutResponse.fromObject(object.responsePut);
            }
            if (object.responseDeleteRange != null) {
                if (typeof object.responseDeleteRange !== "object")
                    throw TypeError(".etcdserverpb.ResponseOp.responseDeleteRange: object expected");
                message.responseDeleteRange = $root.etcdserverpb.DeleteRangeResponse.fromObject(object.responseDeleteRange);
            }
            if (object.responseTxn != null) {
                if (typeof object.responseTxn !== "object")
                    throw TypeError(".etcdserverpb.ResponseOp.responseTxn: object expected");
                message.responseTxn = $root.etcdserverpb.TxnResponse.fromObject(object.responseTxn);
            }
            return message;
        };
        /**
         * Creates a plain object from a ResponseOp message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.ResponseOp
         * @static
         * @param {etcdserverpb.ResponseOp} message ResponseOp
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        ResponseOp.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (message.responseRange != null && message.hasOwnProperty("responseRange")) {
                object.responseRange = $root.etcdserverpb.RangeResponse.toObject(message.responseRange, options);
                if (options.oneofs)
                    object.response = "responseRange";
            }
            if (message.responsePut != null && message.hasOwnProperty("responsePut")) {
                object.responsePut = $root.etcdserverpb.PutResponse.toObject(message.responsePut, options);
                if (options.oneofs)
                    object.response = "responsePut";
            }
            if (message.responseDeleteRange != null && message.hasOwnProperty("responseDeleteRange")) {
                object.responseDeleteRange = $root.etcdserverpb.DeleteRangeResponse.toObject(message.responseDeleteRange, options);
                if (options.oneofs)
                    object.response = "responseDeleteRange";
            }
            if (message.responseTxn != null && message.hasOwnProperty("responseTxn")) {
                object.responseTxn = $root.etcdserverpb.TxnResponse.toObject(message.responseTxn, options);
                if (options.oneofs)
                    object.response = "responseTxn";
            }
            return object;
        };
        /**
         * Converts this ResponseOp to JSON.
         * @function toJSON
         * @memberof etcdserverpb.ResponseOp
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        ResponseOp.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return ResponseOp;
    })();
    etcdserverpb.Compare = (function () {
        /**
         * Properties of a Compare.
         * @memberof etcdserverpb
         * @interface ICompare
         * @property {etcdserverpb.Compare.CompareResult|null} [result] Compare result
         * @property {etcdserverpb.Compare.CompareTarget|null} [target] Compare target
         * @property {Uint8Array|null} [key] Compare key
         * @property {number|Long|null} [version] Compare version
         * @property {number|Long|null} [createRevision] Compare createRevision
         * @property {number|Long|null} [modRevision] Compare modRevision
         * @property {Uint8Array|null} [value] Compare value
         * @property {number|Long|null} [lease] Compare lease
         * @property {Uint8Array|null} [rangeEnd] Compare rangeEnd
         */
        /**
         * Constructs a new Compare.
         * @memberof etcdserverpb
         * @classdesc Represents a Compare.
         * @implements ICompare
         * @constructor
         * @param {etcdserverpb.ICompare=} [properties] Properties to set
         */
        function Compare(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Compare result.
         * @member {etcdserverpb.Compare.CompareResult} result
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.result = 0;
        /**
         * Compare target.
         * @member {etcdserverpb.Compare.CompareTarget} target
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.target = 0;
        /**
         * Compare key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.key = $util.newBuffer([]);
        /**
         * Compare version.
         * @member {number|Long} version
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.version = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Compare createRevision.
         * @member {number|Long} createRevision
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.createRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Compare modRevision.
         * @member {number|Long} modRevision
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.modRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Compare value.
         * @member {Uint8Array} value
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.value = $util.newBuffer([]);
        /**
         * Compare lease.
         * @member {number|Long} lease
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.lease = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Compare rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Compare.prototype.rangeEnd = $util.newBuffer([]);
        // OneOf field names bound to virtual getters and setters
        let $oneOfFields;
        /**
         * Compare targetUnion.
         * @member {"version"|"createRevision"|"modRevision"|"value"|"lease"|undefined} targetUnion
         * @memberof etcdserverpb.Compare
         * @instance
         */
        Object.defineProperty(Compare.prototype, "targetUnion", {
            get: $util.oneOfGetter($oneOfFields = ["version", "createRevision", "modRevision", "value", "lease"]),
            set: $util.oneOfSetter($oneOfFields)
        });
        /**
         * Creates a new Compare instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.Compare
         * @static
         * @param {etcdserverpb.ICompare=} [properties] Properties to set
         * @returns {etcdserverpb.Compare} Compare instance
         */
        Compare.create = function create(properties) {
            return new Compare(properties);
        };
        /**
         * Encodes the specified Compare message. Does not implicitly {@link etcdserverpb.Compare.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.Compare
         * @static
         * @param {etcdserverpb.ICompare} message Compare message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Compare.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.result != null && Object.hasOwnProperty.call(message, "result"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int32(message.result);
            if (message.target != null && Object.hasOwnProperty.call(message, "target"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int32(message.target);
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 3, wireType 2 =*/ 26).bytes(message.key);
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).int64(message.version);
            if (message.createRevision != null && Object.hasOwnProperty.call(message, "createRevision"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).int64(message.createRevision);
            if (message.modRevision != null && Object.hasOwnProperty.call(message, "modRevision"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).int64(message.modRevision);
            if (message.value != null && Object.hasOwnProperty.call(message, "value"))
                writer.uint32(/* id 7, wireType 2 =*/ 58).bytes(message.value);
            if (message.lease != null && Object.hasOwnProperty.call(message, "lease"))
                writer.uint32(/* id 8, wireType 0 =*/ 64).int64(message.lease);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 64, wireType 2 =*/ 514).bytes(message.rangeEnd);
            return writer;
        };
        /**
         * Encodes the specified Compare message, length delimited. Does not implicitly {@link etcdserverpb.Compare.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.Compare
         * @static
         * @param {etcdserverpb.ICompare} message Compare message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Compare.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a Compare message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.Compare
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.Compare} Compare
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Compare.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.Compare();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.result = reader.int32();
                        break;
                    case 2:
                        message.target = reader.int32();
                        break;
                    case 3:
                        message.key = reader.bytes();
                        break;
                    case 4:
                        message.version = reader.int64();
                        break;
                    case 5:
                        message.createRevision = reader.int64();
                        break;
                    case 6:
                        message.modRevision = reader.int64();
                        break;
                    case 7:
                        message.value = reader.bytes();
                        break;
                    case 8:
                        message.lease = reader.int64();
                        break;
                    case 64:
                        message.rangeEnd = reader.bytes();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a Compare message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.Compare
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.Compare} Compare
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Compare.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a Compare message.
         * @function verify
         * @memberof etcdserverpb.Compare
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        Compare.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            let properties = {};
            if (message.result != null && message.hasOwnProperty("result"))
                switch (message.result) {
                    default:
                        return "result: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                    case 3:
                        break;
                }
            if (message.target != null && message.hasOwnProperty("target"))
                switch (message.target) {
                    default:
                        return "target: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                    case 3:
                    case 4:
                        break;
                }
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.version != null && message.hasOwnProperty("version")) {
                properties.targetUnion = 1;
                if (!$util.isInteger(message.version) && !(message.version && $util.isInteger(message.version.low) && $util.isInteger(message.version.high)))
                    return "version: integer|Long expected";
            }
            if (message.createRevision != null && message.hasOwnProperty("createRevision")) {
                if (properties.targetUnion === 1)
                    return "targetUnion: multiple values";
                properties.targetUnion = 1;
                if (!$util.isInteger(message.createRevision) && !(message.createRevision && $util.isInteger(message.createRevision.low) && $util.isInteger(message.createRevision.high)))
                    return "createRevision: integer|Long expected";
            }
            if (message.modRevision != null && message.hasOwnProperty("modRevision")) {
                if (properties.targetUnion === 1)
                    return "targetUnion: multiple values";
                properties.targetUnion = 1;
                if (!$util.isInteger(message.modRevision) && !(message.modRevision && $util.isInteger(message.modRevision.low) && $util.isInteger(message.modRevision.high)))
                    return "modRevision: integer|Long expected";
            }
            if (message.value != null && message.hasOwnProperty("value")) {
                if (properties.targetUnion === 1)
                    return "targetUnion: multiple values";
                properties.targetUnion = 1;
                if (!(message.value && typeof message.value.length === "number" || $util.isString(message.value)))
                    return "value: buffer expected";
            }
            if (message.lease != null && message.hasOwnProperty("lease")) {
                if (properties.targetUnion === 1)
                    return "targetUnion: multiple values";
                properties.targetUnion = 1;
                if (!$util.isInteger(message.lease) && !(message.lease && $util.isInteger(message.lease.low) && $util.isInteger(message.lease.high)))
                    return "lease: integer|Long expected";
            }
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            return null;
        };
        /**
         * Creates a Compare message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.Compare
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.Compare} Compare
         */
        Compare.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.Compare)
                return object;
            let message = new $root.etcdserverpb.Compare();
            switch (object.result) {
                case "Equal":
                case 0:
                    message.result = 0;
                    break;
                case "Greater":
                case 1:
                    message.result = 1;
                    break;
                case "Less":
                case 2:
                    message.result = 2;
                    break;
                case "NotEqual":
                case 3:
                    message.result = 3;
                    break;
            }
            switch (object.target) {
                case "Version":
                case 0:
                    message.target = 0;
                    break;
                case "Create":
                case 1:
                    message.target = 1;
                    break;
                case "Mod":
                case 2:
                    message.target = 2;
                    break;
                case "Value":
                case 3:
                    message.target = 3;
                    break;
                case "Lease":
                case 4:
                    message.target = 4;
                    break;
            }
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.version != null)
                if ($util.Long)
                    (message.version = $util.Long.fromValue(object.version)).unsigned = false;
                else if (typeof object.version === "string")
                    message.version = parseInt(object.version, 10);
                else if (typeof object.version === "number")
                    message.version = object.version;
                else if (typeof object.version === "object")
                    message.version = new $util.LongBits(object.version.low >>> 0, object.version.high >>> 0).toNumber();
            if (object.createRevision != null)
                if ($util.Long)
                    (message.createRevision = $util.Long.fromValue(object.createRevision)).unsigned = false;
                else if (typeof object.createRevision === "string")
                    message.createRevision = parseInt(object.createRevision, 10);
                else if (typeof object.createRevision === "number")
                    message.createRevision = object.createRevision;
                else if (typeof object.createRevision === "object")
                    message.createRevision = new $util.LongBits(object.createRevision.low >>> 0, object.createRevision.high >>> 0).toNumber();
            if (object.modRevision != null)
                if ($util.Long)
                    (message.modRevision = $util.Long.fromValue(object.modRevision)).unsigned = false;
                else if (typeof object.modRevision === "string")
                    message.modRevision = parseInt(object.modRevision, 10);
                else if (typeof object.modRevision === "number")
                    message.modRevision = object.modRevision;
                else if (typeof object.modRevision === "object")
                    message.modRevision = new $util.LongBits(object.modRevision.low >>> 0, object.modRevision.high >>> 0).toNumber();
            if (object.value != null)
                if (typeof object.value === "string")
                    $util.base64.decode(object.value, message.value = $util.newBuffer($util.base64.length(object.value)), 0);
                else if (object.value.length)
                    message.value = object.value;
            if (object.lease != null)
                if ($util.Long)
                    (message.lease = $util.Long.fromValue(object.lease)).unsigned = false;
                else if (typeof object.lease === "string")
                    message.lease = parseInt(object.lease, 10);
                else if (typeof object.lease === "number")
                    message.lease = object.lease;
                else if (typeof object.lease === "object")
                    message.lease = new $util.LongBits(object.lease.low >>> 0, object.lease.high >>> 0).toNumber();
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            return message;
        };
        /**
         * Creates a plain object from a Compare message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.Compare
         * @static
         * @param {etcdserverpb.Compare} message Compare
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        Compare.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.result = options.enums === String ? "Equal" : 0;
                object.target = options.enums === String ? "Version" : 0;
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
            }
            if (message.result != null && message.hasOwnProperty("result"))
                object.result = options.enums === String ? $root.etcdserverpb.Compare.CompareResult[message.result] : message.result;
            if (message.target != null && message.hasOwnProperty("target"))
                object.target = options.enums === String ? $root.etcdserverpb.Compare.CompareTarget[message.target] : message.target;
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.version != null && message.hasOwnProperty("version")) {
                if (typeof message.version === "number")
                    object.version = options.longs === String ? String(message.version) : message.version;
                else
                    object.version = options.longs === String ? $util.Long.prototype.toString.call(message.version) : options.longs === Number ? new $util.LongBits(message.version.low >>> 0, message.version.high >>> 0).toNumber() : message.version;
                if (options.oneofs)
                    object.targetUnion = "version";
            }
            if (message.createRevision != null && message.hasOwnProperty("createRevision")) {
                if (typeof message.createRevision === "number")
                    object.createRevision = options.longs === String ? String(message.createRevision) : message.createRevision;
                else
                    object.createRevision = options.longs === String ? $util.Long.prototype.toString.call(message.createRevision) : options.longs === Number ? new $util.LongBits(message.createRevision.low >>> 0, message.createRevision.high >>> 0).toNumber() : message.createRevision;
                if (options.oneofs)
                    object.targetUnion = "createRevision";
            }
            if (message.modRevision != null && message.hasOwnProperty("modRevision")) {
                if (typeof message.modRevision === "number")
                    object.modRevision = options.longs === String ? String(message.modRevision) : message.modRevision;
                else
                    object.modRevision = options.longs === String ? $util.Long.prototype.toString.call(message.modRevision) : options.longs === Number ? new $util.LongBits(message.modRevision.low >>> 0, message.modRevision.high >>> 0).toNumber() : message.modRevision;
                if (options.oneofs)
                    object.targetUnion = "modRevision";
            }
            if (message.value != null && message.hasOwnProperty("value")) {
                object.value = options.bytes === String ? $util.base64.encode(message.value, 0, message.value.length) : options.bytes === Array ? Array.prototype.slice.call(message.value) : message.value;
                if (options.oneofs)
                    object.targetUnion = "value";
            }
            if (message.lease != null && message.hasOwnProperty("lease")) {
                if (typeof message.lease === "number")
                    object.lease = options.longs === String ? String(message.lease) : message.lease;
                else
                    object.lease = options.longs === String ? $util.Long.prototype.toString.call(message.lease) : options.longs === Number ? new $util.LongBits(message.lease.low >>> 0, message.lease.high >>> 0).toNumber() : message.lease;
                if (options.oneofs)
                    object.targetUnion = "lease";
            }
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            return object;
        };
        /**
         * Converts this Compare to JSON.
         * @function toJSON
         * @memberof etcdserverpb.Compare
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        Compare.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * CompareResult enum.
         * @name etcdserverpb.Compare.CompareResult
         * @enum {number}
         * @property {number} Equal=0 Equal value
         * @property {number} Greater=1 Greater value
         * @property {number} Less=2 Less value
         * @property {number} NotEqual=3 NotEqual value
         */
        Compare.CompareResult = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Equal"] = 0;
            values[valuesById[1] = "Greater"] = 1;
            values[valuesById[2] = "Less"] = 2;
            values[valuesById[3] = "NotEqual"] = 3;
            return values;
        })();
        /**
         * CompareTarget enum.
         * @name etcdserverpb.Compare.CompareTarget
         * @enum {number}
         * @property {number} Version=0 Version value
         * @property {number} Create=1 Create value
         * @property {number} Mod=2 Mod value
         * @property {number} Value=3 Value value
         * @property {number} Lease=4 Lease value
         */
        Compare.CompareTarget = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Version"] = 0;
            values[valuesById[1] = "Create"] = 1;
            values[valuesById[2] = "Mod"] = 2;
            values[valuesById[3] = "Value"] = 3;
            values[valuesById[4] = "Lease"] = 4;
            return values;
        })();
        return Compare;
    })();
    etcdserverpb.TxnRequest = (function () {
        /**
         * Properties of a TxnRequest.
         * @memberof etcdserverpb
         * @interface ITxnRequest
         * @property {Array.<etcdserverpb.ICompare>|null} [compare] TxnRequest compare
         * @property {Array.<etcdserverpb.IRequestOp>|null} [success] TxnRequest success
         * @property {Array.<etcdserverpb.IRequestOp>|null} [failure] TxnRequest failure
         */
        /**
         * Constructs a new TxnRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a TxnRequest.
         * @implements ITxnRequest
         * @constructor
         * @param {etcdserverpb.ITxnRequest=} [properties] Properties to set
         */
        function TxnRequest(properties) {
            this.compare = [];
            this.success = [];
            this.failure = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * TxnRequest compare.
         * @member {Array.<etcdserverpb.ICompare>} compare
         * @memberof etcdserverpb.TxnRequest
         * @instance
         */
        TxnRequest.prototype.compare = $util.emptyArray;
        /**
         * TxnRequest success.
         * @member {Array.<etcdserverpb.IRequestOp>} success
         * @memberof etcdserverpb.TxnRequest
         * @instance
         */
        TxnRequest.prototype.success = $util.emptyArray;
        /**
         * TxnRequest failure.
         * @member {Array.<etcdserverpb.IRequestOp>} failure
         * @memberof etcdserverpb.TxnRequest
         * @instance
         */
        TxnRequest.prototype.failure = $util.emptyArray;
        /**
         * Creates a new TxnRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {etcdserverpb.ITxnRequest=} [properties] Properties to set
         * @returns {etcdserverpb.TxnRequest} TxnRequest instance
         */
        TxnRequest.create = function create(properties) {
            return new TxnRequest(properties);
        };
        /**
         * Encodes the specified TxnRequest message. Does not implicitly {@link etcdserverpb.TxnRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {etcdserverpb.ITxnRequest} message TxnRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        TxnRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.compare != null && message.compare.length)
                for (let i = 0; i < message.compare.length; ++i)
                    $root.etcdserverpb.Compare.encode(message.compare[i], writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.success != null && message.success.length)
                for (let i = 0; i < message.success.length; ++i)
                    $root.etcdserverpb.RequestOp.encode(message.success[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.failure != null && message.failure.length)
                for (let i = 0; i < message.failure.length; ++i)
                    $root.etcdserverpb.RequestOp.encode(message.failure[i], writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified TxnRequest message, length delimited. Does not implicitly {@link etcdserverpb.TxnRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {etcdserverpb.ITxnRequest} message TxnRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        TxnRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a TxnRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.TxnRequest} TxnRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        TxnRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.TxnRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        if (!(message.compare && message.compare.length))
                            message.compare = [];
                        message.compare.push($root.etcdserverpb.Compare.decode(reader, reader.uint32()));
                        break;
                    case 2:
                        if (!(message.success && message.success.length))
                            message.success = [];
                        message.success.push($root.etcdserverpb.RequestOp.decode(reader, reader.uint32()));
                        break;
                    case 3:
                        if (!(message.failure && message.failure.length))
                            message.failure = [];
                        message.failure.push($root.etcdserverpb.RequestOp.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a TxnRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.TxnRequest} TxnRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        TxnRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a TxnRequest message.
         * @function verify
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        TxnRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.compare != null && message.hasOwnProperty("compare")) {
                if (!Array.isArray(message.compare))
                    return "compare: array expected";
                for (let i = 0; i < message.compare.length; ++i) {
                    let error = $root.etcdserverpb.Compare.verify(message.compare[i]);
                    if (error)
                        return "compare." + error;
                }
            }
            if (message.success != null && message.hasOwnProperty("success")) {
                if (!Array.isArray(message.success))
                    return "success: array expected";
                for (let i = 0; i < message.success.length; ++i) {
                    let error = $root.etcdserverpb.RequestOp.verify(message.success[i]);
                    if (error)
                        return "success." + error;
                }
            }
            if (message.failure != null && message.hasOwnProperty("failure")) {
                if (!Array.isArray(message.failure))
                    return "failure: array expected";
                for (let i = 0; i < message.failure.length; ++i) {
                    let error = $root.etcdserverpb.RequestOp.verify(message.failure[i]);
                    if (error)
                        return "failure." + error;
                }
            }
            return null;
        };
        /**
         * Creates a TxnRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.TxnRequest} TxnRequest
         */
        TxnRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.TxnRequest)
                return object;
            let message = new $root.etcdserverpb.TxnRequest();
            if (object.compare) {
                if (!Array.isArray(object.compare))
                    throw TypeError(".etcdserverpb.TxnRequest.compare: array expected");
                message.compare = [];
                for (let i = 0; i < object.compare.length; ++i) {
                    if (typeof object.compare[i] !== "object")
                        throw TypeError(".etcdserverpb.TxnRequest.compare: object expected");
                    message.compare[i] = $root.etcdserverpb.Compare.fromObject(object.compare[i]);
                }
            }
            if (object.success) {
                if (!Array.isArray(object.success))
                    throw TypeError(".etcdserverpb.TxnRequest.success: array expected");
                message.success = [];
                for (let i = 0; i < object.success.length; ++i) {
                    if (typeof object.success[i] !== "object")
                        throw TypeError(".etcdserverpb.TxnRequest.success: object expected");
                    message.success[i] = $root.etcdserverpb.RequestOp.fromObject(object.success[i]);
                }
            }
            if (object.failure) {
                if (!Array.isArray(object.failure))
                    throw TypeError(".etcdserverpb.TxnRequest.failure: array expected");
                message.failure = [];
                for (let i = 0; i < object.failure.length; ++i) {
                    if (typeof object.failure[i] !== "object")
                        throw TypeError(".etcdserverpb.TxnRequest.failure: object expected");
                    message.failure[i] = $root.etcdserverpb.RequestOp.fromObject(object.failure[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a TxnRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.TxnRequest
         * @static
         * @param {etcdserverpb.TxnRequest} message TxnRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        TxnRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults) {
                object.compare = [];
                object.success = [];
                object.failure = [];
            }
            if (message.compare && message.compare.length) {
                object.compare = [];
                for (let j = 0; j < message.compare.length; ++j)
                    object.compare[j] = $root.etcdserverpb.Compare.toObject(message.compare[j], options);
            }
            if (message.success && message.success.length) {
                object.success = [];
                for (let j = 0; j < message.success.length; ++j)
                    object.success[j] = $root.etcdserverpb.RequestOp.toObject(message.success[j], options);
            }
            if (message.failure && message.failure.length) {
                object.failure = [];
                for (let j = 0; j < message.failure.length; ++j)
                    object.failure[j] = $root.etcdserverpb.RequestOp.toObject(message.failure[j], options);
            }
            return object;
        };
        /**
         * Converts this TxnRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.TxnRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        TxnRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return TxnRequest;
    })();
    etcdserverpb.TxnResponse = (function () {
        /**
         * Properties of a TxnResponse.
         * @memberof etcdserverpb
         * @interface ITxnResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] TxnResponse header
         * @property {boolean|null} [succeeded] TxnResponse succeeded
         * @property {Array.<etcdserverpb.IResponseOp>|null} [responses] TxnResponse responses
         */
        /**
         * Constructs a new TxnResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a TxnResponse.
         * @implements ITxnResponse
         * @constructor
         * @param {etcdserverpb.ITxnResponse=} [properties] Properties to set
         */
        function TxnResponse(properties) {
            this.responses = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * TxnResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.TxnResponse
         * @instance
         */
        TxnResponse.prototype.header = null;
        /**
         * TxnResponse succeeded.
         * @member {boolean} succeeded
         * @memberof etcdserverpb.TxnResponse
         * @instance
         */
        TxnResponse.prototype.succeeded = false;
        /**
         * TxnResponse responses.
         * @member {Array.<etcdserverpb.IResponseOp>} responses
         * @memberof etcdserverpb.TxnResponse
         * @instance
         */
        TxnResponse.prototype.responses = $util.emptyArray;
        /**
         * Creates a new TxnResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {etcdserverpb.ITxnResponse=} [properties] Properties to set
         * @returns {etcdserverpb.TxnResponse} TxnResponse instance
         */
        TxnResponse.create = function create(properties) {
            return new TxnResponse(properties);
        };
        /**
         * Encodes the specified TxnResponse message. Does not implicitly {@link etcdserverpb.TxnResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {etcdserverpb.ITxnResponse} message TxnResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        TxnResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.succeeded != null && Object.hasOwnProperty.call(message, "succeeded"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).bool(message.succeeded);
            if (message.responses != null && message.responses.length)
                for (let i = 0; i < message.responses.length; ++i)
                    $root.etcdserverpb.ResponseOp.encode(message.responses[i], writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified TxnResponse message, length delimited. Does not implicitly {@link etcdserverpb.TxnResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {etcdserverpb.ITxnResponse} message TxnResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        TxnResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a TxnResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.TxnResponse} TxnResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        TxnResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.TxnResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.succeeded = reader.bool();
                        break;
                    case 3:
                        if (!(message.responses && message.responses.length))
                            message.responses = [];
                        message.responses.push($root.etcdserverpb.ResponseOp.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a TxnResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.TxnResponse} TxnResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        TxnResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a TxnResponse message.
         * @function verify
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        TxnResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.succeeded != null && message.hasOwnProperty("succeeded"))
                if (typeof message.succeeded !== "boolean")
                    return "succeeded: boolean expected";
            if (message.responses != null && message.hasOwnProperty("responses")) {
                if (!Array.isArray(message.responses))
                    return "responses: array expected";
                for (let i = 0; i < message.responses.length; ++i) {
                    let error = $root.etcdserverpb.ResponseOp.verify(message.responses[i]);
                    if (error)
                        return "responses." + error;
                }
            }
            return null;
        };
        /**
         * Creates a TxnResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.TxnResponse} TxnResponse
         */
        TxnResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.TxnResponse)
                return object;
            let message = new $root.etcdserverpb.TxnResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.TxnResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.succeeded != null)
                message.succeeded = Boolean(object.succeeded);
            if (object.responses) {
                if (!Array.isArray(object.responses))
                    throw TypeError(".etcdserverpb.TxnResponse.responses: array expected");
                message.responses = [];
                for (let i = 0; i < object.responses.length; ++i) {
                    if (typeof object.responses[i] !== "object")
                        throw TypeError(".etcdserverpb.TxnResponse.responses: object expected");
                    message.responses[i] = $root.etcdserverpb.ResponseOp.fromObject(object.responses[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a TxnResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.TxnResponse
         * @static
         * @param {etcdserverpb.TxnResponse} message TxnResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        TxnResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.responses = [];
            if (options.defaults) {
                object.header = null;
                object.succeeded = false;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.succeeded != null && message.hasOwnProperty("succeeded"))
                object.succeeded = message.succeeded;
            if (message.responses && message.responses.length) {
                object.responses = [];
                for (let j = 0; j < message.responses.length; ++j)
                    object.responses[j] = $root.etcdserverpb.ResponseOp.toObject(message.responses[j], options);
            }
            return object;
        };
        /**
         * Converts this TxnResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.TxnResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        TxnResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return TxnResponse;
    })();
    etcdserverpb.CompactionRequest = (function () {
        /**
         * Properties of a CompactionRequest.
         * @memberof etcdserverpb
         * @interface ICompactionRequest
         * @property {number|Long|null} [revision] CompactionRequest revision
         * @property {boolean|null} [physical] CompactionRequest physical
         */
        /**
         * Constructs a new CompactionRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a CompactionRequest.
         * @implements ICompactionRequest
         * @constructor
         * @param {etcdserverpb.ICompactionRequest=} [properties] Properties to set
         */
        function CompactionRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * CompactionRequest revision.
         * @member {number|Long} revision
         * @memberof etcdserverpb.CompactionRequest
         * @instance
         */
        CompactionRequest.prototype.revision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * CompactionRequest physical.
         * @member {boolean} physical
         * @memberof etcdserverpb.CompactionRequest
         * @instance
         */
        CompactionRequest.prototype.physical = false;
        /**
         * Creates a new CompactionRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {etcdserverpb.ICompactionRequest=} [properties] Properties to set
         * @returns {etcdserverpb.CompactionRequest} CompactionRequest instance
         */
        CompactionRequest.create = function create(properties) {
            return new CompactionRequest(properties);
        };
        /**
         * Encodes the specified CompactionRequest message. Does not implicitly {@link etcdserverpb.CompactionRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {etcdserverpb.ICompactionRequest} message CompactionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        CompactionRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.revision != null && Object.hasOwnProperty.call(message, "revision"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.revision);
            if (message.physical != null && Object.hasOwnProperty.call(message, "physical"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).bool(message.physical);
            return writer;
        };
        /**
         * Encodes the specified CompactionRequest message, length delimited. Does not implicitly {@link etcdserverpb.CompactionRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {etcdserverpb.ICompactionRequest} message CompactionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        CompactionRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a CompactionRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.CompactionRequest} CompactionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        CompactionRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.CompactionRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.revision = reader.int64();
                        break;
                    case 2:
                        message.physical = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a CompactionRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.CompactionRequest} CompactionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        CompactionRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a CompactionRequest message.
         * @function verify
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        CompactionRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (!$util.isInteger(message.revision) && !(message.revision && $util.isInteger(message.revision.low) && $util.isInteger(message.revision.high)))
                    return "revision: integer|Long expected";
            if (message.physical != null && message.hasOwnProperty("physical"))
                if (typeof message.physical !== "boolean")
                    return "physical: boolean expected";
            return null;
        };
        /**
         * Creates a CompactionRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.CompactionRequest} CompactionRequest
         */
        CompactionRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.CompactionRequest)
                return object;
            let message = new $root.etcdserverpb.CompactionRequest();
            if (object.revision != null)
                if ($util.Long)
                    (message.revision = $util.Long.fromValue(object.revision)).unsigned = false;
                else if (typeof object.revision === "string")
                    message.revision = parseInt(object.revision, 10);
                else if (typeof object.revision === "number")
                    message.revision = object.revision;
                else if (typeof object.revision === "object")
                    message.revision = new $util.LongBits(object.revision.low >>> 0, object.revision.high >>> 0).toNumber();
            if (object.physical != null)
                message.physical = Boolean(object.physical);
            return message;
        };
        /**
         * Creates a plain object from a CompactionRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.CompactionRequest
         * @static
         * @param {etcdserverpb.CompactionRequest} message CompactionRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        CompactionRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.revision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.revision = options.longs === String ? "0" : 0;
                object.physical = false;
            }
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (typeof message.revision === "number")
                    object.revision = options.longs === String ? String(message.revision) : message.revision;
                else
                    object.revision = options.longs === String ? $util.Long.prototype.toString.call(message.revision) : options.longs === Number ? new $util.LongBits(message.revision.low >>> 0, message.revision.high >>> 0).toNumber() : message.revision;
            if (message.physical != null && message.hasOwnProperty("physical"))
                object.physical = message.physical;
            return object;
        };
        /**
         * Converts this CompactionRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.CompactionRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        CompactionRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return CompactionRequest;
    })();
    etcdserverpb.CompactionResponse = (function () {
        /**
         * Properties of a CompactionResponse.
         * @memberof etcdserverpb
         * @interface ICompactionResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] CompactionResponse header
         */
        /**
         * Constructs a new CompactionResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a CompactionResponse.
         * @implements ICompactionResponse
         * @constructor
         * @param {etcdserverpb.ICompactionResponse=} [properties] Properties to set
         */
        function CompactionResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * CompactionResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.CompactionResponse
         * @instance
         */
        CompactionResponse.prototype.header = null;
        /**
         * Creates a new CompactionResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {etcdserverpb.ICompactionResponse=} [properties] Properties to set
         * @returns {etcdserverpb.CompactionResponse} CompactionResponse instance
         */
        CompactionResponse.create = function create(properties) {
            return new CompactionResponse(properties);
        };
        /**
         * Encodes the specified CompactionResponse message. Does not implicitly {@link etcdserverpb.CompactionResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {etcdserverpb.ICompactionResponse} message CompactionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        CompactionResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified CompactionResponse message, length delimited. Does not implicitly {@link etcdserverpb.CompactionResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {etcdserverpb.ICompactionResponse} message CompactionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        CompactionResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a CompactionResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.CompactionResponse} CompactionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        CompactionResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.CompactionResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a CompactionResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.CompactionResponse} CompactionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        CompactionResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a CompactionResponse message.
         * @function verify
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        CompactionResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates a CompactionResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.CompactionResponse} CompactionResponse
         */
        CompactionResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.CompactionResponse)
                return object;
            let message = new $root.etcdserverpb.CompactionResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.CompactionResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from a CompactionResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.CompactionResponse
         * @static
         * @param {etcdserverpb.CompactionResponse} message CompactionResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        CompactionResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this CompactionResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.CompactionResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        CompactionResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return CompactionResponse;
    })();
    etcdserverpb.HashRequest = (function () {
        /**
         * Properties of a HashRequest.
         * @memberof etcdserverpb
         * @interface IHashRequest
         */
        /**
         * Constructs a new HashRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a HashRequest.
         * @implements IHashRequest
         * @constructor
         * @param {etcdserverpb.IHashRequest=} [properties] Properties to set
         */
        function HashRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new HashRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {etcdserverpb.IHashRequest=} [properties] Properties to set
         * @returns {etcdserverpb.HashRequest} HashRequest instance
         */
        HashRequest.create = function create(properties) {
            return new HashRequest(properties);
        };
        /**
         * Encodes the specified HashRequest message. Does not implicitly {@link etcdserverpb.HashRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {etcdserverpb.IHashRequest} message HashRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified HashRequest message, length delimited. Does not implicitly {@link etcdserverpb.HashRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {etcdserverpb.IHashRequest} message HashRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a HashRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.HashRequest} HashRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.HashRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a HashRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.HashRequest} HashRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a HashRequest message.
         * @function verify
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        HashRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a HashRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.HashRequest} HashRequest
         */
        HashRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.HashRequest)
                return object;
            return new $root.etcdserverpb.HashRequest();
        };
        /**
         * Creates a plain object from a HashRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.HashRequest
         * @static
         * @param {etcdserverpb.HashRequest} message HashRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        HashRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this HashRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.HashRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        HashRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return HashRequest;
    })();
    etcdserverpb.HashKVRequest = (function () {
        /**
         * Properties of a HashKVRequest.
         * @memberof etcdserverpb
         * @interface IHashKVRequest
         * @property {number|Long|null} [revision] HashKVRequest revision
         */
        /**
         * Constructs a new HashKVRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a HashKVRequest.
         * @implements IHashKVRequest
         * @constructor
         * @param {etcdserverpb.IHashKVRequest=} [properties] Properties to set
         */
        function HashKVRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * HashKVRequest revision.
         * @member {number|Long} revision
         * @memberof etcdserverpb.HashKVRequest
         * @instance
         */
        HashKVRequest.prototype.revision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new HashKVRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {etcdserverpb.IHashKVRequest=} [properties] Properties to set
         * @returns {etcdserverpb.HashKVRequest} HashKVRequest instance
         */
        HashKVRequest.create = function create(properties) {
            return new HashKVRequest(properties);
        };
        /**
         * Encodes the specified HashKVRequest message. Does not implicitly {@link etcdserverpb.HashKVRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {etcdserverpb.IHashKVRequest} message HashKVRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashKVRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.revision != null && Object.hasOwnProperty.call(message, "revision"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.revision);
            return writer;
        };
        /**
         * Encodes the specified HashKVRequest message, length delimited. Does not implicitly {@link etcdserverpb.HashKVRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {etcdserverpb.IHashKVRequest} message HashKVRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashKVRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a HashKVRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.HashKVRequest} HashKVRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashKVRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.HashKVRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.revision = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a HashKVRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.HashKVRequest} HashKVRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashKVRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a HashKVRequest message.
         * @function verify
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        HashKVRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (!$util.isInteger(message.revision) && !(message.revision && $util.isInteger(message.revision.low) && $util.isInteger(message.revision.high)))
                    return "revision: integer|Long expected";
            return null;
        };
        /**
         * Creates a HashKVRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.HashKVRequest} HashKVRequest
         */
        HashKVRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.HashKVRequest)
                return object;
            let message = new $root.etcdserverpb.HashKVRequest();
            if (object.revision != null)
                if ($util.Long)
                    (message.revision = $util.Long.fromValue(object.revision)).unsigned = false;
                else if (typeof object.revision === "string")
                    message.revision = parseInt(object.revision, 10);
                else if (typeof object.revision === "number")
                    message.revision = object.revision;
                else if (typeof object.revision === "object")
                    message.revision = new $util.LongBits(object.revision.low >>> 0, object.revision.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a HashKVRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.HashKVRequest
         * @static
         * @param {etcdserverpb.HashKVRequest} message HashKVRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        HashKVRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.revision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.revision = options.longs === String ? "0" : 0;
            if (message.revision != null && message.hasOwnProperty("revision"))
                if (typeof message.revision === "number")
                    object.revision = options.longs === String ? String(message.revision) : message.revision;
                else
                    object.revision = options.longs === String ? $util.Long.prototype.toString.call(message.revision) : options.longs === Number ? new $util.LongBits(message.revision.low >>> 0, message.revision.high >>> 0).toNumber() : message.revision;
            return object;
        };
        /**
         * Converts this HashKVRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.HashKVRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        HashKVRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return HashKVRequest;
    })();
    etcdserverpb.HashKVResponse = (function () {
        /**
         * Properties of a HashKVResponse.
         * @memberof etcdserverpb
         * @interface IHashKVResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] HashKVResponse header
         * @property {number|null} [hash] HashKVResponse hash
         * @property {number|Long|null} [compactRevision] HashKVResponse compactRevision
         */
        /**
         * Constructs a new HashKVResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a HashKVResponse.
         * @implements IHashKVResponse
         * @constructor
         * @param {etcdserverpb.IHashKVResponse=} [properties] Properties to set
         */
        function HashKVResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * HashKVResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.HashKVResponse
         * @instance
         */
        HashKVResponse.prototype.header = null;
        /**
         * HashKVResponse hash.
         * @member {number} hash
         * @memberof etcdserverpb.HashKVResponse
         * @instance
         */
        HashKVResponse.prototype.hash = 0;
        /**
         * HashKVResponse compactRevision.
         * @member {number|Long} compactRevision
         * @memberof etcdserverpb.HashKVResponse
         * @instance
         */
        HashKVResponse.prototype.compactRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new HashKVResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {etcdserverpb.IHashKVResponse=} [properties] Properties to set
         * @returns {etcdserverpb.HashKVResponse} HashKVResponse instance
         */
        HashKVResponse.create = function create(properties) {
            return new HashKVResponse(properties);
        };
        /**
         * Encodes the specified HashKVResponse message. Does not implicitly {@link etcdserverpb.HashKVResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {etcdserverpb.IHashKVResponse} message HashKVResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashKVResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.hash != null && Object.hasOwnProperty.call(message, "hash"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).uint32(message.hash);
            if (message.compactRevision != null && Object.hasOwnProperty.call(message, "compactRevision"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.compactRevision);
            return writer;
        };
        /**
         * Encodes the specified HashKVResponse message, length delimited. Does not implicitly {@link etcdserverpb.HashKVResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {etcdserverpb.IHashKVResponse} message HashKVResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashKVResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a HashKVResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.HashKVResponse} HashKVResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashKVResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.HashKVResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.hash = reader.uint32();
                        break;
                    case 3:
                        message.compactRevision = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a HashKVResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.HashKVResponse} HashKVResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashKVResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a HashKVResponse message.
         * @function verify
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        HashKVResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.hash != null && message.hasOwnProperty("hash"))
                if (!$util.isInteger(message.hash))
                    return "hash: integer expected";
            if (message.compactRevision != null && message.hasOwnProperty("compactRevision"))
                if (!$util.isInteger(message.compactRevision) && !(message.compactRevision && $util.isInteger(message.compactRevision.low) && $util.isInteger(message.compactRevision.high)))
                    return "compactRevision: integer|Long expected";
            return null;
        };
        /**
         * Creates a HashKVResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.HashKVResponse} HashKVResponse
         */
        HashKVResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.HashKVResponse)
                return object;
            let message = new $root.etcdserverpb.HashKVResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.HashKVResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.hash != null)
                message.hash = object.hash >>> 0;
            if (object.compactRevision != null)
                if ($util.Long)
                    (message.compactRevision = $util.Long.fromValue(object.compactRevision)).unsigned = false;
                else if (typeof object.compactRevision === "string")
                    message.compactRevision = parseInt(object.compactRevision, 10);
                else if (typeof object.compactRevision === "number")
                    message.compactRevision = object.compactRevision;
                else if (typeof object.compactRevision === "object")
                    message.compactRevision = new $util.LongBits(object.compactRevision.low >>> 0, object.compactRevision.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a HashKVResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.HashKVResponse
         * @static
         * @param {etcdserverpb.HashKVResponse} message HashKVResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        HashKVResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.hash = 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.compactRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.compactRevision = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.hash != null && message.hasOwnProperty("hash"))
                object.hash = message.hash;
            if (message.compactRevision != null && message.hasOwnProperty("compactRevision"))
                if (typeof message.compactRevision === "number")
                    object.compactRevision = options.longs === String ? String(message.compactRevision) : message.compactRevision;
                else
                    object.compactRevision = options.longs === String ? $util.Long.prototype.toString.call(message.compactRevision) : options.longs === Number ? new $util.LongBits(message.compactRevision.low >>> 0, message.compactRevision.high >>> 0).toNumber() : message.compactRevision;
            return object;
        };
        /**
         * Converts this HashKVResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.HashKVResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        HashKVResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return HashKVResponse;
    })();
    etcdserverpb.HashResponse = (function () {
        /**
         * Properties of a HashResponse.
         * @memberof etcdserverpb
         * @interface IHashResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] HashResponse header
         * @property {number|null} [hash] HashResponse hash
         */
        /**
         * Constructs a new HashResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a HashResponse.
         * @implements IHashResponse
         * @constructor
         * @param {etcdserverpb.IHashResponse=} [properties] Properties to set
         */
        function HashResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * HashResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.HashResponse
         * @instance
         */
        HashResponse.prototype.header = null;
        /**
         * HashResponse hash.
         * @member {number} hash
         * @memberof etcdserverpb.HashResponse
         * @instance
         */
        HashResponse.prototype.hash = 0;
        /**
         * Creates a new HashResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {etcdserverpb.IHashResponse=} [properties] Properties to set
         * @returns {etcdserverpb.HashResponse} HashResponse instance
         */
        HashResponse.create = function create(properties) {
            return new HashResponse(properties);
        };
        /**
         * Encodes the specified HashResponse message. Does not implicitly {@link etcdserverpb.HashResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {etcdserverpb.IHashResponse} message HashResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.hash != null && Object.hasOwnProperty.call(message, "hash"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).uint32(message.hash);
            return writer;
        };
        /**
         * Encodes the specified HashResponse message, length delimited. Does not implicitly {@link etcdserverpb.HashResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {etcdserverpb.IHashResponse} message HashResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        HashResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a HashResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.HashResponse} HashResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.HashResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.hash = reader.uint32();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a HashResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.HashResponse} HashResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        HashResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a HashResponse message.
         * @function verify
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        HashResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.hash != null && message.hasOwnProperty("hash"))
                if (!$util.isInteger(message.hash))
                    return "hash: integer expected";
            return null;
        };
        /**
         * Creates a HashResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.HashResponse} HashResponse
         */
        HashResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.HashResponse)
                return object;
            let message = new $root.etcdserverpb.HashResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.HashResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.hash != null)
                message.hash = object.hash >>> 0;
            return message;
        };
        /**
         * Creates a plain object from a HashResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.HashResponse
         * @static
         * @param {etcdserverpb.HashResponse} message HashResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        HashResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.hash = 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.hash != null && message.hasOwnProperty("hash"))
                object.hash = message.hash;
            return object;
        };
        /**
         * Converts this HashResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.HashResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        HashResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return HashResponse;
    })();
    etcdserverpb.SnapshotRequest = (function () {
        /**
         * Properties of a SnapshotRequest.
         * @memberof etcdserverpb
         * @interface ISnapshotRequest
         */
        /**
         * Constructs a new SnapshotRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a SnapshotRequest.
         * @implements ISnapshotRequest
         * @constructor
         * @param {etcdserverpb.ISnapshotRequest=} [properties] Properties to set
         */
        function SnapshotRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new SnapshotRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {etcdserverpb.ISnapshotRequest=} [properties] Properties to set
         * @returns {etcdserverpb.SnapshotRequest} SnapshotRequest instance
         */
        SnapshotRequest.create = function create(properties) {
            return new SnapshotRequest(properties);
        };
        /**
         * Encodes the specified SnapshotRequest message. Does not implicitly {@link etcdserverpb.SnapshotRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {etcdserverpb.ISnapshotRequest} message SnapshotRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        SnapshotRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified SnapshotRequest message, length delimited. Does not implicitly {@link etcdserverpb.SnapshotRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {etcdserverpb.ISnapshotRequest} message SnapshotRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        SnapshotRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a SnapshotRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.SnapshotRequest} SnapshotRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        SnapshotRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.SnapshotRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a SnapshotRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.SnapshotRequest} SnapshotRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        SnapshotRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a SnapshotRequest message.
         * @function verify
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        SnapshotRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a SnapshotRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.SnapshotRequest} SnapshotRequest
         */
        SnapshotRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.SnapshotRequest)
                return object;
            return new $root.etcdserverpb.SnapshotRequest();
        };
        /**
         * Creates a plain object from a SnapshotRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.SnapshotRequest
         * @static
         * @param {etcdserverpb.SnapshotRequest} message SnapshotRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        SnapshotRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this SnapshotRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.SnapshotRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        SnapshotRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return SnapshotRequest;
    })();
    etcdserverpb.SnapshotResponse = (function () {
        /**
         * Properties of a SnapshotResponse.
         * @memberof etcdserverpb
         * @interface ISnapshotResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] SnapshotResponse header
         * @property {number|Long|null} [remainingBytes] SnapshotResponse remainingBytes
         * @property {Uint8Array|null} [blob] SnapshotResponse blob
         */
        /**
         * Constructs a new SnapshotResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a SnapshotResponse.
         * @implements ISnapshotResponse
         * @constructor
         * @param {etcdserverpb.ISnapshotResponse=} [properties] Properties to set
         */
        function SnapshotResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * SnapshotResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.SnapshotResponse
         * @instance
         */
        SnapshotResponse.prototype.header = null;
        /**
         * SnapshotResponse remainingBytes.
         * @member {number|Long} remainingBytes
         * @memberof etcdserverpb.SnapshotResponse
         * @instance
         */
        SnapshotResponse.prototype.remainingBytes = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * SnapshotResponse blob.
         * @member {Uint8Array} blob
         * @memberof etcdserverpb.SnapshotResponse
         * @instance
         */
        SnapshotResponse.prototype.blob = $util.newBuffer([]);
        /**
         * Creates a new SnapshotResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {etcdserverpb.ISnapshotResponse=} [properties] Properties to set
         * @returns {etcdserverpb.SnapshotResponse} SnapshotResponse instance
         */
        SnapshotResponse.create = function create(properties) {
            return new SnapshotResponse(properties);
        };
        /**
         * Encodes the specified SnapshotResponse message. Does not implicitly {@link etcdserverpb.SnapshotResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {etcdserverpb.ISnapshotResponse} message SnapshotResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        SnapshotResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.remainingBytes != null && Object.hasOwnProperty.call(message, "remainingBytes"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).uint64(message.remainingBytes);
            if (message.blob != null && Object.hasOwnProperty.call(message, "blob"))
                writer.uint32(/* id 3, wireType 2 =*/ 26).bytes(message.blob);
            return writer;
        };
        /**
         * Encodes the specified SnapshotResponse message, length delimited. Does not implicitly {@link etcdserverpb.SnapshotResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {etcdserverpb.ISnapshotResponse} message SnapshotResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        SnapshotResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a SnapshotResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.SnapshotResponse} SnapshotResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        SnapshotResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.SnapshotResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.remainingBytes = reader.uint64();
                        break;
                    case 3:
                        message.blob = reader.bytes();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a SnapshotResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.SnapshotResponse} SnapshotResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        SnapshotResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a SnapshotResponse message.
         * @function verify
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        SnapshotResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.remainingBytes != null && message.hasOwnProperty("remainingBytes"))
                if (!$util.isInteger(message.remainingBytes) && !(message.remainingBytes && $util.isInteger(message.remainingBytes.low) && $util.isInteger(message.remainingBytes.high)))
                    return "remainingBytes: integer|Long expected";
            if (message.blob != null && message.hasOwnProperty("blob"))
                if (!(message.blob && typeof message.blob.length === "number" || $util.isString(message.blob)))
                    return "blob: buffer expected";
            return null;
        };
        /**
         * Creates a SnapshotResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.SnapshotResponse} SnapshotResponse
         */
        SnapshotResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.SnapshotResponse)
                return object;
            let message = new $root.etcdserverpb.SnapshotResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.SnapshotResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.remainingBytes != null)
                if ($util.Long)
                    (message.remainingBytes = $util.Long.fromValue(object.remainingBytes)).unsigned = true;
                else if (typeof object.remainingBytes === "string")
                    message.remainingBytes = parseInt(object.remainingBytes, 10);
                else if (typeof object.remainingBytes === "number")
                    message.remainingBytes = object.remainingBytes;
                else if (typeof object.remainingBytes === "object")
                    message.remainingBytes = new $util.LongBits(object.remainingBytes.low >>> 0, object.remainingBytes.high >>> 0).toNumber(true);
            if (object.blob != null)
                if (typeof object.blob === "string")
                    $util.base64.decode(object.blob, message.blob = $util.newBuffer($util.base64.length(object.blob)), 0);
                else if (object.blob.length)
                    message.blob = object.blob;
            return message;
        };
        /**
         * Creates a plain object from a SnapshotResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.SnapshotResponse
         * @static
         * @param {etcdserverpb.SnapshotResponse} message SnapshotResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        SnapshotResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.remainingBytes = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.remainingBytes = options.longs === String ? "0" : 0;
                if (options.bytes === String)
                    object.blob = "";
                else {
                    object.blob = [];
                    if (options.bytes !== Array)
                        object.blob = $util.newBuffer(object.blob);
                }
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.remainingBytes != null && message.hasOwnProperty("remainingBytes"))
                if (typeof message.remainingBytes === "number")
                    object.remainingBytes = options.longs === String ? String(message.remainingBytes) : message.remainingBytes;
                else
                    object.remainingBytes = options.longs === String ? $util.Long.prototype.toString.call(message.remainingBytes) : options.longs === Number ? new $util.LongBits(message.remainingBytes.low >>> 0, message.remainingBytes.high >>> 0).toNumber(true) : message.remainingBytes;
            if (message.blob != null && message.hasOwnProperty("blob"))
                object.blob = options.bytes === String ? $util.base64.encode(message.blob, 0, message.blob.length) : options.bytes === Array ? Array.prototype.slice.call(message.blob) : message.blob;
            return object;
        };
        /**
         * Converts this SnapshotResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.SnapshotResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        SnapshotResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return SnapshotResponse;
    })();
    etcdserverpb.WatchRequest = (function () {
        /**
         * Properties of a WatchRequest.
         * @memberof etcdserverpb
         * @interface IWatchRequest
         * @property {etcdserverpb.IWatchCreateRequest|null} [createRequest] WatchRequest createRequest
         * @property {etcdserverpb.IWatchCancelRequest|null} [cancelRequest] WatchRequest cancelRequest
         * @property {etcdserverpb.IWatchProgressRequest|null} [progressRequest] WatchRequest progressRequest
         */
        /**
         * Constructs a new WatchRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a WatchRequest.
         * @implements IWatchRequest
         * @constructor
         * @param {etcdserverpb.IWatchRequest=} [properties] Properties to set
         */
        function WatchRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * WatchRequest createRequest.
         * @member {etcdserverpb.IWatchCreateRequest|null|undefined} createRequest
         * @memberof etcdserverpb.WatchRequest
         * @instance
         */
        WatchRequest.prototype.createRequest = null;
        /**
         * WatchRequest cancelRequest.
         * @member {etcdserverpb.IWatchCancelRequest|null|undefined} cancelRequest
         * @memberof etcdserverpb.WatchRequest
         * @instance
         */
        WatchRequest.prototype.cancelRequest = null;
        /**
         * WatchRequest progressRequest.
         * @member {etcdserverpb.IWatchProgressRequest|null|undefined} progressRequest
         * @memberof etcdserverpb.WatchRequest
         * @instance
         */
        WatchRequest.prototype.progressRequest = null;
        // OneOf field names bound to virtual getters and setters
        let $oneOfFields;
        /**
         * WatchRequest requestUnion.
         * @member {"createRequest"|"cancelRequest"|"progressRequest"|undefined} requestUnion
         * @memberof etcdserverpb.WatchRequest
         * @instance
         */
        Object.defineProperty(WatchRequest.prototype, "requestUnion", {
            get: $util.oneOfGetter($oneOfFields = ["createRequest", "cancelRequest", "progressRequest"]),
            set: $util.oneOfSetter($oneOfFields)
        });
        /**
         * Creates a new WatchRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {etcdserverpb.IWatchRequest=} [properties] Properties to set
         * @returns {etcdserverpb.WatchRequest} WatchRequest instance
         */
        WatchRequest.create = function create(properties) {
            return new WatchRequest(properties);
        };
        /**
         * Encodes the specified WatchRequest message. Does not implicitly {@link etcdserverpb.WatchRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {etcdserverpb.IWatchRequest} message WatchRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.createRequest != null && Object.hasOwnProperty.call(message, "createRequest"))
                $root.etcdserverpb.WatchCreateRequest.encode(message.createRequest, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.cancelRequest != null && Object.hasOwnProperty.call(message, "cancelRequest"))
                $root.etcdserverpb.WatchCancelRequest.encode(message.cancelRequest, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.progressRequest != null && Object.hasOwnProperty.call(message, "progressRequest"))
                $root.etcdserverpb.WatchProgressRequest.encode(message.progressRequest, writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified WatchRequest message, length delimited. Does not implicitly {@link etcdserverpb.WatchRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {etcdserverpb.IWatchRequest} message WatchRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a WatchRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.WatchRequest} WatchRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.WatchRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.createRequest = $root.etcdserverpb.WatchCreateRequest.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.cancelRequest = $root.etcdserverpb.WatchCancelRequest.decode(reader, reader.uint32());
                        break;
                    case 3:
                        message.progressRequest = $root.etcdserverpb.WatchProgressRequest.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a WatchRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.WatchRequest} WatchRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a WatchRequest message.
         * @function verify
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        WatchRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            let properties = {};
            if (message.createRequest != null && message.hasOwnProperty("createRequest")) {
                properties.requestUnion = 1;
                {
                    let error = $root.etcdserverpb.WatchCreateRequest.verify(message.createRequest);
                    if (error)
                        return "createRequest." + error;
                }
            }
            if (message.cancelRequest != null && message.hasOwnProperty("cancelRequest")) {
                if (properties.requestUnion === 1)
                    return "requestUnion: multiple values";
                properties.requestUnion = 1;
                {
                    let error = $root.etcdserverpb.WatchCancelRequest.verify(message.cancelRequest);
                    if (error)
                        return "cancelRequest." + error;
                }
            }
            if (message.progressRequest != null && message.hasOwnProperty("progressRequest")) {
                if (properties.requestUnion === 1)
                    return "requestUnion: multiple values";
                properties.requestUnion = 1;
                {
                    let error = $root.etcdserverpb.WatchProgressRequest.verify(message.progressRequest);
                    if (error)
                        return "progressRequest." + error;
                }
            }
            return null;
        };
        /**
         * Creates a WatchRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.WatchRequest} WatchRequest
         */
        WatchRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.WatchRequest)
                return object;
            let message = new $root.etcdserverpb.WatchRequest();
            if (object.createRequest != null) {
                if (typeof object.createRequest !== "object")
                    throw TypeError(".etcdserverpb.WatchRequest.createRequest: object expected");
                message.createRequest = $root.etcdserverpb.WatchCreateRequest.fromObject(object.createRequest);
            }
            if (object.cancelRequest != null) {
                if (typeof object.cancelRequest !== "object")
                    throw TypeError(".etcdserverpb.WatchRequest.cancelRequest: object expected");
                message.cancelRequest = $root.etcdserverpb.WatchCancelRequest.fromObject(object.cancelRequest);
            }
            if (object.progressRequest != null) {
                if (typeof object.progressRequest !== "object")
                    throw TypeError(".etcdserverpb.WatchRequest.progressRequest: object expected");
                message.progressRequest = $root.etcdserverpb.WatchProgressRequest.fromObject(object.progressRequest);
            }
            return message;
        };
        /**
         * Creates a plain object from a WatchRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.WatchRequest
         * @static
         * @param {etcdserverpb.WatchRequest} message WatchRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        WatchRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (message.createRequest != null && message.hasOwnProperty("createRequest")) {
                object.createRequest = $root.etcdserverpb.WatchCreateRequest.toObject(message.createRequest, options);
                if (options.oneofs)
                    object.requestUnion = "createRequest";
            }
            if (message.cancelRequest != null && message.hasOwnProperty("cancelRequest")) {
                object.cancelRequest = $root.etcdserverpb.WatchCancelRequest.toObject(message.cancelRequest, options);
                if (options.oneofs)
                    object.requestUnion = "cancelRequest";
            }
            if (message.progressRequest != null && message.hasOwnProperty("progressRequest")) {
                object.progressRequest = $root.etcdserverpb.WatchProgressRequest.toObject(message.progressRequest, options);
                if (options.oneofs)
                    object.requestUnion = "progressRequest";
            }
            return object;
        };
        /**
         * Converts this WatchRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.WatchRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        WatchRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return WatchRequest;
    })();
    etcdserverpb.WatchCreateRequest = (function () {
        /**
         * Properties of a WatchCreateRequest.
         * @memberof etcdserverpb
         * @interface IWatchCreateRequest
         * @property {Uint8Array|null} [key] WatchCreateRequest key
         * @property {Uint8Array|null} [rangeEnd] WatchCreateRequest rangeEnd
         * @property {number|Long|null} [startRevision] WatchCreateRequest startRevision
         * @property {boolean|null} [progressNotify] WatchCreateRequest progressNotify
         * @property {Array.<etcdserverpb.WatchCreateRequest.FilterType>|null} [filters] WatchCreateRequest filters
         * @property {boolean|null} [prevKv] WatchCreateRequest prevKv
         * @property {number|Long|null} [watchId] WatchCreateRequest watchId
         * @property {boolean|null} [fragment] WatchCreateRequest fragment
         */
        /**
         * Constructs a new WatchCreateRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a WatchCreateRequest.
         * @implements IWatchCreateRequest
         * @constructor
         * @param {etcdserverpb.IWatchCreateRequest=} [properties] Properties to set
         */
        function WatchCreateRequest(properties) {
            this.filters = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * WatchCreateRequest key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.key = $util.newBuffer([]);
        /**
         * WatchCreateRequest rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.rangeEnd = $util.newBuffer([]);
        /**
         * WatchCreateRequest startRevision.
         * @member {number|Long} startRevision
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.startRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * WatchCreateRequest progressNotify.
         * @member {boolean} progressNotify
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.progressNotify = false;
        /**
         * WatchCreateRequest filters.
         * @member {Array.<etcdserverpb.WatchCreateRequest.FilterType>} filters
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.filters = $util.emptyArray;
        /**
         * WatchCreateRequest prevKv.
         * @member {boolean} prevKv
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.prevKv = false;
        /**
         * WatchCreateRequest watchId.
         * @member {number|Long} watchId
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.watchId = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * WatchCreateRequest fragment.
         * @member {boolean} fragment
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         */
        WatchCreateRequest.prototype.fragment = false;
        /**
         * Creates a new WatchCreateRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {etcdserverpb.IWatchCreateRequest=} [properties] Properties to set
         * @returns {etcdserverpb.WatchCreateRequest} WatchCreateRequest instance
         */
        WatchCreateRequest.create = function create(properties) {
            return new WatchCreateRequest(properties);
        };
        /**
         * Encodes the specified WatchCreateRequest message. Does not implicitly {@link etcdserverpb.WatchCreateRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {etcdserverpb.IWatchCreateRequest} message WatchCreateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchCreateRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.key);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.rangeEnd);
            if (message.startRevision != null && Object.hasOwnProperty.call(message, "startRevision"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.startRevision);
            if (message.progressNotify != null && Object.hasOwnProperty.call(message, "progressNotify"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).bool(message.progressNotify);
            if (message.filters != null && message.filters.length) {
                writer.uint32(/* id 5, wireType 2 =*/ 42).fork();
                for (let i = 0; i < message.filters.length; ++i)
                    writer.int32(message.filters[i]);
                writer.ldelim();
            }
            if (message.prevKv != null && Object.hasOwnProperty.call(message, "prevKv"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).bool(message.prevKv);
            if (message.watchId != null && Object.hasOwnProperty.call(message, "watchId"))
                writer.uint32(/* id 7, wireType 0 =*/ 56).int64(message.watchId);
            if (message.fragment != null && Object.hasOwnProperty.call(message, "fragment"))
                writer.uint32(/* id 8, wireType 0 =*/ 64).bool(message.fragment);
            return writer;
        };
        /**
         * Encodes the specified WatchCreateRequest message, length delimited. Does not implicitly {@link etcdserverpb.WatchCreateRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {etcdserverpb.IWatchCreateRequest} message WatchCreateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchCreateRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a WatchCreateRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.WatchCreateRequest} WatchCreateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchCreateRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.WatchCreateRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.key = reader.bytes();
                        break;
                    case 2:
                        message.rangeEnd = reader.bytes();
                        break;
                    case 3:
                        message.startRevision = reader.int64();
                        break;
                    case 4:
                        message.progressNotify = reader.bool();
                        break;
                    case 5:
                        if (!(message.filters && message.filters.length))
                            message.filters = [];
                        if ((tag & 7) === 2) {
                            let end2 = reader.uint32() + reader.pos;
                            while (reader.pos < end2)
                                message.filters.push(reader.int32());
                        }
                        else
                            message.filters.push(reader.int32());
                        break;
                    case 6:
                        message.prevKv = reader.bool();
                        break;
                    case 7:
                        message.watchId = reader.int64();
                        break;
                    case 8:
                        message.fragment = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a WatchCreateRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.WatchCreateRequest} WatchCreateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchCreateRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a WatchCreateRequest message.
         * @function verify
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        WatchCreateRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            if (message.startRevision != null && message.hasOwnProperty("startRevision"))
                if (!$util.isInteger(message.startRevision) && !(message.startRevision && $util.isInteger(message.startRevision.low) && $util.isInteger(message.startRevision.high)))
                    return "startRevision: integer|Long expected";
            if (message.progressNotify != null && message.hasOwnProperty("progressNotify"))
                if (typeof message.progressNotify !== "boolean")
                    return "progressNotify: boolean expected";
            if (message.filters != null && message.hasOwnProperty("filters")) {
                if (!Array.isArray(message.filters))
                    return "filters: array expected";
                for (let i = 0; i < message.filters.length; ++i)
                    switch (message.filters[i]) {
                        default:
                            return "filters: enum value[] expected";
                        case 0:
                        case 1:
                            break;
                    }
            }
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                if (typeof message.prevKv !== "boolean")
                    return "prevKv: boolean expected";
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (!$util.isInteger(message.watchId) && !(message.watchId && $util.isInteger(message.watchId.low) && $util.isInteger(message.watchId.high)))
                    return "watchId: integer|Long expected";
            if (message.fragment != null && message.hasOwnProperty("fragment"))
                if (typeof message.fragment !== "boolean")
                    return "fragment: boolean expected";
            return null;
        };
        /**
         * Creates a WatchCreateRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.WatchCreateRequest} WatchCreateRequest
         */
        WatchCreateRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.WatchCreateRequest)
                return object;
            let message = new $root.etcdserverpb.WatchCreateRequest();
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            if (object.startRevision != null)
                if ($util.Long)
                    (message.startRevision = $util.Long.fromValue(object.startRevision)).unsigned = false;
                else if (typeof object.startRevision === "string")
                    message.startRevision = parseInt(object.startRevision, 10);
                else if (typeof object.startRevision === "number")
                    message.startRevision = object.startRevision;
                else if (typeof object.startRevision === "object")
                    message.startRevision = new $util.LongBits(object.startRevision.low >>> 0, object.startRevision.high >>> 0).toNumber();
            if (object.progressNotify != null)
                message.progressNotify = Boolean(object.progressNotify);
            if (object.filters) {
                if (!Array.isArray(object.filters))
                    throw TypeError(".etcdserverpb.WatchCreateRequest.filters: array expected");
                message.filters = [];
                for (let i = 0; i < object.filters.length; ++i)
                    switch (object.filters[i]) {
                        default:
                        case "Noput":
                        case 0:
                            message.filters[i] = 0;
                            break;
                        case "Nodelete":
                        case 1:
                            message.filters[i] = 1;
                            break;
                    }
            }
            if (object.prevKv != null)
                message.prevKv = Boolean(object.prevKv);
            if (object.watchId != null)
                if ($util.Long)
                    (message.watchId = $util.Long.fromValue(object.watchId)).unsigned = false;
                else if (typeof object.watchId === "string")
                    message.watchId = parseInt(object.watchId, 10);
                else if (typeof object.watchId === "number")
                    message.watchId = object.watchId;
                else if (typeof object.watchId === "object")
                    message.watchId = new $util.LongBits(object.watchId.low >>> 0, object.watchId.high >>> 0).toNumber();
            if (object.fragment != null)
                message.fragment = Boolean(object.fragment);
            return message;
        };
        /**
         * Creates a plain object from a WatchCreateRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.WatchCreateRequest
         * @static
         * @param {etcdserverpb.WatchCreateRequest} message WatchCreateRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        WatchCreateRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.filters = [];
            if (options.defaults) {
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.startRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.startRevision = options.longs === String ? "0" : 0;
                object.progressNotify = false;
                object.prevKv = false;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.watchId = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.watchId = options.longs === String ? "0" : 0;
                object.fragment = false;
            }
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            if (message.startRevision != null && message.hasOwnProperty("startRevision"))
                if (typeof message.startRevision === "number")
                    object.startRevision = options.longs === String ? String(message.startRevision) : message.startRevision;
                else
                    object.startRevision = options.longs === String ? $util.Long.prototype.toString.call(message.startRevision) : options.longs === Number ? new $util.LongBits(message.startRevision.low >>> 0, message.startRevision.high >>> 0).toNumber() : message.startRevision;
            if (message.progressNotify != null && message.hasOwnProperty("progressNotify"))
                object.progressNotify = message.progressNotify;
            if (message.filters && message.filters.length) {
                object.filters = [];
                for (let j = 0; j < message.filters.length; ++j)
                    object.filters[j] = options.enums === String ? $root.etcdserverpb.WatchCreateRequest.FilterType[message.filters[j]] : message.filters[j];
            }
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                object.prevKv = message.prevKv;
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (typeof message.watchId === "number")
                    object.watchId = options.longs === String ? String(message.watchId) : message.watchId;
                else
                    object.watchId = options.longs === String ? $util.Long.prototype.toString.call(message.watchId) : options.longs === Number ? new $util.LongBits(message.watchId.low >>> 0, message.watchId.high >>> 0).toNumber() : message.watchId;
            if (message.fragment != null && message.hasOwnProperty("fragment"))
                object.fragment = message.fragment;
            return object;
        };
        /**
         * Converts this WatchCreateRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.WatchCreateRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        WatchCreateRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * FilterType enum.
         * @name etcdserverpb.WatchCreateRequest.FilterType
         * @enum {number}
         * @property {number} Noput=0 Noput value
         * @property {number} Nodelete=1 Nodelete value
         */
        WatchCreateRequest.FilterType = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Noput"] = 0;
            values[valuesById[1] = "Nodelete"] = 1;
            return values;
        })();
        return WatchCreateRequest;
    })();
    etcdserverpb.WatchCancelRequest = (function () {
        /**
         * Properties of a WatchCancelRequest.
         * @memberof etcdserverpb
         * @interface IWatchCancelRequest
         * @property {number|Long|null} [watchId] WatchCancelRequest watchId
         */
        /**
         * Constructs a new WatchCancelRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a WatchCancelRequest.
         * @implements IWatchCancelRequest
         * @constructor
         * @param {etcdserverpb.IWatchCancelRequest=} [properties] Properties to set
         */
        function WatchCancelRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * WatchCancelRequest watchId.
         * @member {number|Long} watchId
         * @memberof etcdserverpb.WatchCancelRequest
         * @instance
         */
        WatchCancelRequest.prototype.watchId = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new WatchCancelRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {etcdserverpb.IWatchCancelRequest=} [properties] Properties to set
         * @returns {etcdserverpb.WatchCancelRequest} WatchCancelRequest instance
         */
        WatchCancelRequest.create = function create(properties) {
            return new WatchCancelRequest(properties);
        };
        /**
         * Encodes the specified WatchCancelRequest message. Does not implicitly {@link etcdserverpb.WatchCancelRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {etcdserverpb.IWatchCancelRequest} message WatchCancelRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchCancelRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.watchId != null && Object.hasOwnProperty.call(message, "watchId"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.watchId);
            return writer;
        };
        /**
         * Encodes the specified WatchCancelRequest message, length delimited. Does not implicitly {@link etcdserverpb.WatchCancelRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {etcdserverpb.IWatchCancelRequest} message WatchCancelRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchCancelRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a WatchCancelRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.WatchCancelRequest} WatchCancelRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchCancelRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.WatchCancelRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.watchId = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a WatchCancelRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.WatchCancelRequest} WatchCancelRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchCancelRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a WatchCancelRequest message.
         * @function verify
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        WatchCancelRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (!$util.isInteger(message.watchId) && !(message.watchId && $util.isInteger(message.watchId.low) && $util.isInteger(message.watchId.high)))
                    return "watchId: integer|Long expected";
            return null;
        };
        /**
         * Creates a WatchCancelRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.WatchCancelRequest} WatchCancelRequest
         */
        WatchCancelRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.WatchCancelRequest)
                return object;
            let message = new $root.etcdserverpb.WatchCancelRequest();
            if (object.watchId != null)
                if ($util.Long)
                    (message.watchId = $util.Long.fromValue(object.watchId)).unsigned = false;
                else if (typeof object.watchId === "string")
                    message.watchId = parseInt(object.watchId, 10);
                else if (typeof object.watchId === "number")
                    message.watchId = object.watchId;
                else if (typeof object.watchId === "object")
                    message.watchId = new $util.LongBits(object.watchId.low >>> 0, object.watchId.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a WatchCancelRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.WatchCancelRequest
         * @static
         * @param {etcdserverpb.WatchCancelRequest} message WatchCancelRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        WatchCancelRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.watchId = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.watchId = options.longs === String ? "0" : 0;
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (typeof message.watchId === "number")
                    object.watchId = options.longs === String ? String(message.watchId) : message.watchId;
                else
                    object.watchId = options.longs === String ? $util.Long.prototype.toString.call(message.watchId) : options.longs === Number ? new $util.LongBits(message.watchId.low >>> 0, message.watchId.high >>> 0).toNumber() : message.watchId;
            return object;
        };
        /**
         * Converts this WatchCancelRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.WatchCancelRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        WatchCancelRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return WatchCancelRequest;
    })();
    etcdserverpb.WatchProgressRequest = (function () {
        /**
         * Properties of a WatchProgressRequest.
         * @memberof etcdserverpb
         * @interface IWatchProgressRequest
         */
        /**
         * Constructs a new WatchProgressRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a WatchProgressRequest.
         * @implements IWatchProgressRequest
         * @constructor
         * @param {etcdserverpb.IWatchProgressRequest=} [properties] Properties to set
         */
        function WatchProgressRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new WatchProgressRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {etcdserverpb.IWatchProgressRequest=} [properties] Properties to set
         * @returns {etcdserverpb.WatchProgressRequest} WatchProgressRequest instance
         */
        WatchProgressRequest.create = function create(properties) {
            return new WatchProgressRequest(properties);
        };
        /**
         * Encodes the specified WatchProgressRequest message. Does not implicitly {@link etcdserverpb.WatchProgressRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {etcdserverpb.IWatchProgressRequest} message WatchProgressRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchProgressRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified WatchProgressRequest message, length delimited. Does not implicitly {@link etcdserverpb.WatchProgressRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {etcdserverpb.IWatchProgressRequest} message WatchProgressRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchProgressRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a WatchProgressRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.WatchProgressRequest} WatchProgressRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchProgressRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.WatchProgressRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a WatchProgressRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.WatchProgressRequest} WatchProgressRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchProgressRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a WatchProgressRequest message.
         * @function verify
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        WatchProgressRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a WatchProgressRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.WatchProgressRequest} WatchProgressRequest
         */
        WatchProgressRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.WatchProgressRequest)
                return object;
            return new $root.etcdserverpb.WatchProgressRequest();
        };
        /**
         * Creates a plain object from a WatchProgressRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.WatchProgressRequest
         * @static
         * @param {etcdserverpb.WatchProgressRequest} message WatchProgressRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        WatchProgressRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this WatchProgressRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.WatchProgressRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        WatchProgressRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return WatchProgressRequest;
    })();
    etcdserverpb.WatchResponse = (function () {
        /**
         * Properties of a WatchResponse.
         * @memberof etcdserverpb
         * @interface IWatchResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] WatchResponse header
         * @property {number|Long|null} [watchId] WatchResponse watchId
         * @property {boolean|null} [created] WatchResponse created
         * @property {boolean|null} [canceled] WatchResponse canceled
         * @property {number|Long|null} [compactRevision] WatchResponse compactRevision
         * @property {string|null} [cancelReason] WatchResponse cancelReason
         * @property {boolean|null} [fragment] WatchResponse fragment
         * @property {Array.<mvccpb.IEvent>|null} [events] WatchResponse events
         */
        /**
         * Constructs a new WatchResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a WatchResponse.
         * @implements IWatchResponse
         * @constructor
         * @param {etcdserverpb.IWatchResponse=} [properties] Properties to set
         */
        function WatchResponse(properties) {
            this.events = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * WatchResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.header = null;
        /**
         * WatchResponse watchId.
         * @member {number|Long} watchId
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.watchId = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * WatchResponse created.
         * @member {boolean} created
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.created = false;
        /**
         * WatchResponse canceled.
         * @member {boolean} canceled
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.canceled = false;
        /**
         * WatchResponse compactRevision.
         * @member {number|Long} compactRevision
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.compactRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * WatchResponse cancelReason.
         * @member {string} cancelReason
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.cancelReason = "";
        /**
         * WatchResponse fragment.
         * @member {boolean} fragment
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.fragment = false;
        /**
         * WatchResponse events.
         * @member {Array.<mvccpb.IEvent>} events
         * @memberof etcdserverpb.WatchResponse
         * @instance
         */
        WatchResponse.prototype.events = $util.emptyArray;
        /**
         * Creates a new WatchResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {etcdserverpb.IWatchResponse=} [properties] Properties to set
         * @returns {etcdserverpb.WatchResponse} WatchResponse instance
         */
        WatchResponse.create = function create(properties) {
            return new WatchResponse(properties);
        };
        /**
         * Encodes the specified WatchResponse message. Does not implicitly {@link etcdserverpb.WatchResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {etcdserverpb.IWatchResponse} message WatchResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.watchId != null && Object.hasOwnProperty.call(message, "watchId"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.watchId);
            if (message.created != null && Object.hasOwnProperty.call(message, "created"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).bool(message.created);
            if (message.canceled != null && Object.hasOwnProperty.call(message, "canceled"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).bool(message.canceled);
            if (message.compactRevision != null && Object.hasOwnProperty.call(message, "compactRevision"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).int64(message.compactRevision);
            if (message.cancelReason != null && Object.hasOwnProperty.call(message, "cancelReason"))
                writer.uint32(/* id 6, wireType 2 =*/ 50).string(message.cancelReason);
            if (message.fragment != null && Object.hasOwnProperty.call(message, "fragment"))
                writer.uint32(/* id 7, wireType 0 =*/ 56).bool(message.fragment);
            if (message.events != null && message.events.length)
                for (let i = 0; i < message.events.length; ++i)
                    $root.mvccpb.Event.encode(message.events[i], writer.uint32(/* id 11, wireType 2 =*/ 90).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified WatchResponse message, length delimited. Does not implicitly {@link etcdserverpb.WatchResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {etcdserverpb.IWatchResponse} message WatchResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        WatchResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a WatchResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.WatchResponse} WatchResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.WatchResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.watchId = reader.int64();
                        break;
                    case 3:
                        message.created = reader.bool();
                        break;
                    case 4:
                        message.canceled = reader.bool();
                        break;
                    case 5:
                        message.compactRevision = reader.int64();
                        break;
                    case 6:
                        message.cancelReason = reader.string();
                        break;
                    case 7:
                        message.fragment = reader.bool();
                        break;
                    case 11:
                        if (!(message.events && message.events.length))
                            message.events = [];
                        message.events.push($root.mvccpb.Event.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a WatchResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.WatchResponse} WatchResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        WatchResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a WatchResponse message.
         * @function verify
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        WatchResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (!$util.isInteger(message.watchId) && !(message.watchId && $util.isInteger(message.watchId.low) && $util.isInteger(message.watchId.high)))
                    return "watchId: integer|Long expected";
            if (message.created != null && message.hasOwnProperty("created"))
                if (typeof message.created !== "boolean")
                    return "created: boolean expected";
            if (message.canceled != null && message.hasOwnProperty("canceled"))
                if (typeof message.canceled !== "boolean")
                    return "canceled: boolean expected";
            if (message.compactRevision != null && message.hasOwnProperty("compactRevision"))
                if (!$util.isInteger(message.compactRevision) && !(message.compactRevision && $util.isInteger(message.compactRevision.low) && $util.isInteger(message.compactRevision.high)))
                    return "compactRevision: integer|Long expected";
            if (message.cancelReason != null && message.hasOwnProperty("cancelReason"))
                if (!$util.isString(message.cancelReason))
                    return "cancelReason: string expected";
            if (message.fragment != null && message.hasOwnProperty("fragment"))
                if (typeof message.fragment !== "boolean")
                    return "fragment: boolean expected";
            if (message.events != null && message.hasOwnProperty("events")) {
                if (!Array.isArray(message.events))
                    return "events: array expected";
                for (let i = 0; i < message.events.length; ++i) {
                    let error = $root.mvccpb.Event.verify(message.events[i]);
                    if (error)
                        return "events." + error;
                }
            }
            return null;
        };
        /**
         * Creates a WatchResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.WatchResponse} WatchResponse
         */
        WatchResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.WatchResponse)
                return object;
            let message = new $root.etcdserverpb.WatchResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.WatchResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.watchId != null)
                if ($util.Long)
                    (message.watchId = $util.Long.fromValue(object.watchId)).unsigned = false;
                else if (typeof object.watchId === "string")
                    message.watchId = parseInt(object.watchId, 10);
                else if (typeof object.watchId === "number")
                    message.watchId = object.watchId;
                else if (typeof object.watchId === "object")
                    message.watchId = new $util.LongBits(object.watchId.low >>> 0, object.watchId.high >>> 0).toNumber();
            if (object.created != null)
                message.created = Boolean(object.created);
            if (object.canceled != null)
                message.canceled = Boolean(object.canceled);
            if (object.compactRevision != null)
                if ($util.Long)
                    (message.compactRevision = $util.Long.fromValue(object.compactRevision)).unsigned = false;
                else if (typeof object.compactRevision === "string")
                    message.compactRevision = parseInt(object.compactRevision, 10);
                else if (typeof object.compactRevision === "number")
                    message.compactRevision = object.compactRevision;
                else if (typeof object.compactRevision === "object")
                    message.compactRevision = new $util.LongBits(object.compactRevision.low >>> 0, object.compactRevision.high >>> 0).toNumber();
            if (object.cancelReason != null)
                message.cancelReason = String(object.cancelReason);
            if (object.fragment != null)
                message.fragment = Boolean(object.fragment);
            if (object.events) {
                if (!Array.isArray(object.events))
                    throw TypeError(".etcdserverpb.WatchResponse.events: array expected");
                message.events = [];
                for (let i = 0; i < object.events.length; ++i) {
                    if (typeof object.events[i] !== "object")
                        throw TypeError(".etcdserverpb.WatchResponse.events: object expected");
                    message.events[i] = $root.mvccpb.Event.fromObject(object.events[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a WatchResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.WatchResponse
         * @static
         * @param {etcdserverpb.WatchResponse} message WatchResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        WatchResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.events = [];
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.watchId = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.watchId = options.longs === String ? "0" : 0;
                object.created = false;
                object.canceled = false;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.compactRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.compactRevision = options.longs === String ? "0" : 0;
                object.cancelReason = "";
                object.fragment = false;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.watchId != null && message.hasOwnProperty("watchId"))
                if (typeof message.watchId === "number")
                    object.watchId = options.longs === String ? String(message.watchId) : message.watchId;
                else
                    object.watchId = options.longs === String ? $util.Long.prototype.toString.call(message.watchId) : options.longs === Number ? new $util.LongBits(message.watchId.low >>> 0, message.watchId.high >>> 0).toNumber() : message.watchId;
            if (message.created != null && message.hasOwnProperty("created"))
                object.created = message.created;
            if (message.canceled != null && message.hasOwnProperty("canceled"))
                object.canceled = message.canceled;
            if (message.compactRevision != null && message.hasOwnProperty("compactRevision"))
                if (typeof message.compactRevision === "number")
                    object.compactRevision = options.longs === String ? String(message.compactRevision) : message.compactRevision;
                else
                    object.compactRevision = options.longs === String ? $util.Long.prototype.toString.call(message.compactRevision) : options.longs === Number ? new $util.LongBits(message.compactRevision.low >>> 0, message.compactRevision.high >>> 0).toNumber() : message.compactRevision;
            if (message.cancelReason != null && message.hasOwnProperty("cancelReason"))
                object.cancelReason = message.cancelReason;
            if (message.fragment != null && message.hasOwnProperty("fragment"))
                object.fragment = message.fragment;
            if (message.events && message.events.length) {
                object.events = [];
                for (let j = 0; j < message.events.length; ++j)
                    object.events[j] = $root.mvccpb.Event.toObject(message.events[j], options);
            }
            return object;
        };
        /**
         * Converts this WatchResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.WatchResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        WatchResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return WatchResponse;
    })();
    etcdserverpb.LeaseGrantRequest = (function () {
        /**
         * Properties of a LeaseGrantRequest.
         * @memberof etcdserverpb
         * @interface ILeaseGrantRequest
         * @property {number|Long|null} [TTL] LeaseGrantRequest TTL
         * @property {number|Long|null} [ID] LeaseGrantRequest ID
         */
        /**
         * Constructs a new LeaseGrantRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseGrantRequest.
         * @implements ILeaseGrantRequest
         * @constructor
         * @param {etcdserverpb.ILeaseGrantRequest=} [properties] Properties to set
         */
        function LeaseGrantRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseGrantRequest TTL.
         * @member {number|Long} TTL
         * @memberof etcdserverpb.LeaseGrantRequest
         * @instance
         */
        LeaseGrantRequest.prototype.TTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseGrantRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseGrantRequest
         * @instance
         */
        LeaseGrantRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseGrantRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {etcdserverpb.ILeaseGrantRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseGrantRequest} LeaseGrantRequest instance
         */
        LeaseGrantRequest.create = function create(properties) {
            return new LeaseGrantRequest(properties);
        };
        /**
         * Encodes the specified LeaseGrantRequest message. Does not implicitly {@link etcdserverpb.LeaseGrantRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {etcdserverpb.ILeaseGrantRequest} message LeaseGrantRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseGrantRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.TTL != null && Object.hasOwnProperty.call(message, "TTL"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.TTL);
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified LeaseGrantRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseGrantRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {etcdserverpb.ILeaseGrantRequest} message LeaseGrantRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseGrantRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseGrantRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseGrantRequest} LeaseGrantRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseGrantRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseGrantRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.TTL = reader.int64();
                        break;
                    case 2:
                        message.ID = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseGrantRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseGrantRequest} LeaseGrantRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseGrantRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseGrantRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseGrantRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (!$util.isInteger(message.TTL) && !(message.TTL && $util.isInteger(message.TTL.low) && $util.isInteger(message.TTL.high)))
                    return "TTL: integer|Long expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseGrantRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseGrantRequest} LeaseGrantRequest
         */
        LeaseGrantRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseGrantRequest)
                return object;
            let message = new $root.etcdserverpb.LeaseGrantRequest();
            if (object.TTL != null)
                if ($util.Long)
                    (message.TTL = $util.Long.fromValue(object.TTL)).unsigned = false;
                else if (typeof object.TTL === "string")
                    message.TTL = parseInt(object.TTL, 10);
                else if (typeof object.TTL === "number")
                    message.TTL = object.TTL;
                else if (typeof object.TTL === "object")
                    message.TTL = new $util.LongBits(object.TTL.low >>> 0, object.TTL.high >>> 0).toNumber();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseGrantRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseGrantRequest
         * @static
         * @param {etcdserverpb.LeaseGrantRequest} message LeaseGrantRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseGrantRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.TTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.TTL = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            }
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (typeof message.TTL === "number")
                    object.TTL = options.longs === String ? String(message.TTL) : message.TTL;
                else
                    object.TTL = options.longs === String ? $util.Long.prototype.toString.call(message.TTL) : options.longs === Number ? new $util.LongBits(message.TTL.low >>> 0, message.TTL.high >>> 0).toNumber() : message.TTL;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            return object;
        };
        /**
         * Converts this LeaseGrantRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseGrantRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseGrantRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseGrantRequest;
    })();
    etcdserverpb.LeaseGrantResponse = (function () {
        /**
         * Properties of a LeaseGrantResponse.
         * @memberof etcdserverpb
         * @interface ILeaseGrantResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseGrantResponse header
         * @property {number|Long|null} [ID] LeaseGrantResponse ID
         * @property {number|Long|null} [TTL] LeaseGrantResponse TTL
         * @property {string|null} [error] LeaseGrantResponse error
         */
        /**
         * Constructs a new LeaseGrantResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseGrantResponse.
         * @implements ILeaseGrantResponse
         * @constructor
         * @param {etcdserverpb.ILeaseGrantResponse=} [properties] Properties to set
         */
        function LeaseGrantResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseGrantResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseGrantResponse
         * @instance
         */
        LeaseGrantResponse.prototype.header = null;
        /**
         * LeaseGrantResponse ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseGrantResponse
         * @instance
         */
        LeaseGrantResponse.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseGrantResponse TTL.
         * @member {number|Long} TTL
         * @memberof etcdserverpb.LeaseGrantResponse
         * @instance
         */
        LeaseGrantResponse.prototype.TTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseGrantResponse error.
         * @member {string} error
         * @memberof etcdserverpb.LeaseGrantResponse
         * @instance
         */
        LeaseGrantResponse.prototype.error = "";
        /**
         * Creates a new LeaseGrantResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {etcdserverpb.ILeaseGrantResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseGrantResponse} LeaseGrantResponse instance
         */
        LeaseGrantResponse.create = function create(properties) {
            return new LeaseGrantResponse(properties);
        };
        /**
         * Encodes the specified LeaseGrantResponse message. Does not implicitly {@link etcdserverpb.LeaseGrantResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {etcdserverpb.ILeaseGrantResponse} message LeaseGrantResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseGrantResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.ID);
            if (message.TTL != null && Object.hasOwnProperty.call(message, "TTL"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.TTL);
            if (message.error != null && Object.hasOwnProperty.call(message, "error"))
                writer.uint32(/* id 4, wireType 2 =*/ 34).string(message.error);
            return writer;
        };
        /**
         * Encodes the specified LeaseGrantResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseGrantResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {etcdserverpb.ILeaseGrantResponse} message LeaseGrantResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseGrantResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseGrantResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseGrantResponse} LeaseGrantResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseGrantResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseGrantResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.ID = reader.int64();
                        break;
                    case 3:
                        message.TTL = reader.int64();
                        break;
                    case 4:
                        message.error = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseGrantResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseGrantResponse} LeaseGrantResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseGrantResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseGrantResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseGrantResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (!$util.isInteger(message.TTL) && !(message.TTL && $util.isInteger(message.TTL.low) && $util.isInteger(message.TTL.high)))
                    return "TTL: integer|Long expected";
            if (message.error != null && message.hasOwnProperty("error"))
                if (!$util.isString(message.error))
                    return "error: string expected";
            return null;
        };
        /**
         * Creates a LeaseGrantResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseGrantResponse} LeaseGrantResponse
         */
        LeaseGrantResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseGrantResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseGrantResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseGrantResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            if (object.TTL != null)
                if ($util.Long)
                    (message.TTL = $util.Long.fromValue(object.TTL)).unsigned = false;
                else if (typeof object.TTL === "string")
                    message.TTL = parseInt(object.TTL, 10);
                else if (typeof object.TTL === "number")
                    message.TTL = object.TTL;
                else if (typeof object.TTL === "object")
                    message.TTL = new $util.LongBits(object.TTL.low >>> 0, object.TTL.high >>> 0).toNumber();
            if (object.error != null)
                message.error = String(object.error);
            return message;
        };
        /**
         * Creates a plain object from a LeaseGrantResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseGrantResponse
         * @static
         * @param {etcdserverpb.LeaseGrantResponse} message LeaseGrantResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseGrantResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.TTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.TTL = options.longs === String ? "0" : 0;
                object.error = "";
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (typeof message.TTL === "number")
                    object.TTL = options.longs === String ? String(message.TTL) : message.TTL;
                else
                    object.TTL = options.longs === String ? $util.Long.prototype.toString.call(message.TTL) : options.longs === Number ? new $util.LongBits(message.TTL.low >>> 0, message.TTL.high >>> 0).toNumber() : message.TTL;
            if (message.error != null && message.hasOwnProperty("error"))
                object.error = message.error;
            return object;
        };
        /**
         * Converts this LeaseGrantResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseGrantResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseGrantResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseGrantResponse;
    })();
    etcdserverpb.LeaseRevokeRequest = (function () {
        /**
         * Properties of a LeaseRevokeRequest.
         * @memberof etcdserverpb
         * @interface ILeaseRevokeRequest
         * @property {number|Long|null} [ID] LeaseRevokeRequest ID
         */
        /**
         * Constructs a new LeaseRevokeRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseRevokeRequest.
         * @implements ILeaseRevokeRequest
         * @constructor
         * @param {etcdserverpb.ILeaseRevokeRequest=} [properties] Properties to set
         */
        function LeaseRevokeRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseRevokeRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @instance
         */
        LeaseRevokeRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseRevokeRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {etcdserverpb.ILeaseRevokeRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseRevokeRequest} LeaseRevokeRequest instance
         */
        LeaseRevokeRequest.create = function create(properties) {
            return new LeaseRevokeRequest(properties);
        };
        /**
         * Encodes the specified LeaseRevokeRequest message. Does not implicitly {@link etcdserverpb.LeaseRevokeRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {etcdserverpb.ILeaseRevokeRequest} message LeaseRevokeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseRevokeRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified LeaseRevokeRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseRevokeRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {etcdserverpb.ILeaseRevokeRequest} message LeaseRevokeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseRevokeRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseRevokeRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseRevokeRequest} LeaseRevokeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseRevokeRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseRevokeRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseRevokeRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseRevokeRequest} LeaseRevokeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseRevokeRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseRevokeRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseRevokeRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseRevokeRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseRevokeRequest} LeaseRevokeRequest
         */
        LeaseRevokeRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseRevokeRequest)
                return object;
            let message = new $root.etcdserverpb.LeaseRevokeRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseRevokeRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @static
         * @param {etcdserverpb.LeaseRevokeRequest} message LeaseRevokeRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseRevokeRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            return object;
        };
        /**
         * Converts this LeaseRevokeRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseRevokeRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseRevokeRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseRevokeRequest;
    })();
    etcdserverpb.LeaseRevokeResponse = (function () {
        /**
         * Properties of a LeaseRevokeResponse.
         * @memberof etcdserverpb
         * @interface ILeaseRevokeResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseRevokeResponse header
         */
        /**
         * Constructs a new LeaseRevokeResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseRevokeResponse.
         * @implements ILeaseRevokeResponse
         * @constructor
         * @param {etcdserverpb.ILeaseRevokeResponse=} [properties] Properties to set
         */
        function LeaseRevokeResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseRevokeResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @instance
         */
        LeaseRevokeResponse.prototype.header = null;
        /**
         * Creates a new LeaseRevokeResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {etcdserverpb.ILeaseRevokeResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseRevokeResponse} LeaseRevokeResponse instance
         */
        LeaseRevokeResponse.create = function create(properties) {
            return new LeaseRevokeResponse(properties);
        };
        /**
         * Encodes the specified LeaseRevokeResponse message. Does not implicitly {@link etcdserverpb.LeaseRevokeResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {etcdserverpb.ILeaseRevokeResponse} message LeaseRevokeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseRevokeResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified LeaseRevokeResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseRevokeResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {etcdserverpb.ILeaseRevokeResponse} message LeaseRevokeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseRevokeResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseRevokeResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseRevokeResponse} LeaseRevokeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseRevokeResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseRevokeResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseRevokeResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseRevokeResponse} LeaseRevokeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseRevokeResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseRevokeResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseRevokeResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates a LeaseRevokeResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseRevokeResponse} LeaseRevokeResponse
         */
        LeaseRevokeResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseRevokeResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseRevokeResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseRevokeResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from a LeaseRevokeResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @static
         * @param {etcdserverpb.LeaseRevokeResponse} message LeaseRevokeResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseRevokeResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this LeaseRevokeResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseRevokeResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseRevokeResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseRevokeResponse;
    })();
    etcdserverpb.LeaseCheckpoint = (function () {
        /**
         * Properties of a LeaseCheckpoint.
         * @memberof etcdserverpb
         * @interface ILeaseCheckpoint
         * @property {number|Long|null} [ID] LeaseCheckpoint ID
         * @property {number|Long|null} [remaining_TTL] LeaseCheckpoint remaining_TTL
         */
        /**
         * Constructs a new LeaseCheckpoint.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseCheckpoint.
         * @implements ILeaseCheckpoint
         * @constructor
         * @param {etcdserverpb.ILeaseCheckpoint=} [properties] Properties to set
         */
        function LeaseCheckpoint(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseCheckpoint ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseCheckpoint
         * @instance
         */
        LeaseCheckpoint.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseCheckpoint remaining_TTL.
         * @member {number|Long} remaining_TTL
         * @memberof etcdserverpb.LeaseCheckpoint
         * @instance
         */
        LeaseCheckpoint.prototype.remaining_TTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseCheckpoint instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {etcdserverpb.ILeaseCheckpoint=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseCheckpoint} LeaseCheckpoint instance
         */
        LeaseCheckpoint.create = function create(properties) {
            return new LeaseCheckpoint(properties);
        };
        /**
         * Encodes the specified LeaseCheckpoint message. Does not implicitly {@link etcdserverpb.LeaseCheckpoint.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {etcdserverpb.ILeaseCheckpoint} message LeaseCheckpoint message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpoint.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.ID);
            if (message.remaining_TTL != null && Object.hasOwnProperty.call(message, "remaining_TTL"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.remaining_TTL);
            return writer;
        };
        /**
         * Encodes the specified LeaseCheckpoint message, length delimited. Does not implicitly {@link etcdserverpb.LeaseCheckpoint.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {etcdserverpb.ILeaseCheckpoint} message LeaseCheckpoint message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpoint.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseCheckpoint message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseCheckpoint} LeaseCheckpoint
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpoint.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseCheckpoint();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.int64();
                        break;
                    case 2:
                        message.remaining_TTL = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseCheckpoint message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseCheckpoint} LeaseCheckpoint
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpoint.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseCheckpoint message.
         * @function verify
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseCheckpoint.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.remaining_TTL != null && message.hasOwnProperty("remaining_TTL"))
                if (!$util.isInteger(message.remaining_TTL) && !(message.remaining_TTL && $util.isInteger(message.remaining_TTL.low) && $util.isInteger(message.remaining_TTL.high)))
                    return "remaining_TTL: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseCheckpoint message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseCheckpoint} LeaseCheckpoint
         */
        LeaseCheckpoint.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseCheckpoint)
                return object;
            let message = new $root.etcdserverpb.LeaseCheckpoint();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            if (object.remaining_TTL != null)
                if ($util.Long)
                    (message.remaining_TTL = $util.Long.fromValue(object.remaining_TTL)).unsigned = false;
                else if (typeof object.remaining_TTL === "string")
                    message.remaining_TTL = parseInt(object.remaining_TTL, 10);
                else if (typeof object.remaining_TTL === "number")
                    message.remaining_TTL = object.remaining_TTL;
                else if (typeof object.remaining_TTL === "object")
                    message.remaining_TTL = new $util.LongBits(object.remaining_TTL.low >>> 0, object.remaining_TTL.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseCheckpoint message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseCheckpoint
         * @static
         * @param {etcdserverpb.LeaseCheckpoint} message LeaseCheckpoint
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseCheckpoint.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.remaining_TTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.remaining_TTL = options.longs === String ? "0" : 0;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            if (message.remaining_TTL != null && message.hasOwnProperty("remaining_TTL"))
                if (typeof message.remaining_TTL === "number")
                    object.remaining_TTL = options.longs === String ? String(message.remaining_TTL) : message.remaining_TTL;
                else
                    object.remaining_TTL = options.longs === String ? $util.Long.prototype.toString.call(message.remaining_TTL) : options.longs === Number ? new $util.LongBits(message.remaining_TTL.low >>> 0, message.remaining_TTL.high >>> 0).toNumber() : message.remaining_TTL;
            return object;
        };
        /**
         * Converts this LeaseCheckpoint to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseCheckpoint
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseCheckpoint.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseCheckpoint;
    })();
    etcdserverpb.LeaseCheckpointRequest = (function () {
        /**
         * Properties of a LeaseCheckpointRequest.
         * @memberof etcdserverpb
         * @interface ILeaseCheckpointRequest
         * @property {Array.<etcdserverpb.ILeaseCheckpoint>|null} [checkpoints] LeaseCheckpointRequest checkpoints
         */
        /**
         * Constructs a new LeaseCheckpointRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseCheckpointRequest.
         * @implements ILeaseCheckpointRequest
         * @constructor
         * @param {etcdserverpb.ILeaseCheckpointRequest=} [properties] Properties to set
         */
        function LeaseCheckpointRequest(properties) {
            this.checkpoints = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseCheckpointRequest checkpoints.
         * @member {Array.<etcdserverpb.ILeaseCheckpoint>} checkpoints
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @instance
         */
        LeaseCheckpointRequest.prototype.checkpoints = $util.emptyArray;
        /**
         * Creates a new LeaseCheckpointRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {etcdserverpb.ILeaseCheckpointRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseCheckpointRequest} LeaseCheckpointRequest instance
         */
        LeaseCheckpointRequest.create = function create(properties) {
            return new LeaseCheckpointRequest(properties);
        };
        /**
         * Encodes the specified LeaseCheckpointRequest message. Does not implicitly {@link etcdserverpb.LeaseCheckpointRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {etcdserverpb.ILeaseCheckpointRequest} message LeaseCheckpointRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpointRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.checkpoints != null && message.checkpoints.length)
                for (let i = 0; i < message.checkpoints.length; ++i)
                    $root.etcdserverpb.LeaseCheckpoint.encode(message.checkpoints[i], writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified LeaseCheckpointRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseCheckpointRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {etcdserverpb.ILeaseCheckpointRequest} message LeaseCheckpointRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpointRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseCheckpointRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseCheckpointRequest} LeaseCheckpointRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpointRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseCheckpointRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        if (!(message.checkpoints && message.checkpoints.length))
                            message.checkpoints = [];
                        message.checkpoints.push($root.etcdserverpb.LeaseCheckpoint.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseCheckpointRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseCheckpointRequest} LeaseCheckpointRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpointRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseCheckpointRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseCheckpointRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.checkpoints != null && message.hasOwnProperty("checkpoints")) {
                if (!Array.isArray(message.checkpoints))
                    return "checkpoints: array expected";
                for (let i = 0; i < message.checkpoints.length; ++i) {
                    let error = $root.etcdserverpb.LeaseCheckpoint.verify(message.checkpoints[i]);
                    if (error)
                        return "checkpoints." + error;
                }
            }
            return null;
        };
        /**
         * Creates a LeaseCheckpointRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseCheckpointRequest} LeaseCheckpointRequest
         */
        LeaseCheckpointRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseCheckpointRequest)
                return object;
            let message = new $root.etcdserverpb.LeaseCheckpointRequest();
            if (object.checkpoints) {
                if (!Array.isArray(object.checkpoints))
                    throw TypeError(".etcdserverpb.LeaseCheckpointRequest.checkpoints: array expected");
                message.checkpoints = [];
                for (let i = 0; i < object.checkpoints.length; ++i) {
                    if (typeof object.checkpoints[i] !== "object")
                        throw TypeError(".etcdserverpb.LeaseCheckpointRequest.checkpoints: object expected");
                    message.checkpoints[i] = $root.etcdserverpb.LeaseCheckpoint.fromObject(object.checkpoints[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a LeaseCheckpointRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @static
         * @param {etcdserverpb.LeaseCheckpointRequest} message LeaseCheckpointRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseCheckpointRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.checkpoints = [];
            if (message.checkpoints && message.checkpoints.length) {
                object.checkpoints = [];
                for (let j = 0; j < message.checkpoints.length; ++j)
                    object.checkpoints[j] = $root.etcdserverpb.LeaseCheckpoint.toObject(message.checkpoints[j], options);
            }
            return object;
        };
        /**
         * Converts this LeaseCheckpointRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseCheckpointRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseCheckpointRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseCheckpointRequest;
    })();
    etcdserverpb.LeaseCheckpointResponse = (function () {
        /**
         * Properties of a LeaseCheckpointResponse.
         * @memberof etcdserverpb
         * @interface ILeaseCheckpointResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseCheckpointResponse header
         */
        /**
         * Constructs a new LeaseCheckpointResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseCheckpointResponse.
         * @implements ILeaseCheckpointResponse
         * @constructor
         * @param {etcdserverpb.ILeaseCheckpointResponse=} [properties] Properties to set
         */
        function LeaseCheckpointResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseCheckpointResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @instance
         */
        LeaseCheckpointResponse.prototype.header = null;
        /**
         * Creates a new LeaseCheckpointResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {etcdserverpb.ILeaseCheckpointResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseCheckpointResponse} LeaseCheckpointResponse instance
         */
        LeaseCheckpointResponse.create = function create(properties) {
            return new LeaseCheckpointResponse(properties);
        };
        /**
         * Encodes the specified LeaseCheckpointResponse message. Does not implicitly {@link etcdserverpb.LeaseCheckpointResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {etcdserverpb.ILeaseCheckpointResponse} message LeaseCheckpointResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpointResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified LeaseCheckpointResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseCheckpointResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {etcdserverpb.ILeaseCheckpointResponse} message LeaseCheckpointResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseCheckpointResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseCheckpointResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseCheckpointResponse} LeaseCheckpointResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpointResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseCheckpointResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseCheckpointResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseCheckpointResponse} LeaseCheckpointResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseCheckpointResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseCheckpointResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseCheckpointResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates a LeaseCheckpointResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseCheckpointResponse} LeaseCheckpointResponse
         */
        LeaseCheckpointResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseCheckpointResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseCheckpointResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseCheckpointResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from a LeaseCheckpointResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @static
         * @param {etcdserverpb.LeaseCheckpointResponse} message LeaseCheckpointResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseCheckpointResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this LeaseCheckpointResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseCheckpointResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseCheckpointResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseCheckpointResponse;
    })();
    etcdserverpb.LeaseKeepAliveRequest = (function () {
        /**
         * Properties of a LeaseKeepAliveRequest.
         * @memberof etcdserverpb
         * @interface ILeaseKeepAliveRequest
         * @property {number|Long|null} [ID] LeaseKeepAliveRequest ID
         */
        /**
         * Constructs a new LeaseKeepAliveRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseKeepAliveRequest.
         * @implements ILeaseKeepAliveRequest
         * @constructor
         * @param {etcdserverpb.ILeaseKeepAliveRequest=} [properties] Properties to set
         */
        function LeaseKeepAliveRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseKeepAliveRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @instance
         */
        LeaseKeepAliveRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseKeepAliveRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseKeepAliveRequest} LeaseKeepAliveRequest instance
         */
        LeaseKeepAliveRequest.create = function create(properties) {
            return new LeaseKeepAliveRequest(properties);
        };
        /**
         * Encodes the specified LeaseKeepAliveRequest message. Does not implicitly {@link etcdserverpb.LeaseKeepAliveRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveRequest} message LeaseKeepAliveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseKeepAliveRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified LeaseKeepAliveRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseKeepAliveRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveRequest} message LeaseKeepAliveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseKeepAliveRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseKeepAliveRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseKeepAliveRequest} LeaseKeepAliveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseKeepAliveRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseKeepAliveRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseKeepAliveRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseKeepAliveRequest} LeaseKeepAliveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseKeepAliveRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseKeepAliveRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseKeepAliveRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseKeepAliveRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseKeepAliveRequest} LeaseKeepAliveRequest
         */
        LeaseKeepAliveRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseKeepAliveRequest)
                return object;
            let message = new $root.etcdserverpb.LeaseKeepAliveRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseKeepAliveRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @static
         * @param {etcdserverpb.LeaseKeepAliveRequest} message LeaseKeepAliveRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseKeepAliveRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            return object;
        };
        /**
         * Converts this LeaseKeepAliveRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseKeepAliveRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseKeepAliveRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseKeepAliveRequest;
    })();
    etcdserverpb.LeaseKeepAliveResponse = (function () {
        /**
         * Properties of a LeaseKeepAliveResponse.
         * @memberof etcdserverpb
         * @interface ILeaseKeepAliveResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseKeepAliveResponse header
         * @property {number|Long|null} [ID] LeaseKeepAliveResponse ID
         * @property {number|Long|null} [TTL] LeaseKeepAliveResponse TTL
         */
        /**
         * Constructs a new LeaseKeepAliveResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseKeepAliveResponse.
         * @implements ILeaseKeepAliveResponse
         * @constructor
         * @param {etcdserverpb.ILeaseKeepAliveResponse=} [properties] Properties to set
         */
        function LeaseKeepAliveResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseKeepAliveResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @instance
         */
        LeaseKeepAliveResponse.prototype.header = null;
        /**
         * LeaseKeepAliveResponse ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @instance
         */
        LeaseKeepAliveResponse.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseKeepAliveResponse TTL.
         * @member {number|Long} TTL
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @instance
         */
        LeaseKeepAliveResponse.prototype.TTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseKeepAliveResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseKeepAliveResponse} LeaseKeepAliveResponse instance
         */
        LeaseKeepAliveResponse.create = function create(properties) {
            return new LeaseKeepAliveResponse(properties);
        };
        /**
         * Encodes the specified LeaseKeepAliveResponse message. Does not implicitly {@link etcdserverpb.LeaseKeepAliveResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveResponse} message LeaseKeepAliveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseKeepAliveResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.ID);
            if (message.TTL != null && Object.hasOwnProperty.call(message, "TTL"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.TTL);
            return writer;
        };
        /**
         * Encodes the specified LeaseKeepAliveResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseKeepAliveResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {etcdserverpb.ILeaseKeepAliveResponse} message LeaseKeepAliveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseKeepAliveResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseKeepAliveResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseKeepAliveResponse} LeaseKeepAliveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseKeepAliveResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseKeepAliveResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.ID = reader.int64();
                        break;
                    case 3:
                        message.TTL = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseKeepAliveResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseKeepAliveResponse} LeaseKeepAliveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseKeepAliveResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseKeepAliveResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseKeepAliveResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (!$util.isInteger(message.TTL) && !(message.TTL && $util.isInteger(message.TTL.low) && $util.isInteger(message.TTL.high)))
                    return "TTL: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseKeepAliveResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseKeepAliveResponse} LeaseKeepAliveResponse
         */
        LeaseKeepAliveResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseKeepAliveResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseKeepAliveResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseKeepAliveResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            if (object.TTL != null)
                if ($util.Long)
                    (message.TTL = $util.Long.fromValue(object.TTL)).unsigned = false;
                else if (typeof object.TTL === "string")
                    message.TTL = parseInt(object.TTL, 10);
                else if (typeof object.TTL === "number")
                    message.TTL = object.TTL;
                else if (typeof object.TTL === "object")
                    message.TTL = new $util.LongBits(object.TTL.low >>> 0, object.TTL.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseKeepAliveResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @static
         * @param {etcdserverpb.LeaseKeepAliveResponse} message LeaseKeepAliveResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseKeepAliveResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.TTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.TTL = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (typeof message.TTL === "number")
                    object.TTL = options.longs === String ? String(message.TTL) : message.TTL;
                else
                    object.TTL = options.longs === String ? $util.Long.prototype.toString.call(message.TTL) : options.longs === Number ? new $util.LongBits(message.TTL.low >>> 0, message.TTL.high >>> 0).toNumber() : message.TTL;
            return object;
        };
        /**
         * Converts this LeaseKeepAliveResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseKeepAliveResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseKeepAliveResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseKeepAliveResponse;
    })();
    etcdserverpb.LeaseTimeToLiveRequest = (function () {
        /**
         * Properties of a LeaseTimeToLiveRequest.
         * @memberof etcdserverpb
         * @interface ILeaseTimeToLiveRequest
         * @property {number|Long|null} [ID] LeaseTimeToLiveRequest ID
         * @property {boolean|null} [keys] LeaseTimeToLiveRequest keys
         */
        /**
         * Constructs a new LeaseTimeToLiveRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseTimeToLiveRequest.
         * @implements ILeaseTimeToLiveRequest
         * @constructor
         * @param {etcdserverpb.ILeaseTimeToLiveRequest=} [properties] Properties to set
         */
        function LeaseTimeToLiveRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseTimeToLiveRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @instance
         */
        LeaseTimeToLiveRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseTimeToLiveRequest keys.
         * @member {boolean} keys
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @instance
         */
        LeaseTimeToLiveRequest.prototype.keys = false;
        /**
         * Creates a new LeaseTimeToLiveRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseTimeToLiveRequest} LeaseTimeToLiveRequest instance
         */
        LeaseTimeToLiveRequest.create = function create(properties) {
            return new LeaseTimeToLiveRequest(properties);
        };
        /**
         * Encodes the specified LeaseTimeToLiveRequest message. Does not implicitly {@link etcdserverpb.LeaseTimeToLiveRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveRequest} message LeaseTimeToLiveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseTimeToLiveRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.ID);
            if (message.keys != null && Object.hasOwnProperty.call(message, "keys"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).bool(message.keys);
            return writer;
        };
        /**
         * Encodes the specified LeaseTimeToLiveRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseTimeToLiveRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveRequest} message LeaseTimeToLiveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseTimeToLiveRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseTimeToLiveRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseTimeToLiveRequest} LeaseTimeToLiveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseTimeToLiveRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseTimeToLiveRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.int64();
                        break;
                    case 2:
                        message.keys = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseTimeToLiveRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseTimeToLiveRequest} LeaseTimeToLiveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseTimeToLiveRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseTimeToLiveRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseTimeToLiveRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.keys != null && message.hasOwnProperty("keys"))
                if (typeof message.keys !== "boolean")
                    return "keys: boolean expected";
            return null;
        };
        /**
         * Creates a LeaseTimeToLiveRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseTimeToLiveRequest} LeaseTimeToLiveRequest
         */
        LeaseTimeToLiveRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseTimeToLiveRequest)
                return object;
            let message = new $root.etcdserverpb.LeaseTimeToLiveRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            if (object.keys != null)
                message.keys = Boolean(object.keys);
            return message;
        };
        /**
         * Creates a plain object from a LeaseTimeToLiveRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @static
         * @param {etcdserverpb.LeaseTimeToLiveRequest} message LeaseTimeToLiveRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseTimeToLiveRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                object.keys = false;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            if (message.keys != null && message.hasOwnProperty("keys"))
                object.keys = message.keys;
            return object;
        };
        /**
         * Converts this LeaseTimeToLiveRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseTimeToLiveRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseTimeToLiveRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseTimeToLiveRequest;
    })();
    etcdserverpb.LeaseTimeToLiveResponse = (function () {
        /**
         * Properties of a LeaseTimeToLiveResponse.
         * @memberof etcdserverpb
         * @interface ILeaseTimeToLiveResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseTimeToLiveResponse header
         * @property {number|Long|null} [ID] LeaseTimeToLiveResponse ID
         * @property {number|Long|null} [TTL] LeaseTimeToLiveResponse TTL
         * @property {number|Long|null} [grantedTTL] LeaseTimeToLiveResponse grantedTTL
         * @property {Array.<Uint8Array>|null} [keys] LeaseTimeToLiveResponse keys
         */
        /**
         * Constructs a new LeaseTimeToLiveResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseTimeToLiveResponse.
         * @implements ILeaseTimeToLiveResponse
         * @constructor
         * @param {etcdserverpb.ILeaseTimeToLiveResponse=} [properties] Properties to set
         */
        function LeaseTimeToLiveResponse(properties) {
            this.keys = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseTimeToLiveResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         */
        LeaseTimeToLiveResponse.prototype.header = null;
        /**
         * LeaseTimeToLiveResponse ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         */
        LeaseTimeToLiveResponse.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseTimeToLiveResponse TTL.
         * @member {number|Long} TTL
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         */
        LeaseTimeToLiveResponse.prototype.TTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseTimeToLiveResponse grantedTTL.
         * @member {number|Long} grantedTTL
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         */
        LeaseTimeToLiveResponse.prototype.grantedTTL = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * LeaseTimeToLiveResponse keys.
         * @member {Array.<Uint8Array>} keys
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         */
        LeaseTimeToLiveResponse.prototype.keys = $util.emptyArray;
        /**
         * Creates a new LeaseTimeToLiveResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseTimeToLiveResponse} LeaseTimeToLiveResponse instance
         */
        LeaseTimeToLiveResponse.create = function create(properties) {
            return new LeaseTimeToLiveResponse(properties);
        };
        /**
         * Encodes the specified LeaseTimeToLiveResponse message. Does not implicitly {@link etcdserverpb.LeaseTimeToLiveResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveResponse} message LeaseTimeToLiveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseTimeToLiveResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.ID);
            if (message.TTL != null && Object.hasOwnProperty.call(message, "TTL"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.TTL);
            if (message.grantedTTL != null && Object.hasOwnProperty.call(message, "grantedTTL"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).int64(message.grantedTTL);
            if (message.keys != null && message.keys.length)
                for (let i = 0; i < message.keys.length; ++i)
                    writer.uint32(/* id 5, wireType 2 =*/ 42).bytes(message.keys[i]);
            return writer;
        };
        /**
         * Encodes the specified LeaseTimeToLiveResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseTimeToLiveResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {etcdserverpb.ILeaseTimeToLiveResponse} message LeaseTimeToLiveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseTimeToLiveResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseTimeToLiveResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseTimeToLiveResponse} LeaseTimeToLiveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseTimeToLiveResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseTimeToLiveResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.ID = reader.int64();
                        break;
                    case 3:
                        message.TTL = reader.int64();
                        break;
                    case 4:
                        message.grantedTTL = reader.int64();
                        break;
                    case 5:
                        if (!(message.keys && message.keys.length))
                            message.keys = [];
                        message.keys.push(reader.bytes());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseTimeToLiveResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseTimeToLiveResponse} LeaseTimeToLiveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseTimeToLiveResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseTimeToLiveResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseTimeToLiveResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (!$util.isInteger(message.TTL) && !(message.TTL && $util.isInteger(message.TTL.low) && $util.isInteger(message.TTL.high)))
                    return "TTL: integer|Long expected";
            if (message.grantedTTL != null && message.hasOwnProperty("grantedTTL"))
                if (!$util.isInteger(message.grantedTTL) && !(message.grantedTTL && $util.isInteger(message.grantedTTL.low) && $util.isInteger(message.grantedTTL.high)))
                    return "grantedTTL: integer|Long expected";
            if (message.keys != null && message.hasOwnProperty("keys")) {
                if (!Array.isArray(message.keys))
                    return "keys: array expected";
                for (let i = 0; i < message.keys.length; ++i)
                    if (!(message.keys[i] && typeof message.keys[i].length === "number" || $util.isString(message.keys[i])))
                        return "keys: buffer[] expected";
            }
            return null;
        };
        /**
         * Creates a LeaseTimeToLiveResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseTimeToLiveResponse} LeaseTimeToLiveResponse
         */
        LeaseTimeToLiveResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseTimeToLiveResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseTimeToLiveResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseTimeToLiveResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            if (object.TTL != null)
                if ($util.Long)
                    (message.TTL = $util.Long.fromValue(object.TTL)).unsigned = false;
                else if (typeof object.TTL === "string")
                    message.TTL = parseInt(object.TTL, 10);
                else if (typeof object.TTL === "number")
                    message.TTL = object.TTL;
                else if (typeof object.TTL === "object")
                    message.TTL = new $util.LongBits(object.TTL.low >>> 0, object.TTL.high >>> 0).toNumber();
            if (object.grantedTTL != null)
                if ($util.Long)
                    (message.grantedTTL = $util.Long.fromValue(object.grantedTTL)).unsigned = false;
                else if (typeof object.grantedTTL === "string")
                    message.grantedTTL = parseInt(object.grantedTTL, 10);
                else if (typeof object.grantedTTL === "number")
                    message.grantedTTL = object.grantedTTL;
                else if (typeof object.grantedTTL === "object")
                    message.grantedTTL = new $util.LongBits(object.grantedTTL.low >>> 0, object.grantedTTL.high >>> 0).toNumber();
            if (object.keys) {
                if (!Array.isArray(object.keys))
                    throw TypeError(".etcdserverpb.LeaseTimeToLiveResponse.keys: array expected");
                message.keys = [];
                for (let i = 0; i < object.keys.length; ++i)
                    if (typeof object.keys[i] === "string")
                        $util.base64.decode(object.keys[i], message.keys[i] = $util.newBuffer($util.base64.length(object.keys[i])), 0);
                    else if (object.keys[i].length)
                        message.keys[i] = object.keys[i];
            }
            return message;
        };
        /**
         * Creates a plain object from a LeaseTimeToLiveResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @static
         * @param {etcdserverpb.LeaseTimeToLiveResponse} message LeaseTimeToLiveResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseTimeToLiveResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.keys = [];
            if (options.defaults) {
                object.header = null;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.TTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.TTL = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.grantedTTL = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.grantedTTL = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            if (message.TTL != null && message.hasOwnProperty("TTL"))
                if (typeof message.TTL === "number")
                    object.TTL = options.longs === String ? String(message.TTL) : message.TTL;
                else
                    object.TTL = options.longs === String ? $util.Long.prototype.toString.call(message.TTL) : options.longs === Number ? new $util.LongBits(message.TTL.low >>> 0, message.TTL.high >>> 0).toNumber() : message.TTL;
            if (message.grantedTTL != null && message.hasOwnProperty("grantedTTL"))
                if (typeof message.grantedTTL === "number")
                    object.grantedTTL = options.longs === String ? String(message.grantedTTL) : message.grantedTTL;
                else
                    object.grantedTTL = options.longs === String ? $util.Long.prototype.toString.call(message.grantedTTL) : options.longs === Number ? new $util.LongBits(message.grantedTTL.low >>> 0, message.grantedTTL.high >>> 0).toNumber() : message.grantedTTL;
            if (message.keys && message.keys.length) {
                object.keys = [];
                for (let j = 0; j < message.keys.length; ++j)
                    object.keys[j] = options.bytes === String ? $util.base64.encode(message.keys[j], 0, message.keys[j].length) : options.bytes === Array ? Array.prototype.slice.call(message.keys[j]) : message.keys[j];
            }
            return object;
        };
        /**
         * Converts this LeaseTimeToLiveResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseTimeToLiveResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseTimeToLiveResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseTimeToLiveResponse;
    })();
    etcdserverpb.LeaseLeasesRequest = (function () {
        /**
         * Properties of a LeaseLeasesRequest.
         * @memberof etcdserverpb
         * @interface ILeaseLeasesRequest
         */
        /**
         * Constructs a new LeaseLeasesRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseLeasesRequest.
         * @implements ILeaseLeasesRequest
         * @constructor
         * @param {etcdserverpb.ILeaseLeasesRequest=} [properties] Properties to set
         */
        function LeaseLeasesRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new LeaseLeasesRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {etcdserverpb.ILeaseLeasesRequest=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseLeasesRequest} LeaseLeasesRequest instance
         */
        LeaseLeasesRequest.create = function create(properties) {
            return new LeaseLeasesRequest(properties);
        };
        /**
         * Encodes the specified LeaseLeasesRequest message. Does not implicitly {@link etcdserverpb.LeaseLeasesRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {etcdserverpb.ILeaseLeasesRequest} message LeaseLeasesRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseLeasesRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified LeaseLeasesRequest message, length delimited. Does not implicitly {@link etcdserverpb.LeaseLeasesRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {etcdserverpb.ILeaseLeasesRequest} message LeaseLeasesRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseLeasesRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseLeasesRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseLeasesRequest} LeaseLeasesRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseLeasesRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseLeasesRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseLeasesRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseLeasesRequest} LeaseLeasesRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseLeasesRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseLeasesRequest message.
         * @function verify
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseLeasesRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a LeaseLeasesRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseLeasesRequest} LeaseLeasesRequest
         */
        LeaseLeasesRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseLeasesRequest)
                return object;
            return new $root.etcdserverpb.LeaseLeasesRequest();
        };
        /**
         * Creates a plain object from a LeaseLeasesRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @static
         * @param {etcdserverpb.LeaseLeasesRequest} message LeaseLeasesRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseLeasesRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this LeaseLeasesRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseLeasesRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseLeasesRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseLeasesRequest;
    })();
    etcdserverpb.LeaseStatus = (function () {
        /**
         * Properties of a LeaseStatus.
         * @memberof etcdserverpb
         * @interface ILeaseStatus
         * @property {number|Long|null} [ID] LeaseStatus ID
         */
        /**
         * Constructs a new LeaseStatus.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseStatus.
         * @implements ILeaseStatus
         * @constructor
         * @param {etcdserverpb.ILeaseStatus=} [properties] Properties to set
         */
        function LeaseStatus(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseStatus ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.LeaseStatus
         * @instance
         */
        LeaseStatus.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new LeaseStatus instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {etcdserverpb.ILeaseStatus=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseStatus} LeaseStatus instance
         */
        LeaseStatus.create = function create(properties) {
            return new LeaseStatus(properties);
        };
        /**
         * Encodes the specified LeaseStatus message. Does not implicitly {@link etcdserverpb.LeaseStatus.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {etcdserverpb.ILeaseStatus} message LeaseStatus message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseStatus.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified LeaseStatus message, length delimited. Does not implicitly {@link etcdserverpb.LeaseStatus.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {etcdserverpb.ILeaseStatus} message LeaseStatus message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseStatus.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseStatus message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseStatus} LeaseStatus
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseStatus.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseStatus();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseStatus message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseStatus} LeaseStatus
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseStatus.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseStatus message.
         * @function verify
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseStatus.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a LeaseStatus message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseStatus} LeaseStatus
         */
        LeaseStatus.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseStatus)
                return object;
            let message = new $root.etcdserverpb.LeaseStatus();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = false;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a LeaseStatus message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseStatus
         * @static
         * @param {etcdserverpb.LeaseStatus} message LeaseStatus
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseStatus.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber() : message.ID;
            return object;
        };
        /**
         * Converts this LeaseStatus to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseStatus
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseStatus.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseStatus;
    })();
    etcdserverpb.LeaseLeasesResponse = (function () {
        /**
         * Properties of a LeaseLeasesResponse.
         * @memberof etcdserverpb
         * @interface ILeaseLeasesResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] LeaseLeasesResponse header
         * @property {Array.<etcdserverpb.ILeaseStatus>|null} [leases] LeaseLeasesResponse leases
         */
        /**
         * Constructs a new LeaseLeasesResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a LeaseLeasesResponse.
         * @implements ILeaseLeasesResponse
         * @constructor
         * @param {etcdserverpb.ILeaseLeasesResponse=} [properties] Properties to set
         */
        function LeaseLeasesResponse(properties) {
            this.leases = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * LeaseLeasesResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @instance
         */
        LeaseLeasesResponse.prototype.header = null;
        /**
         * LeaseLeasesResponse leases.
         * @member {Array.<etcdserverpb.ILeaseStatus>} leases
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @instance
         */
        LeaseLeasesResponse.prototype.leases = $util.emptyArray;
        /**
         * Creates a new LeaseLeasesResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {etcdserverpb.ILeaseLeasesResponse=} [properties] Properties to set
         * @returns {etcdserverpb.LeaseLeasesResponse} LeaseLeasesResponse instance
         */
        LeaseLeasesResponse.create = function create(properties) {
            return new LeaseLeasesResponse(properties);
        };
        /**
         * Encodes the specified LeaseLeasesResponse message. Does not implicitly {@link etcdserverpb.LeaseLeasesResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {etcdserverpb.ILeaseLeasesResponse} message LeaseLeasesResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseLeasesResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.leases != null && message.leases.length)
                for (let i = 0; i < message.leases.length; ++i)
                    $root.etcdserverpb.LeaseStatus.encode(message.leases[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified LeaseLeasesResponse message, length delimited. Does not implicitly {@link etcdserverpb.LeaseLeasesResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {etcdserverpb.ILeaseLeasesResponse} message LeaseLeasesResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        LeaseLeasesResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a LeaseLeasesResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.LeaseLeasesResponse} LeaseLeasesResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseLeasesResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.LeaseLeasesResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.leases && message.leases.length))
                            message.leases = [];
                        message.leases.push($root.etcdserverpb.LeaseStatus.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a LeaseLeasesResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.LeaseLeasesResponse} LeaseLeasesResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        LeaseLeasesResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a LeaseLeasesResponse message.
         * @function verify
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        LeaseLeasesResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.leases != null && message.hasOwnProperty("leases")) {
                if (!Array.isArray(message.leases))
                    return "leases: array expected";
                for (let i = 0; i < message.leases.length; ++i) {
                    let error = $root.etcdserverpb.LeaseStatus.verify(message.leases[i]);
                    if (error)
                        return "leases." + error;
                }
            }
            return null;
        };
        /**
         * Creates a LeaseLeasesResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.LeaseLeasesResponse} LeaseLeasesResponse
         */
        LeaseLeasesResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.LeaseLeasesResponse)
                return object;
            let message = new $root.etcdserverpb.LeaseLeasesResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.LeaseLeasesResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.leases) {
                if (!Array.isArray(object.leases))
                    throw TypeError(".etcdserverpb.LeaseLeasesResponse.leases: array expected");
                message.leases = [];
                for (let i = 0; i < object.leases.length; ++i) {
                    if (typeof object.leases[i] !== "object")
                        throw TypeError(".etcdserverpb.LeaseLeasesResponse.leases: object expected");
                    message.leases[i] = $root.etcdserverpb.LeaseStatus.fromObject(object.leases[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a LeaseLeasesResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @static
         * @param {etcdserverpb.LeaseLeasesResponse} message LeaseLeasesResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        LeaseLeasesResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.leases = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.leases && message.leases.length) {
                object.leases = [];
                for (let j = 0; j < message.leases.length; ++j)
                    object.leases[j] = $root.etcdserverpb.LeaseStatus.toObject(message.leases[j], options);
            }
            return object;
        };
        /**
         * Converts this LeaseLeasesResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.LeaseLeasesResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        LeaseLeasesResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return LeaseLeasesResponse;
    })();
    etcdserverpb.Member = (function () {
        /**
         * Properties of a Member.
         * @memberof etcdserverpb
         * @interface IMember
         * @property {number|Long|null} [ID] Member ID
         * @property {string|null} [name] Member name
         * @property {Array.<string>|null} [peerURLs] Member peerURLs
         * @property {Array.<string>|null} [clientURLs] Member clientURLs
         * @property {boolean|null} [isLearner] Member isLearner
         */
        /**
         * Constructs a new Member.
         * @memberof etcdserverpb
         * @classdesc Represents a Member.
         * @implements IMember
         * @constructor
         * @param {etcdserverpb.IMember=} [properties] Properties to set
         */
        function Member(properties) {
            this.peerURLs = [];
            this.clientURLs = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Member ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.Member
         * @instance
         */
        Member.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Member name.
         * @member {string} name
         * @memberof etcdserverpb.Member
         * @instance
         */
        Member.prototype.name = "";
        /**
         * Member peerURLs.
         * @member {Array.<string>} peerURLs
         * @memberof etcdserverpb.Member
         * @instance
         */
        Member.prototype.peerURLs = $util.emptyArray;
        /**
         * Member clientURLs.
         * @member {Array.<string>} clientURLs
         * @memberof etcdserverpb.Member
         * @instance
         */
        Member.prototype.clientURLs = $util.emptyArray;
        /**
         * Member isLearner.
         * @member {boolean} isLearner
         * @memberof etcdserverpb.Member
         * @instance
         */
        Member.prototype.isLearner = false;
        /**
         * Creates a new Member instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.Member
         * @static
         * @param {etcdserverpb.IMember=} [properties] Properties to set
         * @returns {etcdserverpb.Member} Member instance
         */
        Member.create = function create(properties) {
            return new Member(properties);
        };
        /**
         * Encodes the specified Member message. Does not implicitly {@link etcdserverpb.Member.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.Member
         * @static
         * @param {etcdserverpb.IMember} message Member message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Member.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.ID);
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.name);
            if (message.peerURLs != null && message.peerURLs.length)
                for (let i = 0; i < message.peerURLs.length; ++i)
                    writer.uint32(/* id 3, wireType 2 =*/ 26).string(message.peerURLs[i]);
            if (message.clientURLs != null && message.clientURLs.length)
                for (let i = 0; i < message.clientURLs.length; ++i)
                    writer.uint32(/* id 4, wireType 2 =*/ 34).string(message.clientURLs[i]);
            if (message.isLearner != null && Object.hasOwnProperty.call(message, "isLearner"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).bool(message.isLearner);
            return writer;
        };
        /**
         * Encodes the specified Member message, length delimited. Does not implicitly {@link etcdserverpb.Member.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.Member
         * @static
         * @param {etcdserverpb.IMember} message Member message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Member.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a Member message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.Member
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.Member} Member
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Member.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.Member();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.uint64();
                        break;
                    case 2:
                        message.name = reader.string();
                        break;
                    case 3:
                        if (!(message.peerURLs && message.peerURLs.length))
                            message.peerURLs = [];
                        message.peerURLs.push(reader.string());
                        break;
                    case 4:
                        if (!(message.clientURLs && message.clientURLs.length))
                            message.clientURLs = [];
                        message.clientURLs.push(reader.string());
                        break;
                    case 5:
                        message.isLearner = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a Member message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.Member
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.Member} Member
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Member.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a Member message.
         * @function verify
         * @memberof etcdserverpb.Member
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        Member.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.peerURLs != null && message.hasOwnProperty("peerURLs")) {
                if (!Array.isArray(message.peerURLs))
                    return "peerURLs: array expected";
                for (let i = 0; i < message.peerURLs.length; ++i)
                    if (!$util.isString(message.peerURLs[i]))
                        return "peerURLs: string[] expected";
            }
            if (message.clientURLs != null && message.hasOwnProperty("clientURLs")) {
                if (!Array.isArray(message.clientURLs))
                    return "clientURLs: array expected";
                for (let i = 0; i < message.clientURLs.length; ++i)
                    if (!$util.isString(message.clientURLs[i]))
                        return "clientURLs: string[] expected";
            }
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                if (typeof message.isLearner !== "boolean")
                    return "isLearner: boolean expected";
            return null;
        };
        /**
         * Creates a Member message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.Member
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.Member} Member
         */
        Member.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.Member)
                return object;
            let message = new $root.etcdserverpb.Member();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = true;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber(true);
            if (object.name != null)
                message.name = String(object.name);
            if (object.peerURLs) {
                if (!Array.isArray(object.peerURLs))
                    throw TypeError(".etcdserverpb.Member.peerURLs: array expected");
                message.peerURLs = [];
                for (let i = 0; i < object.peerURLs.length; ++i)
                    message.peerURLs[i] = String(object.peerURLs[i]);
            }
            if (object.clientURLs) {
                if (!Array.isArray(object.clientURLs))
                    throw TypeError(".etcdserverpb.Member.clientURLs: array expected");
                message.clientURLs = [];
                for (let i = 0; i < object.clientURLs.length; ++i)
                    message.clientURLs[i] = String(object.clientURLs[i]);
            }
            if (object.isLearner != null)
                message.isLearner = Boolean(object.isLearner);
            return message;
        };
        /**
         * Creates a plain object from a Member message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.Member
         * @static
         * @param {etcdserverpb.Member} message Member
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        Member.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults) {
                object.peerURLs = [];
                object.clientURLs = [];
            }
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
                object.name = "";
                object.isLearner = false;
            }
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber(true) : message.ID;
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.peerURLs && message.peerURLs.length) {
                object.peerURLs = [];
                for (let j = 0; j < message.peerURLs.length; ++j)
                    object.peerURLs[j] = message.peerURLs[j];
            }
            if (message.clientURLs && message.clientURLs.length) {
                object.clientURLs = [];
                for (let j = 0; j < message.clientURLs.length; ++j)
                    object.clientURLs[j] = message.clientURLs[j];
            }
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                object.isLearner = message.isLearner;
            return object;
        };
        /**
         * Converts this Member to JSON.
         * @function toJSON
         * @memberof etcdserverpb.Member
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        Member.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return Member;
    })();
    etcdserverpb.MemberAddRequest = (function () {
        /**
         * Properties of a MemberAddRequest.
         * @memberof etcdserverpb
         * @interface IMemberAddRequest
         * @property {Array.<string>|null} [peerURLs] MemberAddRequest peerURLs
         * @property {boolean|null} [isLearner] MemberAddRequest isLearner
         */
        /**
         * Constructs a new MemberAddRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberAddRequest.
         * @implements IMemberAddRequest
         * @constructor
         * @param {etcdserverpb.IMemberAddRequest=} [properties] Properties to set
         */
        function MemberAddRequest(properties) {
            this.peerURLs = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberAddRequest peerURLs.
         * @member {Array.<string>} peerURLs
         * @memberof etcdserverpb.MemberAddRequest
         * @instance
         */
        MemberAddRequest.prototype.peerURLs = $util.emptyArray;
        /**
         * MemberAddRequest isLearner.
         * @member {boolean} isLearner
         * @memberof etcdserverpb.MemberAddRequest
         * @instance
         */
        MemberAddRequest.prototype.isLearner = false;
        /**
         * Creates a new MemberAddRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {etcdserverpb.IMemberAddRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MemberAddRequest} MemberAddRequest instance
         */
        MemberAddRequest.create = function create(properties) {
            return new MemberAddRequest(properties);
        };
        /**
         * Encodes the specified MemberAddRequest message. Does not implicitly {@link etcdserverpb.MemberAddRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {etcdserverpb.IMemberAddRequest} message MemberAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberAddRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.peerURLs != null && message.peerURLs.length)
                for (let i = 0; i < message.peerURLs.length; ++i)
                    writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.peerURLs[i]);
            if (message.isLearner != null && Object.hasOwnProperty.call(message, "isLearner"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).bool(message.isLearner);
            return writer;
        };
        /**
         * Encodes the specified MemberAddRequest message, length delimited. Does not implicitly {@link etcdserverpb.MemberAddRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {etcdserverpb.IMemberAddRequest} message MemberAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberAddRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberAddRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberAddRequest} MemberAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberAddRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberAddRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        if (!(message.peerURLs && message.peerURLs.length))
                            message.peerURLs = [];
                        message.peerURLs.push(reader.string());
                        break;
                    case 2:
                        message.isLearner = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberAddRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberAddRequest} MemberAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberAddRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberAddRequest message.
         * @function verify
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberAddRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.peerURLs != null && message.hasOwnProperty("peerURLs")) {
                if (!Array.isArray(message.peerURLs))
                    return "peerURLs: array expected";
                for (let i = 0; i < message.peerURLs.length; ++i)
                    if (!$util.isString(message.peerURLs[i]))
                        return "peerURLs: string[] expected";
            }
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                if (typeof message.isLearner !== "boolean")
                    return "isLearner: boolean expected";
            return null;
        };
        /**
         * Creates a MemberAddRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberAddRequest} MemberAddRequest
         */
        MemberAddRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberAddRequest)
                return object;
            let message = new $root.etcdserverpb.MemberAddRequest();
            if (object.peerURLs) {
                if (!Array.isArray(object.peerURLs))
                    throw TypeError(".etcdserverpb.MemberAddRequest.peerURLs: array expected");
                message.peerURLs = [];
                for (let i = 0; i < object.peerURLs.length; ++i)
                    message.peerURLs[i] = String(object.peerURLs[i]);
            }
            if (object.isLearner != null)
                message.isLearner = Boolean(object.isLearner);
            return message;
        };
        /**
         * Creates a plain object from a MemberAddRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberAddRequest
         * @static
         * @param {etcdserverpb.MemberAddRequest} message MemberAddRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberAddRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.peerURLs = [];
            if (options.defaults)
                object.isLearner = false;
            if (message.peerURLs && message.peerURLs.length) {
                object.peerURLs = [];
                for (let j = 0; j < message.peerURLs.length; ++j)
                    object.peerURLs[j] = message.peerURLs[j];
            }
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                object.isLearner = message.isLearner;
            return object;
        };
        /**
         * Converts this MemberAddRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberAddRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberAddRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberAddRequest;
    })();
    etcdserverpb.MemberAddResponse = (function () {
        /**
         * Properties of a MemberAddResponse.
         * @memberof etcdserverpb
         * @interface IMemberAddResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MemberAddResponse header
         * @property {etcdserverpb.IMember|null} [member] MemberAddResponse member
         * @property {Array.<etcdserverpb.IMember>|null} [members] MemberAddResponse members
         */
        /**
         * Constructs a new MemberAddResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberAddResponse.
         * @implements IMemberAddResponse
         * @constructor
         * @param {etcdserverpb.IMemberAddResponse=} [properties] Properties to set
         */
        function MemberAddResponse(properties) {
            this.members = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberAddResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MemberAddResponse
         * @instance
         */
        MemberAddResponse.prototype.header = null;
        /**
         * MemberAddResponse member.
         * @member {etcdserverpb.IMember|null|undefined} member
         * @memberof etcdserverpb.MemberAddResponse
         * @instance
         */
        MemberAddResponse.prototype.member = null;
        /**
         * MemberAddResponse members.
         * @member {Array.<etcdserverpb.IMember>} members
         * @memberof etcdserverpb.MemberAddResponse
         * @instance
         */
        MemberAddResponse.prototype.members = $util.emptyArray;
        /**
         * Creates a new MemberAddResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {etcdserverpb.IMemberAddResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MemberAddResponse} MemberAddResponse instance
         */
        MemberAddResponse.create = function create(properties) {
            return new MemberAddResponse(properties);
        };
        /**
         * Encodes the specified MemberAddResponse message. Does not implicitly {@link etcdserverpb.MemberAddResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {etcdserverpb.IMemberAddResponse} message MemberAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberAddResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.member != null && Object.hasOwnProperty.call(message, "member"))
                $root.etcdserverpb.Member.encode(message.member, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.members != null && message.members.length)
                for (let i = 0; i < message.members.length; ++i)
                    $root.etcdserverpb.Member.encode(message.members[i], writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MemberAddResponse message, length delimited. Does not implicitly {@link etcdserverpb.MemberAddResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {etcdserverpb.IMemberAddResponse} message MemberAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberAddResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberAddResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberAddResponse} MemberAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberAddResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberAddResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.member = $root.etcdserverpb.Member.decode(reader, reader.uint32());
                        break;
                    case 3:
                        if (!(message.members && message.members.length))
                            message.members = [];
                        message.members.push($root.etcdserverpb.Member.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberAddResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberAddResponse} MemberAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberAddResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberAddResponse message.
         * @function verify
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberAddResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.member != null && message.hasOwnProperty("member")) {
                let error = $root.etcdserverpb.Member.verify(message.member);
                if (error)
                    return "member." + error;
            }
            if (message.members != null && message.hasOwnProperty("members")) {
                if (!Array.isArray(message.members))
                    return "members: array expected";
                for (let i = 0; i < message.members.length; ++i) {
                    let error = $root.etcdserverpb.Member.verify(message.members[i]);
                    if (error)
                        return "members." + error;
                }
            }
            return null;
        };
        /**
         * Creates a MemberAddResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberAddResponse} MemberAddResponse
         */
        MemberAddResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberAddResponse)
                return object;
            let message = new $root.etcdserverpb.MemberAddResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MemberAddResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.member != null) {
                if (typeof object.member !== "object")
                    throw TypeError(".etcdserverpb.MemberAddResponse.member: object expected");
                message.member = $root.etcdserverpb.Member.fromObject(object.member);
            }
            if (object.members) {
                if (!Array.isArray(object.members))
                    throw TypeError(".etcdserverpb.MemberAddResponse.members: array expected");
                message.members = [];
                for (let i = 0; i < object.members.length; ++i) {
                    if (typeof object.members[i] !== "object")
                        throw TypeError(".etcdserverpb.MemberAddResponse.members: object expected");
                    message.members[i] = $root.etcdserverpb.Member.fromObject(object.members[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberAddResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberAddResponse
         * @static
         * @param {etcdserverpb.MemberAddResponse} message MemberAddResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberAddResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.members = [];
            if (options.defaults) {
                object.header = null;
                object.member = null;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.member != null && message.hasOwnProperty("member"))
                object.member = $root.etcdserverpb.Member.toObject(message.member, options);
            if (message.members && message.members.length) {
                object.members = [];
                for (let j = 0; j < message.members.length; ++j)
                    object.members[j] = $root.etcdserverpb.Member.toObject(message.members[j], options);
            }
            return object;
        };
        /**
         * Converts this MemberAddResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberAddResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberAddResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberAddResponse;
    })();
    etcdserverpb.MemberRemoveRequest = (function () {
        /**
         * Properties of a MemberRemoveRequest.
         * @memberof etcdserverpb
         * @interface IMemberRemoveRequest
         * @property {number|Long|null} [ID] MemberRemoveRequest ID
         */
        /**
         * Constructs a new MemberRemoveRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberRemoveRequest.
         * @implements IMemberRemoveRequest
         * @constructor
         * @param {etcdserverpb.IMemberRemoveRequest=} [properties] Properties to set
         */
        function MemberRemoveRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberRemoveRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.MemberRemoveRequest
         * @instance
         */
        MemberRemoveRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Creates a new MemberRemoveRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {etcdserverpb.IMemberRemoveRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MemberRemoveRequest} MemberRemoveRequest instance
         */
        MemberRemoveRequest.create = function create(properties) {
            return new MemberRemoveRequest(properties);
        };
        /**
         * Encodes the specified MemberRemoveRequest message. Does not implicitly {@link etcdserverpb.MemberRemoveRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {etcdserverpb.IMemberRemoveRequest} message MemberRemoveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberRemoveRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified MemberRemoveRequest message, length delimited. Does not implicitly {@link etcdserverpb.MemberRemoveRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {etcdserverpb.IMemberRemoveRequest} message MemberRemoveRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberRemoveRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberRemoveRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberRemoveRequest} MemberRemoveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberRemoveRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberRemoveRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.uint64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberRemoveRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberRemoveRequest} MemberRemoveRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberRemoveRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberRemoveRequest message.
         * @function verify
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberRemoveRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a MemberRemoveRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberRemoveRequest} MemberRemoveRequest
         */
        MemberRemoveRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberRemoveRequest)
                return object;
            let message = new $root.etcdserverpb.MemberRemoveRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = true;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber(true);
            return message;
        };
        /**
         * Creates a plain object from a MemberRemoveRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberRemoveRequest
         * @static
         * @param {etcdserverpb.MemberRemoveRequest} message MemberRemoveRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberRemoveRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber(true) : message.ID;
            return object;
        };
        /**
         * Converts this MemberRemoveRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberRemoveRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberRemoveRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberRemoveRequest;
    })();
    etcdserverpb.MemberRemoveResponse = (function () {
        /**
         * Properties of a MemberRemoveResponse.
         * @memberof etcdserverpb
         * @interface IMemberRemoveResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MemberRemoveResponse header
         * @property {Array.<etcdserverpb.IMember>|null} [members] MemberRemoveResponse members
         */
        /**
         * Constructs a new MemberRemoveResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberRemoveResponse.
         * @implements IMemberRemoveResponse
         * @constructor
         * @param {etcdserverpb.IMemberRemoveResponse=} [properties] Properties to set
         */
        function MemberRemoveResponse(properties) {
            this.members = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberRemoveResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MemberRemoveResponse
         * @instance
         */
        MemberRemoveResponse.prototype.header = null;
        /**
         * MemberRemoveResponse members.
         * @member {Array.<etcdserverpb.IMember>} members
         * @memberof etcdserverpb.MemberRemoveResponse
         * @instance
         */
        MemberRemoveResponse.prototype.members = $util.emptyArray;
        /**
         * Creates a new MemberRemoveResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {etcdserverpb.IMemberRemoveResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MemberRemoveResponse} MemberRemoveResponse instance
         */
        MemberRemoveResponse.create = function create(properties) {
            return new MemberRemoveResponse(properties);
        };
        /**
         * Encodes the specified MemberRemoveResponse message. Does not implicitly {@link etcdserverpb.MemberRemoveResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {etcdserverpb.IMemberRemoveResponse} message MemberRemoveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberRemoveResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.members != null && message.members.length)
                for (let i = 0; i < message.members.length; ++i)
                    $root.etcdserverpb.Member.encode(message.members[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MemberRemoveResponse message, length delimited. Does not implicitly {@link etcdserverpb.MemberRemoveResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {etcdserverpb.IMemberRemoveResponse} message MemberRemoveResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberRemoveResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberRemoveResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberRemoveResponse} MemberRemoveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberRemoveResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberRemoveResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.members && message.members.length))
                            message.members = [];
                        message.members.push($root.etcdserverpb.Member.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberRemoveResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberRemoveResponse} MemberRemoveResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberRemoveResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberRemoveResponse message.
         * @function verify
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberRemoveResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.members != null && message.hasOwnProperty("members")) {
                if (!Array.isArray(message.members))
                    return "members: array expected";
                for (let i = 0; i < message.members.length; ++i) {
                    let error = $root.etcdserverpb.Member.verify(message.members[i]);
                    if (error)
                        return "members." + error;
                }
            }
            return null;
        };
        /**
         * Creates a MemberRemoveResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberRemoveResponse} MemberRemoveResponse
         */
        MemberRemoveResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberRemoveResponse)
                return object;
            let message = new $root.etcdserverpb.MemberRemoveResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MemberRemoveResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.members) {
                if (!Array.isArray(object.members))
                    throw TypeError(".etcdserverpb.MemberRemoveResponse.members: array expected");
                message.members = [];
                for (let i = 0; i < object.members.length; ++i) {
                    if (typeof object.members[i] !== "object")
                        throw TypeError(".etcdserverpb.MemberRemoveResponse.members: object expected");
                    message.members[i] = $root.etcdserverpb.Member.fromObject(object.members[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberRemoveResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberRemoveResponse
         * @static
         * @param {etcdserverpb.MemberRemoveResponse} message MemberRemoveResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberRemoveResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.members = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.members && message.members.length) {
                object.members = [];
                for (let j = 0; j < message.members.length; ++j)
                    object.members[j] = $root.etcdserverpb.Member.toObject(message.members[j], options);
            }
            return object;
        };
        /**
         * Converts this MemberRemoveResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberRemoveResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberRemoveResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberRemoveResponse;
    })();
    etcdserverpb.MemberUpdateRequest = (function () {
        /**
         * Properties of a MemberUpdateRequest.
         * @memberof etcdserverpb
         * @interface IMemberUpdateRequest
         * @property {number|Long|null} [ID] MemberUpdateRequest ID
         * @property {Array.<string>|null} [peerURLs] MemberUpdateRequest peerURLs
         */
        /**
         * Constructs a new MemberUpdateRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberUpdateRequest.
         * @implements IMemberUpdateRequest
         * @constructor
         * @param {etcdserverpb.IMemberUpdateRequest=} [properties] Properties to set
         */
        function MemberUpdateRequest(properties) {
            this.peerURLs = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberUpdateRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.MemberUpdateRequest
         * @instance
         */
        MemberUpdateRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * MemberUpdateRequest peerURLs.
         * @member {Array.<string>} peerURLs
         * @memberof etcdserverpb.MemberUpdateRequest
         * @instance
         */
        MemberUpdateRequest.prototype.peerURLs = $util.emptyArray;
        /**
         * Creates a new MemberUpdateRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {etcdserverpb.IMemberUpdateRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MemberUpdateRequest} MemberUpdateRequest instance
         */
        MemberUpdateRequest.create = function create(properties) {
            return new MemberUpdateRequest(properties);
        };
        /**
         * Encodes the specified MemberUpdateRequest message. Does not implicitly {@link etcdserverpb.MemberUpdateRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {etcdserverpb.IMemberUpdateRequest} message MemberUpdateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberUpdateRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.ID);
            if (message.peerURLs != null && message.peerURLs.length)
                for (let i = 0; i < message.peerURLs.length; ++i)
                    writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.peerURLs[i]);
            return writer;
        };
        /**
         * Encodes the specified MemberUpdateRequest message, length delimited. Does not implicitly {@link etcdserverpb.MemberUpdateRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {etcdserverpb.IMemberUpdateRequest} message MemberUpdateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberUpdateRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberUpdateRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberUpdateRequest} MemberUpdateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberUpdateRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberUpdateRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.uint64();
                        break;
                    case 2:
                        if (!(message.peerURLs && message.peerURLs.length))
                            message.peerURLs = [];
                        message.peerURLs.push(reader.string());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberUpdateRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberUpdateRequest} MemberUpdateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberUpdateRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberUpdateRequest message.
         * @function verify
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberUpdateRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            if (message.peerURLs != null && message.hasOwnProperty("peerURLs")) {
                if (!Array.isArray(message.peerURLs))
                    return "peerURLs: array expected";
                for (let i = 0; i < message.peerURLs.length; ++i)
                    if (!$util.isString(message.peerURLs[i]))
                        return "peerURLs: string[] expected";
            }
            return null;
        };
        /**
         * Creates a MemberUpdateRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberUpdateRequest} MemberUpdateRequest
         */
        MemberUpdateRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberUpdateRequest)
                return object;
            let message = new $root.etcdserverpb.MemberUpdateRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = true;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber(true);
            if (object.peerURLs) {
                if (!Array.isArray(object.peerURLs))
                    throw TypeError(".etcdserverpb.MemberUpdateRequest.peerURLs: array expected");
                message.peerURLs = [];
                for (let i = 0; i < object.peerURLs.length; ++i)
                    message.peerURLs[i] = String(object.peerURLs[i]);
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberUpdateRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberUpdateRequest
         * @static
         * @param {etcdserverpb.MemberUpdateRequest} message MemberUpdateRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberUpdateRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.peerURLs = [];
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber(true) : message.ID;
            if (message.peerURLs && message.peerURLs.length) {
                object.peerURLs = [];
                for (let j = 0; j < message.peerURLs.length; ++j)
                    object.peerURLs[j] = message.peerURLs[j];
            }
            return object;
        };
        /**
         * Converts this MemberUpdateRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberUpdateRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberUpdateRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberUpdateRequest;
    })();
    etcdserverpb.MemberUpdateResponse = (function () {
        /**
         * Properties of a MemberUpdateResponse.
         * @memberof etcdserverpb
         * @interface IMemberUpdateResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MemberUpdateResponse header
         * @property {Array.<etcdserverpb.IMember>|null} [members] MemberUpdateResponse members
         */
        /**
         * Constructs a new MemberUpdateResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberUpdateResponse.
         * @implements IMemberUpdateResponse
         * @constructor
         * @param {etcdserverpb.IMemberUpdateResponse=} [properties] Properties to set
         */
        function MemberUpdateResponse(properties) {
            this.members = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberUpdateResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MemberUpdateResponse
         * @instance
         */
        MemberUpdateResponse.prototype.header = null;
        /**
         * MemberUpdateResponse members.
         * @member {Array.<etcdserverpb.IMember>} members
         * @memberof etcdserverpb.MemberUpdateResponse
         * @instance
         */
        MemberUpdateResponse.prototype.members = $util.emptyArray;
        /**
         * Creates a new MemberUpdateResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {etcdserverpb.IMemberUpdateResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MemberUpdateResponse} MemberUpdateResponse instance
         */
        MemberUpdateResponse.create = function create(properties) {
            return new MemberUpdateResponse(properties);
        };
        /**
         * Encodes the specified MemberUpdateResponse message. Does not implicitly {@link etcdserverpb.MemberUpdateResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {etcdserverpb.IMemberUpdateResponse} message MemberUpdateResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberUpdateResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.members != null && message.members.length)
                for (let i = 0; i < message.members.length; ++i)
                    $root.etcdserverpb.Member.encode(message.members[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MemberUpdateResponse message, length delimited. Does not implicitly {@link etcdserverpb.MemberUpdateResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {etcdserverpb.IMemberUpdateResponse} message MemberUpdateResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberUpdateResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberUpdateResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberUpdateResponse} MemberUpdateResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberUpdateResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberUpdateResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.members && message.members.length))
                            message.members = [];
                        message.members.push($root.etcdserverpb.Member.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberUpdateResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberUpdateResponse} MemberUpdateResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberUpdateResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberUpdateResponse message.
         * @function verify
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberUpdateResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.members != null && message.hasOwnProperty("members")) {
                if (!Array.isArray(message.members))
                    return "members: array expected";
                for (let i = 0; i < message.members.length; ++i) {
                    let error = $root.etcdserverpb.Member.verify(message.members[i]);
                    if (error)
                        return "members." + error;
                }
            }
            return null;
        };
        /**
         * Creates a MemberUpdateResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberUpdateResponse} MemberUpdateResponse
         */
        MemberUpdateResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberUpdateResponse)
                return object;
            let message = new $root.etcdserverpb.MemberUpdateResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MemberUpdateResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.members) {
                if (!Array.isArray(object.members))
                    throw TypeError(".etcdserverpb.MemberUpdateResponse.members: array expected");
                message.members = [];
                for (let i = 0; i < object.members.length; ++i) {
                    if (typeof object.members[i] !== "object")
                        throw TypeError(".etcdserverpb.MemberUpdateResponse.members: object expected");
                    message.members[i] = $root.etcdserverpb.Member.fromObject(object.members[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberUpdateResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberUpdateResponse
         * @static
         * @param {etcdserverpb.MemberUpdateResponse} message MemberUpdateResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberUpdateResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.members = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.members && message.members.length) {
                object.members = [];
                for (let j = 0; j < message.members.length; ++j)
                    object.members[j] = $root.etcdserverpb.Member.toObject(message.members[j], options);
            }
            return object;
        };
        /**
         * Converts this MemberUpdateResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberUpdateResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberUpdateResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberUpdateResponse;
    })();
    etcdserverpb.MemberListRequest = (function () {
        /**
         * Properties of a MemberListRequest.
         * @memberof etcdserverpb
         * @interface IMemberListRequest
         * @property {boolean|null} [linearizable] MemberListRequest linearizable
         */
        /**
         * Constructs a new MemberListRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberListRequest.
         * @implements IMemberListRequest
         * @constructor
         * @param {etcdserverpb.IMemberListRequest=} [properties] Properties to set
         */
        function MemberListRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberListRequest linearizable.
         * @member {boolean} linearizable
         * @memberof etcdserverpb.MemberListRequest
         * @instance
         */
        MemberListRequest.prototype.linearizable = false;
        /**
         * Creates a new MemberListRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {etcdserverpb.IMemberListRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MemberListRequest} MemberListRequest instance
         */
        MemberListRequest.create = function create(properties) {
            return new MemberListRequest(properties);
        };
        /**
         * Encodes the specified MemberListRequest message. Does not implicitly {@link etcdserverpb.MemberListRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {etcdserverpb.IMemberListRequest} message MemberListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberListRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.linearizable != null && Object.hasOwnProperty.call(message, "linearizable"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).bool(message.linearizable);
            return writer;
        };
        /**
         * Encodes the specified MemberListRequest message, length delimited. Does not implicitly {@link etcdserverpb.MemberListRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {etcdserverpb.IMemberListRequest} message MemberListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberListRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberListRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberListRequest} MemberListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberListRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberListRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.linearizable = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberListRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberListRequest} MemberListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberListRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberListRequest message.
         * @function verify
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberListRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.linearizable != null && message.hasOwnProperty("linearizable"))
                if (typeof message.linearizable !== "boolean")
                    return "linearizable: boolean expected";
            return null;
        };
        /**
         * Creates a MemberListRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberListRequest} MemberListRequest
         */
        MemberListRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberListRequest)
                return object;
            let message = new $root.etcdserverpb.MemberListRequest();
            if (object.linearizable != null)
                message.linearizable = Boolean(object.linearizable);
            return message;
        };
        /**
         * Creates a plain object from a MemberListRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberListRequest
         * @static
         * @param {etcdserverpb.MemberListRequest} message MemberListRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberListRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.linearizable = false;
            if (message.linearizable != null && message.hasOwnProperty("linearizable"))
                object.linearizable = message.linearizable;
            return object;
        };
        /**
         * Converts this MemberListRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberListRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberListRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberListRequest;
    })();
    etcdserverpb.MemberListResponse = (function () {
        /**
         * Properties of a MemberListResponse.
         * @memberof etcdserverpb
         * @interface IMemberListResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MemberListResponse header
         * @property {Array.<etcdserverpb.IMember>|null} [members] MemberListResponse members
         */
        /**
         * Constructs a new MemberListResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberListResponse.
         * @implements IMemberListResponse
         * @constructor
         * @param {etcdserverpb.IMemberListResponse=} [properties] Properties to set
         */
        function MemberListResponse(properties) {
            this.members = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberListResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MemberListResponse
         * @instance
         */
        MemberListResponse.prototype.header = null;
        /**
         * MemberListResponse members.
         * @member {Array.<etcdserverpb.IMember>} members
         * @memberof etcdserverpb.MemberListResponse
         * @instance
         */
        MemberListResponse.prototype.members = $util.emptyArray;
        /**
         * Creates a new MemberListResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {etcdserverpb.IMemberListResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MemberListResponse} MemberListResponse instance
         */
        MemberListResponse.create = function create(properties) {
            return new MemberListResponse(properties);
        };
        /**
         * Encodes the specified MemberListResponse message. Does not implicitly {@link etcdserverpb.MemberListResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {etcdserverpb.IMemberListResponse} message MemberListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberListResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.members != null && message.members.length)
                for (let i = 0; i < message.members.length; ++i)
                    $root.etcdserverpb.Member.encode(message.members[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MemberListResponse message, length delimited. Does not implicitly {@link etcdserverpb.MemberListResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {etcdserverpb.IMemberListResponse} message MemberListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberListResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberListResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberListResponse} MemberListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberListResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberListResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.members && message.members.length))
                            message.members = [];
                        message.members.push($root.etcdserverpb.Member.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberListResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberListResponse} MemberListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberListResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberListResponse message.
         * @function verify
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberListResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.members != null && message.hasOwnProperty("members")) {
                if (!Array.isArray(message.members))
                    return "members: array expected";
                for (let i = 0; i < message.members.length; ++i) {
                    let error = $root.etcdserverpb.Member.verify(message.members[i]);
                    if (error)
                        return "members." + error;
                }
            }
            return null;
        };
        /**
         * Creates a MemberListResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberListResponse} MemberListResponse
         */
        MemberListResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberListResponse)
                return object;
            let message = new $root.etcdserverpb.MemberListResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MemberListResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.members) {
                if (!Array.isArray(object.members))
                    throw TypeError(".etcdserverpb.MemberListResponse.members: array expected");
                message.members = [];
                for (let i = 0; i < object.members.length; ++i) {
                    if (typeof object.members[i] !== "object")
                        throw TypeError(".etcdserverpb.MemberListResponse.members: object expected");
                    message.members[i] = $root.etcdserverpb.Member.fromObject(object.members[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberListResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberListResponse
         * @static
         * @param {etcdserverpb.MemberListResponse} message MemberListResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberListResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.members = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.members && message.members.length) {
                object.members = [];
                for (let j = 0; j < message.members.length; ++j)
                    object.members[j] = $root.etcdserverpb.Member.toObject(message.members[j], options);
            }
            return object;
        };
        /**
         * Converts this MemberListResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberListResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberListResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberListResponse;
    })();
    etcdserverpb.MemberPromoteRequest = (function () {
        /**
         * Properties of a MemberPromoteRequest.
         * @memberof etcdserverpb
         * @interface IMemberPromoteRequest
         * @property {number|Long|null} [ID] MemberPromoteRequest ID
         */
        /**
         * Constructs a new MemberPromoteRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberPromoteRequest.
         * @implements IMemberPromoteRequest
         * @constructor
         * @param {etcdserverpb.IMemberPromoteRequest=} [properties] Properties to set
         */
        function MemberPromoteRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberPromoteRequest ID.
         * @member {number|Long} ID
         * @memberof etcdserverpb.MemberPromoteRequest
         * @instance
         */
        MemberPromoteRequest.prototype.ID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Creates a new MemberPromoteRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {etcdserverpb.IMemberPromoteRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MemberPromoteRequest} MemberPromoteRequest instance
         */
        MemberPromoteRequest.create = function create(properties) {
            return new MemberPromoteRequest(properties);
        };
        /**
         * Encodes the specified MemberPromoteRequest message. Does not implicitly {@link etcdserverpb.MemberPromoteRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {etcdserverpb.IMemberPromoteRequest} message MemberPromoteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberPromoteRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.ID != null && Object.hasOwnProperty.call(message, "ID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.ID);
            return writer;
        };
        /**
         * Encodes the specified MemberPromoteRequest message, length delimited. Does not implicitly {@link etcdserverpb.MemberPromoteRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {etcdserverpb.IMemberPromoteRequest} message MemberPromoteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberPromoteRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberPromoteRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberPromoteRequest} MemberPromoteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberPromoteRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberPromoteRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.ID = reader.uint64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberPromoteRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberPromoteRequest} MemberPromoteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberPromoteRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberPromoteRequest message.
         * @function verify
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberPromoteRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (!$util.isInteger(message.ID) && !(message.ID && $util.isInteger(message.ID.low) && $util.isInteger(message.ID.high)))
                    return "ID: integer|Long expected";
            return null;
        };
        /**
         * Creates a MemberPromoteRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberPromoteRequest} MemberPromoteRequest
         */
        MemberPromoteRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberPromoteRequest)
                return object;
            let message = new $root.etcdserverpb.MemberPromoteRequest();
            if (object.ID != null)
                if ($util.Long)
                    (message.ID = $util.Long.fromValue(object.ID)).unsigned = true;
                else if (typeof object.ID === "string")
                    message.ID = parseInt(object.ID, 10);
                else if (typeof object.ID === "number")
                    message.ID = object.ID;
                else if (typeof object.ID === "object")
                    message.ID = new $util.LongBits(object.ID.low >>> 0, object.ID.high >>> 0).toNumber(true);
            return message;
        };
        /**
         * Creates a plain object from a MemberPromoteRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberPromoteRequest
         * @static
         * @param {etcdserverpb.MemberPromoteRequest} message MemberPromoteRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberPromoteRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.ID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.ID = options.longs === String ? "0" : 0;
            if (message.ID != null && message.hasOwnProperty("ID"))
                if (typeof message.ID === "number")
                    object.ID = options.longs === String ? String(message.ID) : message.ID;
                else
                    object.ID = options.longs === String ? $util.Long.prototype.toString.call(message.ID) : options.longs === Number ? new $util.LongBits(message.ID.low >>> 0, message.ID.high >>> 0).toNumber(true) : message.ID;
            return object;
        };
        /**
         * Converts this MemberPromoteRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberPromoteRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberPromoteRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberPromoteRequest;
    })();
    etcdserverpb.MemberPromoteResponse = (function () {
        /**
         * Properties of a MemberPromoteResponse.
         * @memberof etcdserverpb
         * @interface IMemberPromoteResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MemberPromoteResponse header
         * @property {Array.<etcdserverpb.IMember>|null} [members] MemberPromoteResponse members
         */
        /**
         * Constructs a new MemberPromoteResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MemberPromoteResponse.
         * @implements IMemberPromoteResponse
         * @constructor
         * @param {etcdserverpb.IMemberPromoteResponse=} [properties] Properties to set
         */
        function MemberPromoteResponse(properties) {
            this.members = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MemberPromoteResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MemberPromoteResponse
         * @instance
         */
        MemberPromoteResponse.prototype.header = null;
        /**
         * MemberPromoteResponse members.
         * @member {Array.<etcdserverpb.IMember>} members
         * @memberof etcdserverpb.MemberPromoteResponse
         * @instance
         */
        MemberPromoteResponse.prototype.members = $util.emptyArray;
        /**
         * Creates a new MemberPromoteResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {etcdserverpb.IMemberPromoteResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MemberPromoteResponse} MemberPromoteResponse instance
         */
        MemberPromoteResponse.create = function create(properties) {
            return new MemberPromoteResponse(properties);
        };
        /**
         * Encodes the specified MemberPromoteResponse message. Does not implicitly {@link etcdserverpb.MemberPromoteResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {etcdserverpb.IMemberPromoteResponse} message MemberPromoteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberPromoteResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.members != null && message.members.length)
                for (let i = 0; i < message.members.length; ++i)
                    $root.etcdserverpb.Member.encode(message.members[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MemberPromoteResponse message, length delimited. Does not implicitly {@link etcdserverpb.MemberPromoteResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {etcdserverpb.IMemberPromoteResponse} message MemberPromoteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MemberPromoteResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MemberPromoteResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MemberPromoteResponse} MemberPromoteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberPromoteResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MemberPromoteResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.members && message.members.length))
                            message.members = [];
                        message.members.push($root.etcdserverpb.Member.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MemberPromoteResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MemberPromoteResponse} MemberPromoteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MemberPromoteResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MemberPromoteResponse message.
         * @function verify
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MemberPromoteResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.members != null && message.hasOwnProperty("members")) {
                if (!Array.isArray(message.members))
                    return "members: array expected";
                for (let i = 0; i < message.members.length; ++i) {
                    let error = $root.etcdserverpb.Member.verify(message.members[i]);
                    if (error)
                        return "members." + error;
                }
            }
            return null;
        };
        /**
         * Creates a MemberPromoteResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MemberPromoteResponse} MemberPromoteResponse
         */
        MemberPromoteResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MemberPromoteResponse)
                return object;
            let message = new $root.etcdserverpb.MemberPromoteResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MemberPromoteResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.members) {
                if (!Array.isArray(object.members))
                    throw TypeError(".etcdserverpb.MemberPromoteResponse.members: array expected");
                message.members = [];
                for (let i = 0; i < object.members.length; ++i) {
                    if (typeof object.members[i] !== "object")
                        throw TypeError(".etcdserverpb.MemberPromoteResponse.members: object expected");
                    message.members[i] = $root.etcdserverpb.Member.fromObject(object.members[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a MemberPromoteResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MemberPromoteResponse
         * @static
         * @param {etcdserverpb.MemberPromoteResponse} message MemberPromoteResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MemberPromoteResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.members = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.members && message.members.length) {
                object.members = [];
                for (let j = 0; j < message.members.length; ++j)
                    object.members[j] = $root.etcdserverpb.Member.toObject(message.members[j], options);
            }
            return object;
        };
        /**
         * Converts this MemberPromoteResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MemberPromoteResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MemberPromoteResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MemberPromoteResponse;
    })();
    etcdserverpb.DefragmentRequest = (function () {
        /**
         * Properties of a DefragmentRequest.
         * @memberof etcdserverpb
         * @interface IDefragmentRequest
         */
        /**
         * Constructs a new DefragmentRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a DefragmentRequest.
         * @implements IDefragmentRequest
         * @constructor
         * @param {etcdserverpb.IDefragmentRequest=} [properties] Properties to set
         */
        function DefragmentRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new DefragmentRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {etcdserverpb.IDefragmentRequest=} [properties] Properties to set
         * @returns {etcdserverpb.DefragmentRequest} DefragmentRequest instance
         */
        DefragmentRequest.create = function create(properties) {
            return new DefragmentRequest(properties);
        };
        /**
         * Encodes the specified DefragmentRequest message. Does not implicitly {@link etcdserverpb.DefragmentRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {etcdserverpb.IDefragmentRequest} message DefragmentRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DefragmentRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified DefragmentRequest message, length delimited. Does not implicitly {@link etcdserverpb.DefragmentRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {etcdserverpb.IDefragmentRequest} message DefragmentRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DefragmentRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DefragmentRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DefragmentRequest} DefragmentRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DefragmentRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DefragmentRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DefragmentRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DefragmentRequest} DefragmentRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DefragmentRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DefragmentRequest message.
         * @function verify
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DefragmentRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a DefragmentRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DefragmentRequest} DefragmentRequest
         */
        DefragmentRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DefragmentRequest)
                return object;
            return new $root.etcdserverpb.DefragmentRequest();
        };
        /**
         * Creates a plain object from a DefragmentRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DefragmentRequest
         * @static
         * @param {etcdserverpb.DefragmentRequest} message DefragmentRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DefragmentRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this DefragmentRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DefragmentRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DefragmentRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return DefragmentRequest;
    })();
    etcdserverpb.DefragmentResponse = (function () {
        /**
         * Properties of a DefragmentResponse.
         * @memberof etcdserverpb
         * @interface IDefragmentResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] DefragmentResponse header
         */
        /**
         * Constructs a new DefragmentResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a DefragmentResponse.
         * @implements IDefragmentResponse
         * @constructor
         * @param {etcdserverpb.IDefragmentResponse=} [properties] Properties to set
         */
        function DefragmentResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * DefragmentResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.DefragmentResponse
         * @instance
         */
        DefragmentResponse.prototype.header = null;
        /**
         * Creates a new DefragmentResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {etcdserverpb.IDefragmentResponse=} [properties] Properties to set
         * @returns {etcdserverpb.DefragmentResponse} DefragmentResponse instance
         */
        DefragmentResponse.create = function create(properties) {
            return new DefragmentResponse(properties);
        };
        /**
         * Encodes the specified DefragmentResponse message. Does not implicitly {@link etcdserverpb.DefragmentResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {etcdserverpb.IDefragmentResponse} message DefragmentResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DefragmentResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified DefragmentResponse message, length delimited. Does not implicitly {@link etcdserverpb.DefragmentResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {etcdserverpb.IDefragmentResponse} message DefragmentResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DefragmentResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DefragmentResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DefragmentResponse} DefragmentResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DefragmentResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DefragmentResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DefragmentResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DefragmentResponse} DefragmentResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DefragmentResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DefragmentResponse message.
         * @function verify
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DefragmentResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates a DefragmentResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DefragmentResponse} DefragmentResponse
         */
        DefragmentResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DefragmentResponse)
                return object;
            let message = new $root.etcdserverpb.DefragmentResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.DefragmentResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from a DefragmentResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DefragmentResponse
         * @static
         * @param {etcdserverpb.DefragmentResponse} message DefragmentResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DefragmentResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this DefragmentResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DefragmentResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DefragmentResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return DefragmentResponse;
    })();
    etcdserverpb.MoveLeaderRequest = (function () {
        /**
         * Properties of a MoveLeaderRequest.
         * @memberof etcdserverpb
         * @interface IMoveLeaderRequest
         * @property {number|Long|null} [targetID] MoveLeaderRequest targetID
         */
        /**
         * Constructs a new MoveLeaderRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a MoveLeaderRequest.
         * @implements IMoveLeaderRequest
         * @constructor
         * @param {etcdserverpb.IMoveLeaderRequest=} [properties] Properties to set
         */
        function MoveLeaderRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MoveLeaderRequest targetID.
         * @member {number|Long} targetID
         * @memberof etcdserverpb.MoveLeaderRequest
         * @instance
         */
        MoveLeaderRequest.prototype.targetID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Creates a new MoveLeaderRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {etcdserverpb.IMoveLeaderRequest=} [properties] Properties to set
         * @returns {etcdserverpb.MoveLeaderRequest} MoveLeaderRequest instance
         */
        MoveLeaderRequest.create = function create(properties) {
            return new MoveLeaderRequest(properties);
        };
        /**
         * Encodes the specified MoveLeaderRequest message. Does not implicitly {@link etcdserverpb.MoveLeaderRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {etcdserverpb.IMoveLeaderRequest} message MoveLeaderRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MoveLeaderRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.targetID != null && Object.hasOwnProperty.call(message, "targetID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.targetID);
            return writer;
        };
        /**
         * Encodes the specified MoveLeaderRequest message, length delimited. Does not implicitly {@link etcdserverpb.MoveLeaderRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {etcdserverpb.IMoveLeaderRequest} message MoveLeaderRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MoveLeaderRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MoveLeaderRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MoveLeaderRequest} MoveLeaderRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MoveLeaderRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MoveLeaderRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.targetID = reader.uint64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MoveLeaderRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MoveLeaderRequest} MoveLeaderRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MoveLeaderRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MoveLeaderRequest message.
         * @function verify
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MoveLeaderRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.targetID != null && message.hasOwnProperty("targetID"))
                if (!$util.isInteger(message.targetID) && !(message.targetID && $util.isInteger(message.targetID.low) && $util.isInteger(message.targetID.high)))
                    return "targetID: integer|Long expected";
            return null;
        };
        /**
         * Creates a MoveLeaderRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MoveLeaderRequest} MoveLeaderRequest
         */
        MoveLeaderRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MoveLeaderRequest)
                return object;
            let message = new $root.etcdserverpb.MoveLeaderRequest();
            if (object.targetID != null)
                if ($util.Long)
                    (message.targetID = $util.Long.fromValue(object.targetID)).unsigned = true;
                else if (typeof object.targetID === "string")
                    message.targetID = parseInt(object.targetID, 10);
                else if (typeof object.targetID === "number")
                    message.targetID = object.targetID;
                else if (typeof object.targetID === "object")
                    message.targetID = new $util.LongBits(object.targetID.low >>> 0, object.targetID.high >>> 0).toNumber(true);
            return message;
        };
        /**
         * Creates a plain object from a MoveLeaderRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MoveLeaderRequest
         * @static
         * @param {etcdserverpb.MoveLeaderRequest} message MoveLeaderRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MoveLeaderRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.targetID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.targetID = options.longs === String ? "0" : 0;
            if (message.targetID != null && message.hasOwnProperty("targetID"))
                if (typeof message.targetID === "number")
                    object.targetID = options.longs === String ? String(message.targetID) : message.targetID;
                else
                    object.targetID = options.longs === String ? $util.Long.prototype.toString.call(message.targetID) : options.longs === Number ? new $util.LongBits(message.targetID.low >>> 0, message.targetID.high >>> 0).toNumber(true) : message.targetID;
            return object;
        };
        /**
         * Converts this MoveLeaderRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MoveLeaderRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MoveLeaderRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MoveLeaderRequest;
    })();
    etcdserverpb.MoveLeaderResponse = (function () {
        /**
         * Properties of a MoveLeaderResponse.
         * @memberof etcdserverpb
         * @interface IMoveLeaderResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] MoveLeaderResponse header
         */
        /**
         * Constructs a new MoveLeaderResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a MoveLeaderResponse.
         * @implements IMoveLeaderResponse
         * @constructor
         * @param {etcdserverpb.IMoveLeaderResponse=} [properties] Properties to set
         */
        function MoveLeaderResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * MoveLeaderResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.MoveLeaderResponse
         * @instance
         */
        MoveLeaderResponse.prototype.header = null;
        /**
         * Creates a new MoveLeaderResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {etcdserverpb.IMoveLeaderResponse=} [properties] Properties to set
         * @returns {etcdserverpb.MoveLeaderResponse} MoveLeaderResponse instance
         */
        MoveLeaderResponse.create = function create(properties) {
            return new MoveLeaderResponse(properties);
        };
        /**
         * Encodes the specified MoveLeaderResponse message. Does not implicitly {@link etcdserverpb.MoveLeaderResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {etcdserverpb.IMoveLeaderResponse} message MoveLeaderResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MoveLeaderResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified MoveLeaderResponse message, length delimited. Does not implicitly {@link etcdserverpb.MoveLeaderResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {etcdserverpb.IMoveLeaderResponse} message MoveLeaderResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        MoveLeaderResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a MoveLeaderResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.MoveLeaderResponse} MoveLeaderResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MoveLeaderResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.MoveLeaderResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a MoveLeaderResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.MoveLeaderResponse} MoveLeaderResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        MoveLeaderResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a MoveLeaderResponse message.
         * @function verify
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        MoveLeaderResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates a MoveLeaderResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.MoveLeaderResponse} MoveLeaderResponse
         */
        MoveLeaderResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.MoveLeaderResponse)
                return object;
            let message = new $root.etcdserverpb.MoveLeaderResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.MoveLeaderResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from a MoveLeaderResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.MoveLeaderResponse
         * @static
         * @param {etcdserverpb.MoveLeaderResponse} message MoveLeaderResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        MoveLeaderResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this MoveLeaderResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.MoveLeaderResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        MoveLeaderResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return MoveLeaderResponse;
    })();
    /**
     * AlarmType enum.
     * @name etcdserverpb.AlarmType
     * @enum {number}
     * @property {number} None=0 None value
     * @property {number} Nospace=1 Nospace value
     * @property {number} Corrupt=2 Corrupt value
     */
    etcdserverpb.AlarmType = (function () {
        const valuesById = {}, values = Object.create(valuesById);
        values[valuesById[0] = "None"] = 0;
        values[valuesById[1] = "Nospace"] = 1;
        values[valuesById[2] = "Corrupt"] = 2;
        return values;
    })();
    etcdserverpb.AlarmRequest = (function () {
        /**
         * Properties of an AlarmRequest.
         * @memberof etcdserverpb
         * @interface IAlarmRequest
         * @property {etcdserverpb.AlarmRequest.AlarmAction|null} [action] AlarmRequest action
         * @property {number|Long|null} [memberID] AlarmRequest memberID
         * @property {etcdserverpb.AlarmType|null} [alarm] AlarmRequest alarm
         */
        /**
         * Constructs a new AlarmRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AlarmRequest.
         * @implements IAlarmRequest
         * @constructor
         * @param {etcdserverpb.IAlarmRequest=} [properties] Properties to set
         */
        function AlarmRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AlarmRequest action.
         * @member {etcdserverpb.AlarmRequest.AlarmAction} action
         * @memberof etcdserverpb.AlarmRequest
         * @instance
         */
        AlarmRequest.prototype.action = 0;
        /**
         * AlarmRequest memberID.
         * @member {number|Long} memberID
         * @memberof etcdserverpb.AlarmRequest
         * @instance
         */
        AlarmRequest.prototype.memberID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * AlarmRequest alarm.
         * @member {etcdserverpb.AlarmType} alarm
         * @memberof etcdserverpb.AlarmRequest
         * @instance
         */
        AlarmRequest.prototype.alarm = 0;
        /**
         * Creates a new AlarmRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {etcdserverpb.IAlarmRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AlarmRequest} AlarmRequest instance
         */
        AlarmRequest.create = function create(properties) {
            return new AlarmRequest(properties);
        };
        /**
         * Encodes the specified AlarmRequest message. Does not implicitly {@link etcdserverpb.AlarmRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {etcdserverpb.IAlarmRequest} message AlarmRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.action != null && Object.hasOwnProperty.call(message, "action"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int32(message.action);
            if (message.memberID != null && Object.hasOwnProperty.call(message, "memberID"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).uint64(message.memberID);
            if (message.alarm != null && Object.hasOwnProperty.call(message, "alarm"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int32(message.alarm);
            return writer;
        };
        /**
         * Encodes the specified AlarmRequest message, length delimited. Does not implicitly {@link etcdserverpb.AlarmRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {etcdserverpb.IAlarmRequest} message AlarmRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AlarmRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AlarmRequest} AlarmRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AlarmRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.action = reader.int32();
                        break;
                    case 2:
                        message.memberID = reader.uint64();
                        break;
                    case 3:
                        message.alarm = reader.int32();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AlarmRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AlarmRequest} AlarmRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AlarmRequest message.
         * @function verify
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AlarmRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.action != null && message.hasOwnProperty("action"))
                switch (message.action) {
                    default:
                        return "action: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            if (message.memberID != null && message.hasOwnProperty("memberID"))
                if (!$util.isInteger(message.memberID) && !(message.memberID && $util.isInteger(message.memberID.low) && $util.isInteger(message.memberID.high)))
                    return "memberID: integer|Long expected";
            if (message.alarm != null && message.hasOwnProperty("alarm"))
                switch (message.alarm) {
                    default:
                        return "alarm: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            return null;
        };
        /**
         * Creates an AlarmRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AlarmRequest} AlarmRequest
         */
        AlarmRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AlarmRequest)
                return object;
            let message = new $root.etcdserverpb.AlarmRequest();
            switch (object.action) {
                case "Get":
                case 0:
                    message.action = 0;
                    break;
                case "Activate":
                case 1:
                    message.action = 1;
                    break;
                case "Deactivate":
                case 2:
                    message.action = 2;
                    break;
            }
            if (object.memberID != null)
                if ($util.Long)
                    (message.memberID = $util.Long.fromValue(object.memberID)).unsigned = true;
                else if (typeof object.memberID === "string")
                    message.memberID = parseInt(object.memberID, 10);
                else if (typeof object.memberID === "number")
                    message.memberID = object.memberID;
                else if (typeof object.memberID === "object")
                    message.memberID = new $util.LongBits(object.memberID.low >>> 0, object.memberID.high >>> 0).toNumber(true);
            switch (object.alarm) {
                case "None":
                case 0:
                    message.alarm = 0;
                    break;
                case "Nospace":
                case 1:
                    message.alarm = 1;
                    break;
                case "Corrupt":
                case 2:
                    message.alarm = 2;
                    break;
            }
            return message;
        };
        /**
         * Creates a plain object from an AlarmRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AlarmRequest
         * @static
         * @param {etcdserverpb.AlarmRequest} message AlarmRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AlarmRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.action = options.enums === String ? "Get" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.memberID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.memberID = options.longs === String ? "0" : 0;
                object.alarm = options.enums === String ? "None" : 0;
            }
            if (message.action != null && message.hasOwnProperty("action"))
                object.action = options.enums === String ? $root.etcdserverpb.AlarmRequest.AlarmAction[message.action] : message.action;
            if (message.memberID != null && message.hasOwnProperty("memberID"))
                if (typeof message.memberID === "number")
                    object.memberID = options.longs === String ? String(message.memberID) : message.memberID;
                else
                    object.memberID = options.longs === String ? $util.Long.prototype.toString.call(message.memberID) : options.longs === Number ? new $util.LongBits(message.memberID.low >>> 0, message.memberID.high >>> 0).toNumber(true) : message.memberID;
            if (message.alarm != null && message.hasOwnProperty("alarm"))
                object.alarm = options.enums === String ? $root.etcdserverpb.AlarmType[message.alarm] : message.alarm;
            return object;
        };
        /**
         * Converts this AlarmRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AlarmRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AlarmRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * AlarmAction enum.
         * @name etcdserverpb.AlarmRequest.AlarmAction
         * @enum {number}
         * @property {number} Get=0 Get value
         * @property {number} Activate=1 Activate value
         * @property {number} Deactivate=2 Deactivate value
         */
        AlarmRequest.AlarmAction = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Get"] = 0;
            values[valuesById[1] = "Activate"] = 1;
            values[valuesById[2] = "Deactivate"] = 2;
            return values;
        })();
        return AlarmRequest;
    })();
    etcdserverpb.AlarmMember = (function () {
        /**
         * Properties of an AlarmMember.
         * @memberof etcdserverpb
         * @interface IAlarmMember
         * @property {number|Long|null} [memberID] AlarmMember memberID
         * @property {etcdserverpb.AlarmType|null} [alarm] AlarmMember alarm
         */
        /**
         * Constructs a new AlarmMember.
         * @memberof etcdserverpb
         * @classdesc Represents an AlarmMember.
         * @implements IAlarmMember
         * @constructor
         * @param {etcdserverpb.IAlarmMember=} [properties] Properties to set
         */
        function AlarmMember(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AlarmMember memberID.
         * @member {number|Long} memberID
         * @memberof etcdserverpb.AlarmMember
         * @instance
         */
        AlarmMember.prototype.memberID = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * AlarmMember alarm.
         * @member {etcdserverpb.AlarmType} alarm
         * @memberof etcdserverpb.AlarmMember
         * @instance
         */
        AlarmMember.prototype.alarm = 0;
        /**
         * Creates a new AlarmMember instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {etcdserverpb.IAlarmMember=} [properties] Properties to set
         * @returns {etcdserverpb.AlarmMember} AlarmMember instance
         */
        AlarmMember.create = function create(properties) {
            return new AlarmMember(properties);
        };
        /**
         * Encodes the specified AlarmMember message. Does not implicitly {@link etcdserverpb.AlarmMember.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {etcdserverpb.IAlarmMember} message AlarmMember message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmMember.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.memberID != null && Object.hasOwnProperty.call(message, "memberID"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).uint64(message.memberID);
            if (message.alarm != null && Object.hasOwnProperty.call(message, "alarm"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int32(message.alarm);
            return writer;
        };
        /**
         * Encodes the specified AlarmMember message, length delimited. Does not implicitly {@link etcdserverpb.AlarmMember.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {etcdserverpb.IAlarmMember} message AlarmMember message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmMember.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AlarmMember message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AlarmMember} AlarmMember
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmMember.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AlarmMember();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.memberID = reader.uint64();
                        break;
                    case 2:
                        message.alarm = reader.int32();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AlarmMember message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AlarmMember} AlarmMember
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmMember.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AlarmMember message.
         * @function verify
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AlarmMember.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.memberID != null && message.hasOwnProperty("memberID"))
                if (!$util.isInteger(message.memberID) && !(message.memberID && $util.isInteger(message.memberID.low) && $util.isInteger(message.memberID.high)))
                    return "memberID: integer|Long expected";
            if (message.alarm != null && message.hasOwnProperty("alarm"))
                switch (message.alarm) {
                    default:
                        return "alarm: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            return null;
        };
        /**
         * Creates an AlarmMember message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AlarmMember} AlarmMember
         */
        AlarmMember.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AlarmMember)
                return object;
            let message = new $root.etcdserverpb.AlarmMember();
            if (object.memberID != null)
                if ($util.Long)
                    (message.memberID = $util.Long.fromValue(object.memberID)).unsigned = true;
                else if (typeof object.memberID === "string")
                    message.memberID = parseInt(object.memberID, 10);
                else if (typeof object.memberID === "number")
                    message.memberID = object.memberID;
                else if (typeof object.memberID === "object")
                    message.memberID = new $util.LongBits(object.memberID.low >>> 0, object.memberID.high >>> 0).toNumber(true);
            switch (object.alarm) {
                case "None":
                case 0:
                    message.alarm = 0;
                    break;
                case "Nospace":
                case 1:
                    message.alarm = 1;
                    break;
                case "Corrupt":
                case 2:
                    message.alarm = 2;
                    break;
            }
            return message;
        };
        /**
         * Creates a plain object from an AlarmMember message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AlarmMember
         * @static
         * @param {etcdserverpb.AlarmMember} message AlarmMember
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AlarmMember.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.memberID = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.memberID = options.longs === String ? "0" : 0;
                object.alarm = options.enums === String ? "None" : 0;
            }
            if (message.memberID != null && message.hasOwnProperty("memberID"))
                if (typeof message.memberID === "number")
                    object.memberID = options.longs === String ? String(message.memberID) : message.memberID;
                else
                    object.memberID = options.longs === String ? $util.Long.prototype.toString.call(message.memberID) : options.longs === Number ? new $util.LongBits(message.memberID.low >>> 0, message.memberID.high >>> 0).toNumber(true) : message.memberID;
            if (message.alarm != null && message.hasOwnProperty("alarm"))
                object.alarm = options.enums === String ? $root.etcdserverpb.AlarmType[message.alarm] : message.alarm;
            return object;
        };
        /**
         * Converts this AlarmMember to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AlarmMember
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AlarmMember.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AlarmMember;
    })();
    etcdserverpb.AlarmResponse = (function () {
        /**
         * Properties of an AlarmResponse.
         * @memberof etcdserverpb
         * @interface IAlarmResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AlarmResponse header
         * @property {Array.<etcdserverpb.IAlarmMember>|null} [alarms] AlarmResponse alarms
         */
        /**
         * Constructs a new AlarmResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AlarmResponse.
         * @implements IAlarmResponse
         * @constructor
         * @param {etcdserverpb.IAlarmResponse=} [properties] Properties to set
         */
        function AlarmResponse(properties) {
            this.alarms = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AlarmResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AlarmResponse
         * @instance
         */
        AlarmResponse.prototype.header = null;
        /**
         * AlarmResponse alarms.
         * @member {Array.<etcdserverpb.IAlarmMember>} alarms
         * @memberof etcdserverpb.AlarmResponse
         * @instance
         */
        AlarmResponse.prototype.alarms = $util.emptyArray;
        /**
         * Creates a new AlarmResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {etcdserverpb.IAlarmResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AlarmResponse} AlarmResponse instance
         */
        AlarmResponse.create = function create(properties) {
            return new AlarmResponse(properties);
        };
        /**
         * Encodes the specified AlarmResponse message. Does not implicitly {@link etcdserverpb.AlarmResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {etcdserverpb.IAlarmResponse} message AlarmResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.alarms != null && message.alarms.length)
                for (let i = 0; i < message.alarms.length; ++i)
                    $root.etcdserverpb.AlarmMember.encode(message.alarms[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AlarmResponse message, length delimited. Does not implicitly {@link etcdserverpb.AlarmResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {etcdserverpb.IAlarmResponse} message AlarmResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AlarmResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AlarmResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AlarmResponse} AlarmResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AlarmResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.alarms && message.alarms.length))
                            message.alarms = [];
                        message.alarms.push($root.etcdserverpb.AlarmMember.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AlarmResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AlarmResponse} AlarmResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AlarmResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AlarmResponse message.
         * @function verify
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AlarmResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.alarms != null && message.hasOwnProperty("alarms")) {
                if (!Array.isArray(message.alarms))
                    return "alarms: array expected";
                for (let i = 0; i < message.alarms.length; ++i) {
                    let error = $root.etcdserverpb.AlarmMember.verify(message.alarms[i]);
                    if (error)
                        return "alarms." + error;
                }
            }
            return null;
        };
        /**
         * Creates an AlarmResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AlarmResponse} AlarmResponse
         */
        AlarmResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AlarmResponse)
                return object;
            let message = new $root.etcdserverpb.AlarmResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AlarmResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.alarms) {
                if (!Array.isArray(object.alarms))
                    throw TypeError(".etcdserverpb.AlarmResponse.alarms: array expected");
                message.alarms = [];
                for (let i = 0; i < object.alarms.length; ++i) {
                    if (typeof object.alarms[i] !== "object")
                        throw TypeError(".etcdserverpb.AlarmResponse.alarms: object expected");
                    message.alarms[i] = $root.etcdserverpb.AlarmMember.fromObject(object.alarms[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from an AlarmResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AlarmResponse
         * @static
         * @param {etcdserverpb.AlarmResponse} message AlarmResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AlarmResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.alarms = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.alarms && message.alarms.length) {
                object.alarms = [];
                for (let j = 0; j < message.alarms.length; ++j)
                    object.alarms[j] = $root.etcdserverpb.AlarmMember.toObject(message.alarms[j], options);
            }
            return object;
        };
        /**
         * Converts this AlarmResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AlarmResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AlarmResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AlarmResponse;
    })();
    etcdserverpb.DowngradeRequest = (function () {
        /**
         * Properties of a DowngradeRequest.
         * @memberof etcdserverpb
         * @interface IDowngradeRequest
         * @property {etcdserverpb.DowngradeRequest.DowngradeAction|null} [action] DowngradeRequest action
         * @property {string|null} [version] DowngradeRequest version
         */
        /**
         * Constructs a new DowngradeRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a DowngradeRequest.
         * @implements IDowngradeRequest
         * @constructor
         * @param {etcdserverpb.IDowngradeRequest=} [properties] Properties to set
         */
        function DowngradeRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * DowngradeRequest action.
         * @member {etcdserverpb.DowngradeRequest.DowngradeAction} action
         * @memberof etcdserverpb.DowngradeRequest
         * @instance
         */
        DowngradeRequest.prototype.action = 0;
        /**
         * DowngradeRequest version.
         * @member {string} version
         * @memberof etcdserverpb.DowngradeRequest
         * @instance
         */
        DowngradeRequest.prototype.version = "";
        /**
         * Creates a new DowngradeRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {etcdserverpb.IDowngradeRequest=} [properties] Properties to set
         * @returns {etcdserverpb.DowngradeRequest} DowngradeRequest instance
         */
        DowngradeRequest.create = function create(properties) {
            return new DowngradeRequest(properties);
        };
        /**
         * Encodes the specified DowngradeRequest message. Does not implicitly {@link etcdserverpb.DowngradeRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {etcdserverpb.IDowngradeRequest} message DowngradeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DowngradeRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.action != null && Object.hasOwnProperty.call(message, "action"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int32(message.action);
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.version);
            return writer;
        };
        /**
         * Encodes the specified DowngradeRequest message, length delimited. Does not implicitly {@link etcdserverpb.DowngradeRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {etcdserverpb.IDowngradeRequest} message DowngradeRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DowngradeRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DowngradeRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DowngradeRequest} DowngradeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DowngradeRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DowngradeRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.action = reader.int32();
                        break;
                    case 2:
                        message.version = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DowngradeRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DowngradeRequest} DowngradeRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DowngradeRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DowngradeRequest message.
         * @function verify
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DowngradeRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.action != null && message.hasOwnProperty("action"))
                switch (message.action) {
                    default:
                        return "action: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            if (message.version != null && message.hasOwnProperty("version"))
                if (!$util.isString(message.version))
                    return "version: string expected";
            return null;
        };
        /**
         * Creates a DowngradeRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DowngradeRequest} DowngradeRequest
         */
        DowngradeRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DowngradeRequest)
                return object;
            let message = new $root.etcdserverpb.DowngradeRequest();
            switch (object.action) {
                case "Validate":
                case 0:
                    message.action = 0;
                    break;
                case "Enable":
                case 1:
                    message.action = 1;
                    break;
                case "Cancel":
                case 2:
                    message.action = 2;
                    break;
            }
            if (object.version != null)
                message.version = String(object.version);
            return message;
        };
        /**
         * Creates a plain object from a DowngradeRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DowngradeRequest
         * @static
         * @param {etcdserverpb.DowngradeRequest} message DowngradeRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DowngradeRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.action = options.enums === String ? "Validate" : 0;
                object.version = "";
            }
            if (message.action != null && message.hasOwnProperty("action"))
                object.action = options.enums === String ? $root.etcdserverpb.DowngradeRequest.DowngradeAction[message.action] : message.action;
            if (message.version != null && message.hasOwnProperty("version"))
                object.version = message.version;
            return object;
        };
        /**
         * Converts this DowngradeRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DowngradeRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DowngradeRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * DowngradeAction enum.
         * @name etcdserverpb.DowngradeRequest.DowngradeAction
         * @enum {number}
         * @property {number} Validate=0 Validate value
         * @property {number} Enable=1 Enable value
         * @property {number} Cancel=2 Cancel value
         */
        DowngradeRequest.DowngradeAction = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Validate"] = 0;
            values[valuesById[1] = "Enable"] = 1;
            values[valuesById[2] = "Cancel"] = 2;
            return values;
        })();
        return DowngradeRequest;
    })();
    etcdserverpb.DowngradeResponse = (function () {
        /**
         * Properties of a DowngradeResponse.
         * @memberof etcdserverpb
         * @interface IDowngradeResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] DowngradeResponse header
         * @property {string|null} [version] DowngradeResponse version
         */
        /**
         * Constructs a new DowngradeResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a DowngradeResponse.
         * @implements IDowngradeResponse
         * @constructor
         * @param {etcdserverpb.IDowngradeResponse=} [properties] Properties to set
         */
        function DowngradeResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * DowngradeResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.DowngradeResponse
         * @instance
         */
        DowngradeResponse.prototype.header = null;
        /**
         * DowngradeResponse version.
         * @member {string} version
         * @memberof etcdserverpb.DowngradeResponse
         * @instance
         */
        DowngradeResponse.prototype.version = "";
        /**
         * Creates a new DowngradeResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {etcdserverpb.IDowngradeResponse=} [properties] Properties to set
         * @returns {etcdserverpb.DowngradeResponse} DowngradeResponse instance
         */
        DowngradeResponse.create = function create(properties) {
            return new DowngradeResponse(properties);
        };
        /**
         * Encodes the specified DowngradeResponse message. Does not implicitly {@link etcdserverpb.DowngradeResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {etcdserverpb.IDowngradeResponse} message DowngradeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DowngradeResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.version);
            return writer;
        };
        /**
         * Encodes the specified DowngradeResponse message, length delimited. Does not implicitly {@link etcdserverpb.DowngradeResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {etcdserverpb.IDowngradeResponse} message DowngradeResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        DowngradeResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a DowngradeResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.DowngradeResponse} DowngradeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DowngradeResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.DowngradeResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.version = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a DowngradeResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.DowngradeResponse} DowngradeResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        DowngradeResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a DowngradeResponse message.
         * @function verify
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        DowngradeResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.version != null && message.hasOwnProperty("version"))
                if (!$util.isString(message.version))
                    return "version: string expected";
            return null;
        };
        /**
         * Creates a DowngradeResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.DowngradeResponse} DowngradeResponse
         */
        DowngradeResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.DowngradeResponse)
                return object;
            let message = new $root.etcdserverpb.DowngradeResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.DowngradeResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.version != null)
                message.version = String(object.version);
            return message;
        };
        /**
         * Creates a plain object from a DowngradeResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.DowngradeResponse
         * @static
         * @param {etcdserverpb.DowngradeResponse} message DowngradeResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        DowngradeResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.version = "";
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.version != null && message.hasOwnProperty("version"))
                object.version = message.version;
            return object;
        };
        /**
         * Converts this DowngradeResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.DowngradeResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        DowngradeResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return DowngradeResponse;
    })();
    etcdserverpb.StatusRequest = (function () {
        /**
         * Properties of a StatusRequest.
         * @memberof etcdserverpb
         * @interface IStatusRequest
         */
        /**
         * Constructs a new StatusRequest.
         * @memberof etcdserverpb
         * @classdesc Represents a StatusRequest.
         * @implements IStatusRequest
         * @constructor
         * @param {etcdserverpb.IStatusRequest=} [properties] Properties to set
         */
        function StatusRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new StatusRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {etcdserverpb.IStatusRequest=} [properties] Properties to set
         * @returns {etcdserverpb.StatusRequest} StatusRequest instance
         */
        StatusRequest.create = function create(properties) {
            return new StatusRequest(properties);
        };
        /**
         * Encodes the specified StatusRequest message. Does not implicitly {@link etcdserverpb.StatusRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {etcdserverpb.IStatusRequest} message StatusRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        StatusRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified StatusRequest message, length delimited. Does not implicitly {@link etcdserverpb.StatusRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {etcdserverpb.IStatusRequest} message StatusRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        StatusRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a StatusRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.StatusRequest} StatusRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        StatusRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.StatusRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a StatusRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.StatusRequest} StatusRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        StatusRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a StatusRequest message.
         * @function verify
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        StatusRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates a StatusRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.StatusRequest} StatusRequest
         */
        StatusRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.StatusRequest)
                return object;
            return new $root.etcdserverpb.StatusRequest();
        };
        /**
         * Creates a plain object from a StatusRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.StatusRequest
         * @static
         * @param {etcdserverpb.StatusRequest} message StatusRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        StatusRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this StatusRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.StatusRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        StatusRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return StatusRequest;
    })();
    etcdserverpb.StatusResponse = (function () {
        /**
         * Properties of a StatusResponse.
         * @memberof etcdserverpb
         * @interface IStatusResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] StatusResponse header
         * @property {string|null} [version] StatusResponse version
         * @property {number|Long|null} [dbSize] StatusResponse dbSize
         * @property {number|Long|null} [leader] StatusResponse leader
         * @property {number|Long|null} [raftIndex] StatusResponse raftIndex
         * @property {number|Long|null} [raftTerm] StatusResponse raftTerm
         * @property {number|Long|null} [raftAppliedIndex] StatusResponse raftAppliedIndex
         * @property {Array.<string>|null} [errors] StatusResponse errors
         * @property {number|Long|null} [dbSizeInUse] StatusResponse dbSizeInUse
         * @property {boolean|null} [isLearner] StatusResponse isLearner
         */
        /**
         * Constructs a new StatusResponse.
         * @memberof etcdserverpb
         * @classdesc Represents a StatusResponse.
         * @implements IStatusResponse
         * @constructor
         * @param {etcdserverpb.IStatusResponse=} [properties] Properties to set
         */
        function StatusResponse(properties) {
            this.errors = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * StatusResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.header = null;
        /**
         * StatusResponse version.
         * @member {string} version
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.version = "";
        /**
         * StatusResponse dbSize.
         * @member {number|Long} dbSize
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.dbSize = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * StatusResponse leader.
         * @member {number|Long} leader
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.leader = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * StatusResponse raftIndex.
         * @member {number|Long} raftIndex
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.raftIndex = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * StatusResponse raftTerm.
         * @member {number|Long} raftTerm
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.raftTerm = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * StatusResponse raftAppliedIndex.
         * @member {number|Long} raftAppliedIndex
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.raftAppliedIndex = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * StatusResponse errors.
         * @member {Array.<string>} errors
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.errors = $util.emptyArray;
        /**
         * StatusResponse dbSizeInUse.
         * @member {number|Long} dbSizeInUse
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.dbSizeInUse = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * StatusResponse isLearner.
         * @member {boolean} isLearner
         * @memberof etcdserverpb.StatusResponse
         * @instance
         */
        StatusResponse.prototype.isLearner = false;
        /**
         * Creates a new StatusResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {etcdserverpb.IStatusResponse=} [properties] Properties to set
         * @returns {etcdserverpb.StatusResponse} StatusResponse instance
         */
        StatusResponse.create = function create(properties) {
            return new StatusResponse(properties);
        };
        /**
         * Encodes the specified StatusResponse message. Does not implicitly {@link etcdserverpb.StatusResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {etcdserverpb.IStatusResponse} message StatusResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        StatusResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.version);
            if (message.dbSize != null && Object.hasOwnProperty.call(message, "dbSize"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.dbSize);
            if (message.leader != null && Object.hasOwnProperty.call(message, "leader"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).uint64(message.leader);
            if (message.raftIndex != null && Object.hasOwnProperty.call(message, "raftIndex"))
                writer.uint32(/* id 5, wireType 0 =*/ 40).uint64(message.raftIndex);
            if (message.raftTerm != null && Object.hasOwnProperty.call(message, "raftTerm"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).uint64(message.raftTerm);
            if (message.raftAppliedIndex != null && Object.hasOwnProperty.call(message, "raftAppliedIndex"))
                writer.uint32(/* id 7, wireType 0 =*/ 56).uint64(message.raftAppliedIndex);
            if (message.errors != null && message.errors.length)
                for (let i = 0; i < message.errors.length; ++i)
                    writer.uint32(/* id 8, wireType 2 =*/ 66).string(message.errors[i]);
            if (message.dbSizeInUse != null && Object.hasOwnProperty.call(message, "dbSizeInUse"))
                writer.uint32(/* id 9, wireType 0 =*/ 72).int64(message.dbSizeInUse);
            if (message.isLearner != null && Object.hasOwnProperty.call(message, "isLearner"))
                writer.uint32(/* id 10, wireType 0 =*/ 80).bool(message.isLearner);
            return writer;
        };
        /**
         * Encodes the specified StatusResponse message, length delimited. Does not implicitly {@link etcdserverpb.StatusResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {etcdserverpb.IStatusResponse} message StatusResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        StatusResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a StatusResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.StatusResponse} StatusResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        StatusResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.StatusResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.version = reader.string();
                        break;
                    case 3:
                        message.dbSize = reader.int64();
                        break;
                    case 4:
                        message.leader = reader.uint64();
                        break;
                    case 5:
                        message.raftIndex = reader.uint64();
                        break;
                    case 6:
                        message.raftTerm = reader.uint64();
                        break;
                    case 7:
                        message.raftAppliedIndex = reader.uint64();
                        break;
                    case 8:
                        if (!(message.errors && message.errors.length))
                            message.errors = [];
                        message.errors.push(reader.string());
                        break;
                    case 9:
                        message.dbSizeInUse = reader.int64();
                        break;
                    case 10:
                        message.isLearner = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a StatusResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.StatusResponse} StatusResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        StatusResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a StatusResponse message.
         * @function verify
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        StatusResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.version != null && message.hasOwnProperty("version"))
                if (!$util.isString(message.version))
                    return "version: string expected";
            if (message.dbSize != null && message.hasOwnProperty("dbSize"))
                if (!$util.isInteger(message.dbSize) && !(message.dbSize && $util.isInteger(message.dbSize.low) && $util.isInteger(message.dbSize.high)))
                    return "dbSize: integer|Long expected";
            if (message.leader != null && message.hasOwnProperty("leader"))
                if (!$util.isInteger(message.leader) && !(message.leader && $util.isInteger(message.leader.low) && $util.isInteger(message.leader.high)))
                    return "leader: integer|Long expected";
            if (message.raftIndex != null && message.hasOwnProperty("raftIndex"))
                if (!$util.isInteger(message.raftIndex) && !(message.raftIndex && $util.isInteger(message.raftIndex.low) && $util.isInteger(message.raftIndex.high)))
                    return "raftIndex: integer|Long expected";
            if (message.raftTerm != null && message.hasOwnProperty("raftTerm"))
                if (!$util.isInteger(message.raftTerm) && !(message.raftTerm && $util.isInteger(message.raftTerm.low) && $util.isInteger(message.raftTerm.high)))
                    return "raftTerm: integer|Long expected";
            if (message.raftAppliedIndex != null && message.hasOwnProperty("raftAppliedIndex"))
                if (!$util.isInteger(message.raftAppliedIndex) && !(message.raftAppliedIndex && $util.isInteger(message.raftAppliedIndex.low) && $util.isInteger(message.raftAppliedIndex.high)))
                    return "raftAppliedIndex: integer|Long expected";
            if (message.errors != null && message.hasOwnProperty("errors")) {
                if (!Array.isArray(message.errors))
                    return "errors: array expected";
                for (let i = 0; i < message.errors.length; ++i)
                    if (!$util.isString(message.errors[i]))
                        return "errors: string[] expected";
            }
            if (message.dbSizeInUse != null && message.hasOwnProperty("dbSizeInUse"))
                if (!$util.isInteger(message.dbSizeInUse) && !(message.dbSizeInUse && $util.isInteger(message.dbSizeInUse.low) && $util.isInteger(message.dbSizeInUse.high)))
                    return "dbSizeInUse: integer|Long expected";
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                if (typeof message.isLearner !== "boolean")
                    return "isLearner: boolean expected";
            return null;
        };
        /**
         * Creates a StatusResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.StatusResponse} StatusResponse
         */
        StatusResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.StatusResponse)
                return object;
            let message = new $root.etcdserverpb.StatusResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.StatusResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.version != null)
                message.version = String(object.version);
            if (object.dbSize != null)
                if ($util.Long)
                    (message.dbSize = $util.Long.fromValue(object.dbSize)).unsigned = false;
                else if (typeof object.dbSize === "string")
                    message.dbSize = parseInt(object.dbSize, 10);
                else if (typeof object.dbSize === "number")
                    message.dbSize = object.dbSize;
                else if (typeof object.dbSize === "object")
                    message.dbSize = new $util.LongBits(object.dbSize.low >>> 0, object.dbSize.high >>> 0).toNumber();
            if (object.leader != null)
                if ($util.Long)
                    (message.leader = $util.Long.fromValue(object.leader)).unsigned = true;
                else if (typeof object.leader === "string")
                    message.leader = parseInt(object.leader, 10);
                else if (typeof object.leader === "number")
                    message.leader = object.leader;
                else if (typeof object.leader === "object")
                    message.leader = new $util.LongBits(object.leader.low >>> 0, object.leader.high >>> 0).toNumber(true);
            if (object.raftIndex != null)
                if ($util.Long)
                    (message.raftIndex = $util.Long.fromValue(object.raftIndex)).unsigned = true;
                else if (typeof object.raftIndex === "string")
                    message.raftIndex = parseInt(object.raftIndex, 10);
                else if (typeof object.raftIndex === "number")
                    message.raftIndex = object.raftIndex;
                else if (typeof object.raftIndex === "object")
                    message.raftIndex = new $util.LongBits(object.raftIndex.low >>> 0, object.raftIndex.high >>> 0).toNumber(true);
            if (object.raftTerm != null)
                if ($util.Long)
                    (message.raftTerm = $util.Long.fromValue(object.raftTerm)).unsigned = true;
                else if (typeof object.raftTerm === "string")
                    message.raftTerm = parseInt(object.raftTerm, 10);
                else if (typeof object.raftTerm === "number")
                    message.raftTerm = object.raftTerm;
                else if (typeof object.raftTerm === "object")
                    message.raftTerm = new $util.LongBits(object.raftTerm.low >>> 0, object.raftTerm.high >>> 0).toNumber(true);
            if (object.raftAppliedIndex != null)
                if ($util.Long)
                    (message.raftAppliedIndex = $util.Long.fromValue(object.raftAppliedIndex)).unsigned = true;
                else if (typeof object.raftAppliedIndex === "string")
                    message.raftAppliedIndex = parseInt(object.raftAppliedIndex, 10);
                else if (typeof object.raftAppliedIndex === "number")
                    message.raftAppliedIndex = object.raftAppliedIndex;
                else if (typeof object.raftAppliedIndex === "object")
                    message.raftAppliedIndex = new $util.LongBits(object.raftAppliedIndex.low >>> 0, object.raftAppliedIndex.high >>> 0).toNumber(true);
            if (object.errors) {
                if (!Array.isArray(object.errors))
                    throw TypeError(".etcdserverpb.StatusResponse.errors: array expected");
                message.errors = [];
                for (let i = 0; i < object.errors.length; ++i)
                    message.errors[i] = String(object.errors[i]);
            }
            if (object.dbSizeInUse != null)
                if ($util.Long)
                    (message.dbSizeInUse = $util.Long.fromValue(object.dbSizeInUse)).unsigned = false;
                else if (typeof object.dbSizeInUse === "string")
                    message.dbSizeInUse = parseInt(object.dbSizeInUse, 10);
                else if (typeof object.dbSizeInUse === "number")
                    message.dbSizeInUse = object.dbSizeInUse;
                else if (typeof object.dbSizeInUse === "object")
                    message.dbSizeInUse = new $util.LongBits(object.dbSizeInUse.low >>> 0, object.dbSizeInUse.high >>> 0).toNumber();
            if (object.isLearner != null)
                message.isLearner = Boolean(object.isLearner);
            return message;
        };
        /**
         * Creates a plain object from a StatusResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.StatusResponse
         * @static
         * @param {etcdserverpb.StatusResponse} message StatusResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        StatusResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.errors = [];
            if (options.defaults) {
                object.header = null;
                object.version = "";
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.dbSize = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.dbSize = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.leader = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.leader = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.raftIndex = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.raftIndex = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.raftTerm = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.raftTerm = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.raftAppliedIndex = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.raftAppliedIndex = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.dbSizeInUse = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.dbSizeInUse = options.longs === String ? "0" : 0;
                object.isLearner = false;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.version != null && message.hasOwnProperty("version"))
                object.version = message.version;
            if (message.dbSize != null && message.hasOwnProperty("dbSize"))
                if (typeof message.dbSize === "number")
                    object.dbSize = options.longs === String ? String(message.dbSize) : message.dbSize;
                else
                    object.dbSize = options.longs === String ? $util.Long.prototype.toString.call(message.dbSize) : options.longs === Number ? new $util.LongBits(message.dbSize.low >>> 0, message.dbSize.high >>> 0).toNumber() : message.dbSize;
            if (message.leader != null && message.hasOwnProperty("leader"))
                if (typeof message.leader === "number")
                    object.leader = options.longs === String ? String(message.leader) : message.leader;
                else
                    object.leader = options.longs === String ? $util.Long.prototype.toString.call(message.leader) : options.longs === Number ? new $util.LongBits(message.leader.low >>> 0, message.leader.high >>> 0).toNumber(true) : message.leader;
            if (message.raftIndex != null && message.hasOwnProperty("raftIndex"))
                if (typeof message.raftIndex === "number")
                    object.raftIndex = options.longs === String ? String(message.raftIndex) : message.raftIndex;
                else
                    object.raftIndex = options.longs === String ? $util.Long.prototype.toString.call(message.raftIndex) : options.longs === Number ? new $util.LongBits(message.raftIndex.low >>> 0, message.raftIndex.high >>> 0).toNumber(true) : message.raftIndex;
            if (message.raftTerm != null && message.hasOwnProperty("raftTerm"))
                if (typeof message.raftTerm === "number")
                    object.raftTerm = options.longs === String ? String(message.raftTerm) : message.raftTerm;
                else
                    object.raftTerm = options.longs === String ? $util.Long.prototype.toString.call(message.raftTerm) : options.longs === Number ? new $util.LongBits(message.raftTerm.low >>> 0, message.raftTerm.high >>> 0).toNumber(true) : message.raftTerm;
            if (message.raftAppliedIndex != null && message.hasOwnProperty("raftAppliedIndex"))
                if (typeof message.raftAppliedIndex === "number")
                    object.raftAppliedIndex = options.longs === String ? String(message.raftAppliedIndex) : message.raftAppliedIndex;
                else
                    object.raftAppliedIndex = options.longs === String ? $util.Long.prototype.toString.call(message.raftAppliedIndex) : options.longs === Number ? new $util.LongBits(message.raftAppliedIndex.low >>> 0, message.raftAppliedIndex.high >>> 0).toNumber(true) : message.raftAppliedIndex;
            if (message.errors && message.errors.length) {
                object.errors = [];
                for (let j = 0; j < message.errors.length; ++j)
                    object.errors[j] = message.errors[j];
            }
            if (message.dbSizeInUse != null && message.hasOwnProperty("dbSizeInUse"))
                if (typeof message.dbSizeInUse === "number")
                    object.dbSizeInUse = options.longs === String ? String(message.dbSizeInUse) : message.dbSizeInUse;
                else
                    object.dbSizeInUse = options.longs === String ? $util.Long.prototype.toString.call(message.dbSizeInUse) : options.longs === Number ? new $util.LongBits(message.dbSizeInUse.low >>> 0, message.dbSizeInUse.high >>> 0).toNumber() : message.dbSizeInUse;
            if (message.isLearner != null && message.hasOwnProperty("isLearner"))
                object.isLearner = message.isLearner;
            return object;
        };
        /**
         * Converts this StatusResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.StatusResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        StatusResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return StatusResponse;
    })();
    etcdserverpb.AuthEnableRequest = (function () {
        /**
         * Properties of an AuthEnableRequest.
         * @memberof etcdserverpb
         * @interface IAuthEnableRequest
         */
        /**
         * Constructs a new AuthEnableRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthEnableRequest.
         * @implements IAuthEnableRequest
         * @constructor
         * @param {etcdserverpb.IAuthEnableRequest=} [properties] Properties to set
         */
        function AuthEnableRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new AuthEnableRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {etcdserverpb.IAuthEnableRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthEnableRequest} AuthEnableRequest instance
         */
        AuthEnableRequest.create = function create(properties) {
            return new AuthEnableRequest(properties);
        };
        /**
         * Encodes the specified AuthEnableRequest message. Does not implicitly {@link etcdserverpb.AuthEnableRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {etcdserverpb.IAuthEnableRequest} message AuthEnableRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthEnableRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified AuthEnableRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthEnableRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {etcdserverpb.IAuthEnableRequest} message AuthEnableRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthEnableRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthEnableRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthEnableRequest} AuthEnableRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthEnableRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthEnableRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthEnableRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthEnableRequest} AuthEnableRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthEnableRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthEnableRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthEnableRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates an AuthEnableRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthEnableRequest} AuthEnableRequest
         */
        AuthEnableRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthEnableRequest)
                return object;
            return new $root.etcdserverpb.AuthEnableRequest();
        };
        /**
         * Creates a plain object from an AuthEnableRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthEnableRequest
         * @static
         * @param {etcdserverpb.AuthEnableRequest} message AuthEnableRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthEnableRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this AuthEnableRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthEnableRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthEnableRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthEnableRequest;
    })();
    etcdserverpb.AuthDisableRequest = (function () {
        /**
         * Properties of an AuthDisableRequest.
         * @memberof etcdserverpb
         * @interface IAuthDisableRequest
         */
        /**
         * Constructs a new AuthDisableRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthDisableRequest.
         * @implements IAuthDisableRequest
         * @constructor
         * @param {etcdserverpb.IAuthDisableRequest=} [properties] Properties to set
         */
        function AuthDisableRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new AuthDisableRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {etcdserverpb.IAuthDisableRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthDisableRequest} AuthDisableRequest instance
         */
        AuthDisableRequest.create = function create(properties) {
            return new AuthDisableRequest(properties);
        };
        /**
         * Encodes the specified AuthDisableRequest message. Does not implicitly {@link etcdserverpb.AuthDisableRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {etcdserverpb.IAuthDisableRequest} message AuthDisableRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthDisableRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified AuthDisableRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthDisableRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {etcdserverpb.IAuthDisableRequest} message AuthDisableRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthDisableRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthDisableRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthDisableRequest} AuthDisableRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthDisableRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthDisableRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthDisableRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthDisableRequest} AuthDisableRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthDisableRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthDisableRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthDisableRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates an AuthDisableRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthDisableRequest} AuthDisableRequest
         */
        AuthDisableRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthDisableRequest)
                return object;
            return new $root.etcdserverpb.AuthDisableRequest();
        };
        /**
         * Creates a plain object from an AuthDisableRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthDisableRequest
         * @static
         * @param {etcdserverpb.AuthDisableRequest} message AuthDisableRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthDisableRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this AuthDisableRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthDisableRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthDisableRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthDisableRequest;
    })();
    etcdserverpb.AuthStatusRequest = (function () {
        /**
         * Properties of an AuthStatusRequest.
         * @memberof etcdserverpb
         * @interface IAuthStatusRequest
         */
        /**
         * Constructs a new AuthStatusRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthStatusRequest.
         * @implements IAuthStatusRequest
         * @constructor
         * @param {etcdserverpb.IAuthStatusRequest=} [properties] Properties to set
         */
        function AuthStatusRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new AuthStatusRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {etcdserverpb.IAuthStatusRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthStatusRequest} AuthStatusRequest instance
         */
        AuthStatusRequest.create = function create(properties) {
            return new AuthStatusRequest(properties);
        };
        /**
         * Encodes the specified AuthStatusRequest message. Does not implicitly {@link etcdserverpb.AuthStatusRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {etcdserverpb.IAuthStatusRequest} message AuthStatusRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthStatusRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified AuthStatusRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthStatusRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {etcdserverpb.IAuthStatusRequest} message AuthStatusRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthStatusRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthStatusRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthStatusRequest} AuthStatusRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthStatusRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthStatusRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthStatusRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthStatusRequest} AuthStatusRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthStatusRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthStatusRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthStatusRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates an AuthStatusRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthStatusRequest} AuthStatusRequest
         */
        AuthStatusRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthStatusRequest)
                return object;
            return new $root.etcdserverpb.AuthStatusRequest();
        };
        /**
         * Creates a plain object from an AuthStatusRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthStatusRequest
         * @static
         * @param {etcdserverpb.AuthStatusRequest} message AuthStatusRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthStatusRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this AuthStatusRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthStatusRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthStatusRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthStatusRequest;
    })();
    etcdserverpb.AuthenticateRequest = (function () {
        /**
         * Properties of an AuthenticateRequest.
         * @memberof etcdserverpb
         * @interface IAuthenticateRequest
         * @property {string|null} [name] AuthenticateRequest name
         * @property {string|null} [password] AuthenticateRequest password
         */
        /**
         * Constructs a new AuthenticateRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthenticateRequest.
         * @implements IAuthenticateRequest
         * @constructor
         * @param {etcdserverpb.IAuthenticateRequest=} [properties] Properties to set
         */
        function AuthenticateRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthenticateRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthenticateRequest
         * @instance
         */
        AuthenticateRequest.prototype.name = "";
        /**
         * AuthenticateRequest password.
         * @member {string} password
         * @memberof etcdserverpb.AuthenticateRequest
         * @instance
         */
        AuthenticateRequest.prototype.password = "";
        /**
         * Creates a new AuthenticateRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {etcdserverpb.IAuthenticateRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthenticateRequest} AuthenticateRequest instance
         */
        AuthenticateRequest.create = function create(properties) {
            return new AuthenticateRequest(properties);
        };
        /**
         * Encodes the specified AuthenticateRequest message. Does not implicitly {@link etcdserverpb.AuthenticateRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {etcdserverpb.IAuthenticateRequest} message AuthenticateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthenticateRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            if (message.password != null && Object.hasOwnProperty.call(message, "password"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.password);
            return writer;
        };
        /**
         * Encodes the specified AuthenticateRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthenticateRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {etcdserverpb.IAuthenticateRequest} message AuthenticateRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthenticateRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthenticateRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthenticateRequest} AuthenticateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthenticateRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthenticateRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    case 2:
                        message.password = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthenticateRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthenticateRequest} AuthenticateRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthenticateRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthenticateRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthenticateRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.password != null && message.hasOwnProperty("password"))
                if (!$util.isString(message.password))
                    return "password: string expected";
            return null;
        };
        /**
         * Creates an AuthenticateRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthenticateRequest} AuthenticateRequest
         */
        AuthenticateRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthenticateRequest)
                return object;
            let message = new $root.etcdserverpb.AuthenticateRequest();
            if (object.name != null)
                message.name = String(object.name);
            if (object.password != null)
                message.password = String(object.password);
            return message;
        };
        /**
         * Creates a plain object from an AuthenticateRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthenticateRequest
         * @static
         * @param {etcdserverpb.AuthenticateRequest} message AuthenticateRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthenticateRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.name = "";
                object.password = "";
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.password != null && message.hasOwnProperty("password"))
                object.password = message.password;
            return object;
        };
        /**
         * Converts this AuthenticateRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthenticateRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthenticateRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthenticateRequest;
    })();
    etcdserverpb.AuthUserAddRequest = (function () {
        /**
         * Properties of an AuthUserAddRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserAddRequest
         * @property {string|null} [name] AuthUserAddRequest name
         * @property {string|null} [password] AuthUserAddRequest password
         * @property {authpb.IUserAddOptions|null} [options] AuthUserAddRequest options
         * @property {string|null} [hashedPassword] AuthUserAddRequest hashedPassword
         */
        /**
         * Constructs a new AuthUserAddRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserAddRequest.
         * @implements IAuthUserAddRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserAddRequest=} [properties] Properties to set
         */
        function AuthUserAddRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserAddRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthUserAddRequest
         * @instance
         */
        AuthUserAddRequest.prototype.name = "";
        /**
         * AuthUserAddRequest password.
         * @member {string} password
         * @memberof etcdserverpb.AuthUserAddRequest
         * @instance
         */
        AuthUserAddRequest.prototype.password = "";
        /**
         * AuthUserAddRequest options.
         * @member {authpb.IUserAddOptions|null|undefined} options
         * @memberof etcdserverpb.AuthUserAddRequest
         * @instance
         */
        AuthUserAddRequest.prototype.options = null;
        /**
         * AuthUserAddRequest hashedPassword.
         * @member {string} hashedPassword
         * @memberof etcdserverpb.AuthUserAddRequest
         * @instance
         */
        AuthUserAddRequest.prototype.hashedPassword = "";
        /**
         * Creates a new AuthUserAddRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {etcdserverpb.IAuthUserAddRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserAddRequest} AuthUserAddRequest instance
         */
        AuthUserAddRequest.create = function create(properties) {
            return new AuthUserAddRequest(properties);
        };
        /**
         * Encodes the specified AuthUserAddRequest message. Does not implicitly {@link etcdserverpb.AuthUserAddRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {etcdserverpb.IAuthUserAddRequest} message AuthUserAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserAddRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            if (message.password != null && Object.hasOwnProperty.call(message, "password"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.password);
            if (message.options != null && Object.hasOwnProperty.call(message, "options"))
                $root.authpb.UserAddOptions.encode(message.options, writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            if (message.hashedPassword != null && Object.hasOwnProperty.call(message, "hashedPassword"))
                writer.uint32(/* id 4, wireType 2 =*/ 34).string(message.hashedPassword);
            return writer;
        };
        /**
         * Encodes the specified AuthUserAddRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserAddRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {etcdserverpb.IAuthUserAddRequest} message AuthUserAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserAddRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserAddRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserAddRequest} AuthUserAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserAddRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserAddRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    case 2:
                        message.password = reader.string();
                        break;
                    case 3:
                        message.options = $root.authpb.UserAddOptions.decode(reader, reader.uint32());
                        break;
                    case 4:
                        message.hashedPassword = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserAddRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserAddRequest} AuthUserAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserAddRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserAddRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserAddRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.password != null && message.hasOwnProperty("password"))
                if (!$util.isString(message.password))
                    return "password: string expected";
            if (message.options != null && message.hasOwnProperty("options")) {
                let error = $root.authpb.UserAddOptions.verify(message.options);
                if (error)
                    return "options." + error;
            }
            if (message.hashedPassword != null && message.hasOwnProperty("hashedPassword"))
                if (!$util.isString(message.hashedPassword))
                    return "hashedPassword: string expected";
            return null;
        };
        /**
         * Creates an AuthUserAddRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserAddRequest} AuthUserAddRequest
         */
        AuthUserAddRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserAddRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserAddRequest();
            if (object.name != null)
                message.name = String(object.name);
            if (object.password != null)
                message.password = String(object.password);
            if (object.options != null) {
                if (typeof object.options !== "object")
                    throw TypeError(".etcdserverpb.AuthUserAddRequest.options: object expected");
                message.options = $root.authpb.UserAddOptions.fromObject(object.options);
            }
            if (object.hashedPassword != null)
                message.hashedPassword = String(object.hashedPassword);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserAddRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserAddRequest
         * @static
         * @param {etcdserverpb.AuthUserAddRequest} message AuthUserAddRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserAddRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.name = "";
                object.password = "";
                object.options = null;
                object.hashedPassword = "";
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.password != null && message.hasOwnProperty("password"))
                object.password = message.password;
            if (message.options != null && message.hasOwnProperty("options"))
                object.options = $root.authpb.UserAddOptions.toObject(message.options, options);
            if (message.hashedPassword != null && message.hasOwnProperty("hashedPassword"))
                object.hashedPassword = message.hashedPassword;
            return object;
        };
        /**
         * Converts this AuthUserAddRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserAddRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserAddRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserAddRequest;
    })();
    etcdserverpb.AuthUserGetRequest = (function () {
        /**
         * Properties of an AuthUserGetRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserGetRequest
         * @property {string|null} [name] AuthUserGetRequest name
         */
        /**
         * Constructs a new AuthUserGetRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserGetRequest.
         * @implements IAuthUserGetRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserGetRequest=} [properties] Properties to set
         */
        function AuthUserGetRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserGetRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthUserGetRequest
         * @instance
         */
        AuthUserGetRequest.prototype.name = "";
        /**
         * Creates a new AuthUserGetRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {etcdserverpb.IAuthUserGetRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserGetRequest} AuthUserGetRequest instance
         */
        AuthUserGetRequest.create = function create(properties) {
            return new AuthUserGetRequest(properties);
        };
        /**
         * Encodes the specified AuthUserGetRequest message. Does not implicitly {@link etcdserverpb.AuthUserGetRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {etcdserverpb.IAuthUserGetRequest} message AuthUserGetRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGetRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            return writer;
        };
        /**
         * Encodes the specified AuthUserGetRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserGetRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {etcdserverpb.IAuthUserGetRequest} message AuthUserGetRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGetRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserGetRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserGetRequest} AuthUserGetRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGetRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserGetRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserGetRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserGetRequest} AuthUserGetRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGetRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserGetRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserGetRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            return null;
        };
        /**
         * Creates an AuthUserGetRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserGetRequest} AuthUserGetRequest
         */
        AuthUserGetRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserGetRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserGetRequest();
            if (object.name != null)
                message.name = String(object.name);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserGetRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserGetRequest
         * @static
         * @param {etcdserverpb.AuthUserGetRequest} message AuthUserGetRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserGetRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.name = "";
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            return object;
        };
        /**
         * Converts this AuthUserGetRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserGetRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserGetRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserGetRequest;
    })();
    etcdserverpb.AuthUserDeleteRequest = (function () {
        /**
         * Properties of an AuthUserDeleteRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserDeleteRequest
         * @property {string|null} [name] AuthUserDeleteRequest name
         */
        /**
         * Constructs a new AuthUserDeleteRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserDeleteRequest.
         * @implements IAuthUserDeleteRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserDeleteRequest=} [properties] Properties to set
         */
        function AuthUserDeleteRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserDeleteRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @instance
         */
        AuthUserDeleteRequest.prototype.name = "";
        /**
         * Creates a new AuthUserDeleteRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthUserDeleteRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserDeleteRequest} AuthUserDeleteRequest instance
         */
        AuthUserDeleteRequest.create = function create(properties) {
            return new AuthUserDeleteRequest(properties);
        };
        /**
         * Encodes the specified AuthUserDeleteRequest message. Does not implicitly {@link etcdserverpb.AuthUserDeleteRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthUserDeleteRequest} message AuthUserDeleteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserDeleteRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            return writer;
        };
        /**
         * Encodes the specified AuthUserDeleteRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserDeleteRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthUserDeleteRequest} message AuthUserDeleteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserDeleteRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserDeleteRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserDeleteRequest} AuthUserDeleteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserDeleteRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserDeleteRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserDeleteRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserDeleteRequest} AuthUserDeleteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserDeleteRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserDeleteRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserDeleteRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            return null;
        };
        /**
         * Creates an AuthUserDeleteRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserDeleteRequest} AuthUserDeleteRequest
         */
        AuthUserDeleteRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserDeleteRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserDeleteRequest();
            if (object.name != null)
                message.name = String(object.name);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserDeleteRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @static
         * @param {etcdserverpb.AuthUserDeleteRequest} message AuthUserDeleteRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserDeleteRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.name = "";
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            return object;
        };
        /**
         * Converts this AuthUserDeleteRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserDeleteRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserDeleteRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserDeleteRequest;
    })();
    etcdserverpb.AuthUserChangePasswordRequest = (function () {
        /**
         * Properties of an AuthUserChangePasswordRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserChangePasswordRequest
         * @property {string|null} [name] AuthUserChangePasswordRequest name
         * @property {string|null} [password] AuthUserChangePasswordRequest password
         * @property {string|null} [hashedPassword] AuthUserChangePasswordRequest hashedPassword
         */
        /**
         * Constructs a new AuthUserChangePasswordRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserChangePasswordRequest.
         * @implements IAuthUserChangePasswordRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserChangePasswordRequest=} [properties] Properties to set
         */
        function AuthUserChangePasswordRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserChangePasswordRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @instance
         */
        AuthUserChangePasswordRequest.prototype.name = "";
        /**
         * AuthUserChangePasswordRequest password.
         * @member {string} password
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @instance
         */
        AuthUserChangePasswordRequest.prototype.password = "";
        /**
         * AuthUserChangePasswordRequest hashedPassword.
         * @member {string} hashedPassword
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @instance
         */
        AuthUserChangePasswordRequest.prototype.hashedPassword = "";
        /**
         * Creates a new AuthUserChangePasswordRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserChangePasswordRequest} AuthUserChangePasswordRequest instance
         */
        AuthUserChangePasswordRequest.create = function create(properties) {
            return new AuthUserChangePasswordRequest(properties);
        };
        /**
         * Encodes the specified AuthUserChangePasswordRequest message. Does not implicitly {@link etcdserverpb.AuthUserChangePasswordRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordRequest} message AuthUserChangePasswordRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserChangePasswordRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            if (message.password != null && Object.hasOwnProperty.call(message, "password"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.password);
            if (message.hashedPassword != null && Object.hasOwnProperty.call(message, "hashedPassword"))
                writer.uint32(/* id 3, wireType 2 =*/ 26).string(message.hashedPassword);
            return writer;
        };
        /**
         * Encodes the specified AuthUserChangePasswordRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserChangePasswordRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordRequest} message AuthUserChangePasswordRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserChangePasswordRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserChangePasswordRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserChangePasswordRequest} AuthUserChangePasswordRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserChangePasswordRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserChangePasswordRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    case 2:
                        message.password = reader.string();
                        break;
                    case 3:
                        message.hashedPassword = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserChangePasswordRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserChangePasswordRequest} AuthUserChangePasswordRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserChangePasswordRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserChangePasswordRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserChangePasswordRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.password != null && message.hasOwnProperty("password"))
                if (!$util.isString(message.password))
                    return "password: string expected";
            if (message.hashedPassword != null && message.hasOwnProperty("hashedPassword"))
                if (!$util.isString(message.hashedPassword))
                    return "hashedPassword: string expected";
            return null;
        };
        /**
         * Creates an AuthUserChangePasswordRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserChangePasswordRequest} AuthUserChangePasswordRequest
         */
        AuthUserChangePasswordRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserChangePasswordRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserChangePasswordRequest();
            if (object.name != null)
                message.name = String(object.name);
            if (object.password != null)
                message.password = String(object.password);
            if (object.hashedPassword != null)
                message.hashedPassword = String(object.hashedPassword);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserChangePasswordRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @static
         * @param {etcdserverpb.AuthUserChangePasswordRequest} message AuthUserChangePasswordRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserChangePasswordRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.name = "";
                object.password = "";
                object.hashedPassword = "";
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.password != null && message.hasOwnProperty("password"))
                object.password = message.password;
            if (message.hashedPassword != null && message.hasOwnProperty("hashedPassword"))
                object.hashedPassword = message.hashedPassword;
            return object;
        };
        /**
         * Converts this AuthUserChangePasswordRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserChangePasswordRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserChangePasswordRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserChangePasswordRequest;
    })();
    etcdserverpb.AuthUserGrantRoleRequest = (function () {
        /**
         * Properties of an AuthUserGrantRoleRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserGrantRoleRequest
         * @property {string|null} [user] AuthUserGrantRoleRequest user
         * @property {string|null} [role] AuthUserGrantRoleRequest role
         */
        /**
         * Constructs a new AuthUserGrantRoleRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserGrantRoleRequest.
         * @implements IAuthUserGrantRoleRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserGrantRoleRequest=} [properties] Properties to set
         */
        function AuthUserGrantRoleRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserGrantRoleRequest user.
         * @member {string} user
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @instance
         */
        AuthUserGrantRoleRequest.prototype.user = "";
        /**
         * AuthUserGrantRoleRequest role.
         * @member {string} role
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @instance
         */
        AuthUserGrantRoleRequest.prototype.role = "";
        /**
         * Creates a new AuthUserGrantRoleRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserGrantRoleRequest} AuthUserGrantRoleRequest instance
         */
        AuthUserGrantRoleRequest.create = function create(properties) {
            return new AuthUserGrantRoleRequest(properties);
        };
        /**
         * Encodes the specified AuthUserGrantRoleRequest message. Does not implicitly {@link etcdserverpb.AuthUserGrantRoleRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleRequest} message AuthUserGrantRoleRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGrantRoleRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.user != null && Object.hasOwnProperty.call(message, "user"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.user);
            if (message.role != null && Object.hasOwnProperty.call(message, "role"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.role);
            return writer;
        };
        /**
         * Encodes the specified AuthUserGrantRoleRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserGrantRoleRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleRequest} message AuthUserGrantRoleRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGrantRoleRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserGrantRoleRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserGrantRoleRequest} AuthUserGrantRoleRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGrantRoleRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserGrantRoleRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.user = reader.string();
                        break;
                    case 2:
                        message.role = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserGrantRoleRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserGrantRoleRequest} AuthUserGrantRoleRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGrantRoleRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserGrantRoleRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserGrantRoleRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.user != null && message.hasOwnProperty("user"))
                if (!$util.isString(message.user))
                    return "user: string expected";
            if (message.role != null && message.hasOwnProperty("role"))
                if (!$util.isString(message.role))
                    return "role: string expected";
            return null;
        };
        /**
         * Creates an AuthUserGrantRoleRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserGrantRoleRequest} AuthUserGrantRoleRequest
         */
        AuthUserGrantRoleRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserGrantRoleRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserGrantRoleRequest();
            if (object.user != null)
                message.user = String(object.user);
            if (object.role != null)
                message.role = String(object.role);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserGrantRoleRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @static
         * @param {etcdserverpb.AuthUserGrantRoleRequest} message AuthUserGrantRoleRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserGrantRoleRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.user = "";
                object.role = "";
            }
            if (message.user != null && message.hasOwnProperty("user"))
                object.user = message.user;
            if (message.role != null && message.hasOwnProperty("role"))
                object.role = message.role;
            return object;
        };
        /**
         * Converts this AuthUserGrantRoleRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserGrantRoleRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserGrantRoleRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserGrantRoleRequest;
    })();
    etcdserverpb.AuthUserRevokeRoleRequest = (function () {
        /**
         * Properties of an AuthUserRevokeRoleRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserRevokeRoleRequest
         * @property {string|null} [name] AuthUserRevokeRoleRequest name
         * @property {string|null} [role] AuthUserRevokeRoleRequest role
         */
        /**
         * Constructs a new AuthUserRevokeRoleRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserRevokeRoleRequest.
         * @implements IAuthUserRevokeRoleRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest=} [properties] Properties to set
         */
        function AuthUserRevokeRoleRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserRevokeRoleRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @instance
         */
        AuthUserRevokeRoleRequest.prototype.name = "";
        /**
         * AuthUserRevokeRoleRequest role.
         * @member {string} role
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @instance
         */
        AuthUserRevokeRoleRequest.prototype.role = "";
        /**
         * Creates a new AuthUserRevokeRoleRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserRevokeRoleRequest} AuthUserRevokeRoleRequest instance
         */
        AuthUserRevokeRoleRequest.create = function create(properties) {
            return new AuthUserRevokeRoleRequest(properties);
        };
        /**
         * Encodes the specified AuthUserRevokeRoleRequest message. Does not implicitly {@link etcdserverpb.AuthUserRevokeRoleRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest} message AuthUserRevokeRoleRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserRevokeRoleRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            if (message.role != null && Object.hasOwnProperty.call(message, "role"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.role);
            return writer;
        };
        /**
         * Encodes the specified AuthUserRevokeRoleRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserRevokeRoleRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleRequest} message AuthUserRevokeRoleRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserRevokeRoleRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserRevokeRoleRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserRevokeRoleRequest} AuthUserRevokeRoleRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserRevokeRoleRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserRevokeRoleRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    case 2:
                        message.role = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserRevokeRoleRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserRevokeRoleRequest} AuthUserRevokeRoleRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserRevokeRoleRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserRevokeRoleRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserRevokeRoleRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.role != null && message.hasOwnProperty("role"))
                if (!$util.isString(message.role))
                    return "role: string expected";
            return null;
        };
        /**
         * Creates an AuthUserRevokeRoleRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserRevokeRoleRequest} AuthUserRevokeRoleRequest
         */
        AuthUserRevokeRoleRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserRevokeRoleRequest)
                return object;
            let message = new $root.etcdserverpb.AuthUserRevokeRoleRequest();
            if (object.name != null)
                message.name = String(object.name);
            if (object.role != null)
                message.role = String(object.role);
            return message;
        };
        /**
         * Creates a plain object from an AuthUserRevokeRoleRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @static
         * @param {etcdserverpb.AuthUserRevokeRoleRequest} message AuthUserRevokeRoleRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserRevokeRoleRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.name = "";
                object.role = "";
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.role != null && message.hasOwnProperty("role"))
                object.role = message.role;
            return object;
        };
        /**
         * Converts this AuthUserRevokeRoleRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserRevokeRoleRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserRevokeRoleRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserRevokeRoleRequest;
    })();
    etcdserverpb.AuthRoleAddRequest = (function () {
        /**
         * Properties of an AuthRoleAddRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleAddRequest
         * @property {string|null} [name] AuthRoleAddRequest name
         */
        /**
         * Constructs a new AuthRoleAddRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleAddRequest.
         * @implements IAuthRoleAddRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleAddRequest=} [properties] Properties to set
         */
        function AuthRoleAddRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleAddRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @instance
         */
        AuthRoleAddRequest.prototype.name = "";
        /**
         * Creates a new AuthRoleAddRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {etcdserverpb.IAuthRoleAddRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleAddRequest} AuthRoleAddRequest instance
         */
        AuthRoleAddRequest.create = function create(properties) {
            return new AuthRoleAddRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleAddRequest message. Does not implicitly {@link etcdserverpb.AuthRoleAddRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {etcdserverpb.IAuthRoleAddRequest} message AuthRoleAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleAddRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            return writer;
        };
        /**
         * Encodes the specified AuthRoleAddRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleAddRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {etcdserverpb.IAuthRoleAddRequest} message AuthRoleAddRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleAddRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleAddRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleAddRequest} AuthRoleAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleAddRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleAddRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleAddRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleAddRequest} AuthRoleAddRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleAddRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleAddRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleAddRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            return null;
        };
        /**
         * Creates an AuthRoleAddRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleAddRequest} AuthRoleAddRequest
         */
        AuthRoleAddRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleAddRequest)
                return object;
            let message = new $root.etcdserverpb.AuthRoleAddRequest();
            if (object.name != null)
                message.name = String(object.name);
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleAddRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @static
         * @param {etcdserverpb.AuthRoleAddRequest} message AuthRoleAddRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleAddRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.name = "";
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            return object;
        };
        /**
         * Converts this AuthRoleAddRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleAddRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleAddRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleAddRequest;
    })();
    etcdserverpb.AuthRoleGetRequest = (function () {
        /**
         * Properties of an AuthRoleGetRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleGetRequest
         * @property {string|null} [role] AuthRoleGetRequest role
         */
        /**
         * Constructs a new AuthRoleGetRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleGetRequest.
         * @implements IAuthRoleGetRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleGetRequest=} [properties] Properties to set
         */
        function AuthRoleGetRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleGetRequest role.
         * @member {string} role
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @instance
         */
        AuthRoleGetRequest.prototype.role = "";
        /**
         * Creates a new AuthRoleGetRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGetRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleGetRequest} AuthRoleGetRequest instance
         */
        AuthRoleGetRequest.create = function create(properties) {
            return new AuthRoleGetRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleGetRequest message. Does not implicitly {@link etcdserverpb.AuthRoleGetRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGetRequest} message AuthRoleGetRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGetRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.role != null && Object.hasOwnProperty.call(message, "role"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.role);
            return writer;
        };
        /**
         * Encodes the specified AuthRoleGetRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleGetRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGetRequest} message AuthRoleGetRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGetRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleGetRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleGetRequest} AuthRoleGetRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGetRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleGetRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.role = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleGetRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleGetRequest} AuthRoleGetRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGetRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleGetRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleGetRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.role != null && message.hasOwnProperty("role"))
                if (!$util.isString(message.role))
                    return "role: string expected";
            return null;
        };
        /**
         * Creates an AuthRoleGetRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleGetRequest} AuthRoleGetRequest
         */
        AuthRoleGetRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleGetRequest)
                return object;
            let message = new $root.etcdserverpb.AuthRoleGetRequest();
            if (object.role != null)
                message.role = String(object.role);
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleGetRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @static
         * @param {etcdserverpb.AuthRoleGetRequest} message AuthRoleGetRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleGetRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.role = "";
            if (message.role != null && message.hasOwnProperty("role"))
                object.role = message.role;
            return object;
        };
        /**
         * Converts this AuthRoleGetRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleGetRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleGetRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleGetRequest;
    })();
    etcdserverpb.AuthUserListRequest = (function () {
        /**
         * Properties of an AuthUserListRequest.
         * @memberof etcdserverpb
         * @interface IAuthUserListRequest
         */
        /**
         * Constructs a new AuthUserListRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserListRequest.
         * @implements IAuthUserListRequest
         * @constructor
         * @param {etcdserverpb.IAuthUserListRequest=} [properties] Properties to set
         */
        function AuthUserListRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new AuthUserListRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {etcdserverpb.IAuthUserListRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserListRequest} AuthUserListRequest instance
         */
        AuthUserListRequest.create = function create(properties) {
            return new AuthUserListRequest(properties);
        };
        /**
         * Encodes the specified AuthUserListRequest message. Does not implicitly {@link etcdserverpb.AuthUserListRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {etcdserverpb.IAuthUserListRequest} message AuthUserListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserListRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified AuthUserListRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserListRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {etcdserverpb.IAuthUserListRequest} message AuthUserListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserListRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserListRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserListRequest} AuthUserListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserListRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserListRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserListRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserListRequest} AuthUserListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserListRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserListRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserListRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates an AuthUserListRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserListRequest} AuthUserListRequest
         */
        AuthUserListRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserListRequest)
                return object;
            return new $root.etcdserverpb.AuthUserListRequest();
        };
        /**
         * Creates a plain object from an AuthUserListRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserListRequest
         * @static
         * @param {etcdserverpb.AuthUserListRequest} message AuthUserListRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserListRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this AuthUserListRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserListRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserListRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserListRequest;
    })();
    etcdserverpb.AuthRoleListRequest = (function () {
        /**
         * Properties of an AuthRoleListRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleListRequest
         */
        /**
         * Constructs a new AuthRoleListRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleListRequest.
         * @implements IAuthRoleListRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleListRequest=} [properties] Properties to set
         */
        function AuthRoleListRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Creates a new AuthRoleListRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {etcdserverpb.IAuthRoleListRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleListRequest} AuthRoleListRequest instance
         */
        AuthRoleListRequest.create = function create(properties) {
            return new AuthRoleListRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleListRequest message. Does not implicitly {@link etcdserverpb.AuthRoleListRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {etcdserverpb.IAuthRoleListRequest} message AuthRoleListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleListRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleListRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleListRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {etcdserverpb.IAuthRoleListRequest} message AuthRoleListRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleListRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleListRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleListRequest} AuthRoleListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleListRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleListRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleListRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleListRequest} AuthRoleListRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleListRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleListRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleListRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            return null;
        };
        /**
         * Creates an AuthRoleListRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleListRequest} AuthRoleListRequest
         */
        AuthRoleListRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleListRequest)
                return object;
            return new $root.etcdserverpb.AuthRoleListRequest();
        };
        /**
         * Creates a plain object from an AuthRoleListRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleListRequest
         * @static
         * @param {etcdserverpb.AuthRoleListRequest} message AuthRoleListRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleListRequest.toObject = function toObject() {
            return {};
        };
        /**
         * Converts this AuthRoleListRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleListRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleListRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleListRequest;
    })();
    etcdserverpb.AuthRoleDeleteRequest = (function () {
        /**
         * Properties of an AuthRoleDeleteRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleDeleteRequest
         * @property {string|null} [role] AuthRoleDeleteRequest role
         */
        /**
         * Constructs a new AuthRoleDeleteRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleDeleteRequest.
         * @implements IAuthRoleDeleteRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleDeleteRequest=} [properties] Properties to set
         */
        function AuthRoleDeleteRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleDeleteRequest role.
         * @member {string} role
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @instance
         */
        AuthRoleDeleteRequest.prototype.role = "";
        /**
         * Creates a new AuthRoleDeleteRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleDeleteRequest} AuthRoleDeleteRequest instance
         */
        AuthRoleDeleteRequest.create = function create(properties) {
            return new AuthRoleDeleteRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleDeleteRequest message. Does not implicitly {@link etcdserverpb.AuthRoleDeleteRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteRequest} message AuthRoleDeleteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleDeleteRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.role != null && Object.hasOwnProperty.call(message, "role"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.role);
            return writer;
        };
        /**
         * Encodes the specified AuthRoleDeleteRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleDeleteRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteRequest} message AuthRoleDeleteRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleDeleteRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleDeleteRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleDeleteRequest} AuthRoleDeleteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleDeleteRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleDeleteRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.role = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleDeleteRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleDeleteRequest} AuthRoleDeleteRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleDeleteRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleDeleteRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleDeleteRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.role != null && message.hasOwnProperty("role"))
                if (!$util.isString(message.role))
                    return "role: string expected";
            return null;
        };
        /**
         * Creates an AuthRoleDeleteRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleDeleteRequest} AuthRoleDeleteRequest
         */
        AuthRoleDeleteRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleDeleteRequest)
                return object;
            let message = new $root.etcdserverpb.AuthRoleDeleteRequest();
            if (object.role != null)
                message.role = String(object.role);
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleDeleteRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @static
         * @param {etcdserverpb.AuthRoleDeleteRequest} message AuthRoleDeleteRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleDeleteRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.role = "";
            if (message.role != null && message.hasOwnProperty("role"))
                object.role = message.role;
            return object;
        };
        /**
         * Converts this AuthRoleDeleteRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleDeleteRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleDeleteRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleDeleteRequest;
    })();
    etcdserverpb.AuthRoleGrantPermissionRequest = (function () {
        /**
         * Properties of an AuthRoleGrantPermissionRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleGrantPermissionRequest
         * @property {string|null} [name] AuthRoleGrantPermissionRequest name
         * @property {authpb.IPermission|null} [perm] AuthRoleGrantPermissionRequest perm
         */
        /**
         * Constructs a new AuthRoleGrantPermissionRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleGrantPermissionRequest.
         * @implements IAuthRoleGrantPermissionRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest=} [properties] Properties to set
         */
        function AuthRoleGrantPermissionRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleGrantPermissionRequest name.
         * @member {string} name
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @instance
         */
        AuthRoleGrantPermissionRequest.prototype.name = "";
        /**
         * AuthRoleGrantPermissionRequest perm.
         * @member {authpb.IPermission|null|undefined} perm
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @instance
         */
        AuthRoleGrantPermissionRequest.prototype.perm = null;
        /**
         * Creates a new AuthRoleGrantPermissionRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleGrantPermissionRequest} AuthRoleGrantPermissionRequest instance
         */
        AuthRoleGrantPermissionRequest.create = function create(properties) {
            return new AuthRoleGrantPermissionRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleGrantPermissionRequest message. Does not implicitly {@link etcdserverpb.AuthRoleGrantPermissionRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest} message AuthRoleGrantPermissionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGrantPermissionRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.name);
            if (message.perm != null && Object.hasOwnProperty.call(message, "perm"))
                $root.authpb.Permission.encode(message.perm, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleGrantPermissionRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleGrantPermissionRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionRequest} message AuthRoleGrantPermissionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGrantPermissionRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleGrantPermissionRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleGrantPermissionRequest} AuthRoleGrantPermissionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGrantPermissionRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleGrantPermissionRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.string();
                        break;
                    case 2:
                        message.perm = $root.authpb.Permission.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleGrantPermissionRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleGrantPermissionRequest} AuthRoleGrantPermissionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGrantPermissionRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleGrantPermissionRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleGrantPermissionRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!$util.isString(message.name))
                    return "name: string expected";
            if (message.perm != null && message.hasOwnProperty("perm")) {
                let error = $root.authpb.Permission.verify(message.perm);
                if (error)
                    return "perm." + error;
            }
            return null;
        };
        /**
         * Creates an AuthRoleGrantPermissionRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleGrantPermissionRequest} AuthRoleGrantPermissionRequest
         */
        AuthRoleGrantPermissionRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleGrantPermissionRequest)
                return object;
            let message = new $root.etcdserverpb.AuthRoleGrantPermissionRequest();
            if (object.name != null)
                message.name = String(object.name);
            if (object.perm != null) {
                if (typeof object.perm !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleGrantPermissionRequest.perm: object expected");
                message.perm = $root.authpb.Permission.fromObject(object.perm);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleGrantPermissionRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @static
         * @param {etcdserverpb.AuthRoleGrantPermissionRequest} message AuthRoleGrantPermissionRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleGrantPermissionRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.name = "";
                object.perm = null;
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = message.name;
            if (message.perm != null && message.hasOwnProperty("perm"))
                object.perm = $root.authpb.Permission.toObject(message.perm, options);
            return object;
        };
        /**
         * Converts this AuthRoleGrantPermissionRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleGrantPermissionRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleGrantPermissionRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleGrantPermissionRequest;
    })();
    etcdserverpb.AuthRoleRevokePermissionRequest = (function () {
        /**
         * Properties of an AuthRoleRevokePermissionRequest.
         * @memberof etcdserverpb
         * @interface IAuthRoleRevokePermissionRequest
         * @property {string|null} [role] AuthRoleRevokePermissionRequest role
         * @property {Uint8Array|null} [key] AuthRoleRevokePermissionRequest key
         * @property {Uint8Array|null} [rangeEnd] AuthRoleRevokePermissionRequest rangeEnd
         */
        /**
         * Constructs a new AuthRoleRevokePermissionRequest.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleRevokePermissionRequest.
         * @implements IAuthRoleRevokePermissionRequest
         * @constructor
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest=} [properties] Properties to set
         */
        function AuthRoleRevokePermissionRequest(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleRevokePermissionRequest role.
         * @member {string} role
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @instance
         */
        AuthRoleRevokePermissionRequest.prototype.role = "";
        /**
         * AuthRoleRevokePermissionRequest key.
         * @member {Uint8Array} key
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @instance
         */
        AuthRoleRevokePermissionRequest.prototype.key = $util.newBuffer([]);
        /**
         * AuthRoleRevokePermissionRequest rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @instance
         */
        AuthRoleRevokePermissionRequest.prototype.rangeEnd = $util.newBuffer([]);
        /**
         * Creates a new AuthRoleRevokePermissionRequest instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleRevokePermissionRequest} AuthRoleRevokePermissionRequest instance
         */
        AuthRoleRevokePermissionRequest.create = function create(properties) {
            return new AuthRoleRevokePermissionRequest(properties);
        };
        /**
         * Encodes the specified AuthRoleRevokePermissionRequest message. Does not implicitly {@link etcdserverpb.AuthRoleRevokePermissionRequest.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest} message AuthRoleRevokePermissionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleRevokePermissionRequest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.role != null && Object.hasOwnProperty.call(message, "role"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).string(message.role);
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.key);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 3, wireType 2 =*/ 26).bytes(message.rangeEnd);
            return writer;
        };
        /**
         * Encodes the specified AuthRoleRevokePermissionRequest message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleRevokePermissionRequest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionRequest} message AuthRoleRevokePermissionRequest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleRevokePermissionRequest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleRevokePermissionRequest message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleRevokePermissionRequest} AuthRoleRevokePermissionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleRevokePermissionRequest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleRevokePermissionRequest();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.role = reader.string();
                        break;
                    case 2:
                        message.key = reader.bytes();
                        break;
                    case 3:
                        message.rangeEnd = reader.bytes();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleRevokePermissionRequest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleRevokePermissionRequest} AuthRoleRevokePermissionRequest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleRevokePermissionRequest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleRevokePermissionRequest message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleRevokePermissionRequest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.role != null && message.hasOwnProperty("role"))
                if (!$util.isString(message.role))
                    return "role: string expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            return null;
        };
        /**
         * Creates an AuthRoleRevokePermissionRequest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleRevokePermissionRequest} AuthRoleRevokePermissionRequest
         */
        AuthRoleRevokePermissionRequest.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleRevokePermissionRequest)
                return object;
            let message = new $root.etcdserverpb.AuthRoleRevokePermissionRequest();
            if (object.role != null)
                message.role = String(object.role);
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleRevokePermissionRequest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @static
         * @param {etcdserverpb.AuthRoleRevokePermissionRequest} message AuthRoleRevokePermissionRequest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleRevokePermissionRequest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.role = "";
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
            }
            if (message.role != null && message.hasOwnProperty("role"))
                object.role = message.role;
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            return object;
        };
        /**
         * Converts this AuthRoleRevokePermissionRequest to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleRevokePermissionRequest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleRevokePermissionRequest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleRevokePermissionRequest;
    })();
    etcdserverpb.AuthEnableResponse = (function () {
        /**
         * Properties of an AuthEnableResponse.
         * @memberof etcdserverpb
         * @interface IAuthEnableResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthEnableResponse header
         */
        /**
         * Constructs a new AuthEnableResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthEnableResponse.
         * @implements IAuthEnableResponse
         * @constructor
         * @param {etcdserverpb.IAuthEnableResponse=} [properties] Properties to set
         */
        function AuthEnableResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthEnableResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthEnableResponse
         * @instance
         */
        AuthEnableResponse.prototype.header = null;
        /**
         * Creates a new AuthEnableResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {etcdserverpb.IAuthEnableResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthEnableResponse} AuthEnableResponse instance
         */
        AuthEnableResponse.create = function create(properties) {
            return new AuthEnableResponse(properties);
        };
        /**
         * Encodes the specified AuthEnableResponse message. Does not implicitly {@link etcdserverpb.AuthEnableResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {etcdserverpb.IAuthEnableResponse} message AuthEnableResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthEnableResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthEnableResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthEnableResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {etcdserverpb.IAuthEnableResponse} message AuthEnableResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthEnableResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthEnableResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthEnableResponse} AuthEnableResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthEnableResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthEnableResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthEnableResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthEnableResponse} AuthEnableResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthEnableResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthEnableResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthEnableResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthEnableResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthEnableResponse} AuthEnableResponse
         */
        AuthEnableResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthEnableResponse)
                return object;
            let message = new $root.etcdserverpb.AuthEnableResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthEnableResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthEnableResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthEnableResponse
         * @static
         * @param {etcdserverpb.AuthEnableResponse} message AuthEnableResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthEnableResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthEnableResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthEnableResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthEnableResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthEnableResponse;
    })();
    etcdserverpb.AuthDisableResponse = (function () {
        /**
         * Properties of an AuthDisableResponse.
         * @memberof etcdserverpb
         * @interface IAuthDisableResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthDisableResponse header
         */
        /**
         * Constructs a new AuthDisableResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthDisableResponse.
         * @implements IAuthDisableResponse
         * @constructor
         * @param {etcdserverpb.IAuthDisableResponse=} [properties] Properties to set
         */
        function AuthDisableResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthDisableResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthDisableResponse
         * @instance
         */
        AuthDisableResponse.prototype.header = null;
        /**
         * Creates a new AuthDisableResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {etcdserverpb.IAuthDisableResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthDisableResponse} AuthDisableResponse instance
         */
        AuthDisableResponse.create = function create(properties) {
            return new AuthDisableResponse(properties);
        };
        /**
         * Encodes the specified AuthDisableResponse message. Does not implicitly {@link etcdserverpb.AuthDisableResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {etcdserverpb.IAuthDisableResponse} message AuthDisableResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthDisableResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthDisableResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthDisableResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {etcdserverpb.IAuthDisableResponse} message AuthDisableResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthDisableResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthDisableResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthDisableResponse} AuthDisableResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthDisableResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthDisableResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthDisableResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthDisableResponse} AuthDisableResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthDisableResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthDisableResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthDisableResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthDisableResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthDisableResponse} AuthDisableResponse
         */
        AuthDisableResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthDisableResponse)
                return object;
            let message = new $root.etcdserverpb.AuthDisableResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthDisableResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthDisableResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthDisableResponse
         * @static
         * @param {etcdserverpb.AuthDisableResponse} message AuthDisableResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthDisableResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthDisableResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthDisableResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthDisableResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthDisableResponse;
    })();
    etcdserverpb.AuthStatusResponse = (function () {
        /**
         * Properties of an AuthStatusResponse.
         * @memberof etcdserverpb
         * @interface IAuthStatusResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthStatusResponse header
         * @property {boolean|null} [enabled] AuthStatusResponse enabled
         * @property {number|Long|null} [authRevision] AuthStatusResponse authRevision
         */
        /**
         * Constructs a new AuthStatusResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthStatusResponse.
         * @implements IAuthStatusResponse
         * @constructor
         * @param {etcdserverpb.IAuthStatusResponse=} [properties] Properties to set
         */
        function AuthStatusResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthStatusResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthStatusResponse
         * @instance
         */
        AuthStatusResponse.prototype.header = null;
        /**
         * AuthStatusResponse enabled.
         * @member {boolean} enabled
         * @memberof etcdserverpb.AuthStatusResponse
         * @instance
         */
        AuthStatusResponse.prototype.enabled = false;
        /**
         * AuthStatusResponse authRevision.
         * @member {number|Long} authRevision
         * @memberof etcdserverpb.AuthStatusResponse
         * @instance
         */
        AuthStatusResponse.prototype.authRevision = $util.Long ? $util.Long.fromBits(0, 0, true) : 0;
        /**
         * Creates a new AuthStatusResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {etcdserverpb.IAuthStatusResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthStatusResponse} AuthStatusResponse instance
         */
        AuthStatusResponse.create = function create(properties) {
            return new AuthStatusResponse(properties);
        };
        /**
         * Encodes the specified AuthStatusResponse message. Does not implicitly {@link etcdserverpb.AuthStatusResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {etcdserverpb.IAuthStatusResponse} message AuthStatusResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthStatusResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.enabled != null && Object.hasOwnProperty.call(message, "enabled"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).bool(message.enabled);
            if (message.authRevision != null && Object.hasOwnProperty.call(message, "authRevision"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).uint64(message.authRevision);
            return writer;
        };
        /**
         * Encodes the specified AuthStatusResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthStatusResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {etcdserverpb.IAuthStatusResponse} message AuthStatusResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthStatusResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthStatusResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthStatusResponse} AuthStatusResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthStatusResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthStatusResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.enabled = reader.bool();
                        break;
                    case 3:
                        message.authRevision = reader.uint64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthStatusResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthStatusResponse} AuthStatusResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthStatusResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthStatusResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthStatusResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.enabled != null && message.hasOwnProperty("enabled"))
                if (typeof message.enabled !== "boolean")
                    return "enabled: boolean expected";
            if (message.authRevision != null && message.hasOwnProperty("authRevision"))
                if (!$util.isInteger(message.authRevision) && !(message.authRevision && $util.isInteger(message.authRevision.low) && $util.isInteger(message.authRevision.high)))
                    return "authRevision: integer|Long expected";
            return null;
        };
        /**
         * Creates an AuthStatusResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthStatusResponse} AuthStatusResponse
         */
        AuthStatusResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthStatusResponse)
                return object;
            let message = new $root.etcdserverpb.AuthStatusResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthStatusResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.enabled != null)
                message.enabled = Boolean(object.enabled);
            if (object.authRevision != null)
                if ($util.Long)
                    (message.authRevision = $util.Long.fromValue(object.authRevision)).unsigned = true;
                else if (typeof object.authRevision === "string")
                    message.authRevision = parseInt(object.authRevision, 10);
                else if (typeof object.authRevision === "number")
                    message.authRevision = object.authRevision;
                else if (typeof object.authRevision === "object")
                    message.authRevision = new $util.LongBits(object.authRevision.low >>> 0, object.authRevision.high >>> 0).toNumber(true);
            return message;
        };
        /**
         * Creates a plain object from an AuthStatusResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthStatusResponse
         * @static
         * @param {etcdserverpb.AuthStatusResponse} message AuthStatusResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthStatusResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.enabled = false;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, true);
                    object.authRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.authRevision = options.longs === String ? "0" : 0;
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.enabled != null && message.hasOwnProperty("enabled"))
                object.enabled = message.enabled;
            if (message.authRevision != null && message.hasOwnProperty("authRevision"))
                if (typeof message.authRevision === "number")
                    object.authRevision = options.longs === String ? String(message.authRevision) : message.authRevision;
                else
                    object.authRevision = options.longs === String ? $util.Long.prototype.toString.call(message.authRevision) : options.longs === Number ? new $util.LongBits(message.authRevision.low >>> 0, message.authRevision.high >>> 0).toNumber(true) : message.authRevision;
            return object;
        };
        /**
         * Converts this AuthStatusResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthStatusResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthStatusResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthStatusResponse;
    })();
    etcdserverpb.AuthenticateResponse = (function () {
        /**
         * Properties of an AuthenticateResponse.
         * @memberof etcdserverpb
         * @interface IAuthenticateResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthenticateResponse header
         * @property {string|null} [token] AuthenticateResponse token
         */
        /**
         * Constructs a new AuthenticateResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthenticateResponse.
         * @implements IAuthenticateResponse
         * @constructor
         * @param {etcdserverpb.IAuthenticateResponse=} [properties] Properties to set
         */
        function AuthenticateResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthenticateResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthenticateResponse
         * @instance
         */
        AuthenticateResponse.prototype.header = null;
        /**
         * AuthenticateResponse token.
         * @member {string} token
         * @memberof etcdserverpb.AuthenticateResponse
         * @instance
         */
        AuthenticateResponse.prototype.token = "";
        /**
         * Creates a new AuthenticateResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {etcdserverpb.IAuthenticateResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthenticateResponse} AuthenticateResponse instance
         */
        AuthenticateResponse.create = function create(properties) {
            return new AuthenticateResponse(properties);
        };
        /**
         * Encodes the specified AuthenticateResponse message. Does not implicitly {@link etcdserverpb.AuthenticateResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {etcdserverpb.IAuthenticateResponse} message AuthenticateResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthenticateResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.token != null && Object.hasOwnProperty.call(message, "token"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.token);
            return writer;
        };
        /**
         * Encodes the specified AuthenticateResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthenticateResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {etcdserverpb.IAuthenticateResponse} message AuthenticateResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthenticateResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthenticateResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthenticateResponse} AuthenticateResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthenticateResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthenticateResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        message.token = reader.string();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthenticateResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthenticateResponse} AuthenticateResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthenticateResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthenticateResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthenticateResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.token != null && message.hasOwnProperty("token"))
                if (!$util.isString(message.token))
                    return "token: string expected";
            return null;
        };
        /**
         * Creates an AuthenticateResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthenticateResponse} AuthenticateResponse
         */
        AuthenticateResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthenticateResponse)
                return object;
            let message = new $root.etcdserverpb.AuthenticateResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthenticateResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.token != null)
                message.token = String(object.token);
            return message;
        };
        /**
         * Creates a plain object from an AuthenticateResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthenticateResponse
         * @static
         * @param {etcdserverpb.AuthenticateResponse} message AuthenticateResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthenticateResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.header = null;
                object.token = "";
            }
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.token != null && message.hasOwnProperty("token"))
                object.token = message.token;
            return object;
        };
        /**
         * Converts this AuthenticateResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthenticateResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthenticateResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthenticateResponse;
    })();
    etcdserverpb.AuthUserAddResponse = (function () {
        /**
         * Properties of an AuthUserAddResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserAddResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserAddResponse header
         */
        /**
         * Constructs a new AuthUserAddResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserAddResponse.
         * @implements IAuthUserAddResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserAddResponse=} [properties] Properties to set
         */
        function AuthUserAddResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserAddResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserAddResponse
         * @instance
         */
        AuthUserAddResponse.prototype.header = null;
        /**
         * Creates a new AuthUserAddResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {etcdserverpb.IAuthUserAddResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserAddResponse} AuthUserAddResponse instance
         */
        AuthUserAddResponse.create = function create(properties) {
            return new AuthUserAddResponse(properties);
        };
        /**
         * Encodes the specified AuthUserAddResponse message. Does not implicitly {@link etcdserverpb.AuthUserAddResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {etcdserverpb.IAuthUserAddResponse} message AuthUserAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserAddResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthUserAddResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserAddResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {etcdserverpb.IAuthUserAddResponse} message AuthUserAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserAddResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserAddResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserAddResponse} AuthUserAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserAddResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserAddResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserAddResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserAddResponse} AuthUserAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserAddResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserAddResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserAddResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthUserAddResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserAddResponse} AuthUserAddResponse
         */
        AuthUserAddResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserAddResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserAddResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserAddResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserAddResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserAddResponse
         * @static
         * @param {etcdserverpb.AuthUserAddResponse} message AuthUserAddResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserAddResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthUserAddResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserAddResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserAddResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserAddResponse;
    })();
    etcdserverpb.AuthUserGetResponse = (function () {
        /**
         * Properties of an AuthUserGetResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserGetResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserGetResponse header
         * @property {Array.<string>|null} [roles] AuthUserGetResponse roles
         */
        /**
         * Constructs a new AuthUserGetResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserGetResponse.
         * @implements IAuthUserGetResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserGetResponse=} [properties] Properties to set
         */
        function AuthUserGetResponse(properties) {
            this.roles = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserGetResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserGetResponse
         * @instance
         */
        AuthUserGetResponse.prototype.header = null;
        /**
         * AuthUserGetResponse roles.
         * @member {Array.<string>} roles
         * @memberof etcdserverpb.AuthUserGetResponse
         * @instance
         */
        AuthUserGetResponse.prototype.roles = $util.emptyArray;
        /**
         * Creates a new AuthUserGetResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {etcdserverpb.IAuthUserGetResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserGetResponse} AuthUserGetResponse instance
         */
        AuthUserGetResponse.create = function create(properties) {
            return new AuthUserGetResponse(properties);
        };
        /**
         * Encodes the specified AuthUserGetResponse message. Does not implicitly {@link etcdserverpb.AuthUserGetResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {etcdserverpb.IAuthUserGetResponse} message AuthUserGetResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGetResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.roles != null && message.roles.length)
                for (let i = 0; i < message.roles.length; ++i)
                    writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.roles[i]);
            return writer;
        };
        /**
         * Encodes the specified AuthUserGetResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserGetResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {etcdserverpb.IAuthUserGetResponse} message AuthUserGetResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGetResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserGetResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserGetResponse} AuthUserGetResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGetResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserGetResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.roles && message.roles.length))
                            message.roles = [];
                        message.roles.push(reader.string());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserGetResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserGetResponse} AuthUserGetResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGetResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserGetResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserGetResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.roles != null && message.hasOwnProperty("roles")) {
                if (!Array.isArray(message.roles))
                    return "roles: array expected";
                for (let i = 0; i < message.roles.length; ++i)
                    if (!$util.isString(message.roles[i]))
                        return "roles: string[] expected";
            }
            return null;
        };
        /**
         * Creates an AuthUserGetResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserGetResponse} AuthUserGetResponse
         */
        AuthUserGetResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserGetResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserGetResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserGetResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.roles) {
                if (!Array.isArray(object.roles))
                    throw TypeError(".etcdserverpb.AuthUserGetResponse.roles: array expected");
                message.roles = [];
                for (let i = 0; i < object.roles.length; ++i)
                    message.roles[i] = String(object.roles[i]);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserGetResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserGetResponse
         * @static
         * @param {etcdserverpb.AuthUserGetResponse} message AuthUserGetResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserGetResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.roles = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.roles && message.roles.length) {
                object.roles = [];
                for (let j = 0; j < message.roles.length; ++j)
                    object.roles[j] = message.roles[j];
            }
            return object;
        };
        /**
         * Converts this AuthUserGetResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserGetResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserGetResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserGetResponse;
    })();
    etcdserverpb.AuthUserDeleteResponse = (function () {
        /**
         * Properties of an AuthUserDeleteResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserDeleteResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserDeleteResponse header
         */
        /**
         * Constructs a new AuthUserDeleteResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserDeleteResponse.
         * @implements IAuthUserDeleteResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserDeleteResponse=} [properties] Properties to set
         */
        function AuthUserDeleteResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserDeleteResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @instance
         */
        AuthUserDeleteResponse.prototype.header = null;
        /**
         * Creates a new AuthUserDeleteResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthUserDeleteResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserDeleteResponse} AuthUserDeleteResponse instance
         */
        AuthUserDeleteResponse.create = function create(properties) {
            return new AuthUserDeleteResponse(properties);
        };
        /**
         * Encodes the specified AuthUserDeleteResponse message. Does not implicitly {@link etcdserverpb.AuthUserDeleteResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthUserDeleteResponse} message AuthUserDeleteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserDeleteResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthUserDeleteResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserDeleteResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthUserDeleteResponse} message AuthUserDeleteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserDeleteResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserDeleteResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserDeleteResponse} AuthUserDeleteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserDeleteResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserDeleteResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserDeleteResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserDeleteResponse} AuthUserDeleteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserDeleteResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserDeleteResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserDeleteResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthUserDeleteResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserDeleteResponse} AuthUserDeleteResponse
         */
        AuthUserDeleteResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserDeleteResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserDeleteResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserDeleteResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserDeleteResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @static
         * @param {etcdserverpb.AuthUserDeleteResponse} message AuthUserDeleteResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserDeleteResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthUserDeleteResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserDeleteResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserDeleteResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserDeleteResponse;
    })();
    etcdserverpb.AuthUserChangePasswordResponse = (function () {
        /**
         * Properties of an AuthUserChangePasswordResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserChangePasswordResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserChangePasswordResponse header
         */
        /**
         * Constructs a new AuthUserChangePasswordResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserChangePasswordResponse.
         * @implements IAuthUserChangePasswordResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserChangePasswordResponse=} [properties] Properties to set
         */
        function AuthUserChangePasswordResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserChangePasswordResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @instance
         */
        AuthUserChangePasswordResponse.prototype.header = null;
        /**
         * Creates a new AuthUserChangePasswordResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserChangePasswordResponse} AuthUserChangePasswordResponse instance
         */
        AuthUserChangePasswordResponse.create = function create(properties) {
            return new AuthUserChangePasswordResponse(properties);
        };
        /**
         * Encodes the specified AuthUserChangePasswordResponse message. Does not implicitly {@link etcdserverpb.AuthUserChangePasswordResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordResponse} message AuthUserChangePasswordResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserChangePasswordResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthUserChangePasswordResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserChangePasswordResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {etcdserverpb.IAuthUserChangePasswordResponse} message AuthUserChangePasswordResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserChangePasswordResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserChangePasswordResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserChangePasswordResponse} AuthUserChangePasswordResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserChangePasswordResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserChangePasswordResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserChangePasswordResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserChangePasswordResponse} AuthUserChangePasswordResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserChangePasswordResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserChangePasswordResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserChangePasswordResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthUserChangePasswordResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserChangePasswordResponse} AuthUserChangePasswordResponse
         */
        AuthUserChangePasswordResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserChangePasswordResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserChangePasswordResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserChangePasswordResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserChangePasswordResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @static
         * @param {etcdserverpb.AuthUserChangePasswordResponse} message AuthUserChangePasswordResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserChangePasswordResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthUserChangePasswordResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserChangePasswordResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserChangePasswordResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserChangePasswordResponse;
    })();
    etcdserverpb.AuthUserGrantRoleResponse = (function () {
        /**
         * Properties of an AuthUserGrantRoleResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserGrantRoleResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserGrantRoleResponse header
         */
        /**
         * Constructs a new AuthUserGrantRoleResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserGrantRoleResponse.
         * @implements IAuthUserGrantRoleResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserGrantRoleResponse=} [properties] Properties to set
         */
        function AuthUserGrantRoleResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserGrantRoleResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @instance
         */
        AuthUserGrantRoleResponse.prototype.header = null;
        /**
         * Creates a new AuthUserGrantRoleResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserGrantRoleResponse} AuthUserGrantRoleResponse instance
         */
        AuthUserGrantRoleResponse.create = function create(properties) {
            return new AuthUserGrantRoleResponse(properties);
        };
        /**
         * Encodes the specified AuthUserGrantRoleResponse message. Does not implicitly {@link etcdserverpb.AuthUserGrantRoleResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleResponse} message AuthUserGrantRoleResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGrantRoleResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthUserGrantRoleResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserGrantRoleResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserGrantRoleResponse} message AuthUserGrantRoleResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserGrantRoleResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserGrantRoleResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserGrantRoleResponse} AuthUserGrantRoleResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGrantRoleResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserGrantRoleResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserGrantRoleResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserGrantRoleResponse} AuthUserGrantRoleResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserGrantRoleResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserGrantRoleResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserGrantRoleResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthUserGrantRoleResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserGrantRoleResponse} AuthUserGrantRoleResponse
         */
        AuthUserGrantRoleResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserGrantRoleResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserGrantRoleResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserGrantRoleResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserGrantRoleResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @static
         * @param {etcdserverpb.AuthUserGrantRoleResponse} message AuthUserGrantRoleResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserGrantRoleResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthUserGrantRoleResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserGrantRoleResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserGrantRoleResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserGrantRoleResponse;
    })();
    etcdserverpb.AuthUserRevokeRoleResponse = (function () {
        /**
         * Properties of an AuthUserRevokeRoleResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserRevokeRoleResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserRevokeRoleResponse header
         */
        /**
         * Constructs a new AuthUserRevokeRoleResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserRevokeRoleResponse.
         * @implements IAuthUserRevokeRoleResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserRevokeRoleResponse=} [properties] Properties to set
         */
        function AuthUserRevokeRoleResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserRevokeRoleResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @instance
         */
        AuthUserRevokeRoleResponse.prototype.header = null;
        /**
         * Creates a new AuthUserRevokeRoleResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserRevokeRoleResponse} AuthUserRevokeRoleResponse instance
         */
        AuthUserRevokeRoleResponse.create = function create(properties) {
            return new AuthUserRevokeRoleResponse(properties);
        };
        /**
         * Encodes the specified AuthUserRevokeRoleResponse message. Does not implicitly {@link etcdserverpb.AuthUserRevokeRoleResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleResponse} message AuthUserRevokeRoleResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserRevokeRoleResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthUserRevokeRoleResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserRevokeRoleResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {etcdserverpb.IAuthUserRevokeRoleResponse} message AuthUserRevokeRoleResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserRevokeRoleResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserRevokeRoleResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserRevokeRoleResponse} AuthUserRevokeRoleResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserRevokeRoleResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserRevokeRoleResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserRevokeRoleResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserRevokeRoleResponse} AuthUserRevokeRoleResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserRevokeRoleResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserRevokeRoleResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserRevokeRoleResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthUserRevokeRoleResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserRevokeRoleResponse} AuthUserRevokeRoleResponse
         */
        AuthUserRevokeRoleResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserRevokeRoleResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserRevokeRoleResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserRevokeRoleResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserRevokeRoleResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @static
         * @param {etcdserverpb.AuthUserRevokeRoleResponse} message AuthUserRevokeRoleResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserRevokeRoleResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthUserRevokeRoleResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserRevokeRoleResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserRevokeRoleResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserRevokeRoleResponse;
    })();
    etcdserverpb.AuthRoleAddResponse = (function () {
        /**
         * Properties of an AuthRoleAddResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleAddResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleAddResponse header
         */
        /**
         * Constructs a new AuthRoleAddResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleAddResponse.
         * @implements IAuthRoleAddResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleAddResponse=} [properties] Properties to set
         */
        function AuthRoleAddResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleAddResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @instance
         */
        AuthRoleAddResponse.prototype.header = null;
        /**
         * Creates a new AuthRoleAddResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {etcdserverpb.IAuthRoleAddResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleAddResponse} AuthRoleAddResponse instance
         */
        AuthRoleAddResponse.create = function create(properties) {
            return new AuthRoleAddResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleAddResponse message. Does not implicitly {@link etcdserverpb.AuthRoleAddResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {etcdserverpb.IAuthRoleAddResponse} message AuthRoleAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleAddResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleAddResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleAddResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {etcdserverpb.IAuthRoleAddResponse} message AuthRoleAddResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleAddResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleAddResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleAddResponse} AuthRoleAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleAddResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleAddResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleAddResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleAddResponse} AuthRoleAddResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleAddResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleAddResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleAddResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthRoleAddResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleAddResponse} AuthRoleAddResponse
         */
        AuthRoleAddResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleAddResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleAddResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleAddResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleAddResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @static
         * @param {etcdserverpb.AuthRoleAddResponse} message AuthRoleAddResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleAddResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthRoleAddResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleAddResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleAddResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleAddResponse;
    })();
    etcdserverpb.AuthRoleGetResponse = (function () {
        /**
         * Properties of an AuthRoleGetResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleGetResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleGetResponse header
         * @property {Array.<authpb.IPermission>|null} [perm] AuthRoleGetResponse perm
         */
        /**
         * Constructs a new AuthRoleGetResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleGetResponse.
         * @implements IAuthRoleGetResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleGetResponse=} [properties] Properties to set
         */
        function AuthRoleGetResponse(properties) {
            this.perm = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleGetResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @instance
         */
        AuthRoleGetResponse.prototype.header = null;
        /**
         * AuthRoleGetResponse perm.
         * @member {Array.<authpb.IPermission>} perm
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @instance
         */
        AuthRoleGetResponse.prototype.perm = $util.emptyArray;
        /**
         * Creates a new AuthRoleGetResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGetResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleGetResponse} AuthRoleGetResponse instance
         */
        AuthRoleGetResponse.create = function create(properties) {
            return new AuthRoleGetResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleGetResponse message. Does not implicitly {@link etcdserverpb.AuthRoleGetResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGetResponse} message AuthRoleGetResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGetResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.perm != null && message.perm.length)
                for (let i = 0; i < message.perm.length; ++i)
                    $root.authpb.Permission.encode(message.perm[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleGetResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleGetResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGetResponse} message AuthRoleGetResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGetResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleGetResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleGetResponse} AuthRoleGetResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGetResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleGetResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.perm && message.perm.length))
                            message.perm = [];
                        message.perm.push($root.authpb.Permission.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleGetResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleGetResponse} AuthRoleGetResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGetResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleGetResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleGetResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.perm != null && message.hasOwnProperty("perm")) {
                if (!Array.isArray(message.perm))
                    return "perm: array expected";
                for (let i = 0; i < message.perm.length; ++i) {
                    let error = $root.authpb.Permission.verify(message.perm[i]);
                    if (error)
                        return "perm." + error;
                }
            }
            return null;
        };
        /**
         * Creates an AuthRoleGetResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleGetResponse} AuthRoleGetResponse
         */
        AuthRoleGetResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleGetResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleGetResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleGetResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.perm) {
                if (!Array.isArray(object.perm))
                    throw TypeError(".etcdserverpb.AuthRoleGetResponse.perm: array expected");
                message.perm = [];
                for (let i = 0; i < object.perm.length; ++i) {
                    if (typeof object.perm[i] !== "object")
                        throw TypeError(".etcdserverpb.AuthRoleGetResponse.perm: object expected");
                    message.perm[i] = $root.authpb.Permission.fromObject(object.perm[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleGetResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @static
         * @param {etcdserverpb.AuthRoleGetResponse} message AuthRoleGetResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleGetResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.perm = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.perm && message.perm.length) {
                object.perm = [];
                for (let j = 0; j < message.perm.length; ++j)
                    object.perm[j] = $root.authpb.Permission.toObject(message.perm[j], options);
            }
            return object;
        };
        /**
         * Converts this AuthRoleGetResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleGetResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleGetResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleGetResponse;
    })();
    etcdserverpb.AuthRoleListResponse = (function () {
        /**
         * Properties of an AuthRoleListResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleListResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleListResponse header
         * @property {Array.<string>|null} [roles] AuthRoleListResponse roles
         */
        /**
         * Constructs a new AuthRoleListResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleListResponse.
         * @implements IAuthRoleListResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleListResponse=} [properties] Properties to set
         */
        function AuthRoleListResponse(properties) {
            this.roles = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleListResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleListResponse
         * @instance
         */
        AuthRoleListResponse.prototype.header = null;
        /**
         * AuthRoleListResponse roles.
         * @member {Array.<string>} roles
         * @memberof etcdserverpb.AuthRoleListResponse
         * @instance
         */
        AuthRoleListResponse.prototype.roles = $util.emptyArray;
        /**
         * Creates a new AuthRoleListResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {etcdserverpb.IAuthRoleListResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleListResponse} AuthRoleListResponse instance
         */
        AuthRoleListResponse.create = function create(properties) {
            return new AuthRoleListResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleListResponse message. Does not implicitly {@link etcdserverpb.AuthRoleListResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {etcdserverpb.IAuthRoleListResponse} message AuthRoleListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleListResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.roles != null && message.roles.length)
                for (let i = 0; i < message.roles.length; ++i)
                    writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.roles[i]);
            return writer;
        };
        /**
         * Encodes the specified AuthRoleListResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleListResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {etcdserverpb.IAuthRoleListResponse} message AuthRoleListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleListResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleListResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleListResponse} AuthRoleListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleListResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleListResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.roles && message.roles.length))
                            message.roles = [];
                        message.roles.push(reader.string());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleListResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleListResponse} AuthRoleListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleListResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleListResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleListResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.roles != null && message.hasOwnProperty("roles")) {
                if (!Array.isArray(message.roles))
                    return "roles: array expected";
                for (let i = 0; i < message.roles.length; ++i)
                    if (!$util.isString(message.roles[i]))
                        return "roles: string[] expected";
            }
            return null;
        };
        /**
         * Creates an AuthRoleListResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleListResponse} AuthRoleListResponse
         */
        AuthRoleListResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleListResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleListResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleListResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.roles) {
                if (!Array.isArray(object.roles))
                    throw TypeError(".etcdserverpb.AuthRoleListResponse.roles: array expected");
                message.roles = [];
                for (let i = 0; i < object.roles.length; ++i)
                    message.roles[i] = String(object.roles[i]);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleListResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleListResponse
         * @static
         * @param {etcdserverpb.AuthRoleListResponse} message AuthRoleListResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleListResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.roles = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.roles && message.roles.length) {
                object.roles = [];
                for (let j = 0; j < message.roles.length; ++j)
                    object.roles[j] = message.roles[j];
            }
            return object;
        };
        /**
         * Converts this AuthRoleListResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleListResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleListResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleListResponse;
    })();
    etcdserverpb.AuthUserListResponse = (function () {
        /**
         * Properties of an AuthUserListResponse.
         * @memberof etcdserverpb
         * @interface IAuthUserListResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthUserListResponse header
         * @property {Array.<string>|null} [users] AuthUserListResponse users
         */
        /**
         * Constructs a new AuthUserListResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthUserListResponse.
         * @implements IAuthUserListResponse
         * @constructor
         * @param {etcdserverpb.IAuthUserListResponse=} [properties] Properties to set
         */
        function AuthUserListResponse(properties) {
            this.users = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthUserListResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthUserListResponse
         * @instance
         */
        AuthUserListResponse.prototype.header = null;
        /**
         * AuthUserListResponse users.
         * @member {Array.<string>} users
         * @memberof etcdserverpb.AuthUserListResponse
         * @instance
         */
        AuthUserListResponse.prototype.users = $util.emptyArray;
        /**
         * Creates a new AuthUserListResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {etcdserverpb.IAuthUserListResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthUserListResponse} AuthUserListResponse instance
         */
        AuthUserListResponse.create = function create(properties) {
            return new AuthUserListResponse(properties);
        };
        /**
         * Encodes the specified AuthUserListResponse message. Does not implicitly {@link etcdserverpb.AuthUserListResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {etcdserverpb.IAuthUserListResponse} message AuthUserListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserListResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            if (message.users != null && message.users.length)
                for (let i = 0; i < message.users.length; ++i)
                    writer.uint32(/* id 2, wireType 2 =*/ 18).string(message.users[i]);
            return writer;
        };
        /**
         * Encodes the specified AuthUserListResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthUserListResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {etcdserverpb.IAuthUserListResponse} message AuthUserListResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthUserListResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthUserListResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthUserListResponse} AuthUserListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserListResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthUserListResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    case 2:
                        if (!(message.users && message.users.length))
                            message.users = [];
                        message.users.push(reader.string());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthUserListResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthUserListResponse} AuthUserListResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthUserListResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthUserListResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthUserListResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            if (message.users != null && message.hasOwnProperty("users")) {
                if (!Array.isArray(message.users))
                    return "users: array expected";
                for (let i = 0; i < message.users.length; ++i)
                    if (!$util.isString(message.users[i]))
                        return "users: string[] expected";
            }
            return null;
        };
        /**
         * Creates an AuthUserListResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthUserListResponse} AuthUserListResponse
         */
        AuthUserListResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthUserListResponse)
                return object;
            let message = new $root.etcdserverpb.AuthUserListResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthUserListResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            if (object.users) {
                if (!Array.isArray(object.users))
                    throw TypeError(".etcdserverpb.AuthUserListResponse.users: array expected");
                message.users = [];
                for (let i = 0; i < object.users.length; ++i)
                    message.users[i] = String(object.users[i]);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthUserListResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthUserListResponse
         * @static
         * @param {etcdserverpb.AuthUserListResponse} message AuthUserListResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthUserListResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.users = [];
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            if (message.users && message.users.length) {
                object.users = [];
                for (let j = 0; j < message.users.length; ++j)
                    object.users[j] = message.users[j];
            }
            return object;
        };
        /**
         * Converts this AuthUserListResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthUserListResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthUserListResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthUserListResponse;
    })();
    etcdserverpb.AuthRoleDeleteResponse = (function () {
        /**
         * Properties of an AuthRoleDeleteResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleDeleteResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleDeleteResponse header
         */
        /**
         * Constructs a new AuthRoleDeleteResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleDeleteResponse.
         * @implements IAuthRoleDeleteResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleDeleteResponse=} [properties] Properties to set
         */
        function AuthRoleDeleteResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleDeleteResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @instance
         */
        AuthRoleDeleteResponse.prototype.header = null;
        /**
         * Creates a new AuthRoleDeleteResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleDeleteResponse} AuthRoleDeleteResponse instance
         */
        AuthRoleDeleteResponse.create = function create(properties) {
            return new AuthRoleDeleteResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleDeleteResponse message. Does not implicitly {@link etcdserverpb.AuthRoleDeleteResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteResponse} message AuthRoleDeleteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleDeleteResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleDeleteResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleDeleteResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {etcdserverpb.IAuthRoleDeleteResponse} message AuthRoleDeleteResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleDeleteResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleDeleteResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleDeleteResponse} AuthRoleDeleteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleDeleteResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleDeleteResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleDeleteResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleDeleteResponse} AuthRoleDeleteResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleDeleteResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleDeleteResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleDeleteResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthRoleDeleteResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleDeleteResponse} AuthRoleDeleteResponse
         */
        AuthRoleDeleteResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleDeleteResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleDeleteResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleDeleteResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleDeleteResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @static
         * @param {etcdserverpb.AuthRoleDeleteResponse} message AuthRoleDeleteResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleDeleteResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthRoleDeleteResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleDeleteResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleDeleteResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleDeleteResponse;
    })();
    etcdserverpb.AuthRoleGrantPermissionResponse = (function () {
        /**
         * Properties of an AuthRoleGrantPermissionResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleGrantPermissionResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleGrantPermissionResponse header
         */
        /**
         * Constructs a new AuthRoleGrantPermissionResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleGrantPermissionResponse.
         * @implements IAuthRoleGrantPermissionResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleGrantPermissionResponse=} [properties] Properties to set
         */
        function AuthRoleGrantPermissionResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleGrantPermissionResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @instance
         */
        AuthRoleGrantPermissionResponse.prototype.header = null;
        /**
         * Creates a new AuthRoleGrantPermissionResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleGrantPermissionResponse} AuthRoleGrantPermissionResponse instance
         */
        AuthRoleGrantPermissionResponse.create = function create(properties) {
            return new AuthRoleGrantPermissionResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleGrantPermissionResponse message. Does not implicitly {@link etcdserverpb.AuthRoleGrantPermissionResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionResponse} message AuthRoleGrantPermissionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGrantPermissionResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleGrantPermissionResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleGrantPermissionResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleGrantPermissionResponse} message AuthRoleGrantPermissionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleGrantPermissionResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleGrantPermissionResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleGrantPermissionResponse} AuthRoleGrantPermissionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGrantPermissionResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleGrantPermissionResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleGrantPermissionResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleGrantPermissionResponse} AuthRoleGrantPermissionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleGrantPermissionResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleGrantPermissionResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleGrantPermissionResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthRoleGrantPermissionResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleGrantPermissionResponse} AuthRoleGrantPermissionResponse
         */
        AuthRoleGrantPermissionResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleGrantPermissionResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleGrantPermissionResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleGrantPermissionResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleGrantPermissionResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @static
         * @param {etcdserverpb.AuthRoleGrantPermissionResponse} message AuthRoleGrantPermissionResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleGrantPermissionResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthRoleGrantPermissionResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleGrantPermissionResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleGrantPermissionResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleGrantPermissionResponse;
    })();
    etcdserverpb.AuthRoleRevokePermissionResponse = (function () {
        /**
         * Properties of an AuthRoleRevokePermissionResponse.
         * @memberof etcdserverpb
         * @interface IAuthRoleRevokePermissionResponse
         * @property {etcdserverpb.IResponseHeader|null} [header] AuthRoleRevokePermissionResponse header
         */
        /**
         * Constructs a new AuthRoleRevokePermissionResponse.
         * @memberof etcdserverpb
         * @classdesc Represents an AuthRoleRevokePermissionResponse.
         * @implements IAuthRoleRevokePermissionResponse
         * @constructor
         * @param {etcdserverpb.IAuthRoleRevokePermissionResponse=} [properties] Properties to set
         */
        function AuthRoleRevokePermissionResponse(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * AuthRoleRevokePermissionResponse header.
         * @member {etcdserverpb.IResponseHeader|null|undefined} header
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @instance
         */
        AuthRoleRevokePermissionResponse.prototype.header = null;
        /**
         * Creates a new AuthRoleRevokePermissionResponse instance using the specified properties.
         * @function create
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionResponse=} [properties] Properties to set
         * @returns {etcdserverpb.AuthRoleRevokePermissionResponse} AuthRoleRevokePermissionResponse instance
         */
        AuthRoleRevokePermissionResponse.create = function create(properties) {
            return new AuthRoleRevokePermissionResponse(properties);
        };
        /**
         * Encodes the specified AuthRoleRevokePermissionResponse message. Does not implicitly {@link etcdserverpb.AuthRoleRevokePermissionResponse.verify|verify} messages.
         * @function encode
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionResponse} message AuthRoleRevokePermissionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleRevokePermissionResponse.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.header != null && Object.hasOwnProperty.call(message, "header"))
                $root.etcdserverpb.ResponseHeader.encode(message.header, writer.uint32(/* id 1, wireType 2 =*/ 10).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified AuthRoleRevokePermissionResponse message, length delimited. Does not implicitly {@link etcdserverpb.AuthRoleRevokePermissionResponse.verify|verify} messages.
         * @function encodeDelimited
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {etcdserverpb.IAuthRoleRevokePermissionResponse} message AuthRoleRevokePermissionResponse message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        AuthRoleRevokePermissionResponse.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an AuthRoleRevokePermissionResponse message from the specified reader or buffer.
         * @function decode
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {etcdserverpb.AuthRoleRevokePermissionResponse} AuthRoleRevokePermissionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleRevokePermissionResponse.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.etcdserverpb.AuthRoleRevokePermissionResponse();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.header = $root.etcdserverpb.ResponseHeader.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an AuthRoleRevokePermissionResponse message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {etcdserverpb.AuthRoleRevokePermissionResponse} AuthRoleRevokePermissionResponse
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        AuthRoleRevokePermissionResponse.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an AuthRoleRevokePermissionResponse message.
         * @function verify
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        AuthRoleRevokePermissionResponse.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.header != null && message.hasOwnProperty("header")) {
                let error = $root.etcdserverpb.ResponseHeader.verify(message.header);
                if (error)
                    return "header." + error;
            }
            return null;
        };
        /**
         * Creates an AuthRoleRevokePermissionResponse message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {etcdserverpb.AuthRoleRevokePermissionResponse} AuthRoleRevokePermissionResponse
         */
        AuthRoleRevokePermissionResponse.fromObject = function fromObject(object) {
            if (object instanceof $root.etcdserverpb.AuthRoleRevokePermissionResponse)
                return object;
            let message = new $root.etcdserverpb.AuthRoleRevokePermissionResponse();
            if (object.header != null) {
                if (typeof object.header !== "object")
                    throw TypeError(".etcdserverpb.AuthRoleRevokePermissionResponse.header: object expected");
                message.header = $root.etcdserverpb.ResponseHeader.fromObject(object.header);
            }
            return message;
        };
        /**
         * Creates a plain object from an AuthRoleRevokePermissionResponse message. Also converts values to other types if specified.
         * @function toObject
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @static
         * @param {etcdserverpb.AuthRoleRevokePermissionResponse} message AuthRoleRevokePermissionResponse
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        AuthRoleRevokePermissionResponse.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.header = null;
            if (message.header != null && message.hasOwnProperty("header"))
                object.header = $root.etcdserverpb.ResponseHeader.toObject(message.header, options);
            return object;
        };
        /**
         * Converts this AuthRoleRevokePermissionResponse to JSON.
         * @function toJSON
         * @memberof etcdserverpb.AuthRoleRevokePermissionResponse
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        AuthRoleRevokePermissionResponse.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return AuthRoleRevokePermissionResponse;
    })();
    return etcdserverpb;
})();
exports.mvccpb = $root.mvccpb = (() => {
    /**
     * Namespace mvccpb.
     * @exports mvccpb
     * @namespace
     */
    const mvccpb = {};
    mvccpb.KeyValue = (function () {
        /**
         * Properties of a KeyValue.
         * @memberof mvccpb
         * @interface IKeyValue
         * @property {Uint8Array|null} [key] KeyValue key
         * @property {number|Long|null} [createRevision] KeyValue createRevision
         * @property {number|Long|null} [modRevision] KeyValue modRevision
         * @property {number|Long|null} [version] KeyValue version
         * @property {Uint8Array|null} [value] KeyValue value
         * @property {number|Long|null} [lease] KeyValue lease
         */
        /**
         * Constructs a new KeyValue.
         * @memberof mvccpb
         * @classdesc Represents a KeyValue.
         * @implements IKeyValue
         * @constructor
         * @param {mvccpb.IKeyValue=} [properties] Properties to set
         */
        function KeyValue(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * KeyValue key.
         * @member {Uint8Array} key
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.key = $util.newBuffer([]);
        /**
         * KeyValue createRevision.
         * @member {number|Long} createRevision
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.createRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * KeyValue modRevision.
         * @member {number|Long} modRevision
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.modRevision = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * KeyValue version.
         * @member {number|Long} version
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.version = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * KeyValue value.
         * @member {Uint8Array} value
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.value = $util.newBuffer([]);
        /**
         * KeyValue lease.
         * @member {number|Long} lease
         * @memberof mvccpb.KeyValue
         * @instance
         */
        KeyValue.prototype.lease = $util.Long ? $util.Long.fromBits(0, 0, false) : 0;
        /**
         * Creates a new KeyValue instance using the specified properties.
         * @function create
         * @memberof mvccpb.KeyValue
         * @static
         * @param {mvccpb.IKeyValue=} [properties] Properties to set
         * @returns {mvccpb.KeyValue} KeyValue instance
         */
        KeyValue.create = function create(properties) {
            return new KeyValue(properties);
        };
        /**
         * Encodes the specified KeyValue message. Does not implicitly {@link mvccpb.KeyValue.verify|verify} messages.
         * @function encode
         * @memberof mvccpb.KeyValue
         * @static
         * @param {mvccpb.IKeyValue} message KeyValue message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        KeyValue.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.key);
            if (message.createRevision != null && Object.hasOwnProperty.call(message, "createRevision"))
                writer.uint32(/* id 2, wireType 0 =*/ 16).int64(message.createRevision);
            if (message.modRevision != null && Object.hasOwnProperty.call(message, "modRevision"))
                writer.uint32(/* id 3, wireType 0 =*/ 24).int64(message.modRevision);
            if (message.version != null && Object.hasOwnProperty.call(message, "version"))
                writer.uint32(/* id 4, wireType 0 =*/ 32).int64(message.version);
            if (message.value != null && Object.hasOwnProperty.call(message, "value"))
                writer.uint32(/* id 5, wireType 2 =*/ 42).bytes(message.value);
            if (message.lease != null && Object.hasOwnProperty.call(message, "lease"))
                writer.uint32(/* id 6, wireType 0 =*/ 48).int64(message.lease);
            return writer;
        };
        /**
         * Encodes the specified KeyValue message, length delimited. Does not implicitly {@link mvccpb.KeyValue.verify|verify} messages.
         * @function encodeDelimited
         * @memberof mvccpb.KeyValue
         * @static
         * @param {mvccpb.IKeyValue} message KeyValue message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        KeyValue.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a KeyValue message from the specified reader or buffer.
         * @function decode
         * @memberof mvccpb.KeyValue
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {mvccpb.KeyValue} KeyValue
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        KeyValue.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.mvccpb.KeyValue();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.key = reader.bytes();
                        break;
                    case 2:
                        message.createRevision = reader.int64();
                        break;
                    case 3:
                        message.modRevision = reader.int64();
                        break;
                    case 4:
                        message.version = reader.int64();
                        break;
                    case 5:
                        message.value = reader.bytes();
                        break;
                    case 6:
                        message.lease = reader.int64();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a KeyValue message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof mvccpb.KeyValue
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {mvccpb.KeyValue} KeyValue
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        KeyValue.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a KeyValue message.
         * @function verify
         * @memberof mvccpb.KeyValue
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        KeyValue.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.createRevision != null && message.hasOwnProperty("createRevision"))
                if (!$util.isInteger(message.createRevision) && !(message.createRevision && $util.isInteger(message.createRevision.low) && $util.isInteger(message.createRevision.high)))
                    return "createRevision: integer|Long expected";
            if (message.modRevision != null && message.hasOwnProperty("modRevision"))
                if (!$util.isInteger(message.modRevision) && !(message.modRevision && $util.isInteger(message.modRevision.low) && $util.isInteger(message.modRevision.high)))
                    return "modRevision: integer|Long expected";
            if (message.version != null && message.hasOwnProperty("version"))
                if (!$util.isInteger(message.version) && !(message.version && $util.isInteger(message.version.low) && $util.isInteger(message.version.high)))
                    return "version: integer|Long expected";
            if (message.value != null && message.hasOwnProperty("value"))
                if (!(message.value && typeof message.value.length === "number" || $util.isString(message.value)))
                    return "value: buffer expected";
            if (message.lease != null && message.hasOwnProperty("lease"))
                if (!$util.isInteger(message.lease) && !(message.lease && $util.isInteger(message.lease.low) && $util.isInteger(message.lease.high)))
                    return "lease: integer|Long expected";
            return null;
        };
        /**
         * Creates a KeyValue message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof mvccpb.KeyValue
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {mvccpb.KeyValue} KeyValue
         */
        KeyValue.fromObject = function fromObject(object) {
            if (object instanceof $root.mvccpb.KeyValue)
                return object;
            let message = new $root.mvccpb.KeyValue();
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.createRevision != null)
                if ($util.Long)
                    (message.createRevision = $util.Long.fromValue(object.createRevision)).unsigned = false;
                else if (typeof object.createRevision === "string")
                    message.createRevision = parseInt(object.createRevision, 10);
                else if (typeof object.createRevision === "number")
                    message.createRevision = object.createRevision;
                else if (typeof object.createRevision === "object")
                    message.createRevision = new $util.LongBits(object.createRevision.low >>> 0, object.createRevision.high >>> 0).toNumber();
            if (object.modRevision != null)
                if ($util.Long)
                    (message.modRevision = $util.Long.fromValue(object.modRevision)).unsigned = false;
                else if (typeof object.modRevision === "string")
                    message.modRevision = parseInt(object.modRevision, 10);
                else if (typeof object.modRevision === "number")
                    message.modRevision = object.modRevision;
                else if (typeof object.modRevision === "object")
                    message.modRevision = new $util.LongBits(object.modRevision.low >>> 0, object.modRevision.high >>> 0).toNumber();
            if (object.version != null)
                if ($util.Long)
                    (message.version = $util.Long.fromValue(object.version)).unsigned = false;
                else if (typeof object.version === "string")
                    message.version = parseInt(object.version, 10);
                else if (typeof object.version === "number")
                    message.version = object.version;
                else if (typeof object.version === "object")
                    message.version = new $util.LongBits(object.version.low >>> 0, object.version.high >>> 0).toNumber();
            if (object.value != null)
                if (typeof object.value === "string")
                    $util.base64.decode(object.value, message.value = $util.newBuffer($util.base64.length(object.value)), 0);
                else if (object.value.length)
                    message.value = object.value;
            if (object.lease != null)
                if ($util.Long)
                    (message.lease = $util.Long.fromValue(object.lease)).unsigned = false;
                else if (typeof object.lease === "string")
                    message.lease = parseInt(object.lease, 10);
                else if (typeof object.lease === "number")
                    message.lease = object.lease;
                else if (typeof object.lease === "object")
                    message.lease = new $util.LongBits(object.lease.low >>> 0, object.lease.high >>> 0).toNumber();
            return message;
        };
        /**
         * Creates a plain object from a KeyValue message. Also converts values to other types if specified.
         * @function toObject
         * @memberof mvccpb.KeyValue
         * @static
         * @param {mvccpb.KeyValue} message KeyValue
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        KeyValue.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.createRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.createRevision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.modRevision = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.modRevision = options.longs === String ? "0" : 0;
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.version = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.version = options.longs === String ? "0" : 0;
                if (options.bytes === String)
                    object.value = "";
                else {
                    object.value = [];
                    if (options.bytes !== Array)
                        object.value = $util.newBuffer(object.value);
                }
                if ($util.Long) {
                    let long = new $util.Long(0, 0, false);
                    object.lease = options.longs === String ? long.toString() : options.longs === Number ? long.toNumber() : long;
                }
                else
                    object.lease = options.longs === String ? "0" : 0;
            }
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.createRevision != null && message.hasOwnProperty("createRevision"))
                if (typeof message.createRevision === "number")
                    object.createRevision = options.longs === String ? String(message.createRevision) : message.createRevision;
                else
                    object.createRevision = options.longs === String ? $util.Long.prototype.toString.call(message.createRevision) : options.longs === Number ? new $util.LongBits(message.createRevision.low >>> 0, message.createRevision.high >>> 0).toNumber() : message.createRevision;
            if (message.modRevision != null && message.hasOwnProperty("modRevision"))
                if (typeof message.modRevision === "number")
                    object.modRevision = options.longs === String ? String(message.modRevision) : message.modRevision;
                else
                    object.modRevision = options.longs === String ? $util.Long.prototype.toString.call(message.modRevision) : options.longs === Number ? new $util.LongBits(message.modRevision.low >>> 0, message.modRevision.high >>> 0).toNumber() : message.modRevision;
            if (message.version != null && message.hasOwnProperty("version"))
                if (typeof message.version === "number")
                    object.version = options.longs === String ? String(message.version) : message.version;
                else
                    object.version = options.longs === String ? $util.Long.prototype.toString.call(message.version) : options.longs === Number ? new $util.LongBits(message.version.low >>> 0, message.version.high >>> 0).toNumber() : message.version;
            if (message.value != null && message.hasOwnProperty("value"))
                object.value = options.bytes === String ? $util.base64.encode(message.value, 0, message.value.length) : options.bytes === Array ? Array.prototype.slice.call(message.value) : message.value;
            if (message.lease != null && message.hasOwnProperty("lease"))
                if (typeof message.lease === "number")
                    object.lease = options.longs === String ? String(message.lease) : message.lease;
                else
                    object.lease = options.longs === String ? $util.Long.prototype.toString.call(message.lease) : options.longs === Number ? new $util.LongBits(message.lease.low >>> 0, message.lease.high >>> 0).toNumber() : message.lease;
            return object;
        };
        /**
         * Converts this KeyValue to JSON.
         * @function toJSON
         * @memberof mvccpb.KeyValue
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        KeyValue.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return KeyValue;
    })();
    mvccpb.Event = (function () {
        /**
         * Properties of an Event.
         * @memberof mvccpb
         * @interface IEvent
         * @property {mvccpb.Event.EventType|null} [type] Event type
         * @property {mvccpb.IKeyValue|null} [kv] Event kv
         * @property {mvccpb.IKeyValue|null} [prevKv] Event prevKv
         */
        /**
         * Constructs a new Event.
         * @memberof mvccpb
         * @classdesc Represents an Event.
         * @implements IEvent
         * @constructor
         * @param {mvccpb.IEvent=} [properties] Properties to set
         */
        function Event(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Event type.
         * @member {mvccpb.Event.EventType} type
         * @memberof mvccpb.Event
         * @instance
         */
        Event.prototype.type = 0;
        /**
         * Event kv.
         * @member {mvccpb.IKeyValue|null|undefined} kv
         * @memberof mvccpb.Event
         * @instance
         */
        Event.prototype.kv = null;
        /**
         * Event prevKv.
         * @member {mvccpb.IKeyValue|null|undefined} prevKv
         * @memberof mvccpb.Event
         * @instance
         */
        Event.prototype.prevKv = null;
        /**
         * Creates a new Event instance using the specified properties.
         * @function create
         * @memberof mvccpb.Event
         * @static
         * @param {mvccpb.IEvent=} [properties] Properties to set
         * @returns {mvccpb.Event} Event instance
         */
        Event.create = function create(properties) {
            return new Event(properties);
        };
        /**
         * Encodes the specified Event message. Does not implicitly {@link mvccpb.Event.verify|verify} messages.
         * @function encode
         * @memberof mvccpb.Event
         * @static
         * @param {mvccpb.IEvent} message Event message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Event.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.type != null && Object.hasOwnProperty.call(message, "type"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int32(message.type);
            if (message.kv != null && Object.hasOwnProperty.call(message, "kv"))
                $root.mvccpb.KeyValue.encode(message.kv, writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            if (message.prevKv != null && Object.hasOwnProperty.call(message, "prevKv"))
                $root.mvccpb.KeyValue.encode(message.prevKv, writer.uint32(/* id 3, wireType 2 =*/ 26).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified Event message, length delimited. Does not implicitly {@link mvccpb.Event.verify|verify} messages.
         * @function encodeDelimited
         * @memberof mvccpb.Event
         * @static
         * @param {mvccpb.IEvent} message Event message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Event.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes an Event message from the specified reader or buffer.
         * @function decode
         * @memberof mvccpb.Event
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {mvccpb.Event} Event
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Event.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.mvccpb.Event();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.type = reader.int32();
                        break;
                    case 2:
                        message.kv = $root.mvccpb.KeyValue.decode(reader, reader.uint32());
                        break;
                    case 3:
                        message.prevKv = $root.mvccpb.KeyValue.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes an Event message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof mvccpb.Event
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {mvccpb.Event} Event
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Event.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies an Event message.
         * @function verify
         * @memberof mvccpb.Event
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        Event.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.type != null && message.hasOwnProperty("type"))
                switch (message.type) {
                    default:
                        return "type: enum value expected";
                    case 0:
                    case 1:
                        break;
                }
            if (message.kv != null && message.hasOwnProperty("kv")) {
                let error = $root.mvccpb.KeyValue.verify(message.kv);
                if (error)
                    return "kv." + error;
            }
            if (message.prevKv != null && message.hasOwnProperty("prevKv")) {
                let error = $root.mvccpb.KeyValue.verify(message.prevKv);
                if (error)
                    return "prevKv." + error;
            }
            return null;
        };
        /**
         * Creates an Event message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof mvccpb.Event
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {mvccpb.Event} Event
         */
        Event.fromObject = function fromObject(object) {
            if (object instanceof $root.mvccpb.Event)
                return object;
            let message = new $root.mvccpb.Event();
            switch (object.type) {
                case "Put":
                case 0:
                    message.type = 0;
                    break;
                case "Delete":
                case 1:
                    message.type = 1;
                    break;
            }
            if (object.kv != null) {
                if (typeof object.kv !== "object")
                    throw TypeError(".mvccpb.Event.kv: object expected");
                message.kv = $root.mvccpb.KeyValue.fromObject(object.kv);
            }
            if (object.prevKv != null) {
                if (typeof object.prevKv !== "object")
                    throw TypeError(".mvccpb.Event.prevKv: object expected");
                message.prevKv = $root.mvccpb.KeyValue.fromObject(object.prevKv);
            }
            return message;
        };
        /**
         * Creates a plain object from an Event message. Also converts values to other types if specified.
         * @function toObject
         * @memberof mvccpb.Event
         * @static
         * @param {mvccpb.Event} message Event
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        Event.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.type = options.enums === String ? "Put" : 0;
                object.kv = null;
                object.prevKv = null;
            }
            if (message.type != null && message.hasOwnProperty("type"))
                object.type = options.enums === String ? $root.mvccpb.Event.EventType[message.type] : message.type;
            if (message.kv != null && message.hasOwnProperty("kv"))
                object.kv = $root.mvccpb.KeyValue.toObject(message.kv, options);
            if (message.prevKv != null && message.hasOwnProperty("prevKv"))
                object.prevKv = $root.mvccpb.KeyValue.toObject(message.prevKv, options);
            return object;
        };
        /**
         * Converts this Event to JSON.
         * @function toJSON
         * @memberof mvccpb.Event
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        Event.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * EventType enum.
         * @name mvccpb.Event.EventType
         * @enum {number}
         * @property {number} Put=0 Put value
         * @property {number} Delete=1 Delete value
         */
        Event.EventType = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Put"] = 0;
            values[valuesById[1] = "Delete"] = 1;
            return values;
        })();
        return Event;
    })();
    return mvccpb;
})();
exports.authpb = $root.authpb = (() => {
    /**
     * Namespace authpb.
     * @exports authpb
     * @namespace
     */
    const authpb = {};
    authpb.UserAddOptions = (function () {
        /**
         * Properties of a UserAddOptions.
         * @memberof authpb
         * @interface IUserAddOptions
         * @property {boolean|null} [noPassword] UserAddOptions noPassword
         */
        /**
         * Constructs a new UserAddOptions.
         * @memberof authpb
         * @classdesc Represents a UserAddOptions.
         * @implements IUserAddOptions
         * @constructor
         * @param {authpb.IUserAddOptions=} [properties] Properties to set
         */
        function UserAddOptions(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * UserAddOptions noPassword.
         * @member {boolean} noPassword
         * @memberof authpb.UserAddOptions
         * @instance
         */
        UserAddOptions.prototype.noPassword = false;
        /**
         * Creates a new UserAddOptions instance using the specified properties.
         * @function create
         * @memberof authpb.UserAddOptions
         * @static
         * @param {authpb.IUserAddOptions=} [properties] Properties to set
         * @returns {authpb.UserAddOptions} UserAddOptions instance
         */
        UserAddOptions.create = function create(properties) {
            return new UserAddOptions(properties);
        };
        /**
         * Encodes the specified UserAddOptions message. Does not implicitly {@link authpb.UserAddOptions.verify|verify} messages.
         * @function encode
         * @memberof authpb.UserAddOptions
         * @static
         * @param {authpb.IUserAddOptions} message UserAddOptions message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        UserAddOptions.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.noPassword != null && Object.hasOwnProperty.call(message, "noPassword"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).bool(message.noPassword);
            return writer;
        };
        /**
         * Encodes the specified UserAddOptions message, length delimited. Does not implicitly {@link authpb.UserAddOptions.verify|verify} messages.
         * @function encodeDelimited
         * @memberof authpb.UserAddOptions
         * @static
         * @param {authpb.IUserAddOptions} message UserAddOptions message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        UserAddOptions.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a UserAddOptions message from the specified reader or buffer.
         * @function decode
         * @memberof authpb.UserAddOptions
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {authpb.UserAddOptions} UserAddOptions
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        UserAddOptions.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.authpb.UserAddOptions();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.noPassword = reader.bool();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a UserAddOptions message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof authpb.UserAddOptions
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {authpb.UserAddOptions} UserAddOptions
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        UserAddOptions.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a UserAddOptions message.
         * @function verify
         * @memberof authpb.UserAddOptions
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        UserAddOptions.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.noPassword != null && message.hasOwnProperty("noPassword"))
                if (typeof message.noPassword !== "boolean")
                    return "noPassword: boolean expected";
            return null;
        };
        /**
         * Creates a UserAddOptions message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof authpb.UserAddOptions
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {authpb.UserAddOptions} UserAddOptions
         */
        UserAddOptions.fromObject = function fromObject(object) {
            if (object instanceof $root.authpb.UserAddOptions)
                return object;
            let message = new $root.authpb.UserAddOptions();
            if (object.noPassword != null)
                message.noPassword = Boolean(object.noPassword);
            return message;
        };
        /**
         * Creates a plain object from a UserAddOptions message. Also converts values to other types if specified.
         * @function toObject
         * @memberof authpb.UserAddOptions
         * @static
         * @param {authpb.UserAddOptions} message UserAddOptions
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        UserAddOptions.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults)
                object.noPassword = false;
            if (message.noPassword != null && message.hasOwnProperty("noPassword"))
                object.noPassword = message.noPassword;
            return object;
        };
        /**
         * Converts this UserAddOptions to JSON.
         * @function toJSON
         * @memberof authpb.UserAddOptions
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        UserAddOptions.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return UserAddOptions;
    })();
    authpb.User = (function () {
        /**
         * Properties of a User.
         * @memberof authpb
         * @interface IUser
         * @property {Uint8Array|null} [name] User name
         * @property {Uint8Array|null} [password] User password
         * @property {Array.<string>|null} [roles] User roles
         * @property {authpb.IUserAddOptions|null} [options] User options
         */
        /**
         * Constructs a new User.
         * @memberof authpb
         * @classdesc Represents a User.
         * @implements IUser
         * @constructor
         * @param {authpb.IUser=} [properties] Properties to set
         */
        function User(properties) {
            this.roles = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * User name.
         * @member {Uint8Array} name
         * @memberof authpb.User
         * @instance
         */
        User.prototype.name = $util.newBuffer([]);
        /**
         * User password.
         * @member {Uint8Array} password
         * @memberof authpb.User
         * @instance
         */
        User.prototype.password = $util.newBuffer([]);
        /**
         * User roles.
         * @member {Array.<string>} roles
         * @memberof authpb.User
         * @instance
         */
        User.prototype.roles = $util.emptyArray;
        /**
         * User options.
         * @member {authpb.IUserAddOptions|null|undefined} options
         * @memberof authpb.User
         * @instance
         */
        User.prototype.options = null;
        /**
         * Creates a new User instance using the specified properties.
         * @function create
         * @memberof authpb.User
         * @static
         * @param {authpb.IUser=} [properties] Properties to set
         * @returns {authpb.User} User instance
         */
        User.create = function create(properties) {
            return new User(properties);
        };
        /**
         * Encodes the specified User message. Does not implicitly {@link authpb.User.verify|verify} messages.
         * @function encode
         * @memberof authpb.User
         * @static
         * @param {authpb.IUser} message User message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        User.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.name);
            if (message.password != null && Object.hasOwnProperty.call(message, "password"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.password);
            if (message.roles != null && message.roles.length)
                for (let i = 0; i < message.roles.length; ++i)
                    writer.uint32(/* id 3, wireType 2 =*/ 26).string(message.roles[i]);
            if (message.options != null && Object.hasOwnProperty.call(message, "options"))
                $root.authpb.UserAddOptions.encode(message.options, writer.uint32(/* id 4, wireType 2 =*/ 34).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified User message, length delimited. Does not implicitly {@link authpb.User.verify|verify} messages.
         * @function encodeDelimited
         * @memberof authpb.User
         * @static
         * @param {authpb.IUser} message User message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        User.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a User message from the specified reader or buffer.
         * @function decode
         * @memberof authpb.User
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {authpb.User} User
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        User.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.authpb.User();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.bytes();
                        break;
                    case 2:
                        message.password = reader.bytes();
                        break;
                    case 3:
                        if (!(message.roles && message.roles.length))
                            message.roles = [];
                        message.roles.push(reader.string());
                        break;
                    case 4:
                        message.options = $root.authpb.UserAddOptions.decode(reader, reader.uint32());
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a User message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof authpb.User
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {authpb.User} User
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        User.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a User message.
         * @function verify
         * @memberof authpb.User
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        User.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!(message.name && typeof message.name.length === "number" || $util.isString(message.name)))
                    return "name: buffer expected";
            if (message.password != null && message.hasOwnProperty("password"))
                if (!(message.password && typeof message.password.length === "number" || $util.isString(message.password)))
                    return "password: buffer expected";
            if (message.roles != null && message.hasOwnProperty("roles")) {
                if (!Array.isArray(message.roles))
                    return "roles: array expected";
                for (let i = 0; i < message.roles.length; ++i)
                    if (!$util.isString(message.roles[i]))
                        return "roles: string[] expected";
            }
            if (message.options != null && message.hasOwnProperty("options")) {
                let error = $root.authpb.UserAddOptions.verify(message.options);
                if (error)
                    return "options." + error;
            }
            return null;
        };
        /**
         * Creates a User message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof authpb.User
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {authpb.User} User
         */
        User.fromObject = function fromObject(object) {
            if (object instanceof $root.authpb.User)
                return object;
            let message = new $root.authpb.User();
            if (object.name != null)
                if (typeof object.name === "string")
                    $util.base64.decode(object.name, message.name = $util.newBuffer($util.base64.length(object.name)), 0);
                else if (object.name.length)
                    message.name = object.name;
            if (object.password != null)
                if (typeof object.password === "string")
                    $util.base64.decode(object.password, message.password = $util.newBuffer($util.base64.length(object.password)), 0);
                else if (object.password.length)
                    message.password = object.password;
            if (object.roles) {
                if (!Array.isArray(object.roles))
                    throw TypeError(".authpb.User.roles: array expected");
                message.roles = [];
                for (let i = 0; i < object.roles.length; ++i)
                    message.roles[i] = String(object.roles[i]);
            }
            if (object.options != null) {
                if (typeof object.options !== "object")
                    throw TypeError(".authpb.User.options: object expected");
                message.options = $root.authpb.UserAddOptions.fromObject(object.options);
            }
            return message;
        };
        /**
         * Creates a plain object from a User message. Also converts values to other types if specified.
         * @function toObject
         * @memberof authpb.User
         * @static
         * @param {authpb.User} message User
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        User.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.roles = [];
            if (options.defaults) {
                if (options.bytes === String)
                    object.name = "";
                else {
                    object.name = [];
                    if (options.bytes !== Array)
                        object.name = $util.newBuffer(object.name);
                }
                if (options.bytes === String)
                    object.password = "";
                else {
                    object.password = [];
                    if (options.bytes !== Array)
                        object.password = $util.newBuffer(object.password);
                }
                object.options = null;
            }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = options.bytes === String ? $util.base64.encode(message.name, 0, message.name.length) : options.bytes === Array ? Array.prototype.slice.call(message.name) : message.name;
            if (message.password != null && message.hasOwnProperty("password"))
                object.password = options.bytes === String ? $util.base64.encode(message.password, 0, message.password.length) : options.bytes === Array ? Array.prototype.slice.call(message.password) : message.password;
            if (message.roles && message.roles.length) {
                object.roles = [];
                for (let j = 0; j < message.roles.length; ++j)
                    object.roles[j] = message.roles[j];
            }
            if (message.options != null && message.hasOwnProperty("options"))
                object.options = $root.authpb.UserAddOptions.toObject(message.options, options);
            return object;
        };
        /**
         * Converts this User to JSON.
         * @function toJSON
         * @memberof authpb.User
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        User.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return User;
    })();
    authpb.Permission = (function () {
        /**
         * Properties of a Permission.
         * @memberof authpb
         * @interface IPermission
         * @property {authpb.Permission.Type|null} [permType] Permission permType
         * @property {Uint8Array|null} [key] Permission key
         * @property {Uint8Array|null} [rangeEnd] Permission rangeEnd
         */
        /**
         * Constructs a new Permission.
         * @memberof authpb
         * @classdesc Represents a Permission.
         * @implements IPermission
         * @constructor
         * @param {authpb.IPermission=} [properties] Properties to set
         */
        function Permission(properties) {
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Permission permType.
         * @member {authpb.Permission.Type} permType
         * @memberof authpb.Permission
         * @instance
         */
        Permission.prototype.permType = 0;
        /**
         * Permission key.
         * @member {Uint8Array} key
         * @memberof authpb.Permission
         * @instance
         */
        Permission.prototype.key = $util.newBuffer([]);
        /**
         * Permission rangeEnd.
         * @member {Uint8Array} rangeEnd
         * @memberof authpb.Permission
         * @instance
         */
        Permission.prototype.rangeEnd = $util.newBuffer([]);
        /**
         * Creates a new Permission instance using the specified properties.
         * @function create
         * @memberof authpb.Permission
         * @static
         * @param {authpb.IPermission=} [properties] Properties to set
         * @returns {authpb.Permission} Permission instance
         */
        Permission.create = function create(properties) {
            return new Permission(properties);
        };
        /**
         * Encodes the specified Permission message. Does not implicitly {@link authpb.Permission.verify|verify} messages.
         * @function encode
         * @memberof authpb.Permission
         * @static
         * @param {authpb.IPermission} message Permission message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Permission.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.permType != null && Object.hasOwnProperty.call(message, "permType"))
                writer.uint32(/* id 1, wireType 0 =*/ 8).int32(message.permType);
            if (message.key != null && Object.hasOwnProperty.call(message, "key"))
                writer.uint32(/* id 2, wireType 2 =*/ 18).bytes(message.key);
            if (message.rangeEnd != null && Object.hasOwnProperty.call(message, "rangeEnd"))
                writer.uint32(/* id 3, wireType 2 =*/ 26).bytes(message.rangeEnd);
            return writer;
        };
        /**
         * Encodes the specified Permission message, length delimited. Does not implicitly {@link authpb.Permission.verify|verify} messages.
         * @function encodeDelimited
         * @memberof authpb.Permission
         * @static
         * @param {authpb.IPermission} message Permission message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Permission.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a Permission message from the specified reader or buffer.
         * @function decode
         * @memberof authpb.Permission
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {authpb.Permission} Permission
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Permission.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.authpb.Permission();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.permType = reader.int32();
                        break;
                    case 2:
                        message.key = reader.bytes();
                        break;
                    case 3:
                        message.rangeEnd = reader.bytes();
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a Permission message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof authpb.Permission
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {authpb.Permission} Permission
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Permission.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a Permission message.
         * @function verify
         * @memberof authpb.Permission
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        Permission.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.permType != null && message.hasOwnProperty("permType"))
                switch (message.permType) {
                    default:
                        return "permType: enum value expected";
                    case 0:
                    case 1:
                    case 2:
                        break;
                }
            if (message.key != null && message.hasOwnProperty("key"))
                if (!(message.key && typeof message.key.length === "number" || $util.isString(message.key)))
                    return "key: buffer expected";
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                if (!(message.rangeEnd && typeof message.rangeEnd.length === "number" || $util.isString(message.rangeEnd)))
                    return "rangeEnd: buffer expected";
            return null;
        };
        /**
         * Creates a Permission message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof authpb.Permission
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {authpb.Permission} Permission
         */
        Permission.fromObject = function fromObject(object) {
            if (object instanceof $root.authpb.Permission)
                return object;
            let message = new $root.authpb.Permission();
            switch (object.permType) {
                case "Read":
                case 0:
                    message.permType = 0;
                    break;
                case "Write":
                case 1:
                    message.permType = 1;
                    break;
                case "Readwrite":
                case 2:
                    message.permType = 2;
                    break;
            }
            if (object.key != null)
                if (typeof object.key === "string")
                    $util.base64.decode(object.key, message.key = $util.newBuffer($util.base64.length(object.key)), 0);
                else if (object.key.length)
                    message.key = object.key;
            if (object.rangeEnd != null)
                if (typeof object.rangeEnd === "string")
                    $util.base64.decode(object.rangeEnd, message.rangeEnd = $util.newBuffer($util.base64.length(object.rangeEnd)), 0);
                else if (object.rangeEnd.length)
                    message.rangeEnd = object.rangeEnd;
            return message;
        };
        /**
         * Creates a plain object from a Permission message. Also converts values to other types if specified.
         * @function toObject
         * @memberof authpb.Permission
         * @static
         * @param {authpb.Permission} message Permission
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        Permission.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.defaults) {
                object.permType = options.enums === String ? "Read" : 0;
                if (options.bytes === String)
                    object.key = "";
                else {
                    object.key = [];
                    if (options.bytes !== Array)
                        object.key = $util.newBuffer(object.key);
                }
                if (options.bytes === String)
                    object.rangeEnd = "";
                else {
                    object.rangeEnd = [];
                    if (options.bytes !== Array)
                        object.rangeEnd = $util.newBuffer(object.rangeEnd);
                }
            }
            if (message.permType != null && message.hasOwnProperty("permType"))
                object.permType = options.enums === String ? $root.authpb.Permission.Type[message.permType] : message.permType;
            if (message.key != null && message.hasOwnProperty("key"))
                object.key = options.bytes === String ? $util.base64.encode(message.key, 0, message.key.length) : options.bytes === Array ? Array.prototype.slice.call(message.key) : message.key;
            if (message.rangeEnd != null && message.hasOwnProperty("rangeEnd"))
                object.rangeEnd = options.bytes === String ? $util.base64.encode(message.rangeEnd, 0, message.rangeEnd.length) : options.bytes === Array ? Array.prototype.slice.call(message.rangeEnd) : message.rangeEnd;
            return object;
        };
        /**
         * Converts this Permission to JSON.
         * @function toJSON
         * @memberof authpb.Permission
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        Permission.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        /**
         * Type enum.
         * @name authpb.Permission.Type
         * @enum {number}
         * @property {number} Read=0 Read value
         * @property {number} Write=1 Write value
         * @property {number} Readwrite=2 Readwrite value
         */
        Permission.Type = (function () {
            const valuesById = {}, values = Object.create(valuesById);
            values[valuesById[0] = "Read"] = 0;
            values[valuesById[1] = "Write"] = 1;
            values[valuesById[2] = "Readwrite"] = 2;
            return values;
        })();
        return Permission;
    })();
    authpb.Role = (function () {
        /**
         * Properties of a Role.
         * @memberof authpb
         * @interface IRole
         * @property {Uint8Array|null} [name] Role name
         * @property {Array.<authpb.IPermission>|null} [keyPermission] Role keyPermission
         */
        /**
         * Constructs a new Role.
         * @memberof authpb
         * @classdesc Represents a Role.
         * @implements IRole
         * @constructor
         * @param {authpb.IRole=} [properties] Properties to set
         */
        function Role(properties) {
            this.keyPermission = [];
            if (properties)
                for (let keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }
        /**
         * Role name.
         * @member {Uint8Array} name
         * @memberof authpb.Role
         * @instance
         */
        Role.prototype.name = $util.newBuffer([]);
        /**
         * Role keyPermission.
         * @member {Array.<authpb.IPermission>} keyPermission
         * @memberof authpb.Role
         * @instance
         */
        Role.prototype.keyPermission = $util.emptyArray;
        /**
         * Creates a new Role instance using the specified properties.
         * @function create
         * @memberof authpb.Role
         * @static
         * @param {authpb.IRole=} [properties] Properties to set
         * @returns {authpb.Role} Role instance
         */
        Role.create = function create(properties) {
            return new Role(properties);
        };
        /**
         * Encodes the specified Role message. Does not implicitly {@link authpb.Role.verify|verify} messages.
         * @function encode
         * @memberof authpb.Role
         * @static
         * @param {authpb.IRole} message Role message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Role.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.name != null && Object.hasOwnProperty.call(message, "name"))
                writer.uint32(/* id 1, wireType 2 =*/ 10).bytes(message.name);
            if (message.keyPermission != null && message.keyPermission.length)
                for (let i = 0; i < message.keyPermission.length; ++i)
                    $root.authpb.Permission.encode(message.keyPermission[i], writer.uint32(/* id 2, wireType 2 =*/ 18).fork()).ldelim();
            return writer;
        };
        /**
         * Encodes the specified Role message, length delimited. Does not implicitly {@link authpb.Role.verify|verify} messages.
         * @function encodeDelimited
         * @memberof authpb.Role
         * @static
         * @param {authpb.IRole} message Role message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        Role.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };
        /**
         * Decodes a Role message from the specified reader or buffer.
         * @function decode
         * @memberof authpb.Role
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {authpb.Role} Role
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Role.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            let end = length === undefined ? reader.len : reader.pos + length, message = new $root.authpb.Role();
            while (reader.pos < end) {
                let tag = reader.uint32();
                switch (tag >>> 3) {
                    case 1:
                        message.name = reader.bytes();
                        break;
                    case 2:
                        if (!(message.keyPermission && message.keyPermission.length))
                            message.keyPermission = [];
                        message.keyPermission.push($root.authpb.Permission.decode(reader, reader.uint32()));
                        break;
                    default:
                        reader.skipType(tag & 7);
                        break;
                }
            }
            return message;
        };
        /**
         * Decodes a Role message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof authpb.Role
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {authpb.Role} Role
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        Role.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };
        /**
         * Verifies a Role message.
         * @function verify
         * @memberof authpb.Role
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        Role.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.name != null && message.hasOwnProperty("name"))
                if (!(message.name && typeof message.name.length === "number" || $util.isString(message.name)))
                    return "name: buffer expected";
            if (message.keyPermission != null && message.hasOwnProperty("keyPermission")) {
                if (!Array.isArray(message.keyPermission))
                    return "keyPermission: array expected";
                for (let i = 0; i < message.keyPermission.length; ++i) {
                    let error = $root.authpb.Permission.verify(message.keyPermission[i]);
                    if (error)
                        return "keyPermission." + error;
                }
            }
            return null;
        };
        /**
         * Creates a Role message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof authpb.Role
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {authpb.Role} Role
         */
        Role.fromObject = function fromObject(object) {
            if (object instanceof $root.authpb.Role)
                return object;
            let message = new $root.authpb.Role();
            if (object.name != null)
                if (typeof object.name === "string")
                    $util.base64.decode(object.name, message.name = $util.newBuffer($util.base64.length(object.name)), 0);
                else if (object.name.length)
                    message.name = object.name;
            if (object.keyPermission) {
                if (!Array.isArray(object.keyPermission))
                    throw TypeError(".authpb.Role.keyPermission: array expected");
                message.keyPermission = [];
                for (let i = 0; i < object.keyPermission.length; ++i) {
                    if (typeof object.keyPermission[i] !== "object")
                        throw TypeError(".authpb.Role.keyPermission: object expected");
                    message.keyPermission[i] = $root.authpb.Permission.fromObject(object.keyPermission[i]);
                }
            }
            return message;
        };
        /**
         * Creates a plain object from a Role message. Also converts values to other types if specified.
         * @function toObject
         * @memberof authpb.Role
         * @static
         * @param {authpb.Role} message Role
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        Role.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            let object = {};
            if (options.arrays || options.defaults)
                object.keyPermission = [];
            if (options.defaults)
                if (options.bytes === String)
                    object.name = "";
                else {
                    object.name = [];
                    if (options.bytes !== Array)
                        object.name = $util.newBuffer(object.name);
                }
            if (message.name != null && message.hasOwnProperty("name"))
                object.name = options.bytes === String ? $util.base64.encode(message.name, 0, message.name.length) : options.bytes === Array ? Array.prototype.slice.call(message.name) : message.name;
            if (message.keyPermission && message.keyPermission.length) {
                object.keyPermission = [];
                for (let j = 0; j < message.keyPermission.length; ++j)
                    object.keyPermission[j] = $root.authpb.Permission.toObject(message.keyPermission[j], options);
            }
            return object;
        };
        /**
         * Converts this Role to JSON.
         * @function toJSON
         * @memberof authpb.Role
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        Role.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };
        return Role;
    })();
    return authpb;
})();
//# sourceMappingURL=rpc-compiled.js.map